--[[--<(o):|:(o)>--<(o):|:(o)>--<(o):|:(o)>--<(o):|:(o)>--<(o):|:(o)>--<(o):|:(o)>--<(o):|:(o)>--<(o):|:(o)>--<(o):|:(o)>--<(o):|:(o)>--||--


      #########     ###########     #######    ###########          #######     #         #   ###########     #######     ###########
      #        #    #              #       #        #              #       #    #         #   #              #       #         #
      #         #   #             #                 #             #         #   #         #   #             #                  #
      #        #    #              #                #             #         #   #         #   #              #                 #
      #########     ###########     #######         #             #         #   #         #   ###########     #######          #
      #        #    #                      #        #             #         #   #         #   #                      #         #
      #         #   #                       #       #             #       # #   #         #   #                       #        #
      #        #    #              #       #        #              #       #     #       #    #              #       #         #
      #########     ###########     #######         #               ####### #     #######     ###########     #######          #



                                                              --||(o):|:(o)||--

							      |  LORE MODULE  |

                                                              --||(o):|:(o)||--

                                                                    v3.08

                                                              14th February 2016

						       Copyright 2015-2016 Chris Birch


                                                              --||(o):|:(o)]]--



--------------------------------------------------------------------------------------------------------------------------------------------

local GetBagName = GetBagName
local GetContainerItemID = GetContainerItemID
local GetContainerNumSlots = GetContainerNumSlots
local GetPlayerMapPosition = GetPlayerMapPosition
local GetQuestLogIndexByID = GetQuestLogIndexByID
local GetSubZoneText = GetSubZoneText
local InCinematic = InCinematic
local IsInInstance = IsInInstance
local IsInPetBattle = C_PetBattles.IsInBattle
local IsQuestFlaggedCompleted = IsQuestFlaggedCompleted
local UnitAffectingCombat = UnitAffectingCombat
local UnitIsAFK = UnitIsAFK
local UnitIsDeadOrGhost = UnitIsDeadOrGhost
local UnitIsDND = UnitIsDND
local UnitOnTaxi = UnitOnTaxi
local UnitUsingVehicle = UnitUsingVehicle

local pairs = pairs
local stringGsub = string.gsub

local npcName		= "Tarocalypse"
local portrait		= "Interface\\AddOns\\Best_Quest_Lore\\Images\\Tarocalypse"
local minBQVersion	= 2.03
local loreExtrasDelay	= 2700
local levelDelay	= 20	-- Also used for transport advice delay
local northrendDelay	= 180

--------------------------------------------------------------------------------------------------------------------------------------------

local sound = { ["Hellooo friend"]		= "Sound\\character\\PCPandarenMale\\VO_PCPandarenMale_Hello01.OGG",				-- 3 10 11 47 58 159 201
		["Greetings"]			= "Sound\\character\\PCPandarenMale\\VO_PCPandarenMale_Hello02.OGG",				-- 6 7 19 56 57
		["Welcome"]			= "Sound\\character\\PCPandarenMale\\VO_PCPandarenMale_Hello03.OGG",				-- 44 46 51 53 62 63 120 131 132
																		-- 146 148 149 151 152 154 155 160
		["It is good to see you"]	= "Sound\\character\\PCPandarenMale\\VO_PCPandarenMale_Hello04.OGG",				-- 8 52 54 72 113 141 229 242
		["Hello friend"]		= "Sound\\character\\PCPandarenMale\\VO_PCPandarenMale_Hello05.OGG",				-- 1 4 18 49 65 81 125 164
		["Hmmm hmmm"]			= "Sound\\character\\PCPandarenMale\\VO_PCPandarenMale_Nod01.OGG",				-- 38 39 40 42 43 207
		["Yep"]				= "Sound\\character\\PCPandarenMale\\VO_PCPandarenMale_Nod02.OGG",				-- 55 60 66 136 137 138 139 142 145
		["Tired Hmmm"]			= "Sound\\character\\PCPandarenMale\\VO_PCPandarenMale_Sigh01.OGG",				-- 23x1
		["High Hmmm"]			= "Sound\\character\\PCPandarenMale\\VO_PCPandarenMale_Sigh02.OGG",				-- 115, 166
		["Deep Hmmm"]			= "Sound\\character\\PCPandarenMale\\VO_PCPandarenMale_Sigh03.OGG",				-- 48 80 109 110 111 127 128 129
		["Fat Joke"]			= "Sound\\character\\PCPandarenMale\\VO_PCPandarenMale_Silly01.OGG",				-- 251
		["Dumpling Joke"]		= "Sound\\character\\PCPandarenMale\\VO_PCPandarenMale_Silly02.OGG",				-- 
		["Fart Joke"]			= "Sound\\character\\PCPandarenMale\\VO_PCPandarenMale_Silly03.OGG",				-- 
		["Tusks Joke"]			= "Sound\\character\\PCPandarenMale\\VO_PCPandarenMale_Silly05.OGG",				-- 55t1
		["Human Joke"]			= "Sound\\character\\PCPandarenMale\\VO_PCPandarenMale_Silly06.OGG",				-- 40t1
		["Messed up Joke"]		= "Sound\\character\\PCPandarenMale\\VO_PCPandarenMale_Silly07.OGG",				-- 89t
		["Ocean sponges Joke"]		= "Sound\\character\\PCPandarenMale\\VO_PCPandarenMale_Silly08.OGG",				-- 87t
		["Walk/time Joke"]		= "Sound\\character\\PCPandarenMale\\VO_PCPandarenMale_Silly09.OGG",				-- 
		["Beat/JoinEm/Eat Joke"]	= "Sound\\character\\PCPandarenMale\\VO_PCPandarenMale_Silly10.OGG",				-- 68t1
		["Slow down!"]			= "Sound\\creature\\PandarenCivMGruff\\VO_Pandaren_Male_Gruff_Greeting_01.OGG",			-- 2s 16t 130 157
		["Greetings wanderer"]		= "Sound\\creature\\PandarenCivMStandard\\VO_Pandaren_Male_Standard_Greeting_01.OGG",		-- 14 20 36 48 60 108 120 140 246
		["Welcome #2"]			= "Sound\\creature\\PandarenCivMStandard\\VO_Pandaren_Male_Standard_Greeting_02.OGG",		-- 9 15 17 30 32 33 34 35 68 78
																		-- 106 118
		["Tell me of your travels"]	= "Sound\\creature\\PandarenCivMStandard\\VO_Pandaren_Male_Standard_Greeting_03.OGG",		-- 22 to 29 31 50 75 77 79

		["Not prepared"]		= "Sound\\Creature\\Illidan\\BLACK_Illidan_04.OGG",						-- 37
}

--------------------------------------------------------------------------------------------------------------------------------------------

local speech = {

	["1"]	=	"Hello friend! Do not be alarmed, I am an old friend of Taraezor. He mentioned you'd be along some time.|n|n"..
			"May I introduce myself? I am known as " .. npcName .. ".|n|n"..
			"Hmm, apparently in need of a bit of direction or advice while adventuring? Splendid! I'll always be "..
			"nearby so don't mind me if I offer a suggestion or two as you explore Azeroth.|n|n"..
			"Ah, yes. The richest of lore, the funnest of times and the choicest of rewards.|n|n"..
			"Yes, indeed. I am honoured to be your new companion ~PvP~. Bye for now my new friend!",

	["2"]	=	"Oh, another thing ~p~, if I may.|n|n"..
			"Taraezor has mentioned to me that adventurers would like to replay what I have previously "..
			"said. Sadly, such is not possible at this time.|n|n"..
			"So please do pay particular attention. I'll try not to interrupt if something important is "..
			"happening but sometimes I need to seize the moment!|n|n"..
			"Now this pandaren doesn't claim to know everything about the worlds but if you do feel there "..
			"is a glaring omission or I am just plain wrong then of course let me know.|n|n"..
			"I get Taraezor to handle those matters.|n|n"..
			"And as I always say, SLOW DOWN my friend and you will enjoy the best the world has to offer. "..
			"For the best is saved until the last!",

	["3"]	=	"Hello friend, " .. npcName .. " here. I believe you may be ready to explore further afield. Yes, "..
			"indeed.|n|n"..
			"In Darkshore you'll meet Malfurion Stormrage, who is of immense importance. As well as the lore, "..
			"you can earn a great companion, gain a unique fishing pole, and have plentiful ore and herb "..
			"gathering.|n|n"..
			"Loch Modan and Bloodmyst Isle are options but offer little of worthy lore or rewards.|n|n"..
			"Now, of course, Westfall. The Defias Brotherhood is of great interest to be sure.|n|n"..
			"Tough choice ~p~. Westfall links nicely with The Deadmines and Redridge later. Darkshore has the "..
			"stronger lore and rewards.",

	["3x1"]	=	"Now ~p~, how to get from here to Darkshore.|n|n"..
			"As Valaar's Berth wharf connects The Exodar to Rut'theran Village western wharf at the base of "..
			"Teldrassil then any adventurer in this region need only make their own way to the Hippogryph "..
			"Master at 55.4, 88.4 in Rut'theran Village.|n|n"..
			"Vesprystus will allow you to fly to Lor'danel in Darkshore.|n|n"..
			"Seek out Priestess Dentaria Silverglade as she may need your help!",
			
	["3x2"]	=	"Now ~p~, how to get from here to Darkshore.|n|n"..
			"Ironforge and Stormwind are connected by the Deeprun Tram. So anyone in that general area need "..
			"only make their way to Stormwind Harbour. From the southern dock, travel to the Hippogryph "..
			"Master at 55.4, 88.4 in Rut'theran Village.|n|n"..
			"Vesprystus will allow you to fly to Lor'danel in Darkshore.|n|n"..
			"Seek out Priestess Dentaria Silverglade as she may need your help!",

	["3x3"]	=	"|n|n|n|n|n|n|n|n|nSo ~p~, Westfall and how to get from here to there. Hmm...|n|n"..
			"As Valaar's Berth wharf connects The Exodar to Rut'theran Village western wharf at the base of "..
			"Teldrassil then any adventurer in this region need only make their own way to Stormwind by boat. "..
			"Westfall is located south from the main gate.",

	["3x4"]	=	"|n|n|n|n|n|n|n|n|nSo ~p~, Westfall and how to get from here to there. Hmm...|n|n"..
			"Ironforge and Stormwind are connected by the Deeprun Tram. So anyone in that general area need "..
			"only make their way to the Stormwind front gate.|n|n"..
			"Westfall is located south from there. Seek out Lieutenant Horatio Laine at 60.0, 19.2, just "..
			"outside The Jansen Stead.",

	["4"]	=	"Hello friend, " .. npcName .. " here. I believe you may be ready to explore further afield. Yes, "..
			"indeed.|n|n"..
			"Silverpine Forest, to the south/west of Undercity and the story of Lady Sylvanas Windrunner is of "..
			"immense importance, especially with regard to the Forsaken race, the Kingdom of Lordaeron, and, "..
			"oh I could go on ~p~.|n|n"..
			"The Ghostlands and Northern Barrens offer little lore but the latter might have a Leaping Hatchling "..
			"companion nest.|n|n"..
			"Azshara offers entertainment for adventurers, dragonflight related lore and cool achievements for "..
			"the best questers.|n|n"..
			"By all reports Silverpine easily beats Azshara for lore although the latter is entertaining. My "..
			"friends prefer to visit Azshara when more experienced so that achievements are less frustrating.",

	["5"]	=	"Oh ~p~, just thought I would mention that if adventuring in Silverpine then you MUST follow it "..
			"through to its very end. It is not just about the Gilneans versus the Forsaken.|n|n"..
			"I don't want to spoil things for you but you will be working closely with the Banshee Queen "..
			"herself. What a rare opportunity!|n|n"..
			"The Dark Lady watches over you!|n|n|n"..
			"Coordinates of the Leaping Hatchling nests in the Northern Barrens... let me see what I "..
			"have here... oh yes,|n|n64.94, 28.60|n64.16, 22.99|n62.76, 20.18|n60.95, 19.76|n|n"..
			"Good luck ~p~!",

	["5x2"]	=	"And yes ~p~, you are probably wondering how you could even get from here to Silverpine Forest.|n|n"..
			"Within Silvermoon City, you will notice Sunfury Spire. Right inside, up at the back is an \"Orb of "..
			"Translocation\". It will transport you to the Ruins of Lordaeron, which is above The Undercity.|n|n" ..
			"From there make your own way to meet up with Grand Executor Mortuus in Silverpine Forest.|n|n"..
			"If you had picked up a Warchief's Command then his location will be obvious on your map. He is "..
			"at 57.4, 10.1.",

	["5x3"]	=	"And yes ~p~, you are probably wondering how you could even get from here to Silverpine Forest.|n|n"..
			"Within Orgrimmar you can obtain a Zeppelin ride to near the ruins of Lordaeron, which is above "..
			"The Undercity.|n|n"..
			"From there make your own way to meet up with Grand Executor Mortuus in Silverpine Forest.|n|n"..
			"If you had picked up a Warchief's Command then his location will be obvious on your map. He is "..
			"at 57.4, 10.1.",

	["5x4"]	=	"Azshara ~p~, and how to get there from here. Let's see...|n|n"..
			"Azshara is located to the north of Orgrimmar. To reach Orgrimmar you will need to fly on a "..
			"Zeppelin from just north of the Ruins of Lordaeron.|n|n"..
			"In Org, walk through the Valley of Honor and exit through the top / north gate.",

	["6"]	=	"Greetings ~p~, my friend. I have observed that you are ready to explore greater challenges and the Second "..
			"Sundering has certainly shaken things up.|n|n"..
			"Duskwood is dark and misty, offering interesting Darkrider and worgen lore and the chilling legend of Stalvan. "..
			"A LEGION of adventurers have begun coming here.|n|n"..
			"In the Wetlands you eventually see the devastation of Menethil. You might also find a Razormaw Hatchling "..
			"companion in the cave at 69.2, 35.2!|n|n"..
			"In Ashenvale you will adventure alongside your Horde adversaries in a lush, beautiful ancient forest "..
			"environment, largely settled by Night Elves.",

	["6x3"]	=	"Oh yes ~p~, Ashenvale. You'll need to get there from here.|n|n"..
			"Ironforge and Stormwind are connected by the Deeprun Tram. So anyone in that general area need "..
			"only make their way to Stormwind Harbor. From the southern dock, travel to the Hippogryph "..
			"Master at 55.4, 88.4 in Rut'theran Village.|n|n"..
			"Vesprystus will allow you to fly to Lor'danel in Darkshore.|n|n"..
			"Travel south to Ashenvale, meeting with Sentinel Shyela at Orendil's Retreat at 26.8, 22.0.",

	["6x4"]	=	"Oh yes ~p~, Ashenvale. You'll need to get there from here.|n|n"..
			"As Valaar's Berth wharf connects The Exodar to Rut'theran Village western wharf at the base of "..
			"Teldrassil then any adventurer in this region need only make their own way to the Hippogryph "..
			"Master at 55.4, 88.4 in Rut'theran Village.|n|n"..
			"Vesprystus will allow you to fly to Lor'danel in Darkshore.|n|n"..
			"Travel south to Ashenvale, meeting with Sentinel Shyela at Orendil's Retreat at 26.8, 22.0.",

	["6x5"]	=	"Of course ~p~! You are probably wondering how you could even get from here to the Wetlands.|n|n"..
			"As Valaar's Berth wharf connects The Exodar to Rut'theran Village western wharf at the base of "..
			"Teldrassil then any adventurer in this region need only make their own way to Stormwind Harbor.|n|n"..
			"From there take the Deeprun Tram to Iron Forge then travel east to Loch Modan and from there "..
			"north to the Wetlands.",

	["7"]	=	"Greetings ~p~, my friend. I have noticed that you are ready to explore greater challenges.|n|n"..
			"The Hillsbrad Foothills are not just a continuation of the lore driven questing of Silverpine. "..
			"I found this plague ravaged zone to be quite entertaining, with the quests offered by Brazie "..
			"especially rewarding. Lovely pet. Yes, indeed.|n|n"..
			"And in Ashenvale you will adventure alongside your Alliance adversaries in a lush, beautiful "..
			"ancient forest environment, largely settled by Night Elves.|n|n"..
			"Ashenvale is relevant to the Warsong struggles but then Hillsbrad has convenient Alterac Valley "..
			"vendors.",
			
	["7x1"]=	"Oh yes ~p~, you are probably wondering how you could even get from here to the Hillsbrad "..
			"Foothills.|n|n"..
			"Within Orgrimmar you can obtain a Zeppelin ride to the ruins of Lordaeron, which is above The "..
			"Undercity.|n|n"..
			"From there travel south via Silverpine Forest.|n|n"..
			"Before I forget, Brazie the Botanist is keen to speak with you. He is over at his farmstead at "..
			"33.6, 49.2.",

	["7x2"]=	"Oh yes ~p~, you are probably wondering how you could even get from here to the Hillsbrad Foothills.|n|n"..
			"Within Silvermoon City, you will notice Sunfury Spire. Right inside, up at the back is an \"Orb of "..
			"Translocation\". It will transport you to the Ruins of Lordaeron, which is above The Undercity.|n|n"..
			"Now travel south via Silverpine Forest.|n|n"..
			"Before I forget, Brazie the Botanist is keen to speak with you. He is over at his farmstead at "..
			"33.6, 49.2.",

	["7x3"]	=	"And of course Ashenvale, and how to get there from here...|n|n"..
			"From the Ruins of Lordaeron, go "..
			"north to the Zeppelin base. Travel to Orgrimmar and take the river exit through the Valley of "..
			"the Spirits and walk south along the river to the Far Watch Post.|n|n"..
			"Travel west along the road until the \"T\" junction. Almost there ~PvP~!|n|n"..
			"Now go north along the road, through the Mor'Shan Rampart. Finally!",

	["8"]	=	"It is good to see you ~p~. I was wanting to advise you of your next destination my friend.|n|n"..
			"Stonetalon Mountains has become a very interesting area since the Shattering but the same could also "..
			"be said of Northern Stranglethorn. The Arathi Highlands were untouched by the events of the "..
			"Cataclysm. Hmmm...|n|n"..
			"None of the areas is rich in lore. For gatherers, the Arathi Highlands has the highest level "..
			"ores and herbs, with the Stonetalon offerings vastly inferior. Yes...|n|n"..
			"Stranglethorn is fantastic for skinners, those following the Nesingwary achievements, pet "..
			"collectors and those interested in Zul'Gurub.",

	["8x1"]	=	"Indeed ~PvP~, my new found friend. Not sure if you need any travels tips but...|n|n"..
			"You reach Stonetalon Mountains via Ashenvale, the Arathi Highlands via the Wetlands or Hillsbrad "..
			"and North Stranglethorn is reached ~f1~",

	["8a1"]	=	"via the road south from Duskwood.",
	["8h1"]	=	"via a Zeppelin from Orgrimmar.",

	["9"]	=	"Welcome ~PvP~. It is indeed that time again. Yes. A tough choice awaits.|n|n"..
			"The Southern Barrens gets you up close to the Alliance/Horde animosity of the present time.|n|n"..
			"The Hinterlands has little lore. Yes ~p~, I know many an adventurer who goes straight "..
			"to ~f~ to help with \"Snapjaws\". The Extreme Angler FC-5000 is a fine work of art ~p~ and a "..
			"great reward for a simple task.|n|n"..
			"Desolace is a skinners paradise with all those kodo as well as offering some light lore with "..
			"the Cenarion Circle.|n|n"..
			"But the Cape of Stranglethorn. Yes indeed ~p~. All that Booty Bay has to offer! You will visit "..
			"many times my friend, better to make acquaintances with the goblins now!",

	["9a"]	=	"Dron Blastbrew at 66.2, 44.3 ",
	["9h"]	=	"Katoom the Angler at 80.4, 81.4",

	["10"]	=	"Hello friend!|n|n"..
			"Well, indeed. You are probably wondering what " .. npcName .. " will suggest this time?|n|n"..
			"Thousand Needles or Eastern Plaguelands?|n|n"..
			"Yes, Thousand Needles has the Speedbarge. What fun!|n|n"..
			"But only the Eastern Plaguelands has Fiona's Caravan and some interesting lore. Oh yes, ~p~, "..
			"if I may... choose Fiona's \"Lucky Charm\" for a chance at finding a pet while questing!|n|n"..
			"The Eastern Plaguelands leads nicely into The Badlands which is not to be missed!",

	["11"]	=	"Hello friend, Feralas, Western Plaguelands and Dustwallow Marsh. Each has its merits.|n|n"..
			"Feralas. Home of the amazing Dire Maul, Night Elves and Ogres. And a Green Dragonflight member "..
			"who has a LEGION of relevance. The lush rainforest is rich in herbs and ore to gather.|n|n"..
			"Dustwallow Marsh is dark and misty with a hint of Black Dragonflight trouble.|n"..
			"Seek out Brogg at 41.9, 74.0|n"..
			"in Mudsprocket in this respect.|n"..
			"~f1~|n|n"..
			"In the Western Plaguelands you'll meet ~f2~ in The Battle for Andorhal. You MUST witness this~f3~ "..
			"The herbing and ores are okay too.",

	["11a1"] =	"Why not drop in on Lady Jaina Proudmore? She is so very important to the lore of this world.",
	["11h1"] =	"But visit Brackenwall Village first as the Ogres also have dragon trouble!",
	["11a2"] =	"Thassarian",
	["11h2"] =	"Koltira Deathweaver and Lady Sylvanas Windrunner",
	["11a3"] =	".",
	["11h3"] =	". Do NOT leave early!",

	["11x1"] =	"Getting to Theramore can be a problem for the Alliance, my friend. Corporal Jeyne at the Booty "..
			"Bay docks might be able to assist. So too Gazlowe at Ratchet. He can be found in the laboratory "..
			"at the north end of town, near the Flight Master.",

	["11x4"] =	"As a Horde hero, ~p~, you would be well advised to speak to Arcanist Arman in Booty Bay or "..
			"Darkcleric Marnal at the Hiri'watha Research Station in The Hinterlands or High Executor "..
			"Derrington on the northern side of The Bulwark on the border between Tirisfal and the "..
			"Western Plaguelands.|n|n"..
			"Each is willing to assist you with easy travel to Koltira Deathweaver in Andorhal in the "..
			"Western Plaguelands.|n|n"..
			"Hmm. Yes, Darkcleric Marnal is standing in front of Booty Bay's Salty Sailor Tavern, holding "..
			"an enchanted... fish...|n|n"..
			"Oh yes, if they are not offering to help, hmmm, trying dropping any related quest you picked "..
			"up off the Warboard.",

	["11x5"] =	"As an Alliance hero, ~p~, you would be well advised to speak to War-Mage Erallier in Booty Bay "..
			"or Gryphon Master Talonaxe at the Aerie Peak in The Hinterlands.|n|n"..
			"Each is willing to assist you with easy travel to Thassarian in Andorhal in the "..
			"Western Plaguelands.|n|n"..
			"Hmm. Yes, War-Mage Erallier is standing under your Flight Master.|n|nOh yes, if they are not "..
			"offering to help, hmmm, trying dropping any related Hero's Call quest you picked up.",

	["11x6"] =	"Oh dear ~p~, I must tell you of this...|n|n"..
			"I was offered a portal from Booty Bay up to Andorhal. All well and good indeed.|n|n"..
			"But I DIDN'T complete the quest. Hohoho...|n|n"..
			"So now, while I am doing my archaeology runs, I can instantly portal up to Andorhal from "..
			"Booty Bay any time I want. Now THAT is travel my fine friend!",

	["12"]	=	"Did I ever make mention of Nat Pagle, ~p~?|n|n"..
			"Found him long ago on a small island off Theramore. I can still picture him now. "..
			"Alone with his mates.|n|n"..
			"That's Jack and Jim and Johnnie. Not to mention Jameson and Glen. And this wild dude "..
			"who was a real turkey. I tell you bud, I'm wiser for the stories he told.|n|n"..
			"And forever grateful for the fishing pole he gifted me. A solitary man, a solitary "..
			"existence.|n|n"..
			"You'll get along real fine. He doesn't suffer time wasters but if you are a true "..
			"angler then expect a quest to undertake. The reward is a superb rod handcrafted by "..
			"Nat himself~m~",

	["12y"]	=	"!",
	["12n"]	=	"!|n|nYou'll just about pass muster with fishing skill of 225 and level 34.|n|n",

	["13"] =	"You'll find Nat Pagle at the islands south-west of Theramore. Location 58.8, 60.2 if I "..
			"recall correctly.|n|n"..
			"That fishing pole he will offer is hard to pass up ~p~!|n|n"..
			"Hohoho... Ah yes I recall Nat and myself at the Kalu'ak Fishing Derby, sharing a pool, "..
			"as you do.|n|n"..
			"I hooked a Blacktip Shark! Up a river in Sholazar of all places... So, panic to get "..
			"back to Dalaran for the win. This mage nearby offered an ancient portal to Dal. We "..
			"jumped through...|n|n"..
			"Finished up in Dalaran alright. Dalaran Crater in Hillsbrad. 75 yards or more up in "..
			"the air!!!|n|n"..
			"Lucky for me I am extra bouncy so I survived the fall. It hurt. Then it hurt a second "..
			"time when Nat landed on me!",

	["14"]	=	"Greetings wanderer!|n|n"..
			"Apparently you are ready to travel to Tanaris? Nice Goblin town there. Interesting.|n|n"..
			"But Felwood has some truly epic lore. Some MAJOR players in the lore of Azeroth make an "..
			"appearance. A MUST DO indeed ~p~!|n|n"..
			"And The Badlands. After your awesome rocket ride from the Eastern Plaguelands, you will "..
			"learn of a very moving story involving Rhea. NOT TO BE MISSED!|n|n"..
			"~p~, I strongly urge you to do The Badlands and then do Felwood.|n|n"..
			"Later, I will assist you to zip through Felwood, if you wish.",

	["15"] =	"Welcome to Felwood, ~p~. Good to see you here!|n|n"..
			"Let's do the best part! Go to Tender Puregrove at 43.3, 30.4 in Whisperwind Grove. She "..
			"offers two tasks for adventurers level 46 and over. She will then offer a third.|n|n"..
			"After that, go to Huntress Selura nearby at 43.4, 28.2 who will send you to...|n|n"..
			"Pivotal moments in Azeroth's history. You MUST do this ~p~!|n|n"..
			"Later, you will be given a BLINDFOLD and... if you've been following my lore chat, the "..
			"one COMMENCING BELOW THE VORTEX MAW JUST SOUTH OF LOR'DANEL IN DARKSHORE and which "..
			"continued at the DALARAN CRATER, then I will have much to say!",

	["16"] =	"Tough to decide ~p~. Especially as you are supposed to go to the Swamp of Sorrows, straight after "..
			"the Burning Steppes. The Swamp of Sorrows is steeped in the history of Azeroth and you will learn "..
			"much about the Temple sunk by Ysera into the swamp and play a great part in assisting the Green "..
			"Dragonflight.|n|n"..
			"To be honest ~p~, when I was a young Pandaren, it was about now I decided to SLOW DOWN for I "..
			"was just missing too much. I did Winterspring until I had sufficient Timbermaw reputation, then I "..
			"zipped down to Un'Goro to meet Maximillian of Northshire and have a look around, and then I went "..
			"to the eastern part of the Burning Steppes and hitched a ride to the Swamp of Sorrows.|n|n"..
			"I guess it helps that the upcoming zones of Silithus and the Blasted Lands, for me, were not that "..
			"interesting.",

	["17"]	=	"Welcome to Tanaris, home of the Caverns of Time and Gadgetzan, the \"Jewel of Tanaris\".|n|n"..
			"Gadgetzan is the capital of the Steemwheedle Cartel, an alliance of neutral goblins. The leader "..
			"of Gadgetzan is Marin Noggenfogger, famous for inventing Noggenfogger elixr. His partner, "..
			"Sprinkle, sells it to adventurers nowadays.|n|n"..
			"From level 66 and not before, go to the Caverns of Time in the east, a little south. It is the "..
			"home of the Bronze Dragonflight, of whom Nozdormu \"The Timeless One\" is the leader.|n|n"..
			"The great titan Aman'Thul no less, charged Nozdormu with safeguarding the flow of time.",

	["18"]	=	"Hello friend, you have an interesting choice to make.|n|n"..
			"Winterspring follows directly on from Felwood and allows you to continue your Timbermaw rep "..
			"grind. One of the highest concentrations of ore in the world and the herbing and skinning is "..
			"excellent too~f1~"..
			"The Burning Steppes is much more interesting since the Second Sundering. It's all about the Black "..
			"Dragonflight.|n|n"..
			"Un'Goro Crater. My word, ~p~, the dinosaur ambience just makes Un'Goro really different and a nice "..
			"break from the \"blackness\" of other zones. Its a skinners paradise too! At level 51 I met "..
			"Maximillian of Northshire at the Golakka Hotsprings. The funniest person you will ever meet~f2~",

	["18a1"] =	". Rivern Frostwind at 46.6, 17.6 assists level 50 Alliance in acquiring a cute "..
			"frostsaber pet.|n|n",
	["18h1"] =	".|n|n",
	["18a2"] =	".|n|n",
	["18h2"] =	". Mor'vek at 71.4, 73.8 assists level 48 Horde in acquiring a cute raptor pet.",

	["19"] =	"Greetings ~p~. Silithus or the Blasted Lands you say?|n|n"..
			"The Cenarion Circle in Silithus has an attraction for some in terms of reputation but neither zone "..
			"offers much in the way of lore, I am sorry to say my friend.|n|n"..
			"Most adventurers skip these and, if level 58, hurry through the Dark Portal, located in the centre "..
			"of the Blasted Lands.|n|n"..
			"~x~",

	["19x1"] =	"Through the Dark Portal you go!",
	["19x2"] =	"You will be ready soon enough ~PvP~. Swamp of Sorrows, Un'Goro, or Winterspring for now. Or all three!",

	["20"] =	"Greetings wanderer, " .. npcName .. " here.|n|n"..
			"Well, there is always Redridge to the east of Elwynn Forest.|n|n"..
			"Yes, since the events of the Second Sundering, things have changed there. Indeed. And there's "..
			"even a hint of events to come in The Badlands.|n|n"..
			"Something dark and blazed. Possibly worth while investigating ~p~.|n|n"..
			"Oh yes, black and scorched. I remember now!|n|n"..
			"Blackened Kun Lai noodles. Oh I yearn for them ~p~.|n|n"..
			"Now, where is my bandana... Kun Lai noodles! Must be eaten with a bandana...",

	["21"] =	"Just a thought, if I may my friend.|n|n"..
			"I see many adventurers seeking to raise their standing with the Cenarion "..
			"Expedition.|n|n"..
			"They have a radical branch known as the Druids for the Ethical and Humane "..
			"Treatment of Animals. Just call them DEHTA, ~p~.|n|n"..
			"You'll find their encampment at the Kaskala juncture on the road leading "..
			"~f1~ from ~f2~ in the Borean Tundra in Northrend.|n|n"..
			"You don't have to agree with how they go about their cause ~p~. Get in. Get "..
			"out. It's a means to an end, that's all.|n|n"..
			"Gaining rep that way, you can push on quicker in Outland!",

	["21h1"] =	"east",
	["21a1"] =	"north",
	["21h2"] =	"Warsong Hold",
	["21a2"] =	"Valiance Keep",

	["22"] =	"Uldaman is important ~p~ and you should go there.|n|n"..
			"The entrance is located at the foot of the Khaz Modan mountains at the far north of the Badlands "..
			"although I know a sneaky back entrance at 58.4, 36.9 through an opening beneath Fuselight.|n|n"..
			"Uldaman was an ancient city constructed by the Titans and it is from here the Dwarf race originated. "..
			"You will be given the opportunity to converse with a Stone Watcher left behind by Norgannon \"The "..
			"Dreamweaver\", a member of The Pantheon, the greatest of the Titans.|n|n"..
			"You will also learn about the Earthen and the Troggs and hopefully greater appreciate the other "..
			"buried Titan cities of Uldum and Ulduar and places such as Bael Modan, and famous people "..
			"such as Brann Bronzebeard who is tirelessly rediscovering ancient Dwarven lore.",

	["23"] =	"The Deadmines are interesting ~p~.|n|n"..
			"It is all to do with the Defias Brotherhood. Apparently this is their top secret hideout and your "..
			"assistance with other heroes would be greatly appreciated.|n|n"..
			"What have the Defias Brotherhood got to do with events in the world? Hmm, yes indeed...|n|n"..
			"Well they are more than just thieves and assassins, ~p~. Just ask Anduin Wrynn! "..
			"There are even suggestions that they might be working with other scurrilous "..
			"groups such as the Bloodsail Buccaneers but that's only speculation ~p~.",

	["24"] =	"Blackfathom Deeps might be of interest ~PvP~!|n|n"..
			"I mean, little is known of the influence and threat of aquatic beings in the world. Queen Azshara "..
			"is another issue altogether. We tend to focus on the Dragonflights and so on, neglecting a very "..
			"important thread in our lore.|n|n"..
			"If the Naga, for example, assert their influence in the world again ~p~, then don't blame me for "..
			"not warning you. Until then, you may care to appreciate a little of this aquatic instance in "..
			"Azeroth.|n|n"..
			"Not exactly the Maelstrom, I agree. Yes, indeed. Perhaps relevant, though.",

	["25"] =	"Gnomeregan ~p~!|n|n"..
			"Oh, was that you groaning? Hmm, indeed.|n|n"..
			"I agree that it is still confusing, even after the Second Sundering.|n|n"..
			"But how else are we to understand why it is that the cute little Gnomes of this world do not seem "..
			"to have a city or homeland they can really call \"their own\".|n|n"..
			"Awww... poor Gnomes!",

	["26"] =	"Maraudon awaits ~p~!|n|n"..
			"Oh, was that you groaning? Hmm, indeed.|n|n"..
			"I agree that it is still confusing, even after the Second Sundering.|n|n"..
			"Think I said something like that before to you? Maybe it was the Violet Tragan 'shrooms in my "..
			"noodles?|n|n"..
			"Well, it is all about Princess Theradras, Therazane the Stonemother's sole daughter.|n|n"..
			"In a nutshell, ~p~, you will meet Therazane much later in your adventures. She will not be happy "..
			"with you but...|n|n"..
			"Oh, you'll find out ~p~!",

	["27"] =	"Oh, Dire Maul ~p~?|n|n"..
			"Well, it is really for the enthusiasts, or those who wish to witness what other adventurers "..
			"rave about while they are eating their vanilla dumplings and drinking their vanilla ale or "..
			"whatever.|n|n"..
			"I thoroughly enjoyed putting this one off for a while so I could go in solo and do a \"Tribute "..
			"Run\" like in the old days!|n|n"..
			"Sometime I will show you my Gordok ogre suit disguise I saved up!|n|n"..
			"Oh, did I mention ogres? Yes, orges. Lots and lots of them. So many MALE ogres.|n|n"..
			"Exactly where are the FEMALE ogres ~p~? Can you enlighten me please!",

	["28"]	=	"Ah! Stratholme, ~p~!|n|n"..
			"Tl;DR if I may? Lord Aurius Rivendare drops the amazing \124cffa335eeDeathcharger's "..
			"Reins\124r!!!|n|n"..
			"~f~|n|n"..
			"Well, not really often actually, but there is a chance... Just make sure, if "..
			"it is the mount you are after, that you go in through the \"dead side\", also known "..
			"as the \"Service Entrance\".|n|n"..
			"The back story as such is very tragic. A whole City pretty much decimated. You find "..
			"out who was responsible soon enough ~PvP~!",

	["28a"]	=	"The SKELETAL warhorse is the only one ALLIANCE adventurers will ever be able to own!",
	["28h"]	=	"Sometimes...",

	["29"]	=	"Blackrock Depths await, ~p~!|n|n"..
			"Hmmm. Indeed. Anything to do with Blackrock mountain needs investigating ~p~ if you care "..
			"at all about the world.|n|n"..
			"I couldn't help laughing the other day when an adventurer was heard to exclaim \"they "..
			"don't make dungeons like that any more!\". Not sure what she meant but I think I might "..
			"agree.|n|n"..
			"Oh yeah, this is just one of four parts. Do them all.|n|n"..
			"Mother Smolderweb in Lower Blackrock Spire drops a great spider companion! And Quartermaster "..
			"Zigris is almost certain to drop a great Worg companion!",

	["30"]	=	"Welcome to the Swamp of Sorrows!|n|n"..
			"Did you know that the Blasted Lands, to the south, was once just like this and together they "..
			"were known as the \"Black Morass\"?|n|n"..
			"Later, you can learn more about this and the terrible Dark "..
			"Portal within by adventuring through a part of the Caverns of Time known as \"Opening The Dark "..
			"Portal\".|n|n"..
			"You will notice, my friend, that the Temple of Atal'Hakkar, sunken deep into the swamp by "..
			"Ysera the Dreamer herself, has had a dominating influence on all that happens here~m~",

	["30m1"] =	".",
	["30m2"] =	".|n|nBefore you go there ~p~, you must meet with old Baba Bogbrew. She can be found at "..
			"Stagalbog at 69.1, 76.5, due south of the Temple.",
	["30m3"] =	".|n|nBefore you go there ~p~, you must meet with old Baba Bogbrew. She can be found at "..
			"Stagalbog at 69.1, 76.5, due south of the Temple. From level 51 she will have tasks for you.",
	["30m4"] =	".|n|nBefore you go to the Temple of Atal'Hakkar ~p~, you should finish all that old Baba Bogbrew "..
			"has to offer. You may recall that she is located at Stagalbog, due south of the Temple.",
	["30m5"] =	".|n|nBefore you enter the Temple of Atal'Hakkar ~p~, you must meet with Lord Itharius. He is "..
			"an important member of the Green Dragonflight. He can be found atop the Temple.|n|n",
	["30m6"] =	".|n|nBefore you descend inside the temple complex ~p~, you may care to finish Lord "..
			"Itharius' task in the pools outside the Temple AND pick up the next task.|n|n",
	["30m7"] =	".|n|nBefore you enter the Temple of Atal'Hakkar ~p~, you may care to finish all that Lord "..
			"Itharius has to offer OUTSIDE the Temple.|n|n",
	["30m8"] =	".|n|nLord Itharius has more tasks at level 54, inside and outside the Temple.|n|n",

	["31"]	=	"Oh the Sunken Temple or Temple of Atal'Hakkar, ~p~!|n|n"..
			"Years ago Ysera the Dreamer, the Green Dragon Aspect, discovered that the Atal'ai jungle "..
			"trolls, worshippers of the Blood God Hakkar, had fled from Stranglethorn Vale to the Swamp of "..
			"Sorrows and built a great temple to their god. The Hakkari, once enemies of the Atal'ai, also "..
			"fled there and together they prepared to summon Hakkar's return to Azeroth.|n|n"..
			"Ysera learned of this and sought to thwart the plans by sinking the temple deep into the Swamp "..
			"of Sorrows and having it guarded by her dragonflight brethren, led by Itharius and her consort "..
			"Eranikus. Alas ~p~, this only concealed the efforts of Hakkar's followers from the rest of the "..
			"world.",

	["32"]	=	"Welcome to Feralas, ~p~!|n|n"..
			"The Dragons of Nightmare are four corrupted members of the Green Dragonflight. They are controlled "..
			"by Xavius the Nightmare Lord.|n|n"..
			"Lethon and Emeriss were defeated in the \"War Against the Nightmare\", leaving two remaining "..
			"and that is where YOU come in ~p~ my friend.|n|n"..
			"Speak first to ~f1~ who will task you with \"Signs of Change\" and then \"More Than Illness\".|n|n"..
			"After this second sad task ~p~ do please PAUSE a little while for you will be visited by someone "..
			"important...|n|n",

	["32h1"] =	"Konu Runetotem at Camp Ataya",
	["32h2"] =	"Konu Runetotem at Camp Ataya (when you are level 34)",
	["32a1"] =	"Telaron Windflight at Dreamer's Rest",
	["32a2"] =	"Telaron Windflight at Dreamer's Rest (when you are level 34)",

	["33"]	=	"Welcome to Bloodmyst Isle, ~p~!|n|n"..
			"The island has been blighted by radiation from the Exodar, the ship the Draenei used when "..
			"fleeing Draenor and which crashed on nearby Azuremyst. The Exodar was once a part of Tempest "..
			"Keep, located in the Netherstorm region of Outland!|n|n"..
			"Hmmm, I thought you might like to visit Wyrmscar Island~m~ to the north east. It was "..
			"once a part of the night elf city of Loreth'Aran and protected by the \"Dragon Riders of Loreth'"..
			"Aran\", members of Ysera's Green Dragonflight no less.|n|n~f~",

	["33a1"] =	"Seek out the spirit of Prince Toreth. He can be found wandering along the shore to the far "..
			"south of the island. Ah yes ~p~, you must listen to all that he has to say. Help him ~p~! "..
			"Is he doomed to wander the ruins forever?",
	["33h1"] =	"Along the southern shore, Prince Toreth's spirit wanders eternally amongst the bones of his "..
			"dead protectors, the Green Dragonflight, who were betrayed by Deathwing's Lieutenant, "..
			"Razormaw. The story of the Black Dragonflight's betrayal is told to Alliance heroes.",

	["33m1"] =	",",
	["33m2"] =	", at level 15,",

	["34"]	=	"Welcome to the Blasted Lands, ~p~!|n|n"..
			"It was once a misty fen known as the \"Black Morass\" and became a barren wasteland when Medivh, "..
			"corrupted by Sargeras, and the Shadow Council created a Dark Portal to bridge the gap between "..
			"the worlds of Azeroth and Draenor.|n|n"..
			"Gul'dan, leader of the Shadow Council, led an army of corrupted orcs into Azeroth, heralding "..
			"the start of the \"First War\".|n|n"..
			"As interesting as the history of the Blasted Lands and Nethergarde Keep might be, far better "..
			"indeed awaits you ~p~ on the other side of the portal.|n|n~m~",

	["34m1"] =	"Step through now my friend and begin your new adventure!",
	["34m2"] =	"Make haste my friend! When you reach level 58 then step through and begin your new adventure!",
	["34m3"] =	"As you of course well know my friend.",

	["35"]	=	"Welcome to Nethergarde Keep!|n|n"..
			"Indeed my friend, you are probably not aware that Khadgar himself ordered its construction after "..
			"the Second War in order to protect Azeroth from further invasion from Draenor.|n|n"..
			"Edwin Van cleef, now more commonly infamous for the Dead Mines, led the construction team of "..
			"Stonemasons. This was before they became the Defias Brotherhood.|n|n"..
			"Khadgar, as Master of the Keep, and General Turalyon, under direction of King Terenas Menethil "..
			"II of Lordaeron, along with Danath Trollbane, Alleria Windrunner and Kurdran Wildhammer, led "..
			"the Alliance Expedition back into Draenor when Ner'zhul reopened the Portal.|n|n"..
			"The Kirin Tor managed the Keep in Khadgar's absence.",

--	Will overflow onto the border in a small window of certain dimensions. Text here is more important.
	["36"]	=	"Greetings wanderer, Outland awaits!|n|n"..
			"The sacking of Stormwind perfectly symbolises the devastation visited upon Azeroth by the "..
			"invading Draenor orcs. The Second War, six years later, saw the orcs press north "..
			"as far as Lordaeron and Quel'Thalas. The Alliance, led by Sir Anduin "..
			"Lothar, Uther the Lightbringer and Admiral Daelin Proudmoore, took advantage of divisions "..
			"within the Horde and succeeded in routing them and closing the "..
			"Dark Portal.|n|n"..
			"Two years later, after Ner'zhul created portals, the Alliance Expedition, "..
			"led by Khadgar and General Turalyon, ventured into Draenor to end the orc threat. The portal "..
			"energies tore apart Draenor, creating Outland.|n|n"..
			"Eighteen years later, it comes to this ~p~! Step through the Dark Portal in the Blasted "..
			"Lands and discover what awaits you!",

	["37"]	=	"Stop! You are not prepared!|n|n"..
			"Hi ~p~, Illidan here. Erm... I mean ".. npcName .." here.|n|n"..
			"You should really wait until you reach level 58 before you venture forth into the Twisting "..
			"Nether.|n|n"..
			"Sure you might be tough enough with all your 'loom gear or whatever.|n|n"..
			"But no-one will offer you anything to do.|n|n"..
			"THAT is the problem.",

	["38"]	=	"Hmmm hmmm, it appears you are ready for Zangarmarsh!|n|n"..
			"It is better to go there for the first time via the Cenarion Post to the west of Hellfire "..
			"Peninsular.|n|n"..
			"Zangarmarsh is all about the rewards from  the Cenarion Expedition and Sporeggar, along with "..
			"the sinister presence of many naga and problems with the main lake.|n|n"..
			"And so many fungi!",

	["39"]	=	"Hmmm hmmm, Terokkar Forest is next my friend and you are ready!|n|n"..
			"You are supposed to start at the Cenarion Thicket. It is just outside and to the east of "..
			"Shattrath.|n|n"..
			"Ah yes ~p~, Terokkar, named after Terokk, whose kin you must surely meet. And Auchindoun, so "..
			"central to the history of the draenei.|n|n"..
			"Sadly ~p~, I wasted an hour wandering the desolate Bone Wastes in search of the mysterious "..
			"Koong Foo Pandaren, who happens to push a noodle cart.|n|n"..
			"Not that the noodle cart mattered.|n|n"..
			"Indeed no, I just wanted to meet another Pandaren in Outland!", 

	["40"]	=	"Hmmm hmmm, Nagrand follows directly from Terokkar Forest and you are ready my "..
			"good friend!|n|n"..
			"Make haste to ~f1~ when you are ready as there is much to do.|n|n"..
			"Nagrand's plains are teeming with skinnable wildlife and meat on the bone, and "..
			"Hemet Nesingwary needs your assistance. That's an achievement!\124cFFFFFF00~f2~"..
			"And the rest of the place is full of female ogres. Lovely, gorgeous female "..
			"ogres, hohoho. Oh, I am so sorry ~p~! You can't deny this pandaren a belly "..
			"laugh, can you?|n|n"..
			"Did you know? It is said: To err is human... <laughs>... Stupid humans...",

	["40a1"] =	"Telaar",
	["40h1"] =	"Garadar",
	["40a2"] =	"|n|n",
	["40h2"] =	"|n|nYou MUST go to Garadar and see things through to the VERY END. A revered hero may "..
			"eventually ride into town.|n|n",

	["41"] =	"Oh yeah ~p~, almost forgot to tell you.|n|n"..
			"The Deadmines are easy to find if you want to travel there yourself.|n|n~m~|n|n"..
			"My word ~p~, these Yaungolian Noodles are excellent. Really excellent...|n|n<slurp>",

	["41m1"] =	"Just get yourself to Moonbrook, which is located slightly to the west and "..
			"to the far south of Westfall, before you get to the hills.|n|n"..
			"Check the buildings there. You'll find the Defias Hideout and a way in soon enough!",
	["41m2"] =	"Look for the Defias Hideout. It's surely in one of these buildings.|n|n"..
			"You'll find a way in soon enough!",

	["42"]	=	"Hmmm hmmm, ~m~|n|n"..
			"I find it a curious place. So central to the lore of the world and yet you will not really "..
			"learn much of that as you adventure through the area.|n|n"..
			"Well, I helped out at Evergrove as much as I could when I went there. Did wonders for my "..
			"Cenarion Expedition standing.|n|n"..
			"Okay, I suppose I dropped by ~f~ but I was more interested in adventuring elsewhere at the "..
			"time.",

	["42m1"] =	"I noticed you are ready for Blade's Edge Mountains ~p~!",
	["42m2"] =	"welcome to Blade's Edge Mountains ~p~!",
	["42m3"] =	"welcome to Blade's Edge Mountains ~p~, although it is a little too soon for you to complete "..
			"tasks here. Level 65 would be better!",
	["42a1"] =	"Sylvanaar and then Toshley's Station",
	["42h1"] =	"Thunderlord Stronghold and then Mok'Nathal Village",

	["43"]	=	"Hmmm hmmm, ~m~.|n|n"..
			"Shadowmoon Valley is steeped in the lore of Illidan Stormrage and Maiev "..
			"Shadowsong, Akama, and the Black Temple.|n|n"..
			"Netherstorm has Area 52 with its interesting \"legacy\" replica gear "..
			"vendors, the Consortium Ethereal pet vendors, Kael'thas Sunstrider's "..
			"mana forges and the naaru's Tempest Keep.|n|n"..
			"But only Shadowmoon Valley has the netherwing dragonflight and their "..
			"stunning mounts.|n|n"..
			"Netherstorm is a nice place to chill, my friend, but Illidan awaits you "..
			"in the Valley!",

	["43m1"] =	"welcome ~p~ to Shadowmoon Valley. A great place for you to continue your "..
			"adventure through Outland",
	["43m2"] =	"welcome ~p~ to Netherstorm. A nice place for you to adventure, although "..
			"Shadowmoon Valley might be better",
	["43m3"] =	"You're ready for Netherstorm and Shadowmoon Valley ~p~",
	["43m4"] =	"welcome ~p~ to Shadowmoon Valley. A great place for you to continue your "..
			"adventure through Outland when you reach level 67",
	["43m5"] =	"welcome ~p~ to Netherstorm. A nice place for you to adventure when you "..
			"reach level 67, although Shadowmoon Valley might be better",

	["44"]	=	"Welcome to Outland, ~p~!|n|n"..
			"Hmmm, the origins of Outland? Well... on the planet Argus, home to the "..
			"eredar, the three leaders, Kil'jaeden, Archimonde and Velen, were visted "..
			"by the evil titan Sargeras. He spoke of great power in return for their "..
			"loyalty.|n|n"..
			"Velen saw through this and after a visit from the sapient naaru, he "..
			"gathered the uncorrupted eredar and fled in the naaru ship Genedar. They "..
			"called themselves \"draenei\", meaning \"exiled ones\".|n|n".. 
			"Fleeing from world to world, always with Kil'jaeden in pursuit, they found "..
			"refuge on the planet they called Draenor, some 25,000 years later. They "..
			"lived in peace with the native orcs but Kil'jaeden, through the efforts of "..
			"Talgath, discovered the draenei and set about corrupting the orcs, notably "..
			"Ner'zhul, chieftain of the Shadowmoon clan...",

	["45"]	=	"And so it was that the orcs, led by Ner'zhul and his apprentice Gul'dan, over eight long and "..
			"bloody years, slaughtered almost all the draenei.|n|n"..
			"Later, a portal to Azeroth was constructed and the Horde ran roughshod "..
			"in the First War, including trashing Stormwind Keep and killing King Llane.|n|n"..
			"Six years later, the Second War was bad for the Horde, due to infighting and great leadership "..
			"of the newly formed Alliance of Lordaeron by Lord Anduin Lothar. The horde retreated to the "..
			"Blasted Lands and through the Dark Portal.|n|n"..
			"Two years later, while still recovering from his injuries, Ner'zhul was convinced to open new "..
			"portal rifts, aided by some powerful artefacts. He unleashed so much energy that the world "..
			"was torn apart, leaving fragments, now known as Outland, floating in a Twisted Nether.",

 	["46"]	=	"Welcome to Hellfire Peninsular ~p~!|n|n"..
			"The path from here to Hellfire Citadel is steeped in bloody history ~p~, but sadly you will "..
			"not learn of that doing tasks here. Let's just get to the fun bit!|n|n"..
			"First thing is to go to ~f1~ side of the Stair of Destiny. Follow his directions and at the "..
			"earliest opportunity, go to these people and do as few tasks as possible before the next "..
			"person:|n|n~f2~|n|n"..
			"Somebody set us up the bomb ~p~!",

	["46h1"] =	"Lieutenant General Orion on the Horde",
	["46a1"] =	"Commander Duron on the Alliance",
	["46h2"] =	"* General Krakork|n* Nazgrel|n* Sergeant Shatterskull|n* Forward Commander To'arch|n* Wing "..
			"Commander Brack",
	["46a2"] =	"* Marshal Isildor|n* Force Commander Danath Trollbane|n* Sergeant Altumus|n* Forward Commander "..
			"Kingston|n* Runetog Wild Hammer|n* Wing Commander Gryphongar",

	["47"]	=	"Well hello friend!|n|n"..
			"The Citadel was created by Warchief Blackhand of the Horde and it was from here that the "..
			"massacre of the Shattrath draenei was planned and carried out.|n|n"..
			"The Path of Glory connects the Citadel to the Stair of Destiny, the location of the Dark "..
			"Portal. You can just imagine the Horde orcs ~p~, marching triumphantly up the Path and onward "..
			"into Azeroth. It must have been a magnificent sight.|n|n"..
			"Erm, if you are Horde that is. Wait no, that Horde was different to the Horde of today and... "..
			"oh dear. Was that a noodle cart I saw rolling along the Path of Glory? I'll be right back ~p~...",

	["48"]	=	"Hmmm, the Cenarion Post is a great place to pickup some extra Cenarion "..
			"Expedition reputation!|n|n"..
			"Generally, adventurers wait until they are Honored before they do the quests on offer "..
			"here but it is really your choice ~PvP~.|n|n~m~|n|n"..
			"By the way, have you seen any Pandaren around these parts?",

	["48m1"] =	"At least grab the quest from Amythiel Mistwalker to send you to the Cenarion Refuge in "..
			"Zangarmarsh to begin your rep grind.",
	["48m2"] =	"At least grab the quest from Amythiel Mistwalker to return to the Cenarion Refuge in "..
			"Zangarmarsh for some easy rep.",
	["48m3"] =	"When you reach level 61, grab the quest from Amythiel Mistwalker to send you to the "..
			"Cenarion Refuge in Zangarmarsh to begin your rep grind.",
	["48m4"] =	"Whatever happens, you get sent back and forth a couple of times, as you have already "..
			"noticed.",
	["48m5"] =	"At least finish the quest you picked up from Amythiel Mistwalker to send you to the "..
			"Cenarion Refuge in Zangarmarsh to begin your rep grind.",
	["48m6"] =	"At least return to Ysiel in the Cenarion Refuge in Zangarmarsh for some easy rep.",

	["49"]	=	"Hello friend, Thrallmar is important. Thrall's trusted advisor Nazgrel is in command here and "..
			"he will have much to say to you.|n|n"..
			"Much later in your journey the brown orc Mag'har will be willing to richly reward you but for "..
			"now you begin your reputation with them through \"The Assassin\" task from Nazgrel.|n|n"..
			"Eight magnificent riding talbuks and lots of leatherworking patterns await you later in "..
			"Garadar, Nagrand. Not to mention an incredible sequence of events involving a revered hero "..
			"of the Horde. MUST NOT BE MISSED!|n|n"..
			"Oh yes indeed! Nazgrel's sword is the amazing Huge Thorium Battleaxe, craftable by "..
			"blacksmiths and his great wolf pelt helm is avaiable when you get to Terokkar Forest.",

	["50"]	=	"Ah yes ~p~, Magtheridon's Lair!|n|n"..
			"When Ner'zhul succeeded in opening many portals to others worlds, the sheer energy of those "..
			"portals caused Draenor to explode, leaving the former world floating in a Twisting Nether.|n|n"..
			"Most life on the orc home world was annihilated save for some orcs, ogres and draenei.|n|n"..
			"Magtheridon rallied the surviving orc clans and made his base in the Black Citadel and from "..
			"there used four of Ner'zhul's dimensional gateways, located nearby, to summon all manner of "..
			"evil fel creatures, nether dragons, doomguards and so forth to serve as his minions...",

	["51"]	=	"Welcome to Zangarmarsh ~p~!|n|n"..
			"Ah indeed, it is so strikingly, uniquely beautiful with everything radiating a tranquil, "..
			"phosphorescent light, from the giant fungi to tiny fireflies.|n|n"..
			"Make a point of starting at the Cenarion Refuge. It is right at the base of Thornfang Hill, "..
			"which connects Hellfire Peninsular and Zangarmarsh. Locate the Cenarion Expedition "..
			"Quartermaster. You'll most likely be wanting a Hippogryph. Indeed, a majestic mount!|n|n"..
			"Sporeggar, to the far south west has an interesting companion, tailoring, alchemy and gear "..
			"reputation rewards!|n|n"..
			"Ah yes ~p~, lookout for Marticar, the Coilfang Emissary and the Bog Lurker. Rarely found "..
			"but great gear to loot indeed!",

	["52"]	=	"It is good to see you here ~p~.|n|n"..
			"Speak at once to Force Commander Danath Trollbane. He has much to say about the Alliance "..
			"Expedition.|n|n"..
			"Note also that some of the guards seem to be of pension age!|n|n"..
			"Indeed ~p~, seek out Arator the Redeemer. He is the son of Alleria Windrunner and General "..
			"Turalyon, both missing in action and presumed alive.|n|n"..
			"Pay CLOSE attention when you talk to him and FOLLOW him as he talks with Father Malgor "..
			"Devidicus and Danath Trollbane.|n|n"..
			"Hmmm, what is this \"Legion\" in his vision. Standing over his dying father? I hope not "..
			"~p~!",

	["53"]	=	"Welcome, ~p~, to Terokkar Forest!|n|n"..
			"The entire area is rich in lore and rewards. You will not be disappointed ~p~!|n|n"..
			"Indeed, I think it best I give you a quick rundown and then as you explore I will be nearby "..
			"to offer some help.|n|n"..
			"The Cenarion Thicket, just east of Shattrath, is where you should start. Next, is your base "..
			"at ~f~. Look for a parrot \"Skywing\" at 53.8, 72.2 and Oakun at 31.0, 76.4.|n|n"..
			"Lakes Jorune, Ere'Noru, and Blackwind have Highland Mixed Schools from which you can obtain "..
			"a pet. At Silmyr Lake, Old Man Barlo at 38.7, 12.8 offers fishing tasks with excellent "..
			"recipe and pet rewards~m~",

	["53h1"] =	"Stonebreaker Hold",
	["53a1"] =	"Allerian Stronghold",
	["53m1"] =	".",
	["53m2"] =	" when you reach level 70.",

	["54"]	=	"It is good to see you at the Cenarion Thicket, ~p~.|n|n"..
			"The tasks in this immediate area reward you with Cenarion Expedition reputation, which is "..
			"never a bad thing. I also picked up a unique crazy blue cloak as a quest reward but the "..
			"rep is the thing really.|n|n"..
			"Aside from that I was more interested in searching for Doomsayer Jurim as he wanders the "..
			"paths in the forest area of Terokkar. You're guaranteed to get some \"grim\" gear off "..
			"him.|n|n"..
			"Trouble though is that he is quite rare to find.",

	["55"]	=	"Yep, the coordinates are 53.8, 72.2 for Skywing.|n|n"..
			"You may have to wait for him to appear. Less than ten minutes if I recall correctly.|n|n"..
			"You'll need to follow him quite closely. He can pretty much look after himself. It is you "..
			"who needs to be careful.|n|n"..
			"Anyway... you will love the \"mini\" reward for your efforts.|n|n"..
			"By the way ~p~, did you know that it is said: Elephant's tusks will not grow from a dog's "..
			"mouth. BUT, you can get em in there, you know, a little glue, some tape... It's fine. "..
			"Maybe a rubber band.",

	["56"]	=	"Greetings ~p~, the shamanistic roots of orcs are well-known and ~m~|n|n"..
			"With spirit wolves central to the orc shaman experience you must visit Malukaz in Stonebreaker "..
			"Hold. He's the orc wearing Molten Core Tier 1 gear.|n|n"..
			"Do all his tasks for an amazing lupine reward and some fun along the way to boot!|n|n"..
			"For plate, mail and cloth wearers it is the only thing like it in the entire world!",

	["56m1"] =	"you should have started those quests which begin with \"The Assassin\" from Nazgrel in "..
			"Thrallmar to understand what I want to talk about.",
	["56m2"] =	"you should have finished those quests which began with \"The Assassin\" from Nazgrel in "..
			"Thrallmar to understand what I want to talk about.",
	["56m3"] =	"you'll recall following the inspiring spirit wolf to the reclusive Mag'har outpost in Hellfire "..
			"Peninsular.",

	["57"]	=	"Greetings ~p~, you must visit Bertelm. He has a couple of tasks related to worgs or "..
			"wolves. Do each as they are offered and enjoy an amazing lupine reward!|n|n"..
			"For plate, mail and cloth wearers it is the only thing like it in the entire world!|n|n"..
			"He's standing by the huge waterwheel.",

	["58"]	=	"Hello friend, you've travelled a long way to the Sha'tari Skyguard base.|n|n"..
			"As well as the unique mounts and a nice companion, lookout for an amazing Windcharger's "..
			"Lance polearm reward. Quite unique and so awesome looking.|n|n"..
			"There is a fantastic toy available here ~p~. You can transform into a Skettis Arakkoa. "..
			"You will even walk like one!!!|n|n"..
			"~m~",
			
	["58s1"] =	"But you must reach level 70 then visit Yuula in Stattrath. She is standing next to "..
			"the flight master at 64.3, 42.3. She will facilitate things.",
	["58s2"] =	"Visit Yuula in Stattrath. She is standing next to ",
			"the flight master at 64.3, 42.3. She will facilitate things.",
	["58s2"] =	"But you must finish with Yuula in Stattrath. She will eventually facilitate things.",
	["58s4"] =	"The Sha'tari await!",

	["59"]	=	"Just a quick hello ~p~! Oakun offers a couple of tasks, the last of "..
			"which has a \124cff1ecc00Dragonbone Greatsword\124r as a reward option. It is the ONLY "..
			"sword like it in the world. Think carefully before you sell it ~p~!|n|n"..
			"I didn't bother with the rest of the Sha'tari Base Camp. Was in a hurry to get back to the "..
			"World's End Tavern at the time to hear the Elite Tauren Chieftain play!|n|n"..
			"Oh yeah, Oakun will tell you something about going north-east of Auchindoun. Don't! Imagine "..
			"Auchindoun is a giant compass. Go to the exact \"due eastern\" edge of Auchindoun.|n|n"..
			"For the win my good friend, for the win!",

	["60"]	=	"Yep, you are probably wondering about these ruins and the terrible "..
			"devastation in the surrounding wastelands.|n|n"..
			"Auchindoun was once a magnificent structure deep within the Terokkar Forest. The Shadow "..
			"Council, in seeking to summon the mysterious elemental Murmur, caused a massive explosion. "..
			"The ruins of Auchindoun and The Bone Wastes bear testament to the incredible energy of "..
			"Murmur.|n|n"..
			"The Shadow Council, if you were wondering ~p~, was a secret council formed by Gul'dan to "..
			"steer the manipulation of the orc clans and to spread dark warlock magics. Remnants "..
			"survive to this day.|n|n"..
			"Hmmm yes ~p~, so that's what happened... but who built it?...",

	["61"]	=	"Well ~p~, it is all about the naaru and the draenei.|n|n"..
			"The naaru are a race of sapient energy beings. They came to the aid of the draenei when "..
			"the draenei had to flee their homeland. The naaru dimensional ship \"Genedar\" "..
			"unfortunately crashed on Draenor.|n|n"..
			"Of the naaru onboard, D'ore was \"killed\" and the remains were interred by the draenei, "..
			"led by the Prophet Velen, in a crypt. This crypt was the beginning of the mausoleum "..
			"known as Auchindoun.|n|n"..
			"Unfortunately, a naaru so severely depleted as D'Ore will radiate dark light or void "..
			"energy. This resulted in all of Auchindoun becoming corrupted, including the auchenai, "..
			"as the draenei custodians of Auchindoun became known.|n|n",

	["62"]	=	"Welcome to the Sethekk Halls ~p~. I have spoken about the High Arakkoa already. One of the "..
			"sages, Ikiss, investigated why Terokk had been banished. He met with a banished sage but "..
			"they were discovered. Ikiss himself was thrown into the tainted pools of Sethekk Hollow.|n|n"..
			"His mind crazed by Anzu's blood curse, he came to believe he was the reincarnation of "..
			"Terokk. After a while he switched from worshipping Sethe to an unknown Old God.|n|n"..
			"When Auchindoun exploded, Ikiss thought that this heralded the return of the old god. Ikiss "..
			"and his followers went to Auchindoun and now control this wing.|n|n"..
			"You enter as a group from level 65 and \"heroic\" from 70 but if alone then do take care "..
			"~p~!",

	["63"]	=	"Welcome ~p~ to Shattrath City.|n|n"..
			"Since it was sacked by rampaging blood-tainted orcs it has been partially rebuilt.|n|n"..
			"You MUST choose one of Scryers or Aldor, both of which have bases high above but within "..
			"Shatt, if you wish to progress in Shadowmoon Valley later.|n|n"..
			"Your choice depends on the faction rewards on offer from the respective quartermasters.|n|n"..
			"The Lower City, home to countless races of refugees, still shows signs of the devastation "..
			"with the ground itself appearing to have been partially sundered.|n|n"..
			"Be cautious of the wares on offer from Griftah in the tent-styled bazaar. A firm favourite of "..
			"all adventurers, his vendibles are of dubious pedigree.",

	["64"]	=	"The World's End Tavern is a great place to meet other adventurers and some of Shatt's odd "..
			"bods. Don't forget to give Tinkerbell a bone and to take Haris Pilton for a walk.|n|n"..
			"Towards the north of the Lower City is Seth. He rewards adventurers with a nice fishing "..
			"rod.|n|n"..
			"That reminds me ~p~, a little to the east of Seth is a path leading out to Slimyr Lake. "..
			"Old Man Barlo there offers adventurers of level 70 and above a daily fishing quest. Great "..
			"rewards ~p~, including several pets!|n|n"..
			"Now, alongside that path leading out of Shatt is a small encampment. Seek out The Rokk. "..
			"He'll teach you a thing or two about cooking, on a daily basis, but providing you have "..
			"experience and cooking acumen. Level 70 and 275 skill should suffice.",

	["65"]	=	"Hello friend, this is the wing of Auchindoun to which the auchenai fled from the rampaging "..
			"orcs.|n|n"..
			"Sadly ~p~, over time the void energy of the depleted naaru D'Ore had a corrupting influence "..
			"on the auchenai. From a group of draenei steadfastly protecting and nurturing the dead and "..
			"their spirits, they began meddling in necromancy.|n|n"..
			"A short time after you have finished here, I will repeat the words of a captive spirit you "..
			"would have released if you were horde and if you had bothered to complete a task. Closure "..
			"is important ~p~, be you Horde or Alliance.|n|n"..
			"You enter as a party from level 63 and \"heroic\" from 70 but if alone then do take care ~p~!",

	["66"]	=	"Yep, congratulations on your defeat of Exarch Maladaar!|n|n"..
			"You have just defeated the guardian of the very first tomb around which Auchindoun was "..
			"built!|n|n"..
			"Finally the captive spirit has been released and it is none other than D'Ore! You'll recall "..
			"that it was D'Ore who, critically injured when the Genedar crashed in Nagrand, was interred "..
			"by the auchenai. And it is the dark energy of D'Ore which pervades and corrupts all within "..
			"Auchindoun.|n|n"..
			"The spirit of D'Ore slowly floated down to hover over the body of Exarch Maladaar and the "..
			"following was said to the horde heroes:", 

	["67"]	=	"\"The memory is vivid, ~p~. My energies were wholly drained from the crash. I was only a dim "..
			"speck of void energies when the Prophet Velen and his draenei compatriots lifted my remains "..
			"and brought them here. After much ceremony, my diminished form was laid to rest within this "..
			"sarcophagus. I have been regenerating for nearly a thousand years. The cycle is almost "..
			"complete...\"|n|n"..
			"\"For several centuries, the spirits of Auchindoun coalesced into my darkened essence. Many "..
			"of the catastrophes that befell this crypt were a direct result of my weakened state.|n|n"..
			"Regrettably, there is nothing that can be done to stop this cycle. It is a facet of the "..
			"naaru condition - without the void, the Light cannot exist.\"",

	["68"]	=	"Welcome to the Ghostlands ~p~!|n|n"..
			"Ranger Vynna at The Farstrider Enclave needs your help. If you follow through the tasks "..
			"offered, which are theoretically possible for level 15 adventurers, you will confront one of "..
			"the high elves greatest traitors.|n|n"..
			"It is thanks to this person that Prince Arthas Menethil was able to advance all the way "..
			"from the Thalassian Pass to Silvermoon City, despite a valiant, dogged defence by the "..
			"Quel'thalas Farstriders, led by Ranger-general Sylvanas Windrunner, who ultimately paid "..
			"with her life.|n|n"..
			"Oh yeah... you'll be offered a \124cff0070ddSin'dorei Warblade\124r or a "..
			"\124cff0070ddDawnblade\124r which are unique. The \124cff0070ddStaff of the Sun\124r is "..
			"fairly unique. All three look amazing on low level adventurers!",

	["69"]	=	"And what to do in Shadowmoon Valley ~p~!|n|n"..
			"Seek out Mordenai, a high elf wandering west-north-west of Dragonmaw Fortress. He begins "..
			"an epic Netherwing saga culminating in the ability to tame those magnificent dragon "..
			"mounts! You will need FAST FLYING or else you will not progress far.|n|n"..
			"For work, go to your home base of ~f1~. One such task sends you to the Altar of Damnation "..
			"to deal with the consequences of Gul'dan's corruption of the orcs~f2~|n|n"..
			"Followers of the saga of Illidan Stormrage and Maiev Shadowsong will seek out Akama and "..
			"the Warden's Cage.",

	["69a1"] =	"Wildhammer Stronghold",
	["69h1"] =	"Shadowmoon Village",
	["69f1"] =	".|n|nAt the Sanctum of the Stars you will learn of Karabor, Illidan Stormrage and demon "..
			"hunters!",
	["69f2"] =	".|n|nAt the Altar of Sha'tar you will learn of Karabor, Illidan Stormrage and demon "..
			"hunters!",
	["69f3"] =	".",

--	Will overflow onto the border in a small window of certain dimensions. Text here is more important.
	["70"]	=	"The Netherwing dragonflight are of great interest ~p~.|n|n"..
			"Believing Draenor to be a safe haven, Deathwing deposited some black dragonflight eggs "..
			"and established a perch in the Blades Edge Mountains.|n|n"..
			"The gronn resented his presence. Also, Khadgar, Turalyon and Alleria Windrunner arrived "..
			"as they sought the Skull of Gul'dan which Deathwing possesed.|n|n"..
			"Naturally, a fight ensued. Deathwing was forced to retreat back to Azeroth when his "..
			"adamantium plates were pierced.|n|n"..
			"When Ner'zhul caused the destruction of Draenor, the remaining eggs were transformed by "..
			"the released energies, forming the part corporeal, part ethereal Netherwing "..
			"Dragonflight.|n|n"..
			"And needing a hero such as you to help them establish their place in the world!",

	["71"]	=	"Did I even mention lore my friend?|n|n"..
			"At the very heart of the area is Auchindoun and The Bone Wastes. So central to the draenei, "..
			"the Alliance Expedition and the arakkoa of Terokkar Forest. Go there!|n|n"..
			"And don't overlook all that is on offer at the Blackwind Landing, the Sha'tari Skyguard "..
			"base at 64, 66. Lore, mounts and a pet. ~m~.|n|n"..
			"Before I go... Doomsayer Jurim wanders the paths in the forest area to the north and north-"..
			"east. Okrek can be found wandering the paths and grounds of the four Arakkoa Veils. Crippler "..
			"can be found in and around the grounds of Auchindoun. All three are rare and with great "..
			"loot to plunder.",

	["71s1"] =	"But you must reach level 70 then visit Yuula in Stattrath. She is standing next to "..
			"the flight master at 64.3, 42.3. She will facilitate things.",
	["71s2"] =	"Visit Yuula in Stattrath. She is standing next to the flight master at 64.3, 42.3. She "..
			"will facilitate things.",
	["71s2"] =	"But you must finish with Yuula in Stattrath. She will eventually facilitate things.",
	["71s4"] =	"The Sha'tari await!",

	["72"]	=	"It is good to see you indeed ~p~, I have been waiting for the opportunity to talk to you "..
			"about the Arakkoa.|n|n"..
			"Long ago when Outland was Draenor there existed the Spires of Arak, a land of tall rocky "..
			"outcrops spiring to the sky and where only the avians could thrive.|n|n"..
			"Today, all that remains is Skettis, which was subsumed into Terokkar Forest in present "..
			"day Outland.|n|n"..
			"Three gods ruled over the Spires. Rukhmar the sun goddess is a strong high flying "..
			"firehawk and mother of the Kaliri.|n|n"..
			"Anzu is the raven god, the father of the dread ravens.|n|n"..
			"Sethe was cold blooded with scales of frosted glass. He was the father of the wind "..
			"serpents.|n|n",

	["73"]	=	"At one time the covetous Sethe asked Anzu to help slay the strong, youthful high flying "..
			"Rukhmar. Anzu warned Rukhmar and in the ensuing battle Rukhmar overpowered Sethe.|n|n"..
			"Anzu swooped in for the kill but Sethe uttered a dying curse, that the land would be "..
			"blighted by his blood. Selflessly, Anzu picked his bones clean and only a trickle of "..
			"blood escaped, creating Sethekk Hollow in Draenor.|n|n"..
			"Anzu was now cursed, his body contorted and his wings shrivelled. He retreated into the "..
			"world of shadows, leaving his consort in command of the dread ravens.|n|n"..
			"Beforehand, in an act of vengance, he had all of Sethe's wind serpents slaughtered in one "..
			"bloody night.",

	["74"]	=	"Rukhmar fled from the blighted land and created the first arakkoa, based upon her own "..
			"strength and the intelligence of Anzu.|n|n"..
			"Over time there came into being a powerful High Arakkoa society of Skyreach. They worshipped "..
			"the sun god Rukhmar. Their king was Terokk.|n|n"..
			"The jealous sages of Skyreach had Terokk and his followers cast down into Sethekk Hollow, "..
			"where he became cursed.|n|n"..
			"Anzu, who had been biding his time, made Terokk the first of the Arakkoa Outcasts and the "..
			"city of Skettis was built.|n|n"..
			"Over time the Sethekk faction, worshippers of Sethe, rose and the remaining outcasts "..
			"drifted further into darkness and abandoned Anzu. Terokk himself declined and his followers "..
			"sealed him into the realm of shadows.",

	["75"]	=	"Tell me of your travels ~p~! Indeed, Old Hillsbrad Foothills awaits! You travel back in "..
			"time and help a younger Thrall escape from his slavery so that he may fulfil his destiny.|n|n"..
			"So long as you stay away from Tarren Mill and Durnholde Keep, it is safe to explore.|n|n"..
			"You MUST visit Southshore and in particular the Inn where you will see a very historic "..
			"event played through. It lasts a while. Don't go until the Chef orders everybody out!|n|n"..
			"Nat Pagle has some interesting predictions to offer. He is down by the wharf with a "..
			"drinking buddy.|n|n"..
			"Bud, you'll be wiser for what he says!",

	["76"]	=	"The Caverns are located beneath the sands of eastern Tanaris. You will see several guardian "..
			"dragons swirling above the entrance and the Steward of Time standing at the entrance.|n|n"..
			"He will grant adventurers a taxi ride deep into the Caverns if you are of sufficient "..
			"level.|n|n"..
			"Then, ~p~, do speak with Andormu who will arrange a really great walking tour by one of the "..
			"Custodians of Time! Notice the very beautiful and rarely seen Mooncloth Robe she is "..
			"wearing!|n|n"..
			"Hmmm... the Custodian does a good job explaining things. Indeed, no need for me my friend. "..
			"Might just go and fetch some noodles from the Steam Pools. They are not TOO far away...",

	["77"]	=	"Tell me of your travels again! The Black Morass is a curious place to visit.|n|n"..
			"Yes, you are actually going to assist Medivh in opening a portal into Azeroth from "..
			"Draenor so that a chaotic horde of orcs may ultimately sack Stormwind and...|n|n"..
			"Trust me ~p~, it is for the best. I think... The bronze dragonflight are adamant that the "..
			"flow of time must always be upheld!|n|n"..
			"Medivh was a powerful sorcerer who had been possessed by Sargeras. He'd convinced Gul'dan "..
			"to work together to create the portal. Medivh was based not far from here in the tower of "..
			"Karazhan.|n|n"..
			"Gul'dan was the preeminent leader of the disparate orc clans in Draenor.|n|n"..
			"Enough for now ~p~. Medivh awaits!",

	["78"]	=	"Welcome, ~p~, to Quel'Thalas, a region comprising Eversong Woods, Ghostlands, Silvermoon "..
			"City and and the Isle of Quel'Danas.|n|n"..
			"Dath'Remar Sunstrider, the first leader of the exiled Highborne caste of the Kaldorei "..
			"(which means \"Night Elf\") was searching for a homeland. After many years he came across "..
			"Tirisfal Glades. They moved north and developed an enmity with the barbaric forest "..
			"trolls of Zul'Aman. Further north they founded their kingdom of Quel'Thalas or \"High "..
			"Kingdom\".|n|n"..
			"Dath'Remar created a Sunwell from a vial originating from the Titan's Well of Eternity, a "..
			"source of powerful and addictive arcane energy. The Highborne used the Sunwell to shape and "..
			"empower their homeland and themselves, causing their appearance to alter. Thus the High "..
			"Elves were born.",

	["79"]	=	"Tell me of your travels ~p~! The Magister's Terrace awaits!|n|n"..
			"Thousands of years ago the Titan's Well of Eternity was used to summon the ultimate evil, "..
			"Sargeras. In the present time, Kael'thas Sunstrider wishes to use the Sunwell of Quel'Thalas "..
			"to summon the leader of the Burning Leagion, Kil'jaeden.|n|n"..
			"Yes indeed, ~p~... Kael'thas Sunstrider. How can a well meaning, dedicated leader of a "..
			"people just get it so wrong? He seeks or agrees to alliances to further the blood elves "..
			"but in doing so becomes nothing but a pawn to those who in essence would do them harm.|n|n"..
			"My dream ~p~, is that one day I shall meet some kind of emanation of Kael and that he may "..
			"seek and gain redemption.",

	["80"]	=	"Hmmm, Just one thing if I may ~p~...|n|n"..
			"The Infinite Dragonflight are bronze dragons who serve the Old Gods. They seek to destroy the "..
			"passage of time, thus enabling alternate timelines from which they would gain infinite power.|n|n"..
			"Portals to several instances of key junctures of Azeroth's history are to be found in the "..
			"Caverns of Time. A group of bronze dragons, the Keepers of Time, implore adventurers such "..
			"as yourself ~p~ to venture forth and help preserve the flow of time.|n|n"..
			"All their tasks are available from level 66. While they do offer reputation rewards, the real "..
			"riches are to be found when you enter these historical portals.|n|n"..
			"Oh yes indeed ~p~, they are fun too!",

	["81"]	=	"Hello friend! Hmmm yes, I can always thank those Chun Tian Spring Rolls for moments of "..
			"inspiration.|n|n"..
			"You see ~p~, I was considering the dilemma of shamans as part of the Alliance.|n|n"..
			"I came to the conclusion that this is nothing at all strange. What is indeed strange is that "..
			"the Horde claim all shaman for themselves. I will explain if I may.|n|n"..
			"No I won't. Best to explain would be Farseer Nobundo. He is a \"Broken\" draenei ~p~, but not "..
			"at all hostile towards you.|n|n"..
			"He was the first shaman amongst the draenei and in fact the Alliance. He is found in The "..
			"Crystal Hall of The Exodar.|n|n",

	["82"]	=	"Before you speak to Farseer Nobundo, you really must approach Seer Skaltesh.|n|n"..
			"He will give you a potion. It will stay in your bags for five minutes. When you drink it "..
			"you will be able to see elemental spirits.|n|n"..
			"In the shaman area of The Exodar this is a good thing to do!|n|n"..
			"Drink one now, then grab a spare.|n|n"..
			"Proceed up the stairs on his left and walk towards the brazier to the right of and behind "..
			"Sixx, who sells great moth pets by the way ~p~!|n|n"..
			"Alongside that brazier is a very steep ramp, easily overlooked. Go up it. Speak to Farseer "..
			"Nobundo.|n|n"..
			"I know you will agree that this is one of the great stories!",

	["83"]	=	"As the next area for your adventures is Zangarmarsh you will want to be pushing "..
			"westwards.|n|n"..
			"The Cenarion Post at 15.6, 52.2 is easily missed as it is just south of the westward path. "..
			"Check in there before heading west to Thornfang Hill.|n|n"..
			"Oh yes ~p~, look out for Mekthorg the Wild, Fulgore and Vorakem Doomspear my friend. Rarely "..
			"seen but great swag to plunder indeed.|n|n",

	["84"]	=	"Sadly for Magtheridon, Illidan Stormrage was fleeing Kil'jaeden and with the help of "..
			"Kael'thas Sunstrider and his blood elves, Lady Vashj and her naga, and Akama and his "..
			"Ashtongue tribe of broken draenei, they shut down the gateways.|n|n"..
			"With no reinforcements, Magtheridon was unable to withstand the onslaught by the Illidari.|n|n"..
			"Illidan decided to imprison him under Hellfire Citadel. Bound in chains, his tainted blood is "..
			"drained daily to help create fel orcs for Illidan's army.",

	["85"]	=	"Oh if I may ~p~...|n|n"..
			"Noticed you are doing the \"Disrupt Their Reinforcements\" quest. All good my friend.|n|n"..
			"At completion, the Shadowbrim Travel Hat reward option is the only one of that colour in the "..
			"world.|n|n"..
			"Just saying!",

	["86"]	=	"Welcome to the Underbog ~p~!|n|n"..
			"A great place to grind away at your Cenarion Expedition AND Sporeggar "..
			"reputation.|n|n"..
			"Detailed lore rundown follows, ~p~.|n|n"..
			"Lady Vashj. Naga. Up to no good. There!|n|n"..
			"<chuckles>|n|n"..
			"The \124cff0070ddGreatstaff of the Leviathan\124r has an amazing head which "..
			"looks like waggling tongue. It's alive ~p~! Ghaz'an is the one to hunt down "..
			"for that. But only for HEROES!|n|n"..
			"Hungarfen... hmm, yes ~p~ I know! The \124cff0070ddBoggspine Knuckles\124r "..
			"look sublime in the right hands! They look so huge on a gnome or goblin!",

	["87"]	=	"Swamplord Musel'ek can yield the amazing and unique one-handed "..
			"\124cff0070ddBogreaver\124r axe to HEROES! It seems to drip... poison? I've "..
			"heard female druids NORMALLY are hoping Musel'ek might let go a uniquely "..
			"coloured \124cff0070ddTunic of the Nightwatcher\124r "..
			"for that minimal chest covering look.|n|n"..
			"Elemental shammy HEROES love the unique \124cffa335eeStormsong Kilt\124r. "..
			"They hunt The Black Stalker for that. NORMALLY, mages are wanting the blue "..
			"and purple unique \124cff0070ddRobes of the Augurer\124r. A firm "..
			"favourite!|n|n"..
			"And now my friend, while I have your attention. A question of "..
			"importance...|n|n"..
			"How much deeper would the ocean be without sponges? Meditate on this.",

	["88"]	=	"Welcome to the Slave Pens ~p~!|n|n"..
			"It's Lady Vashj and her naga buddies. Pretty much sums up the lore!|n|n"..
			"HEROES will be looking for Quagmirran. Sure, you can plunder several "..
			"uniquely coloured set items off Quagmirran but the pièce de résistance would "..
			"be the superb one-handed \124cff0070ddPhosphorescent Blade\124r sword. It exudes "..
			"a blinding icy glow ~p~. I've not seen anything like it!|n|n"..
			"Almost choked on my dumpling when I saw that one drop the other day!|n|n"..
			"But how about Rokmar's NORMAL swag? He might unhand a fairly unique "..
			"\124cff0070ddCoilfang Needler\124r crossbow or his stunningly unique "..
			"\124cff0070ddCoilfang Hammer of Renewal\124r, complete with a \"bubble\" "..
			"enchant!...",

	["89"]	=	"And Mennu you ask? Hmmm, yes indeed... I just love the uniqueness of the "..
			"\124cff0070ddStarlight Dagger\124r. It has a subtle glow, a great jagged "..
			"style and so huge too! A great reward for HEROES.|n|n"..
			"NORMALLY, Mennu might be carrying a \124cff0070ddSpellfire Longsword\124r "..
			"~p~. One-handed and the only \"light sabre\" style weapon in the world. And "..
			"you can enchant it to \"stack\" the glow!|n|n"..
			"May the ... erm ... no ...|n|n"..
			"By the way ~p~ did you know you can teach a man to fish, and he is fed for a "..
			"day, uh no, uh.. He is fed, I.. I messed it up, but we just make this stuff "..
			"up anyways.",

	["90"]	=	"Welcome my friend to The Steamvault! It is from here that Lady Vashj controls the "..
			"pumping of water out of the marsh land above.|n|n"..
			"Drop in on Warlord Kalithresh, he might just offer up the \124cff0070ddVermillion "..
			"Robes of the Dominant\124r to NON-HEROES. 'Locks love this set piece! Kali' might "..
			"also relinquish the mail \124cffa335eeWave-Fury Vambraces\124r or the plate "..
			"\124cffa335eeAmber Bands of the Aggressor\124r, both of which are fairly unique. "..
			"For HEROES only!|n|n"..
			"Hunters will rejoice if he leaves the \124cffa335eeWrathtide Longbow\124r. A very "..
			"unique recurve bow made from two captured sting-rays, both of which writhe around. "..
			"Now that is sick ~p~!|n|n"..
			"From Mekgineer Steamrigger what else would you expect than the spectacular "..
			"\124cff0070ddRecoilless Rocket Ripper X-54\124r. It's a blast! Priests "..
			"surely prefer the equally amazing \124cff0070ddSerpentcrest Life-Staff\124r.",

	["91"]	=	"Well, this is it ~p~, the final wing of the Citadel, The Shattered Halls!|n|n"..
			"The Fel Orcs of Outland are based in these parts. Their leader is Kargath Bladefist. "..
			"You kill him. Simple lore, simple task!|n|n"..
			"Speaking of Kargath, he might drop the gruesome looking \124cff0070ddDemonblood "..
			"Eviscerator\124r. Rogues, "..
			"monks, whomever will want that.|n|n"..
			"Try \124cff0070ddThe Bladefist\124r for sheer overwhelming size! Only one like it in "..
			"the world. For true HEROES only!|n|n"..
			"Warbringer O'mrogg will not be outdone for uniqueness or sheer looks. The "..
			"\124cff0070ddSkyfire Hawk-Bow\124r commands attention. His \124cff0070ddRunesong "..
			"Dagger\124r with its eerie blue glow and styling, and the two-handed "..
			"\124cff0070ddFiremaul of Destruction\124r with multi points of fiery radiance are much "..
			"sought after.",

	["92"]	=	"Welcome to the second wing of the Citadel ~p~, The Blood Furnace!|n|n"..
			"Illidan has Magtheridon imprisoned below and has entrusted Keli'dan the Breaker with "..
			"\"caring\" for Mags. Yep, waste him ~p~!|n|n"..
			"While there, HEROES will be seeking the unique \124cff0070ddWillbreaker\124r one-"..
			"handed sword with its fiery glow and deadly styling. The unique \124cff0070ddAdamantine "..
			"Repeater\124r crossbow might fall too.|n|n"..
			"NON-HEROES will be striving for the unique two-handed \\124cff0070ddWarsong Howling "..
			"Axe.\124r No, ~p~, it doesn't howl when swung. It just looks breathtakingly "..
			"formidable!|n|n"..
			"HEROES might find a massive, glowing \124cff0070ddFirebrand Battleaxe\124r on "..
			"Broggok. He might NORMALLY relinquish an interesting \124cff0070ddLegion "..
			"Blunderbuss\124r. Both are unique!",

	["93"]	=	"Welcome ~p~! Illidan's helpers await you in the Hellfire Ramparts!|n|n"..
			"The Truncheon of Five Hells sounds great, is certainly unique but there are better "..
			"looking one-handed maces around. The \124cff0070ddTerror Flame Daggers\124r look much "..
			"better I think. HEROES will be looking for these off Omor the Unscarred.|n|n"..
			"NORMALLY, Omor might unhand a \124cff0070ddCrystalfire Staff\124r. This two-handed "..
			"bad boy has a purple arcane glow at both ends.|n|n"..
			"The green Cenarion set's chest, the \124cff0070ddRaiments of Nature's Breath\124r, "..
			"falls from Vazruden if you're feeling HEROIC. A druid favourite! Vaz might also "..
			"give up the unique \124cffa335eeFeltooth Eviscerator\124r. Love the poisonous green "..
			"glow of this dagger.|n|nNOT feeling HEROIC? Vaz can still yield the unique and "..
			"fearsome looking \124cff0070ddHellreaver\124r polearm.",

	["94"]	=	"There's some interesting loot to be had in The Shadow Labyrinth ~p~!|n|n"..
			"Murmur has the interesting \124cff0070ddWhispering Blade of Slaying\124r for rogues "..
			"and three unique weapons! A \124cff0070ddGreatsword of Horrid Dreams\124r with its "..
			"simply elegant lines and transparent edges, the \124cff0070ddSonic Spear\124r which "..
			"radiates a blueish glow, and the \124cffa335eeShockwave Truncheon\124r "..
			"which emanates shockwaves of course!|n|n"..
			"Vorpil's \124cff0070ddWrathfire Hand-Canon\124r is a must for hunters and "..
			"\124cff0070ddHellmaw's Platinum Shield of the Valorous\124r is fairly unique.|n|n"..
			"But what about Blackhearts's unique \124cff0070ddWand of the Netherwing\124r. As "..
			"big as a mace, it exudes a powerful blue energy glow.|n|n"..
			"Blackheart also drops the \124cff0070ddStylin' Purple Hat\124r pattern too!",

	["95"]	=	"Let's look at the Sethekk Halls drops ~p~, before you venture too far!|n|n"..
			"Anzu releases the \124cffa335eeRaven Lord\124r mount to HEROES. Done!|n|n"..
			"<laughs>|n|n"..
			"Wait up ~p~, there's more!|n|n"..
			"HEROES can get \124cffa335eeTerokk's Shadowstaff\124r from Ikiss. Love the arcane "..
			"glow. Unique too! At any time he might give away the \124cff0070ddCrow Wing "..
			"Reaper\124r. Spectacular swirling blue ethereal wisps at its head. Oh my!|n|n"..
			"Um, the Ravenguards throughout rarely offer up the \124cff0070ddStylin' Crimson "..
			"Hat\124r leatherworking pattern but its nice to get.",

	["96"]	=	"The Auchenai Crypts offer up some interesting gear ~p~.|n|n"..
			"Shirrak the Dead Watcher, for HEROES, has the \"interesting\" \124cff0070ddFanblade "..
			"Pauldrons\124r plate, but the unique \124cff0070ddClaw of the Watcher\124r fist is "..
			"alive! I swear its tentacles wiggle and its eye moves!|n|n"..
			"NORMALLY, he might yield \124cff0070ddShaarde the Lesser\124r, a one-handed sword "..
			"with a unique design.|n|n"..
			"HEROES taking on Exarch Maladaar will be seeking The \124cff0070ddHarvester of "..
			"Souls\124r axe. It ticks all the boxes ~p~! Styled for formidable swings of "..
			"devastation these massive one-handers exude a purple glow, garnished with swirling "..
			"pink wisps.|n|n"..
			"Imagine a pair of these ~PvP~!",

	["97"]	=	"The Mana Tombs might yield some interesting rewards ~p~.|n|n"..
			"Pandemonius could let go the interesting \124cff0070ddShield of the Void\124r. "..
			"HEROES might find the fearsome \124cff0070ddTwinblade of Mastery\124r dagger or "..
			"the \124cff0070ddStarbolt Longbow\124r.|n|n"..
 			"Tavarok could NORMALLY relinquish a purple \124cff0070ddScimitar of the Nexus-"..
			"Stalkers\124r or the breathtaking and almost unique \124cff0070ddShaarde the "..
			"Greater\124r. An imposing two-handed sword with a purple glow along its ornately "..
			"styled length.|n|n"..
			"Curiously, ~p~, HEROES will only meet Yor and yet the rewards are merely a few "..
			"fairly unique but unadorned chest pieces, none of which comprise a specific set...",

	["98"]	=	"HEROES are amply rewarded by Nexus-Prince Shaffar. He has so many unique weapons. I "..
			"don't just mean the interestingly styled glowing \124cff0070ddWarp-Storm Warblade\124r "..
			"sword. His \124cff0070ddGrand Scepter of the Nexus-Kings\124r has parts which spin "..
			"and also glow. And the massive great \124cff0070ddAxe of the Nexus-Kings\124r has so "..
			"many white shiny glowing blades. The two-handed \124cff0070ddScepter of Sha'tar\124r "..
			"mace is so unique with its sensational style and blue-purple glows. Imagine a warrior "..
			"dual wielding these!|n|n"..
			"He can also give up \124cffa335eeThe Fel Barrier\124r. This shield is like no other. "..
			"The centre mounted skull is on fire! The cloth \124cffa335eeBands of Negation\124r "..
			"wrists are worthwhile too.|n|n"..
			"NON-HEROIC mail wearers who missed the Terokkar Forest quest will be hoping for the "..
			"\124cff0070ddMask of the Howling Storm\124r to satisfy their lupine head piece "..
			"cravings...",
		
	["99"]	=	"Hmm... the spoils of The Old Hillsbrad Foothills ~p~!|n|n"..
			"The \124cff0070ddStylin' Adventure Hat\124r pattern for leatherworkers is popular "..
			"~p~. Any Durnholde Rifleman or Don Carlos, who wanders an east-west path, might "..
			"offer it up.|n|n"..
			"HEROES only need to down Don Carlos to get his \124cff0070ddFamous Hat\124r. But "..
			"take my advice ~p~, he doesn't linger long, so look for him before you do anything "..
			"else.|n|n"..
			"Captain Skarloc NORMALLY drops the mail \124cff0070ddScaled Greaves of Patience/124r "..
			"and the plate \124cff0070ddDurotan's Harness\124r chest, both uniquely coloured.|n|n"..
			"I'm lovin' the glow of his \124cff0070ddNorthshire Battlemace\124r one-hander!",

	["100"]	=	"HEROES battling the Epoch Hunter will be looking for the unique leather "..
			"\124cff0070ddNightfall Wristguards\124r. The fairly unique \124cff0070ddTimeslicer "..
			"dagger looks sublime. The unique \124cff0070ddReaver of the Infinites\124r two-"..
			"handed axe might appeal to some.|n|n"..
			"Lieutenant Drake might offer up the unique \124cff0070ddBloodskull Destroyer\124r "..
			"one-handed mace to HEROES. It has a subtle red glow too. Or perhaps the unique "..
			"\124cff0070ddLordaeron Medical Guide\124r. Hmmm indeed, ~p~, it's an off-hand "..
			"thing. NON-HEROES might gain the unique \124cff0070ddStormreaver Shadow-Kilt\124r.",

	["101"]	=	"In the Black Morass ~p~, Chrono Lord Deja sometimes offers the purple-pink "..
			"glowing \124cff0070ddMelmorta's Twilight Longbow\124r. Hmmm, Temporas furnishes "..
			"the almost unique \124cff0070ddMillenium Blade\124r sword with its stunning "..
			"styling and glow effect and the unique \124cff0070ddEpoch-Mender two-handed "..
			"staff with its subtle head glow. |n|n"..
			"Ah... Aeonas! HEROES will be hoping for the subtly glowing two-handed "..
			"\124cffa335eeQuantum Blade\124r. Astounding! Clothies will rejoice with the "..
			"uniquely red \124cff0070ddBreeches of the Occultist\124r. When NORMALLY "..
			"encountered, the unique \124cff0070ddBloodfire Greatstaff\124r has a fiery "..
			"glow in a centre surrounded by the Horde symbol. "..
			"For the Horde! Erm, Alliance!|n|n"..
			"There's always the stunning styling of the massive \124cff0070ddLatro's "..
			"Shifting Sword\124r one-hander.|n|n"..
			"And any Rift Lord or Rift Keeper can relinquish a \124cff0070ddStylin' "..
			"Jungle Hat\124r pattern!",
 
	["102"]	=	"Hmmm indeed ~p~, what spoils await in The Mechanar you may well ask!|n|n"..
			"Mechano-Lord Capacitus might offer up a \124cff0070ddPlasma Rat's Hyper-"..
			"Scythe. Pretty much unique, this blue polearm has a great design.|n|n"..
			"If you are lucky, Nethermancer Sepethrea's plunder will include a unique and "..
			"stunning \124cff0070ddStellaris\124r one-handed axe. Oh, the purple glows "..
			"and the awesome styling ~p~!|n|n"..
			"But Pathaleon the Calculator has the best booty of all. The almost unique "..
			"\124cff0070ddManacWrath\124r and \124cff0070ddEdge of Cosmos\124r, or the "..
			"unique \124cffa335eeThe Sun Eater\124r one-handed swords, each  of which "..
			"have impressive styling. And the \124rff1eff00Arcanoweave\124r robe "..
			"tailoring pattern too.",

	["103"]	=	"Ah, my friend. So much Botanica loot!|n|n"..
			"The \124cff0070ddRevenger\124r is a cute, unique one-handed sword grabbed "..
			"off Commander Sarannis and Laj drops the uniquely coloured "..
			"\124cff0070ddMantle of Autumn\124r, a druid favourite.|n|n"..
			"Unique \124cff0070ddStormreaver Warblades\124r with wispy blue emanations "..
			"from each jagged finger and the reasonably unique \124cff0070ddAegis of the "..
			"Sunbird\124r shield fall from High BotanistcFreywinn.|n|n"..
			"The uniquely yellow \124cff0070ddRuned Dagger of Solace\124r and green "..
			"\124cff0070ddDreamer's Dragonstaff\124r both drop from Thorngrin the Tender.|n|n"..
			"The unique \124cff0070ddWarpsplitter's Thorn\124r dagger and almost unique "..
			"\124cff0070ddGreatsword of Forlorn Visions\124r are gained from the "..
			"\124cff0070ddWarp Splinter\124r. The amazing \124cff0070ddFeral Staff of "..
			"Lashing\124r with its moving tongue is almost unique but for HEROES only.",

	["104"]	=	"And when we arrive at The Arcatraz, thoughts turn to the rewards on offer!|n|n"..
			"Dalliah the Doomsayer might relinquish the almost unique \124cff0070ddNether "..
			"Core's Control Rod\124r wand, the reasonably unique \124cff0070ddReflex "..
			"Blades\124r with wispy blue emanations from each jagged finger and the "..
			"\124cff0070ddLamp of Peaceful Response\124r off-hand which looks like a "..
			"mace!|n|n"..
			"But don't miss the splendidly unique \124cff0070ddEmberhawk Crossbow from "..
			"Wrath-Scryer Soccothrates. Equally stunning is his \124cff0070ddWarmaul of "..
			"Infused Light\124r two-handed mace. The \"bands\" rotatate and the whole "..
			"head is infused with a soft blue-white glow.|n|n"..
			"If Harbinger Skyriss hands over his unique \124cff0070ddHungering "..
			"Spineripper\124r dagger, be careful it's still alive. I swear it's sentient! "..
			"HEROES have a chance of his awesome \124cffa335eeVileblade of the Betrayer\124r.",

	["105"]	=	"The Magister's Terrace is an incredibly rich place to farm for phat lewt ~p~!|n|n"..
			"The least of which are eighteen assorted profession patterns, schematics and "..
			"the like, along with a 20 slot bag!|n|n"..
			"All four belligerents have a chance of offering up the coveted \124cff0070ddOrb "..
			"of the Sin'dorei\124r toy to HEROES. Allows you to transform into a Blood Elf!|n|n"..
			"Kael'thas Sunstrider might yield his \124cffa335eeSwift White Hawkstrider\124r "..
			"to lucky heroes. What an achievement!|n|n"..
			"NON-HEROES might find the \124cff0070ddPhoenix Hatchling\124r companion!|n|n"..
			"The remaining swag is remarkably similar in appearance to everything else I "..
			"already noted elsewhere in Outland as \"almost\" unique. Too much to list ~p~!",

	["106"] =	"Welcome to The Badlands ~p~. Glad you decided to come!|n|n"..
			"Now I won't waste your valuable time. I think this is all you need to know for now:|n|n"..
			"At Fuselight you MUST speak to Dolph Blastus whom I am reliably informed will start "..
			"you upon an EPIC adventure.|n|n"..
			"Nearby, Garyanne Feezlebop offers a fun distraction. What is not clear is that killing "..
			"12 goats in under 1 minute will be quite the Achievement!|n|n"..
			"Oh yes ~p~, as you progress you may be asked to go to location 26.2, 62.3 (south-"..
			"western end of the Scar) to meet Theldurin the Lost or you might just chance upon "..
			"him. Do it! I swear I almost choked on my noodles. The three wasted dudes up there "..
			"are... you find out for yourself hohoho.",

	["107"] =	"Yes, ~p~ hmmm... I very much recommend you do everything that The Badlands has to "..
			"offer.|n|n"..
			"Later you are supposed to go to the Searing Gorge. I know that any place related to "..
			"Blackrock Mountain is SUPPOSED to be important but if truth be known, the importance "..
			"of the Thorium Brotherhood is greatly diminished, especially since the Cataclysm. "..
			"Although you would meet Lunk, the pacifist Ogre. He is fun!|n|n"..
			"Indeed, ~p~, you would be well advised to skip Searing Gorge and instead do several "..
			"tasks in Felwood. It is something you MUST NOT miss!!! I will meet and help you when "..
			"you arrive there.|n|n"..
			"Oh yeah. You will not believe the massive quantities of herbs and ores on offer in "..
			"Felwood although The Badlands has 'okay' herbs and ores too!",

	["108"] =	"The delights of Gadgetzan are truly irresistable my good friend. Foremost of these is "..
			"the Noggenfogger elixir from Sprinkle Noggenfogger.|n|n"..
			"Prior to the Second Sundering, Marin Noggenfogger would ask you and his friend Sprinkle "..
			"for assistance in concocting this new brew. You would collect Laden Dew Glands from the "..
			"Thistleshrub Dew Collectors in Thistleshrub Valley in Tanaris and Violet Tragan from "..
			"the 'shrooms in Valorwind Lake in The Hinterlands.|n|n"..
			"Ahhh, ~p~, the \"good ol' days\" when we had to work for our rewards!|n|n"..
			"Oh yes ~p~, did you notice that Sprinkle now has a last name? Guess they are more than "..
			"\"just friends\" now!",

	["109"] =	"Hmmm. As a Night Elf, it would be wise to complete your starting area in its entirety.|n|n"..
			"You will learn of the lore of your people and in particular learn about the Archdruids "..
			"Malfurion Stormrage and Fandral Staghelm.|n|n"..
			"You will also get to meet Tyrande Whisperwind, the high priestess of the goddess Elune "..
			"and leader of the Kaldorei!",

	["110"] =	"Hmmm. As a Goblin, it would be wise to complete your starting area in its entirety.|n|n"..
			"You will learn about the origins of the Goblins, meet the Trade Prince Gallywix himself, "..
			"quest with the irrepressible Sassy Hardwrench, and meet a major figure from Horde history.",

	["111"] =	"Hmmm. As a Worgen, it would be wise to complete your starting area in its entirety.|n|n"..
			"You will learn much of the history of the Gilneans and their fight for survival.|n|n"..
			"You will meet Genn Greymane, one of the very founders of the Alliance of Lordaeron!|n|n"..
			"You come in at the time when the worgen curse is spreading through Gilneas City. This "..
			"occurred because Greymane had mistakenly asked Archmage Arugal to summon worgen to "..
			"protect the city against a likely scourge invasion. Sadly the plan backfired.|n|n"..
			"The important question though ~p~, is what becomes of YOU!",

	["112"]	=	"Hmmm... it may seem like an afterthought ~p~...|n|n"..
			"I know I haven't made much of The Ghostlands for travelling around, seeking quests and "..
			"such but there is one task I STRONGLY recommend that you do there.|n|n"..
			"The Orb of Translocation, as always, facilitates rapid moving between the Ruins of "..	
			"Lordaeron and Silvermoon City!|n|n"..
			"At Tranquillien in The Ghostlands I want you to follow the path south. You will come "..
			"to a fork in the road. Follow the branch to the west all the way to Windrunner Spire on "..
			"the coast. On the path up to the Spire you will encounter some rather tragic looking "..
			"undead and some humans. One of them is carrying something rather valuable~m~",

	["112y"] =	".",
	["112n"] =	".|n|nOh, you'll need to be at least level 15.",

	["113"]	=	"You're a little out of your way here, but never mind, it is good to see you friend.|n|n"..
			"If you were Horde then deep in the south-west of Ghostlands you might have stumbled "..
			"upon a necklace.|n|n"..
			"By appearances it would seem to belong to the Banshee Queen herself, Lady Sylvanas "..
			"Windrunner.|n|n"..
			"You speak to a high ranking Forsaken, who confirms this as well as adding that the "..
			"gift is from her sister Alleria.|n|n"..
			"So off to Undercity's Royal Quarter where the Dark Lady is astonished by you gift:|n|n"..
			"\124cFFB0FF30\"It can't be! After all this time, I thought it was lost forever.\"\124r|n|n"..
			"She soon recovers her queenly composure to admonish you for your gift and your "..
			"presence before her.",

	["114"]	=	"\124cFFB0FF30\"You thought this would amuse me? Do you think I long for a time before I was "..
			"the queen of the Forsaken? Like you, it means nothing to me, and Alleria Windrunner is a long "..
			"dead memory!|n|n"..
			"You may now remove yourself from my presence, ".. BestQuest_Race..".\"\124r|n|n"..
			"Sylvanas then invokes a powerful elegy, summoning several Highborne lamenters who join her in "..
			"an eerie sorrowful melancholic song of remembrance to the fallen elves of ages past, be they "..
			"Kaldorei, Quel'dorei or Sin'Dorei.|n|n"..
			"The power and beauty of the dirge is something you MUST witness ~p~. Indeed you really must "..
			"my friend.|n|n"..
			"Our mutual friend Taraezor has a work around for Alliance heroes such as you. I urge you to "..
			"contact him. Tell him "..npcName.." sent you.",

	["115"]	=	"Hmmm, the necklace from Alleria Windrunner has an engaging back story.|n|n"..
			"It was during the Second War, that time when the newly formed Alliance of Lordaeron "..
			"pushed back the Orcish Horde to the Dark Portal in the Blasted Lands.|n|n"..
			"Prior to that, the Horde had succeeded in advancing as far north as Quel'Thalas.|n|n"..
			"Ranger-Captain Alleria Windrunner, Turalyon and Khadgar returned in time to help save part of "..
			"Quel'Thalas but at a tragic cost. She lost 18 of her kin, including her little brother "..
			"Lirath.|n|n"..
			"Alleria was devestated ~p~, and she henceforth dedicated her life to the extermination of all "..
			"orcs. Two years after the end of the Second War, and with the rift in the Dark Portal "..
			"widening, Khadgar sent Alleria to Stormwind to warn Turalyon...",

--	Will overflow onto the border in a small window of certain dimensions. Text here is more important.
	["116"]	=	"On the night before the Alliance Expedition departed through the rift to Draenor, Alleria met "..
			"with her trusted lieutenant Verana and asked a favour in case she did not return.|n|n"..
			"She showed Verana three small necklaces from a pouch. She instantly recognised three "..
			"glowing stones.|n|n"..
			"\124cFFB0FF30\"Yes. They're from the necklace my parents gave me. I had the necklace melted "..
			"down in Stormwind, and three lockets made from it.\"\124r|n|n"..
			"One for each sister. Alleria kept the emerald one for herself. The sapphire one was for "..
			"Sylvanas and the ruby for Vereesa, the youngest sister. They were inscribed|n|n"..
			"\124cFFB0FF30\"To Vereesa. With love, Alleria.\"\124r and \124cFFB0FF30\"To Sylvanas. Love "..
			"always, Alleria.\"\124r|n|n"..
			"Verana promised to hold the necklaces until Alleria returned.",

--	Will overflow onto the border in a small window of certain dimensions. Text here is more important.
	["117"]	=	"So many questions ~p~.|n|n"..
			"The stones glow, they are obviously imbued somehow. What happens when they are combined? "..
			"When will the sisters be reunited and what will be the circumstances?|n|n"..
			"From the historical accounts, ~p~, there is every indication that Alleria would not have "..
			"returned to Azeroth even if it had been possible. So who or what is she currently "..
			"fighting and WHERE is she now. Not Outland ~p~. And not Azeroth! It must be ANOTHER "..
			"planet!|n|n"..
			"And the question of Turalyon. I do hope he is standing alongside his one true love as "..
			"we speak.|n|n".. 
			"Ah, such considerations require energy. There is ample energy in Mushan Noodles "..
			"you know... Was that the Jade Forest calling? Yes. Got to roll. Bye!",

	["118"]	=	"|n|n|n|n|n~f2~|n|n"..
			"Oh indeed, Xavius you may ask? Well, I believe we'll hear more from the Nightmare Lord "..
			"and his master Sargeras another time!",
	["118h"] =	"To save time, you should speak to Chief Spirithorn who can task you with \"Twisted "..
			"Sisters\" at level 38 and when that is done, he'll offer you a new task of great importance.",
	["118a"] =	"To save time, and at level 38, go straight to Adella at Shadebough, 77.2, 56.4 and do "..
			"all that she offers. Eventually she will offer you a task of great importance.",

	["119"] =	"Who can resist a cute raptor hatchling companion ~p~?|n|n"..
			"Look for Dart's nest to the east of Blackhoof Village in Dustwallow Marsh. Such a "..
			"cutie! The nest is not always there ~p~, so don't be disappointed my friend. Oh "..
			"yes... I made my fortune selling companions just like this!|n|n"..
			"49.17, 17.36|n48.01, 14.26|n46.50, 17.15|n47.98, 19.07|n|nare the four possible "..
			"nest locations from my own personal records ~PvP~!",

	["120"]	=	"Welcome ~p~, to Nagrand! A few things I should point out, if I may.|n|n"..
			"You'll be sent to Sunspring Post. I've heard reports of a ~f~ captive being held. "..
			"You could try to escort him to safety but only AFTER you have killed his two "..
			"guards. Guess he's being cautious, seeing if you've got what it takes!|n|n"..
			"There is a path leading north and a little east from Sunspring Post. When you get to "..
			"a junction you will see a small group. They offer jobs to Horde adventurers.|n|n"..
			"\124cFFFFFF00Continuing up the path and you'll reach Zangarmarsh. But don't do that "..
			"~p~! Head east until you reach the Laughing Skull Ruins. You might already have been "..
			"sent here anyway.|n|n"..
			"Seek out Gurgthock, the Ring of Blood Fight Promoter. This arena is similar to "..
			"the Gadgetzan Thunderdrome...",

	["120a"] =	"Kurenai",
	["120h"] =	"Mag'har",

	["121"]	=	"Completion is quite the achievement and the reward choices are sensational! The Staff of "..
			"Beasts reward is unique in the world. As is the TWO handed Honed Voidaxe, which looks "..
			"just amazing. The Ceremonial Warmaul Blood-Blade is kind of unique too.|n|n"..
			"Your home base offers a couple of bounties for \"wanted\" low-life. You'll be rewarded "..
			"with a somewhat unique Crystalline Kopesh sword.|n|n"..
			"\124cFFFFFF00Now, you met Hemet Nesingwary Jr in Stranglethorn Vale. It's his father "..
			"you'll be dealing with in Nagrand. You'll ACHIEVE plenty with his hunting tasks.|n|n"..
			"Can you believe this though... Hemet will reward you with a Nesingwary Safari Stick "..
			"WAND. No, its not a mace or axe with which to club the animals to death. It's a dainty "..
			"wand!!! Oh yeah, it's unique. Nothing like it in the world. Thankfully.",

	["122"]	=	"Kargath Bladefist, despite his \"fall\" is one of the most heroic of all orcs ~p~.|n|n"..
			"In the words of Nazgrel, Overseer of Thrallmar:|n|n"..
			"\124cFF80FF80In his prime, Kargath Bladefist was a fine warrior, a hero and example "..
			"to his people... we should not forget the orc Kargath once was, nor the lessons to "..
			"be learned from his downfall.\124r|n|n"..
			"Kargath's story begins on pre-Outland Draenor, in the city of Highmaul, once a part "..
			"of Nagrand.|n|n"..
			"There, like hundreds of other orcs, he was raised as a slave. The ogre's cruelty "..
			"was intolerable.|n|n"..
			"The Highmaul arena was where they had to fight and if you lived to defeat 100 of "..
			"your brethren, then freedom was yours.",

	["123"]	=	"Kargath was indomitable and finally the day came for his final fight. With a broken "..
			"blade he outwitted his opponent and walked out of the arena to freedom.|n|n"..
			"But it had all been a sadistic, cruel lie.|n|n"..
			"He was thrown into a dungeon below and shackled by his left wrist.|n|n"..
			"In his desperate rage Kargath reached for a rock and pounded at his left hand until "..
			"it was severed and he was finally free.|n|n"..
			"Can you imagine the tortuous agony he must have felt ~p~?|n|n"..
			"The other slaves were empowered to follow Kargath.|n|n"..
			"\124cFF80FF80Take your vengeance!\124r|n|n"..
			"And the slaves answered his call.",

	["124"]	=	"Together they rose against their ogre subjugators.|n|n"..
			"When at last Kargath raised the severed head of the emperor above his head, his "..
			"followers triumphantly raised their bladed arm stumps in the air and bellowed a "..
			"victorious cry.|n|n"..
			"Bound by vengenace, the Shattered Hand clan were born ~p~!|n|n"..
			"Alas ~p~, at some point, Kargath became corrupted and worked with Ner'zhul as a "..
			"member of the Shadow Council. Later, he was in charge of Magtheridon, "..
			"imprisoned at Hellfire Citadel.|n|n"..
			"We should not dwell on this, ~p~, for he was indeed a great orc who led his "..
			"brethren out of slavery.|n|n"..
			"Justifiably, he is a revered hero.",

	["125"]	=	"Hello friend, it was the Shadow Council who summoned Murmur, the doing of which destroyed much "..
			"of Terokkar Forest and Auchindoun.|n|n"..
			"And so we have the Shadow Labyrinth wing of Auchindoun, infested with the Shadow Council "..
			"and their servants.|n|n"..
			"You enter as a group from level 67 and \"heroic\" from 70 but if alone then do take "..
			"care ~p~!|n|n"..
			"Hmmm... indeed it is not for me to speculate but notice how Murmur looks like "..
			"Ragnaros or Thunderaan, two Elemental Lords. And Murmur was summoned to the mortal realm "..
			"from the elemental plane, as you would an elemental. So, can we in fact KILL Murmur in "..
			"our realm? A true elemental lord can only be banished back to their own plane. Ah, ~p~, we "..
			"have so much to learn of Murmur.",

	["126"]	=	"Greetings wanderer! Northrend awaits.|n|n"..
			"Adventurers choose between the Howling Fjord on the eastern side of Northrend, and "..
			"the Borean Tundra over to the west.|n|n"..
			"~f1~a lot of \"collect\" tasks, Malygos, the crazed dragon in charge of the Blue dragonflight, and the ultra-"..
			"radical DEHTA too!|n|n"..
			"~f2~|n|n",

	["126a1"] =	"The Howling Fjord has the superior atmosphere, Kalu'ak lore and pirate fun.|n|n"..
			"The Borean Tundra features a key Alliance hero and ",
	["126h1"] =	"The Howling Fjord has the superior atmosphere, Kalu'ak lore and pirate fun and leads "..
			"perfectly into Dragonblight.|n|n"..
			"The Borean Tundra has ",
	["126a2"] =	"Take The Kraken from Stormwind Harbour for Valiance Keep in the Borean Tundra or The "..
			"Northspear, between the Wetland's Menethil Harbour and Valgarde in the Howling Fjord. "..
			"Passage through the fjord is breathtaking!",
	["126h2"] =	"Orgrimmar's The Mighty Wind zeppelin soars to Warsong Hold in the Borean Tundra. The "..
			"Cloud Kisser flies to Vengeance Landing in the Howling "..
			"Fjord from the zeppelin tower located south of Brill in Tirisfal Glades.",

	["127"]	=	"Hmmm, I was thinking ~p~...|n|n"..
			"Hohoho, as you do over a bowl of Yaungolian Noodles. Quite excellent. But I digress...|n|n"..
			"I think you are the keen angler ~p~ and I did notice that you haven't as yet acquired "..
			"Staat's Fishing Pole.|n|n"..
			"Easily done my friend. Lor'danel in Darkshore is just the place! From the Flight "..
			"Master, walk along the shore a little way, bearing north-east.|n|n"..
			"If Jonathan Staats does not have a job for you then go find anyone else who will give "..
			"you tasks to complete, both involving a problem along the shore.|n|n"..
			"When done, go back to Jonathan. Sure, he is no Nat Pagle but this pole is just nice "..
			"to collect!",

	["128"]	=	"Hmmm, I was thinking ~p~...|n|n"..
			"Did you know there is a trick to acquiring the Big Iron Fishing Pole? Keen anglers "..
			"such as yourself often don't realise before it's too late.|n|n"..
			"Well... I have heard reports of adventurers being able to step back in time and "..
			"fish for one in Draenor...|n|n"..
			"Anyway, Jinar'Zillen out at the docks of Shadowprey Village has a job for you.|n|n"..
			"Prolong completing the job until you have found the pole in his shellfish traps.|n|n"..
			"Don't worry ~p~, it is not like trying to find a whelpling companion in the Wetlands "..
			"or fishing up that impossible rat in the Dalaran sewers.|n|n"..
			"This is a LOT easier and nice for the collection! I wonder if Nat has one?",

	["129"]	=	"Hmmm, I was thinking ~p~...|n|n"..
			"The Darkwood Fishing Pole is very difficult to obtain, but then, you are a keen "..
			"angler ~p~!|n|n"..
			"Simply do as Nat Pagle would do in the waters of:|n|n"..
			"* Arathi Highlands|n"..
			"* Hillsbrad Foothills|n"..
			"* Redridge Mountains|n"..
			"* Wetlands|n|n"..
			"You will most likely acquire over a THOUSAND fish and other stuff but it is "..
			"possible with patience.|n|n"..
			"Maybe pools or the Redridge Mountains offer the best chance. I don't really know.",

	["130"]	=	"Slow down ~p~! Slow down my friend!|n|n"..
			"So much awaits you in Northrend. The magical city of Dalaran, Titan relics in "..
			"Storm Peaks, the untamed wilds of Sholazar, the thrill of the joust at the "..
			"Argent Tournament...|n|n"..
			"Explore if you will, ~p~...|n|n"..
			"But NOBODY will give you anything to do!!!|n|n"..
			"Given the option of guiding you to your certain doom or enjoying one of these "..
			"lovely soft, warm, plump steamed dumplings with an exquisite savoury "..
			"filling...|n|n"..
			"Be seeing you ~p~!",

	["131"]	=	"Welcome to the Borean Tundra ~p~!|n|n"..
			"There is ample work available here but I am sure you are very keen to progress "..
			"to Dragonblight. Hmmm, indeed ~p~, there is someone who does need your "..
			"assistance but you'll need to lend a hand around here a bit before you'll be "..
			"asked.|n|n"..
			"~m~",

	["131a"] =	"Firstly all adventurers must of course report to Recruitment Officer Blythe. "..
			"General Arlos will get involved and I think you'll be directed to Sergeant "..
			"Hammerhill, as I believe he has a sinkhole problem for you to resolve.|n|n"..
			"Mark Hanes nearby will be waiting for you to finish that.|n|n"..
			"You will not be disappointed my friend. YOU MUST DO THIS!",
	["131b"] =	"But I noticed you have done that already. Splendid. So GO NOW TO MARK HANES.|n|n"..
			"You will not be disappointed my friend. You MUST do this!",
	["131c"] =	"But I noticed you have done that already AND you found Mark Hanes. Splendid.|n|n"..
			"KEEP AT IT ~p~, you'll not be disappointed.",

	["132"]	=	"Welcome to the Borean Tundra!|n|n"..
			"There is ample work available here but I am sure you are very keen to "..
			"progress to Dragonblight where the dragonflights are in urgent need "..
			"of your assistance.|n|n"..
			"~m~|n|n"..
			"You'll need to do every activity offered by Shadowstalkers Getry, Ickoris, "..
			"Barthus, Luther, High Overlord Saurfang, Overlord Razgor, and Windmaster "..
			"To'bor at Warsong Hold.|n|n"..
			"Also Gorge and Mobu at Garrosh's Landing and Bloodmage Laurith "..
			"and Primal Mighthorn east of the Hold.|n|n"..
			"Garrosh Hellscream will then send you far away and voilà!",

	["132a"] =	"You might be interested in a fairly UNIQUE weapon reward offered at the "..
			"end of quite a number of tasks.",
	["132b"] =	"I'll list the minimum effort expected of you as you might care for a "..
			"\"blue\" reward at the end of it all.",

	["133"]	=	"Ooooh! Very nice indeed.|n|n"..
			"Oh, sorry to interrupt ~p~. Both the Axe of Frozen Death and Fury of the "..
			"Raging Dragon are fairly unique. And they look awesome too!|n|n"..
			"Just something quickly if I may, I can see you are busy...|n|n"..
			"I'll tell you all about Thassarian sometime. He is a true hero of the "..
			"Alliance.|n|n"..
			"For now, I bid you good luck ~PvP~!",

	["134"]	=	"Malygos was appointed the first Aspect of the blue dragonflight, the "..
			"guardian of arcane magic and hidden arcanum.|n|n"..
			"During the War of the Ancients the blue dragonflight were annihilated by "..
			"Neltharion, the fallen black Aspect. Malygos' mate, Sindragosa and all "..
			"save for a handful of eggs perished.|n|n"..
			"Malygos descended into insanity and split his domain, Coldarra, from the "..
			"rest of Northrend.|n|n"..
			"And now, he seeks to rid the world of magic users, such as the Kirin "..
			"Tor. He MUST be stopped ~p~!|n|n"..
			"Thankfully, the remaining dragonflights have united together under the "..
			"banner of the Wyrmrest Accord.|n|n~m~",

	["134m1"] =	"The Nexus in Coldarra is where Malygos will be vanquished.",
	["134m2"] =	"Raelorasz at the Transitus Shield in Coldarra needs your help now!",

	["135"]	=	"~m~ that bunch of radicals from the Cenarion Expedition. The ones "..
			"who call themselves the Druids for the Ethical and Humane Treatment "..
			"of Animals, or DEHTA.|n|n"..
			"What is really creepy is that they have this bonfire at their base "..
			"camp, at the crossroads in the centre of the Borean Tundra, the "..
			"centrepiece of which is an effigy of Hemet Nesingwary.|n|n"..
			"If you can stomach that then there is unlimited reputation to be "..
			"earned.|n|n"..
			"I'll stick to helping out at Winterfin ~p~. Sure, it's not as "..
			"much Cenarion Expedition rep but I like helping murlocs!",

	["135m1"] =	"So you found",
	["135m2"] =	"I thought I'd discuss",

	["136"]	=	"Yep, I thought you might be wondering about the Kalu'ak, ~p~!|n|n"..
			"They are a hardy bunch of Tuskar who mind their own business living "..
			"in a few fishing villages along the southern coast.|n|n"..
			"There is Unu'pe, near Kaskala, in the Borean Tundra, and Moa'ki "..
			"Harbor in Dragonblight, and Kamagua on the Isle of Spears in the "..
			"Howling Fjord.|n|n"..
			"Between Moa'ki and Kamagua, the magnificent Green Island turtle "..
			"threads its way between the bergs.|n|n"..
			"The Walker of Waves plies the misty waters between Moa'ki and "..
			"Unu'pe to the west.|n|n"..
			"Their Mastercraft Kalu'ak Fishing Pole is a work of art my friend!",

	["137"]	=	"Yep, almost certainly you'll be asking how to pickup work for "..
			"the Kalu'ak in these parts. Let's see...|n|n"..
			"In the Borean Tundra that would be the Coldrock Quarry.|n|n"..
			"Also, seek out Karuk, to the north of Riplash Strand, but first "..
			"~f~ Later, I believe Veehja might also need assistance.|n|n"..
			"<chuckles>|n|n"..
			"Loving my Mastercraft Kalu'ak Fishing Pole, ~p~. Top quality "..
			"materials. Yes indeed!",

	["137h"] =	"go to Walter of Pal'ea on the far west coast, at 32.2,54.2. and "..
			"complete all that he offers if you haven't done so already.",
	["137a"] =	"do three tasks in the Valiance Keep. First help Medic Hawthorn "..
			"with his \"Soldier in Need\" and while below-deck, grab the task "..
			"off the shrine and lastly deliver the message from the Admiral.", 

	["138"]	=	"Yep, you are no doubt wondering how to find work for the Kalu'ak "..
			"in these parts. Let's see...|n|n"..
			"Elder Atuik at Kamagua might have some tasks. But Orfus of Kamagua, "..
			"at the top of The Ancient Lift, is really the one.|n|n"..
			"Adventurers in the Howling Fjord will go to him anyhow as they will "..
			"want to assist the Kalu'ak against the Kvaldir!|n|n"..
			"Did I mention I had a lovely Mastercraft Kalu'ak Fishing Pole? "..
			"I can hardly wait to show Nat Pagle!",

	["139"]	=	"Yep, there is more Kalu'ak reputation to be had over at Moa'ki Harbor "..
			"and all three Kalu'ak locations along the southern coast will surely "..
			"have daily tasks for you to do, eventually.|n|n"..
			"Did I already mention my lovely Mastercraft Kalu'ak Fishing Pole? "..
			"Cast is so smooth. I tell you, ~p~, it can feel the sea, it's as "..
			"though it is from the sea and ...|n|n"..
			"Oh sorry my friend, I might be showing off a little...",

	["140"]	=	"Greetings wanderer, welcome to the Howling Fjord!|n|n"..
			"The most important thing you can do is to immediately begin helping "..
			"the Kalu'ak as they desperately need your help!|n|n"..
			"So we'll jump ahead a bit here ~p~, to get to the interesting tasks "..
			"that need doing. Everything else is much less important.|n|n"..
			"You are going to have to slog it west to ~f~|n|n"..
			"You'll meet some fun pirates during your time here and hopefully gain "..
			"a lot of reputation with the Kalu'ak.",

	["140a"] =	"32.2,46.8. That's south "..
			"along the coast from Westguard Keep. There, you'll meet Lunk-Tusk. "..
			"He'll get you going quick enough!",
	["140h"] =	"Orfus of Kamagua at the top of the Ancient Lift, due west of "..
			"Valgarde, on the coast. Help him!",

	["141"]	=	"~p~ my friend, it is good to see you!|n|n"..
			"The Dragonblight wasteland awaits and we MUST NOT delay!|n|n"..
			"Indeed, there is trouble at the Wrathgate ~p~, and I heard mention of "..
			"the scourge and the LICH KING!|n|n"..
			"And so many dragonflights NEED YOUR ASSISTANCE! They have even banded "..
			"together as The Wyrmrest Accord.|n|n"..
			"Whether you go there by Turtle boat or arrive from the west or east "..
			"it doesn't matter. I will be waiting there for you as I have much "..
			"to say.|n|n"..
			"Dragonblight is terribly important for seekers of lore and lovers of "..
			"adventure!",

	["142"]	=	"Yep, I noticed you haven't yet maxed your reputation with The Wyrmrest "..
			"Accord.|n|n"..
			"Within The Nexus, you will find Raelorasz' sister, Corastrasza. Initially, "..
			"Librarian Serrah, located at the Transitus Shield, asks you to go inside and "..
			"check up on her.|n|n"..
			"Inside, Corastrasza will see if you have got what it takes to mount up on "..
			"one of the dragons she has trained. She tests all the adventurers this way, "..
			"~p~.|n|n"..
			"Anyway, after that, she let's you go back every day to test your skill.|n|n"..
			"More rep for you my friend!|n|n"..
			"Oh yes, hmmm, one more thing. Don't forget Raelorasz also has a daily job "..
			"for you to do as well!",

	["143"]	=	"Just quickly ~p~...|n|n"..
			"The Wailing Ziggurat and Death's Stand.|n|n"..
			"Lurid, Thassarian's skeletal minion, has a penchant for tortue.|n|n"..
			"\124cFFFFFF80Master... you want... I kill puny priest? Make painful, "..
			"yes?\124r|n|n"..
			"And Thass' deachcharger, Dusk, is NOT undead. It's a demon! Very "..
			"unusual indeed.|n|n"..
			"And Lurid again...|n|n"..
			"\124cFFFFFF80You worship death, little man? Death is here!\124r|n|n"..
			"Oh my...|n|n"..
			"To witness the torture in all its sadistic detail you need to come "..
			"and go completely from The Wailing Ziggurat sub-zone SIX TIMES.",

	["144"]	=	"Trolololol...|n|n"..
			"Yup, I thought you'd be in to that.|n|n"..
			"Now spin around six times and sit yourself in the naughty corner.|n|n"..
			"And always remember...|n|n"..
			"What happens in the hot springs... Stays in the hot springs...",

	["145"]	=	"Yep, nicely done ~p~.|n|n"..
			"Aside from helping the Kalu'ak, Cenarion Expedition (both the radical "..
			"DEHTA and the Winterfin murlocs) and the Wyrmrest Accord over in "..
			"Coldarra, you are done in these parts!|n|n"..
			"Just head east now my friend. I'll meet you in The Dragonblight. There's "..
			"trouble there, so don't delay!|n|n"..
			"If Private Casey at Death's Stand offers you a courier quest then grab "..
			"it. Otherwise just keep heading east yourself.",

	["146"]	=	"Welcome ~p~, to the Dragonblight, an icy wasteland littered with dragon "..
			"bones.|n|n"..
			"PLEASE, stay to the VERY END. You do not want to miss the dramatic "..
			"denouement at the impregnable Wrathgate of Icecrown!",

	["147"]	=	"So much lore, but Icecrown and Storm Peaks also await.|n|n"..
			"How to experience the best of Dragonblight and yet also hurry "..
			"through...|n|n"..
			"<strokes his chin and rubs his belly>|n|n"..
			"~f~|n|n"..
			"Wherever you choose to start, I'll meet you there.",

	["147a"] =	"The main Alliance base is at Wintergarde Keep, an imposing fortress "..
			"to which the scourge have focused their dragon wasteland offensive.|n|n"..
			"To the far west is the ruins of an old night elf temple, an Alliance "..
			"camp known as Star's Rest.",
	["147h"] =	"The main Horde stronghold is at Agmar's Hammer, secluded in a hollow "..
			"and thus far safe from Scourge incursion.|n|n"..
			"To the far east is Venomspite, an eerie town of apothecaries and "..
			"chemists brewing who knows what.|n|n"..
			"To the far west is Westwind Refugee Camp, between the Borean Tundra "..
			"and Agmar's Hammer.",

	["148"]	=	"Welcome to Westwind Refugee Camp!|n|n"..
			"Emissary Brighthoof needs your assistance. I can see him pacing around "..
			"there.|n|n"..
			"If you are not in a hurry you could check at the gate to see if anyone "..
			"else needs work done around here.|n|n"..
			"Me? Oh, I'm going to rustle up a light snack from the noodle cart. "..
			"I've just come from the Transborean. Worked up quite the appetite. Say "..
			"~p~, you should be hungry too. What say we take a break for a while "..
			"and...|n|n"..
			"<looks at you>|n|n"..
			"Oh, never mind. It can wait. Let's be done here anyway. Agmar's "..
			"Hammer is just over yonder.",

	["149"]	=	"Welcome to Agmar's Hammer ~p~!|n|n"..
			"This impressive fortress has escaped the attention of the Scourge, so "..
			"far, my friend. Hehehe... the Alliance nearby have to make do with the "..
			"ruins of some old elven temple.|n|n"..
			"Do any work given by Archmage Aethas Sunreaver or which will return you "..
			"directly to him.|n|n"..
			"As he is Kirin Tor he could very well offer up a Dalaran quest. Ignore "..
			"that.|n|n"..
			"He's researching something. Naturally, when you have completed his "..
			"tasks, you should help deliver the report to those whose land is "..
			"imperilled, The Wyrmrest Accord.",

	["150"]	=	"Check also with Juktok. He may want to send you somewhere. Now, "..
			"Agmar here is watching you. Measuring you up. If and when you are "..
			"ready, you will be sent to the front line to help the Kor'kron "..
			"elite guard.|n|n"..
			"Treat any quest Juktok might offer as a reminder that you aren't "..
			"going anywhere near the Wrathgate until you have proven your "..
			"worth at places such as the Westwind Refugee Camp, here and at "..
			"Venomspite.|n|n"..
			"Oh yes, Icemist Village too. Be patient with that. Greatmother "..
			"Icemist does need help but how is she to know if you are not "..
			"another adventurer offering false hope?",

	["151"]	=	"~p~, welcome to Venomspite!|n|n"..
			"Kinda looks a bit like Brill huh? But I tell you what, there is "..
			"something brewing here...|n|n"..
			"You only need to help Plaguebringer Middleton. That's any task "..
			"from him or which leads right back to him.|n|n"..
			"Hohoho! Go up stairs and meet the brothers Brote and Skrotee. I "..
			"swear they are living cuckoo clocks.|n|n"..
			"Downstairs, Middleton's assistant is keen to \"alter\" your pet.|n|n"..
			"And catch Levine and Schlemiel elsewhere. As with the others, "..
			"you'll need to hang around a while to appreciate their antics.|n|n"..
			"Hmmm. Wouldn't trust the dumplings in this place...",

	["152"]	=	"Welcome to Star's Rest ~p~.|n|n"..
			"Focus your energies here upon the Image of Archmage Modera. Do any "..
			"work given by her or which will return you directly to her.|n|n"..
			"As she is Kirin Tor she could very well offer up a Dalaran quest. "..
			"Ignore that.|n|n"..
			"She's researching something. Naturally, when you have completed her "..
			"tasks, you should help deliver the report to those whose land is "..
			"imperilled, The Wyrmrest Accord.|n|n"..
			"You'll not need to come back here.",

	["153"]	=	"A dilemma is that Palena Silvercloud just might hand you a list of "..
			"names to deliver to Wintergarde Keep, but you will be needing to go "..
			"to Wyrmrest Temple.|n|n"..
			"Take a tip from me my friend. Snowstorm, her hippogryph, is fast! I'd "..
			"grab the ride to Wintergarde.|n|n"..
			"In this case, I suppose the quest to The Wyrmrest Accord can wait a "..
			"little longer.|n|n"..
			"And if Palena has no quest to be undertaken? Then no problem!|n|n"..
			"Only problem is the dumpling cart. Where is it... Hmmm... Is there "..
			"even one? You seen a pandaren in Northrend pushing a dumpling cart?",

	["154"]	=	"Welcome to Wintergarde Keep, command post of the Alliance 7th "..
			"Legion. It is presently under siege from the relentless Scourge of "..
			"the Lich King.|n|n"..
			"Your first point of contact is High Commander Halford Wyrmbane. Do "..
			"all tasks offered by him and any which lead back to him.|n|n"..
			"Siege Engineer Quarterflash could also play a part as gnomish "..
			"engineering might just be the thing. Do all his jobs as well.|n|n"..
			"Cavalier Durkon, Duke August Foehammer, Ambo Cash and Legion "..
			"Commander Tyralion also need assistance.|n|n"..
			"And if I don't find the noodle vendor soon, I'LL be needing "..
			"assistance. Malnutrition ~p~, malnutrition.",

	["155"]	=	"Welcome to Wyrmrest Temple.|n|n"..
			"All the important dragon avatars are way up at the top.|n|n"..
			"You, erm, don't expect to start there do you?|n|n"..
			"Go on and prove yourself ~p~. My tip is that they'll send you to "..
			"~f~. The Ruby Dragon Shrine is under sustained attack!|n|n"..
			"Oh, a word of warning. If you grab some noodles from the vendor, "..
			"don't lean in close to watch the cooking. The avatar turned into "..
			"a dragon and BREATHED on them. The cloud serpents back home on "..
			"Pandaria can't do that.|n|n"..
			"Got all my facial hair singed I did. Not a happy Pandaren.",

	["155a"] =	"Ceristrasz",
	["155h"] =	"Vargastrasz",

	["156"] =	"~f~|n|n"..
			"Afterwards, consider your options:|n|n"..
			"* Grizzly Hills (73+)|n"..
			"* Zul'Drak (74+)|n"..
			"* Sholazar (76+)|n|n"..
			"The magic city of Dalaran is a great place to relax after all "..
			"your hard work here ~p~. Your hosts will be the Kirin Tor!",

	["156a"] =	"Step by step you are proving your value to High Commander Halford "..
			"Wyrmbane. Well done!|n|n"..
			"I am certain he has one more series of tasks for you to perform. Do "..
			"them now ~p~, Highlord Bolvar Fordragon on the front line needs "..
			"heroes of your calibre.|n|n"..
			"You'll be told when the time is right.",
	["156h"] =	"Finally, Overlord Agmar will send you to the Kor'Kron Vanguard's base, where "..
			"Saurfang the Younger is rallying the Horde at the base of the Lich King's "..
			"Wrathgate. Lok'tar ogar ~PvP~!",

	["157"]	=	"Slow down ~p~!|n|n"..
			"There is little if anything to do here at the moment.|n|n"..
			"Come back when you are level ~m~.|n|n"..
			"I'm not suggesting you sit and wait like Nobundo, my friend. Although a "..
			"stroll up the mountain might be useful in your case...|n|n"..
			"But nevertheless, have patience dear friend and return when you are ready!",

	["158"]	=	"Shadowfang Keep ~p~!|n|n"..
			"Archmage Arugal retreated to here after his disastrous release of the worgen "..
			"during the Third War, the Burning Legion's Scourge invasion of Azeroth.|n|n"..
			"Now in the hands of Lord Vincent Godfrey, the Keep is a major part of the "..
			"history of the Worgens, the isolationist leadership of King Genn Greymane of "..
			"Gilneas, and the Forsaken of Silverpine.",

	["159"]	=	"Hello friend, the Grizzly Hills await!|n|n"..
			"Ahh, yes. You can hear the \"MUSIC\" in the trees and almost smell the pine needles and feel the cool fresh air "..
			"on your face!|n|n"..
			"While the lore is light, at best, it is the atmosphere here which makes adventuring so enjoyable.|n|n"..
			"You begin at ~f~, ~p~, and you'll progress to other areas soon enough.|n|n"..
			"The serenity and pristine nature of the lush highland forests provided a counterpoint to my later travels "..
			"through Icecrown.|n|n"..
			"I became such an experienced adventurer that Zul'Drak was totally unnecessary to visit!",

	["159a"] =	"Amberpine Lodge",
	["159h"] =	"Conquest Hold",

	["160"]	=	"Welcome ~p~ to the Grizzly Hills!|n|n"..
			"If you are wishing to push through here, as I know the lore is light, then of course begin at ~f~ and simply "..
			"take the cues to travel further beyond. You can always return to places later to tie up loose ends.|n|n"..
			"Don't miss Granite Springs, where you'll find Bud Nedreck and his wasted friends dealing with the scourge troll "..
			"menace... uniquely!|n|n"..
			"The Furbolg have made their homeland, Grizzlemaw, within the fallen trunk of Vordrassal. It is one of only four "..
			"known World Trees.|n|n"..
			"When sent to the Drakil'jin Ruins you'll stumble across Harrison Jones, the renowned archaeologist and "..
			"explorer. Once you've helped him you are really done there...",

	["160a"] =	"Amberpine Lodge",
	["160h"] =	"Conquest Hold",

	["161"]	=	"Later, when you confront the events of the CATACLYSM, you'l appreciate having already met Harrison.|n|n"..
			"The worgen influenced Silverbrook is not to be missed! Stay until you are sent to the blind fortune teller "..
			"Ruuna.|n|n"..
			"Such a sad tale of Sasha, her father, and her little sister. I am told a LEGION of adventurers will meet Sasha "..
			"again! This, for me, was a highlight in the zone.|n|n"..
			"Ah yes indeed ~p~. With staff in hand I enjoyed ambling alongside my Yak down the densely wooded tracks, chill "..
			"wind in the air, not a noodle vendor for miles!|n|n"..
			"An amazing counterpoint to the descent into frozen hell that is Icecrown Citadel and the anarchy of Zul'Drak, "..
			"overrun by scourge. Slowdown and enjoy your time here my friend.",

	["162"] =	"Greetings ~p~, your help is required at Zul'Drak!|n|n"..
			"The scourge are rapidly gaining the upper hand there but all is not lost, yet.|n|n"..
			"To compound matters the Drakkari ice trolls, in trying to thwart the scourge advance, have sacrificed their "..
			"gods and been driven mad in the process!|n|n"..
			"It is more about dealing with the Lich King's ascendency than lore my friend although I must admit I thoroughly "..
			"enjoyed assisting the Zandalari trolls as they battled nobly to save the legacy and even existence of their "..
			"ancient race.|n|n"..
			"Your adventure begins at Light's Breach in the west. You'll be working closely with the Argent Crusade "..
			"throughout.",

	["163"]	=	"It is good to see you in Zul'Drak ~p~, the Argent Crusade need your help!|n|n"..
			"Adventurers are required to report to Light's Breach at the far west although you'll find posts in other "..
			"locations, along with Zandalari trolls who are fighting to preserve their ancient race from the combined "..
			"scourge onslaught and their own brethren, the Drakkari ice trolls.|n|n"..
			"Work efficiently ~p~, gathering as much work as possible along the way.|n|n"..
			"You'll notice that Zul'Drak is one massive tiered ziggurat. Testament to the might that was once the troll "..
			"empire in Azeroth.|n|n"..
			"There is little joy for skinners here and ore is patchy to find. Talandra's Rose is easy to find in the lower "..
			"half of the ziggurat.",

	["164"]	=	"Hello friend, Sholazar Basin calls!|n|n"..
			"Sholazar is to Northrend what Un'Goro is to Kalimdor, ~p~. This hidden basin teems with skinable beasts and the "..
			"wolvar Frenzyheart and gorloc Oracles each offer nice rewards for your loyalty.|n|n"..
			"Freya, a Titan watcher, has stationed her avatar there to ensure the basin remains free of the Scourge. "..
			"Recently, one of the Titan pillars has fallen and the Scourge are now seeking a foothold to the north.|n|n"..
			"A LEGION of adventurers believe we will learn more about Freya, and I don't just mean when you visit Ulduar in "..
			"Storm Peaks!|n|n"..
			"Our old friend Hemet Nesingwary needs your help in \"thinning out\" the wildlife too. Hasten to his base camp "..
			"~p~!",

	["165"]	=	"Hello friend and welcome to Sholazar Basin!|n|n"..
			"Your adventure will begin at Hemet Nesingwary's base camp where he has assembled quite a group of hunters.|n|n"..
			"Later, you'll be sent to help the avatar of Freya, the Titan Watcher. Sholazar is open to Scourge invasion now "..
			"that one of the Titan's pillars have fallen.|n|n"..
			"Freya is important to the lore of Azeroth, as you will see in Ulduar later.|n|n"..
			"When you begin to help the Frenzyheart you will, subtly, be given the option of instead befriending their "..
			"enemies the Oracles. It is one or the other.|n|n"..
			"Many adventurers choose Frenzyheart first and then switch to Oracles later. The switch is very easy.",

	["166"]	=	"Hmmm, I notice you are ready to move on my friend!|n|n"..
			"According to Rin Duoctane in the Dalaran Underbelly the goblins of K3 in The Storm Peaks need help. When I "..
			"adventured there, quests and errands would follow in order one after another. Before too long I had a great "..
			"reputation with the Sons of Hodir. A polar bear AND massive mammoth mounts!|n|n"..
			"And Icecrown. Your entire adventure in Northrend leads to just one thing, an eventual showdown with the Lich "..
			"King. ~f1~ at Krasus' Landing in Dalaran leads first time adventurers to ~f2~. From there, quests and tasks pop "..
			"up all over Icecrown. The rewards are rich, so too the lore. These are seminal events of the world ~p~!",

	["166a1"] =	"Officer Van Rossem",
	["166a2"] =	"High Captain Justin Bartlett aboard the Skybreaker",
	["166h1"] =	"Sky-Reaver Klum",
	["166h2"] =	"Sky-Reaver Korm Blackscar aborad the Orgrim's Hammer",

	["167"]	=	"Welcome to The Storm Peaks, ~p~.|n|n"..
			"Rin Duoctane in the Dalaran Underbelly sends first time adventurers to K3, which occupies a region to the far "..
			"south.|n|n"..
			"When you have completed sufficient tasks there, you will be sent to another town. Your journey, I foresee, will "..
			"progress much like that. If you can see no way forward, go back to your previous town.|n|n"..
			"Along the way you will gain valuable reputation with the Sons of Hodir. Brunnhidar Village will offer a daily "..
			"chance to acquire a great polar bear mount. Later you can purchase massive mammoth mounts!|n|n"..
			"The Terrace of the Makers and indeed the Ulduar complex dominate The Storm Peaks. Along the way you will learn "..
			"a little of the Titans and the Watchers.",

	["168"]	=	"Welcome my friend to Icecrown!|n|n"..
			"Already you can hear the chilling ambience of the citadel. And the imposing saronite walls of Icecrown surely "..
			"send a shiver through you ~p~!|n|n"..
			"Your command centre is of course your flying warship. Its a great place to ensure that none of the pockets "..
			"needing your help will be missed.|n|n"..
			"This is the denouement of your entire adventuring in Icecrown. Rid the lands of the scourge my friend! THIS is "..
			"one adventure you must not rush through!",

	["169"]	=	"Greetings my friend!|n|n"..
			"I have spoken previously of the Elemental Plane, created by the Titans. It is the place to where elemental "..
			"evils were banished. Additionally, you will note various pillars in Azeroth. Sholazar basin has them for "..
			"example. These Titan constructs are akin to \"wards\" or barriers to help protect an area by keeping certain "..
			"beings in or out.|n|n"..
			"Deathwing, the fallen leader of the black dragonflight previously known as Neltharion the Earth-Warder, managed "..
			"to destroy the World Pillar. This caused the Shattering, also known as the Cataclysm.|n|n"..
			"The ward between the elemental and physical worlds was no more. They collided. Thus the complete upheaval or "..
			"even terra forming of Azeroth. And now, a full scale invasion from the elemental plane is imminent.",

	["170"]	=	"Of the denizens of the Elemental Plane, it is Ragnaros who now threatens from the Firelands of Mount Hyjal. The "..
			"Abyssal Maw, Deepholm and The Skywall are easily reachable from within Azeroth too. And the inscruitable "..
			"Maelstrom, discovered after the Cataclysm, seems to relate somehow to the Elemental Plane and the Well of "..
			"Eternity.|n|n"..
			"~p~, my friend, first time visitors to Hyjal and Vashj'ir gain access through their capital city. Go at once. "..
			"Seek out a person or perhaps a sign to help you on your way. Vashj'ir offers a unique experience "..
			"as you swim amongst the picturesque coral and... naga! You'll finish dramatically at the Maelstrom!|n|n"..
			"Hyjal, steeped in the history of the world as it is, has incredible lore and leads directly to Rags. You'll "..
			"be coming back daily!",

--------------------------------------------------------------------------------------------------------------------------------------------
--
--	Lore Extras
--
--------------------------------------------------------------------------------------------------------------------------------------------

	["200"]	=	"Greetings wanderer. Hmmm, indeed ~p~, I do tend to drop by. And sometimes at an "..
			"inopportune time I know but on occasion lore just cannot wait!|n|n"..
			"But here's a thought. Why don't YOU drop in on me one day?|n|n"..
			"Not saying you have to ~p~. No, no, no my friend. But... I might be able to "..
			"offer up something extra or interesting if you do happen by. Consider it an "..
			"OPTIONAL EXTRA, if you will!|n|n"..
			"Lately I have been exploring the whirlpool due south of Lor'Danel in Darkshore. "..
			"If you are in the area please drop by!|n|n"..
			"Perhaps a hint... A LEGION of heroes are keenly scouring Azeroth in "..
			"search of early data with regards to a NEW CLASS of hero not yet seen in "..
			"Azeroth. There may also be a connection to Illidan Stormrage and his jailor Maiev "..
			"Shadowsong!",

	["201"]	=	"Hello friend! It's me ".. npcName.. "!|n|n"..
			"I'm down here! Jump in, it's actually safe to do so!|n|n"..
			"Going Down anyone?", -- In case I forget, players get a Going Down achievement here

	["202"]	=	"Glad you could drop in ~p~!|n|n"..
			"~m~|n|n"..
			"Imagine ~p~! All this talk of Demon Hunters lately and there was one right here "..
			"all along! Been hiding here for years!|n|n"..
			"Seeing as you're the keen lore hunter, I thought from now on I'd go into a bit more "..
			"detail about a few places within and denizens of our worlds.|n|n"..
			"Those warglaives of Telarius are something! Their glow AND shape are totally unique "..
			"in the world. Wish we could collect a pair...|n|n"..
			"See you above!",

	["202m1"] =	"I noticed you've found Telarius Voidstrider previously. All good.",
	["202m2"] =	"I noticed you've found Telarius Voidstrider previously. All good. Now... why did I "..
			"bring you here. Oh yes!...",
	["202m3"] =	"I noticed you've found Telarius Voidstrider previously. All good, although you "..
			"should hand in that document.",
	["202m4"] =	"I noticed you've found Telarius Voidstrider previously. All good, although you "..
			"should hand in that document. Now... why did I bring you here. Oh yes!...",
	["202m5"] =	"Careful now, Telarius Voidstrider dwells up the path there.",
	["202m6"] =	"Careful now, Telarius Voidstrider dwells up the path there. You MUST kill him!",

	["203"]	=	"~f~|n|n"..
			"Although a night elf, she can hardly be regarded as Alliance, but nor is she "..
			"Horde. Her story is far more complex than that ~p~.|n|n"..
			"It does begin with the War of the Ancients, many thousands of years ago and which "..
			"I plan to discuss another time. Suffice to say, Maiev and her little brother "..
			"Jarod fought against the Burning Legion.|n|n"..
			"Maiev was a Sister of Elune at a temple in Hajiri, a city in north-west Kalimdor "..
			"lost during the Great Sundering, which marked the end of the War of the "..
			"Ancients.|n|n",

	["203h"] =	"Apparently there is a document belonging to Telarius which yields information "..
			"on becoming a Demon Hunter.|n|n"..
			"A ranger in Lor'Danel discusses this and informs Alliance heroes that Telarius "..
			"was killed by none other than Maiev Shadowsong.",
	["203a"] =	"Hmmm, so Telarius was killed by Maiev Shadowsong.",

	["204"]	=	"During the war, Jarod had happened upon Illidan Stormrage at Mount Hyjal. He was "..
			"attempting to create a second Well of Eternity. Again, if I may my friend, I will "..
			"explain these Wells another time...|n|n"..
			"Highborne and night elves died in the battle and Dath'Remar Sunstrider and Jarod "..
			"were injured.|n|n"..
			"Illidan was captured and Maiev attempted to kill him. High Priestess Tyrande "..
			"Whisperwind pointed out that Illidan had spared Jarod.|n|n"..
			"Jarod ceded his right to decide Illidan's fate to his brother, and Tyrande's "..
			"lover, Malfurion Stormrage.|n|n"..
			"And thus we saw Illidan The Betrayer imprisoned for eternity in the Barrow Deeps, "..
			"a vast cave complex beneath Mount Hyjal...",

	["205"]	=	"Still incensed, Maiev volunteered to watch over him and was tasked with gathering "..
			"other Sisters of Elune. They formed the Barrows Watchers and she was the first "..
			"Warden.|n|n"..
			"When you see Maiev, ~p~, you will notice immediately her serrated circular style "..
			"blade. It even has a green fel type glow! I don't believe any living person has "..
			"seen her face...|n|n"..
			"So let's jump forward 10,000 years are so to about 10 years before our time "..
			"now.|n|n"..
			"Hey ~p~, we can do that. We are dealing with night elves after all!|n|n"..
			"We go to Tyrande Whisperwind, who is retreating from the Burning Legion. It is "..
			"the Third War - the invasion of Azeroth by Sargeras' forces and we are at a "..
			"crucial juncture...",

	["206"]	=	"Tyrande decided to wake the sleeping druids so that they may ally with her. At "..
			"the Barrow Deeps she woke Malfurion Stormrage and then came across Illidan's "..
			"prison.|n|n"..
			"She decided it best that he was released!!!|n|n"..
			"~m~|n|n"..
			"Upon returning from a bounty hunting mission, Maiev discovered Illidan had "..
			"been freed. She gave chase!|n|n"..
			"She caught up with The Betrayer at the Broken Isles.|n|n"..
			"Arriving too late to stop him gaining the Eye of Sargeras she asked for "..
			"Malfurion's help. Tyrande came along too. More fighting, Lady Vashj's naga "..
			"of note here but Illidan once again escaping.",

	["206a"] =	"Illidan went straight to Felwood. We previously discussed those events.",
	["206b"] =	"He went straight to Felwood. GO there and we will discuss those events...",

	["207"]	=	"Hmmm... so much lore and so little time ~p~. I suppose my supper booking "..
			"at the Ledgerdemain Lounge can wait.|n|n"..
			"Erm... possibly it can't on this occasion ~p~ my friend. But never mind. "..
			"You can often find me there, discussing things Dalaran and so on.|n|n"..
			"Speaking of which, you may also happen upon me at the Dalaran Crater in "..
			"Hillsbrad Foothills.|n|n"..
			"It is here I continue the story of Maiev Shadowsong, Tyrande Whisperwind "..
			"and her TWO lovers, the brothers Stormrage!|n|n"..
			"In the meantime, I will be discussing The Titans with you. Not right now, "..
			"no. I will pause a while.|n|n"..
			"I, um, have much to do in Dalaran. Culinary matters...",

	["208"]	=	"Greetings wanderer, I want to tell you about the Titans!|n|n"..
			"The Titans are a race of metallic-skinned, massively powerful beings. You may "..
			"think of them like \"gods\" ~p~, such is their omnipotence.|n|n"..
			"They travel the cosmos, seeking to shape and order worlds so as to replace chaos "..
			"with harmony. They even create or empower races to maintain their handiwork.|n|n"..
			"They are led by Aman'Thul The Highfather and their ruling council is known as "..
			"The Pantheon.|n|n"..
			"Upon discovering Azeroth, they noticed the world shackled by rampant elementals, "..
			"answerable only to the Old Gods...",

	["209"]	=	"The Titans defeated the Old Gods and they also banished their elemental lords to "..
			"an abyssal plane.|n|n"..
			"To protect the world, the Titans created several races.|n|n"..
			"To help create the sub-terrane, the Titans created the dwarf-like Earthen. Sea "..
			"Giants were tasked with the seas, the Mogu created to defend the Vale of Eternal "..
			"Blossoms, and so on.|n|n"..
			"The first continent was called Kalimdor and at its centre was the worlds' fount of "..
			"life and magic, The Well of Eternity.|n|n"..
			"Kalimdor at that time comprised one massive island and included many lands since "..
			"destroyed or misplaced because of the Great Sundering.|n|n"..
			"You were previously at some ruins of Bashal'Aran, in present day Darkshore.",

	["210"]	=	"When the Titans had finished shaping Azeroth to perfection and ridding it of the "..
			"elementals, the vassals of the Old Gods, they decided to award the greatest species "..
			"of Azeroth as guardians... the dragons!|n|n"..
			"The Pantheon chose the five greatest dragonflights, or colours, to rule over "..
			"Azeroth.|n|n"..
			"Aman'Thul, the leader, blessed Nozdormu of the bronze dragonflight with "..
			"safeguarding the fabric of time, fate and destiny.|n|n"..
			"Eonar The Lifebinder blessed two dragon aspects.|n|n"..
			"A blueprint of verdant, pristine nature was created as a spirital realm known as "..
			"the Emerald Dream. The green dragon Ysera was sent there as the protector and "..
			"nurturer of nature.",

	["211"]	=	"The red Alexstrasza was tasked with safeguarding and tending all living "..
			"creatures.|n|n"..			
			"Norgannon The Dreamweaver chose the blue dragon Malygos with responsibility for "..
			"magic and the arcanum.|n|n"..
			"And Khaz'goroth The Shaper, tasked the black Neltharion with protecting "..
			"the earth and subterranean domain.|n|n"..
			"I should quickly mention three other known members of the Pantheon.|n|n"..
			"There was Golganneth The Thunderer, lord of the skies and oceans and Aggramar "..
			"The Avenger, the current Champion of the Pantheon and previously lieutenant of "..
			"the former Champion...|n|n"..
			"Lord Sargeras of the Burning Legion. The Fallen Titan!!! Next, the Old Gods "..
			"~p~. Until then!",

	["212"]	=	"Greetings wanderer. A little more lore perhaps ~p~?|n|n"..
			"Before the Titans arrived, the Old Gods had shaped Azeroth into a land of chaotic "..
			"evil, bending the elementals to their will. The four Elemental Lords were their "..
			"main servants. They were:|n|n"..
			"\124cFFFFFF80Ragnoros the Fire Lord|nNeptulon the Tidehunter|nAl'Akir the Windlord"..
			"|nTherazane the Stonemother.\124r|n|n"..
			"When the Titans defeated the Old Gods, all the Elementals were banished to the "..
			"Elemental Plane. It consists of four zones, matching each Lord:|n|n"..
			"\124cFFFFFF80The Firelands (Ragnaros)|nThe Abyssal Maw (Neptulon)|nThe Skywall "..
			"(Al'Akir)|nDeepholm (Therazane)",

	["213"]	=	"Within the Elemental Plane the elementals fought amongst themselves for over "..
			"5000 years, an era known as the Elemental Sundering.|n|n"..
			"With the help of Barron Geddon and Garr, Ragnaros defeated Thunderaan. Ragnaros "..
			"attempted to eat Thunderaan so as to combine their fire and air essences, making "..
			"Ragnaros even stronger.|n|n"..
			"Unable to complete the task, Ragnaros placed the remaining essence into a "..
			"talisman and shattered it into two equal pieces, both of which were entrusted to "..
			"his lieutenants.|n|n"..
			"Ragnaros hit Thunderaan with his legendary weapon, Sulfuras, whilst Thunderaan "..
			"wielded the legendary Thunderfury. Both are obtainable by you ~PvP~!|n|n"..
			"But the Old Gods themselves now ~p~, my friend!...",

	["214"]	=	"As I already mentioned, the Titans vanquished the Old Gods. They chained "..
			"them deep below the world's surface.|n|n"..
			"A recurring theme in the history of the worlds is that entities of immense "..
			"power should not be killed.|n|n"..
			"Unfathomable destructive energy may be released, the balance of light and "..
			"dark might be upset, the entity may return in a stronger ethereal or shade form "..
			"and so on. Better to capture and imprison the weakened foe.|n|n"..
			"In this case, the Old Gods and Azeroth are akin to a parasite and its host. "..
			"So malignant are the Old Gods that to kill them would also kill the host.|n|n"..
			"Indeed ~p~, it is concerning to observe that the Pantheon, as a united force, "..
			"defeated the Old Gods, who were warring between themselves...",

	["215"]	=	"Now, of these Old Gods, I know of four.|n|n"..
			"Yogg-Saron the God of Death was imprisoned in the purpose made construct of "..
			"Ulduar in the isolated north of the Storm Peaks in Northrend.|n|n"..
			"C'Thun fought a raging battle against a Titan. Both fell and while the fate of "..
			"the Titan is unknown, C'thun was thought to have died, having fallen into the "..
			"sandy desert of Silithus.|n|n"..
			"N'Zoth had at one time fought against the combined might of Yogg-Saron and "..
			"C'thun. But now he might probably be buried beneath Azeroth's oceans. N'Zoth is "..
			"thought to be involved with the Emerald Nightmare, an area of corruption within "..
			"the Emerald Dream.|n|n"..
			"Y'Shaarj was killed although its heart survived and was buried beneath the Vale of "..
			"Eternal Blossoms in Pandaria.",

	["216"]	=	"Greetings wanderer, inscrutable the ways of the pandaren I know. I come here at "..
			"times when I seek solitude.|n|n"..
			"Ah, my friend, it is the age old question: \"What is worth fighting for?\". For "..
			"me, it is a never ending journey of understanding.|n|n"..
			"I promised more of Maiev Shadowsong.|n|n"..
			"We left off with Illidan fleeing in the aftermath of a fierce naga battle at "..
			"the Broken Isles of Suramar, with Maiev requesting Malfurion's assistance and "..
			"Tyrande, uninvited, also joining.|n|n"..
			"Illidan was tracked to the shores of Silverpine Forest, where the three heroes "..
			"met the blood elf leader, Kael'thas Sunstrider. He needed help with escorting "..
			"his caravan. On the way they were ambushed and Tyrande was swept down a river, "..
			"presumably dying.",

	["217"]	=	"The heroes tracked Illidan to the Dalaran ruins where he talked his way into "..
			"being allowed to rescue Tyrande. In gratitude, Malfurion set his brother "..
			"free.|n|n"..
			"Incensed, Maiev had no hesitation in following Illidan through a portal he "..
			"suddenly opened. She captured Illidan in Outland but the naga arrived "..
			"and secured his freedom.|n|n"..
			"Years passed. It was discovered that Maiev had been imprisoned in the "..
			"Warden's Cage in Shadowmoon Valley. Unbeknownst to her, Akama the guard was "..
			"biding his time until he too could attack Illidan.|n|n"..
			"Eventually the two of them plus a strong force lay siege to the Black Temple, "..
			"along with a group of brave adventurers.|n|n"..
			"Enter the Black Temple to see all that stood before them ~p~!",

	["218"]	=	"Finally, Maiev's raison d'être, her nemesis for tens of millennia, was "..
			"vanquished.|n|n"..
			"\124cFFFFFF80Bleed as I have bled. There will be no prison for you this "..
			"time.\124r|n|n"..
			"\124cFF80FF80You have won... Maiev. But the huntress... is nothing without "..
			"the hunt. You... are nothing... without me.\124r|n|n"..
			"\124cFFFFFF80He's right. I feel nothing... I am... nothing.\124r|n|n"..
			"His body was interred in the Vault of the Wardens, so that The Betrayer's "..
			"soul may suffer for eternity, as she had suffered for long, guarding him in "..
			"the Barrow Deeps.|n|n"..
			"It is your destiny to visit this place ~p~. Your exploits will surely be "..
			"LEGION. Oh, but do be careful my friend, as Maiev, vowing that the "..
			"fel-touched demon hunter Illidari should never roam free again, also had "..
			"them interned there as well!",

	["219"]	=	"At last we can understand how it was that the Darkshore demon hunter died "..
			"at the hands of Maiev. Such was her relentless, vengeful pursuit of any "..
			"and all who had crossed her over many a millennia.|n|n"..
			"So my friend, Maiev found a home of sorts in Darnassus where she trained a "..
			"new generation of Watchers. The Darnassians were not content and Maiev "..
			"actually helped to foment that discontent.|n|n"..
			"<sigh>|n|n"..
			"The Gilneans had been invited to settle in the boughs of Teldrassil and this "..
			"rankled the Darnassians who recalled the Worgen offering no assistance to the "..
			"Alliance as they battled the scourge.|n|n"..
			"Malfurion did have a large part to play in denying the World Tree in "..
			"Darnassus from being properly blessed, thereby \"dooming\" night elves to "..
			"mortality.",

	["220"]	=	"The highborne too had made Darnassus home, the same highborne who had "..
			"recklessly experimented with magic at The Well of Eternity and allowed the "..
			"Burning Legion to invade Azeroth.|n|n"..
			"And during the pursuit of Illidan, Malfurion had been less than determined "..
			"to see him die at Maiev's hands.|n|n"..
			"But now, vengeful, single minded and self righteous as ever, Maiev had begun "..
			"to murder the highborne, with the ultimate goal of \"sentencing\" Malfurion "..
			"to a slow painful death for his part in all of this.|n|n"..
			"Fortunately, Jarod, her little brother, had returned from his self-imposed "..
			"exile of countless millennia and worked to save Malfurion and the "..
			"highborne.|n|n"..
			"As Maiev departed, she vowed to return the night elves to greatness. Thus "..
			"the story of Maiev Shadowsong!",

	["221"]	=	"I know I promised to continue a previous lore discussion in Felwood, "..
			"and that I will.|n|n"..
			"Can't say much at this stage but it will become BLINDINGLY obvious if it "..
			"isn't already my friend...|n|n"..
			"I really need you to complete the tasks in Felwood I already mentioned. "..
			"Indeed. Let's see...|n|n"..
			"Tender Puregrove at 43.3, 30.4 in Whisperwind Grove. She offers two jobs "..
			"for level 46 and up. Then do her third one. Huntress Selura, nearby at "..
			"43.4, 28.2 will now send you to someone.|n|n"..
			"There you'll both witness and participate in some pivotal moments of "..
			"Azeroth's history.|n|n"..
			"THEN we'll talk.",

	["222"]	=	"So, Feronas Sindweller is the second demon hunter to be seen in Azeroth and he "..
			"offers a kinder look at the story of Illidan Stormrage...|n|n"..
			"Let's step back 10,000 years ~p~. The night elves, led at the time by Queen "..
			"Azshara, had been fascinated by the Well of Eternity. The "..
			"source of great magic power and eternal life for them.|n|n"..
			"Their meddling with the Well led to the War of the Ancients. This was "..
			"the first invasion of Azeroth by Sargeras' Burning Legion.|n|n"..
			"Malfurion Stormrage, Illidan's brother, decided that the only way to defeat the "..
			"Burning Legion was to destroy the Well.|n|n"..
			"Illidan could not countenance this. He too wanted to experience the raw chaotic "..
			"magical power of the Well, the same power the Burning Legion used...",

	["223"]	=	"He also sought to win Tyrande Whisperwind's heart through displays of his "..
			"magical prowess.|n|n"..
			"Sadly for Illidan, ~p~, Tyrande had pretty much already chosen his brother as "..
			"her life mate.|n|n"..
			"So Illidan hatched a plan to save the world, win Tyrande's heart, gain vast "..
			"magical power and to leave the Well intact, thus preserving the night elves "..
			"immortality.|n|n"..
			"Now Xavius is relevant here, and not just because a LEGION of adventurers are "..
			"rumoured to soon be fighting him. He was once a high ranking night elf and now "..
			"made into a satyr by Sargeras, the former titan Pantheon's Champion.|n|n"..
			"He got into Illidan's ear. So now, add to the Illidan's list the need to kill "..
			"Malfurion in order to win over Tyrande...",

	["224"]	=	"Some part of Illidan's plan is well meaning, but as a whole it is thoroughly "..
			"self-serving.|n|n"..
			"Xavius could see that his craving for immense power was an exploitable "..
			"weakness.|n|n"..
			"If we could remove Tyrande, this debility would remain. He'd "..
			"still need to prove himself to himself and his people. Any effort at "..
			"redemption, would only mask the problem and delay his downfall.|n|n"..
			"At least Illidan could see that his plan was rather ambitious. So he set out "..
			"to obtain an artefact created by the black dragonflight's Aspect, "..
			"Neltharion.|n|n"..
			"Illidan had to feign allegiance to Queen Azshara in order to obtain the "..
			"artefact, called the Dragon Soul or Demon Soul. With it, he "..
			"would have the power to succeed.",

	["225"]	=	"When Sargeras learned of Illidan's plan to obtain the golden talisman "..
			"he \"rewarded\" Illidan by burning out his eyes and covering him with "..
			"tattoos.|n|n"..
			"What a price to pay, ~p~! Further to this, in fierce fighting for the Demon "..
			"Soul, Illidan was fighting against his twin brother Malfurion.|n|n"..
			"Thankfully, Malfurion and the dragon Aspects succeeded and hid the golden "..
			"stone.|n|n"..
			"At the time of the Great Sundering, when the original continent of Kalimdor "..
			"was ripped apart at the end of the War of the Ancients, Illidan had "..
			"obtained seven vials of water from the Well of Eternity.|n|n"..
			"He travelled to the tranquil lake atop Mount Hyjal  and emptied three of "..
			"the vials, creating a new Well of Eternity...",
			
	["226"]	=	"Malfurion, Tyrande and others discovered him.  Malfurion's argued that "..
			"the Well's chaotic magic was not for them. Illidan claimed it was "..
			"needed to defend against the Burning Legion, if they ever return.|n|n"..
			"So he was imprisoned in the Barrow Deeps and languished there for 10,000 "..
			"years...|n|n"..
			"It is now the time of the scourge invasion of the Third War and things "..
			"did not look good for the night elves.|n|n"..
			"Tyrande Whisperwind had travelled to the Barrow Deeps, seeking to awaken "..
			"the Druids of the Claw to fight at her side. While there she discovered "..
			"Illidan's cell. Despite Malfurion and Maiev Shadowsong's protestations "..
			"she had Illidan released to help in the fight.|n|n"..
			"Illidan and his night elf force made for Felwood...",

	["227"]	=	"In Felwood Illidan encountered Arthas, the Lich King's Champion. When "..
			"they reached an impasse in their battle Arthas knew how to bait "..
			"Illidan.|n|n"..
			"He spoke of the skull of Gul'dan's power and how only destroying it "..
			"could rid Felwood of its demonic corruption.|n|n"..
			"Illidan also hoped that he might finally impress Tyrande with his "..
			"power.|n|n"..
			"It was during fierce fighting, when he overcame the demonic powers "..
			"guarding the Skull and when he also used the power of the Skull that "..
			"he became a demon.|n|n"..
			"\124cFFB0FF30Now I am complete!\124r|n|n"..
			"And with this new found power he returned to Felwood and rid it of "..
			"Tichondrius and his scourge army...",

	["228"]	=	"And thus the lingering taint of demonic influence all around us "..
			"in Felwood.|n|n"..
			"In the aftermath of the fighting here, Malfurion and Tyrande had "..
			"Illidan banished, for they did not like at all the demon he had "..
			"become.|n|n"..
			"Ah, ~p~, I think I'll leave Illidan there for a while. When the "..
			"time is right, I will discuss lore with you again.|n|n"..
			"For now... culinary matters to attend to my dear friend.|n|n"..
			"This is tiring work, all this chatter. Hungry work.|n|n"..
			"A pandaren does need to be fed...",

	["229"]	=	"~p~, it is good to see you my friend!|n|n"..
			"We can resume our lore discussion. I want to tell you about Illidan "..
			"Stormrage.|n|n"..
			"You will recall previously how you witnessed and assisted Illidan in "..
			"defeating Arthas as well as Tichondrius, right here in Felwood.|n|n"..
			"The demon hunter Feronas Sindweller I think was your facilitator "..
			"then.|n|n"..
			"I will bring you up to that time!",

	["230"]	=	"Worgen adventurers will recall being roused by Lord Godfrey, sometime "..
			"after the worgen invasion of Gilneas City.|n|n"..
			"Life as a worgen, a human who had turned into a lupine form, began at "..
			"that time.|n|n"..
			"They will remember some of the preceding events but have little knowledge "..
			"of the significant players in those events.|n|n"..
			"Grab some popcorn my friend, and I'll fetch a dumpling or three or four, "..
			"and please allow me to enlighten you.|n|n"..
			"It is indeed time, for events soon to unfold will be better understood "..
			"in the light of what I am about to say...",

	["231"]	=	"King Archibald Greymane preceded Genn. Of significance was King Archibald's "..
			"personal dictum:|n|n"..
			"\124cFFB0FF80Never take a man's hand, Son. Tis always better to stand "..
			"tall on your own. It is what separates the great from the meek.\124r|n|n"..
			"Significant as well was the closeness of the Ashbury family to the "..
			"Greymane's. Lord Ashbury The First was a member of Archibald's council of "..
			"Lords and together they built Gilneas into a great industrial nation. "..
			"Their respective sons grew up together and Gilneas continued to "..
			"prosper in their succession.|n|n"..
			"During the Second War, that time when the orcish Horde had sacked "..
			"Stormwind and was advancing north towards Lordaeron, King Terenas Menethil "..
			"II and leaders of other human nations proposed an Alliance of Lordaeron.",

	["232"]	=	"And so they met. Greymane informed the meeting that his army was the equal "..
			"of any orcish threat and indeed the threat had been overstated.|n|n"..
			"They adjourned and Greymane consulted with his council of Lords.|n|n"..
			"Lord Darius Crowley, a wealthy and popular nobleman, argued that engaging "..
			"the orcs with the entire Gilnean army was a strong and necessary measure "..
			"with the benefit of strengthening ties with the other nations.|n|n"..
			"Lord Vincent Godfrey suggested that in order to maintain good trade "..
			"relations a token force be sent. Baron Ashbury agreed.|n|n"..
			"Anyhow, the Alliance was formed and eventually prevailed. It remains that "..
			"Greymane's token force was routed by the orcs.",

	["233"]	=	"In the aftermath of the Second War, Greymane was asked to contribute to "..
			"the costs of constructing Nethergarde Keep and the internment of captured "..
			"orcs.|n|n"..
			"The King had had enough. Now was the time to leave the alliance.|n|n"..
			"With Lord Godfrey, they chose an ideal geographic location for an "..
			"impassable stone wall. Yes, it would cut through Lord Crowley's massive "..
			"landholding to the north, but they were sure he would agree.|n|n"..
			"\124cFFB0FF80Never take a man's hand, Son. Tis always better to stand "..
			"tall on your own. It is what separates the great from the meek.\124r|n|n"..
			"So ~p~ my friend, Genn Greymane, proudly independent, sealed the Kingdom "..
			"of Gilneas from the outer world...",

	["234"]	=	"Predictably, Lord Darius Crowley was not happy. His towns of Pyrewood and "..
			"Ambermill to the north, for example, had effectively been ceded to the "..
			"Kingdom of Lordaeron.|n|n"..
			"He fomented the Northgate Rebellion and the unrest lasted for years, into "..
			"the Third War (which was the Lich King's unleashing of the Plague of "..
			"Undeath upon Azeroth).|n|n"..
			"At this time things were going badly for the Alliance. In an act of "..
			"defiance, Crowley secretly sent a brigade of Gilnean troops to assist "..
			"Lady Jaina Proudmore as she fled to Kalimdor.|n|n"..
			"For his insubordination, Greymane had the rebels imprisoned.|n|n"..
			"The Greymane Wall remained steadfastly closed, even to humans trying to "..
			"flee the Scourge onslaught...",

	["235"]	=	"The King was convinced of the might of his army, and of his wall so he "..
			"launched a full assault upon the Scourge. His troops were massacred.|n|n"..
			"But Greymane had a secret plan...|n|n"..
			"THE WORGEN. Those cursed, wretched beings had been locked away in the Emerald "..
			"Dream for thousands of years. The royal archmage, Arugal, had recently returned "..
			"to Gilneas. He was charged by Greymane with protecting the Gilnean kingdom.|n|n"..
			"Arugal summoned the worgen and they prevailed over the invading Scourge. But the "..
			"worgen rage is intractable and soon they turned upon the Gilneas forces beyond "..
			"the Wall and the curse quickly spread within.|n|n"..
			"You can imagine Gilnean heads turning towards Arugal, ~p~...",

	["236"]	=	"His guilt was unbearable and, driven mad, he slinked away, seeking refuge in the "..
			"now former keep of Baron Silverlaine, along with a pack of worgen he called "..
			"\"his children\".|n|n"..
			"Situated in the hills above Pyrewood Village, the place came to be known as "..
			"Shadowfang Keep!|n|n"..
			"From there, Arugal's children terrorised Silverpine and the Gilneas "..
			"Kingdom~m~|n|n"..
			"On full moons, Greymane along with Godfrey, Ashbury and nobles such as Lord Marley, "..
			"conducted secret hunting parties into The Blackwald, the dark eerie forest south "..
			"of Gilneas.|n|n"..
			"On one such expedition, and unbeknownst to anyone, Greymane was bitten, marking "..
			"the time he too became cursed.",

	["236m1"] =	".",
	["236m2"] =	". In a moment of lucidity you escaped, only to later come to the attention of "..
			"the Lich King.",

	["237"]	=	"Genn Greymane knew all too well the ongoing rebellion was weakening the defence "..
			"against the worgens.|n|n"..
			"\124cFFB0FF80I never blamed Lord Darius Crowley for leading an insurrection "..
			"against me. His land and people were separated from Gilneas by a stone wall... "..
			"Crowley is exactly the type of person we need now.\124r|n|n"..
			"~m~|n|n"..
			"Darius Crowley and his men bravely offered to hold off the advancing Worgen as "..
			"Greymane and others retreated to the town of Duskhaven. Redemption!|n|n"..
			"\124cFFB0FF80We were fools to take up arms against each other, Darius. The worgen "..
			"would've never stood a chance.\124r",

	["237m1"] =	"And so you facilitated his release, ~p~, and then when you went to secure Crowley's "..
			"stash of armaments, you were bitten!!!",
	["237m2"] =	"And so a brave adventurer facilitated his release, and then when sent to secure "..
			"Crowley's stash of armaments, was bitten!!!",

	["238"]	=	"Lord Vincent Godfrey, ever keen to hunt down worgen in the Blackwald, captured "..
			"~m~ during one of his excursions and he was none too pleased:|n|n"..
			"\124cFFB0FF80Look at what you've become. Those cursed beasts...they've left you "..
			"nothing more than just another wretched mongrel. Do you even remember what you "..
			"did to your friends? Your kind...haunting the wilds unchecked...until we found "..
			"you. They've kept you alive, because they still believe you can be saved. To "..
			"which I must ask: Is there even a shred of humanity left within you? Perhaps..."..
			"we will find out, soon enough.\124r|n|n"..
			"Which is where we leave things for now my friend.",

	["238m1"] =	"YOU",
	["238m2"] =	"a brave adventurer",

	["239"]	=	"Greetings wanderer. Several times I have spoken of the Well of Eternity.|n|n"..
			"As you known by know my friend, the Titans travelled from world to world, "..
			"shaping them to perfection. Often they would rid these worlds of the Old "..
			"Gods influence. They would empower races, even create races, in order to "..
			"protect and tend to the world.|n|n"..
			"And at the heart of our world they placed the Well and from its wondrous "..
			"magical energies life on Azeroth was truly nourished and nurtured.|n|n"..
			"This mystical lake drew its power from the void like \"nothingness\" which "..
			"separates the worlds in the material plane. Perfect. Just perfect ~p~!|n|n"..
			"<sighs>|n|n"..
			"All we need now is for someone to meddle with perfection...",

	["240"]	=	"A tribe of dark trolls came to settle by the lake, many thousands of years "..
			"ago. The shimmering translucent waters imbued them with wisdom and immortality. "..
			"They learnt to walk tall and their skin took on violet hues.|n|n"..
			"And thus were born the Kaldorei, the \"Children of the Stars\", whose moon "..
			"goddess Elune was believed to sleep within the Well during the day.|n|n"..
			"We know that at some stage their Queen, Azshara, had her favoured servitors "..
			"brought to live in the twin towns of Ameth'Aran and Bashal'Aran. They became "..
			"known as Quel'dorei or \"Highborne\".|n|n"..
			"The Highborne were tasked with studying the Well and over time they learnt to "..
			"manipulate, even control, its magical albeit dangerous arcane powers...",

	["241"]	=	"The Queen had a marvellous palace built and it was named Zin-Azshari.|n|n"..
			"One day my friend you must travel to the Caverns of Time and visit this "..
			"palace. It is a sight to behold!|n|n"..
			"Azshara's most trusted advisor, Xavius, suggested that the power of the Well "..
			"be used to cleanse the world until it was perfect.|n|n"..
			"The unleashing of such unbridled energy drew the attention of Sargeras, the "..
			"fallen titan. Xavius was beguiled by him and in turn convinced Azshara of the "..
			"necessity to open a portal to the Twisting Nether so that Sargeras or at least "..
			"his Legion could enter.|n|n"..
			"Thus, the first invasion of Azeroth. The War of the Ancients.|n|n"..
			"Some more another time indeed!",

	["242"]	=	"It is good to see you ~p~!|n|n"..
			"And it is time for me to tell you of the Banshee Queen, Lady Sylvanas "..
			"Windrunner, and how she came to be.|n|n"..
			"Sylvanas was the middle of three sisters. The younger is Vereesa who is "..
			"presently Ranger-General of the Silver Covenant. In effect she is emulating "..
			"Sylvanas, but on the Alliance side!|n|n"..
			"And we know well that Ranger-Captain Alleria Windrunner, Turalyon and Khadgar "..
			"returned in time to save Quel'Thalas from the orcish Horde invasion at the "..
			"time of the Second War and later, on the eve of departing through the Dark "..
			"Portal to Draenor, she gifted her sisters a precious necklace each.|n|n"..
			"THAT necklace is part of this story ~p~!",

	["243"]	=	"Sylvanas and her rangers played their part too by helping to encircle, along "..
			"with Turalyon's forces, the orcish Horde as they sieged Quel'Thalas, thus "..
			"hastening the end of the Second War.|n|n"..
			"Fourteen years later, or thereabouts, Ranger-general Sylvanas and her "..
			"Farstriders, the elite ranger corps of Quel'Thalas, were patrolling far south "..
			"of their city, in the vicinity of the Thalassian Pass.|n|n"..
			"The ranger patrol were surprised to discover Arthas Menethil and his undead army. "..
			"The first of two Elfgates stood in his way. Sylvanas warned him to turn back.|n|n"..
			"Arthas' nerubians sieged the Elfgate and his army made short work of the high elf "..
			"defenders, notwithstanding the gate's potent magic...",

	["244"]	=	"Hmm... I'd estimate this gate to have stood about where the Thalassian Pass is "..
			"presently located...|n|n"..
			"Arthas' army surged onwards, progress made easy by a traitor within the ruling "..
			"elite of Quel'Thalas!|n|n"..
			"The Farstriders fell back to the second and more powerful Elfgate, only passable "..
			"with a magical key requiring three mooncrystals secreted within the forest.|n|n"..
			"No amount of magic could save the high elves from the self-serving traitor "..
			"Dar'Khan Drathir.|n|n"..
			"And so the Scourge surged onwards towards their goal, the Sunwell in "..
			"Silvermoon City.|n|n",

	["245"]	=	"At Fairbreeze Village, Ranger-general Sylvanas Windrunner and the bravest of her "..
			"Farstriders dug in for a final stand. Death was certain.|n|n"..
			"In the moments before the battle Sylvanas clutched the necklace she wore, a gift "..
			"from her elder sister Alleria. She resolved that soon she would be reunited.|n|n"..
			"And then, face to face with Prince Arthas Menthil, the future Lich King, she "..
			"bravely fought.|n|n"..
			"Her weapons were no match for Frostmourne, Arthas' legendary sword.|n|n"..
			"And when Froustmourne dug into her abdomen, she finally fell. In her dying breath "..
			"she beseeched Arthas to allow her a clean death, deserving of an honourable foe...",

	["246"]	=	"Arthas' cruel response, soon after Sylvanas' last dying breath had escaped her "..
			"lungs, was to reach into her and rip her soul back into this world.|n|n"..
			"Sylvanas had never felt such agony. And that is why she sounds the way she does "..
			"today. She is giving voice to her eternal pain!|n|n"..
			"And thus the birth of the future Banshee Queen.|n|n"..
			"So now, she was Arthas' plaything, forced to witness High King Anasterian "..
			"Sunstrider fall to Frostmourne. And when the Sunwell was destroyed she uttered a "..
			"piercing Banshee scream, to the amusement of Arthas.|n|n"..
			"I'll revisit the Dark Lady another time my friend.",

	["247"]	=	"Greetings wanderer. I want to summarise major events in the history of Azeroth.|n|n"..
			"A pivotal moment in Azeroth's history was the \124cFFB0FF30First War\124r, so we reckon this as \"year "..
			"zero\"...|n|n"..
			"So... it all began at some indeterminate time when the Titans came across Azeroth, reshaping it and empowering "..
			"selected Dragonflights to nurture and protect the world.|n|n"..
			"Much later, around the \124cFFB0FF30-25,000\124r mark Sargeras, the embodiment of all evil, recruited "..
			"Archimonde and Kil'jaeden from the planet Argus.|n|n"..
			"The third of that group, Velen, fled with his followers with Kil'jaeden in hot pursuit, travelling from "..
			"world to world for millennia...",

	["248"]	=	"\124cFFB0FF30-16,000\124r marked the end of the war between the \124cFFB0FF30Trolls and Aquir\124r that had "..
			"raged for thousands of years. Defeated, the Aqir retreated to Silithus (founding \124cFFB0FF30Ahn'Qiraj\124r), "..
			"Northrend (founding \124cFFB0FF30Azjol Nerub\124r), and Pandaria where \124cFFB0FF30Mantid\124r societies were "..
			"founded.|n|n"..
			"The Vrykul had been created by the Titans, and they had became servants of the Titan Watchers of Northrend. In "..
			"the year \124cFFB0FF30-15,000\124r they were afflicted with the Curse of Flesh and thus the "..
			"\124cFFB0FF30Vrykul\124r became the progenitor of the \124cFFB0FF30Human\124r race.|n|n"..
			"The year \124cFFB0FF30-14,000\124r saw the \124cFFB0FF30dark trolls\124r settle at the Well of Eternity and "..
			"over time the Well's energies transformed them into \124cFFB0FF30Kaldorei\124r or \124cFFB0FF30Night "..
			"Elves\124r...",

	["249"]	=	"\124cFFB0FF30Five hundred years later\124r the higher class amongst the Kaldorei have styled themselves as "..
			"\124cFFB0FF30Quel'dorei\124r or \124cFFB0FF30Highborne\124r. Arcane magic is used to shape entire cities.|n|n"..
			"In the year \124cFFB0FF30-12,000\124r the Pandaren slaves, led by Kang the \"Fist of First Dawn\" rose up "..
			"against their Mogu oppressors and thus the \124cFFB0FF30Pandaren Empire\124r was born.|n|n"..
			"By the year \124cFFB0FF30-10,000\124r Sargeras had become aware of the reckless night elves and a portal was "..
			"opened, permitting his Burning Legion demons to invade Azeroth. This is known as the \124cFFB0FF30War of the "..
			"Ancients\124r.|n|n"..
			"Malfurion Stormrage and a group of night elves destroyed the Well, preventing Sargeras' entry into Azeroth. The "..
			"energy released caused a \124cFFB0FF30Great Sundering\124r, tearing apart Kalimdor, with most lost to the sea...",

	["250"]	=	"The Lunar Festival of this era celebrates the eventual defeat of the Burning Legion by the combined might of "..
			"the night elves, earthen, furbolgs and tauren.|n|n"..
			"This is also the time when Illidan arrived at Mount Hyjal and emptied some vials containing water from the "..
			"original Well into Lake Hyjal. Indeed, I discussed this previously, did I not?|n|n"..
			"Soon after the new Well was created in Hyjal, Alexstrasza, the Lifebinder, placed an acorn within the heart of "..
			"the new Well of Eternity and \124cFFB0FF30Nordrassil\124r, the first of the World Trees, came into "..
			"existence.|n|n"..
			"\124cFFB0FF307,300\124r years prior to the First War, the Quel'dorei amongst the surviving night elves were "..
			"banished for contining to practise magic. In the period through to \124cFFB0FF30-6,800\124r they had fled "..
			"Azshara to Lordaeron and \124cFFB0FF30founded Quel'Thalas\124r...",

	["251"]	=	"The arrival of the high elves heralded the decline of the ancient troll empire, arguably the preeminent race "..
			"across Azeroth. At \124cFFB0FF30-2,800\124r years the trolls rose against the high elves in the "..
			"\124cFFFFFF80Troll Wars\124r.|n|n"..
			"Some time prior to that, the Arathi tribe of humans had formed the Arathi Empire in response to the growing "..
			"troll threat. The Arathor and Quel'Thalas united and the trolls remain broken and disparate to this day.|n|n"..
			"100 humans had been trained in the use of magic. They subsequently left Arathor to found the kingdom of "..
			"Dalaran.|n|n"..
			"By the year \124cFFB0FF30-2,700\124r a younger generation of mages, unaccustomed to the need for restraint, "..
			"began to wield their power in such a way that once again Sargeras was drawn to Azeroth. Dalaran was now "..
			"besieged by demons of the Burning Legion...",

	["252"]	=	"To counter this, the secret \124cFFB0FF30Council of Tirisfal\124r had been formed. Alodi was the first among "..
			"them to be chosen as the Guardian, the one who had received much of all their power to fight a solo clandestine "..
			"war against the Legion.|n|n"..
			"Two hundred years later, in the year \124cFFB0FF30-2,500\124r, the Uldaman Earthen woke from their slumber to "..
			"discover that they had weakened and their skin had changed. They now called themselves "..
			"\124cFFB0FF30dwarves\124r!|n|n"..
			"They founded a new kingdom called Khaz Modan, in honour of the Titan Khaz'goroth. The Ironforge name highlights "..
			"their city's huge central forge, which is in fact a shrine in his honour.|n|n"..
			"The year \124cFFB0FF30-1,200\124r is the time of \124cFFB0FF30The Seven Kingdoms\124r whereby human "..
			"civilisation spread and the original Strom gradually declined...",

	["253"]	=	"The top third of today's Eastern Kingdoms more closely resembled a continent and was called "..
			"\124cFFB0FF30Lordaeron\124r with its Capital City on the north side of the large Lordamere Lake. Present day "..
			"Undercity is located below its ruins.|n|n"..
			"To the east and south we had \124cFFB0FF30Alterac\124r and \124cFFB0FF30Dalaran\124r, (still without a dome) "..
			"and to Dalaran's south the island state of \124cFFB0FF30Kul Tiras\124r. South west of Dalaran still stands "..
			"\124cFFB0FF30Gilneas\124r.|n|n"..
			"The descendants of King Thoradin, the first great leader of the Arathor, decided to venture far south. They "..
			"founded the \124cFFB0FF30Kingdom of Azeroth\124r on the continent south of the Khaz Modan mountains. The "..
			"remaining Stromic developed a new nation known as \124cFFB0FF30Stromgarde\124r.|n|n"..
			"Indeed my friend, the world seems a different place today, what with the reshaping of the Cataclysm...",

	["254"]	=	"Over many years Azeroth gained ascendancy and thus the world was perceived as \"Azeroth\", ruled from the city "..
			"we know today as Stormwind.|n|n"..
			"Sometime after \124cFFB0FF30-975\124r the the Qiraji, from their bastion in Silithus known as Ahn'Qiraj, sought "..
			"to dominate the world. The night elves, led by Fandral Staghelm, and various Dragonflights, created a magical "..
			"gate to stop a never ending flood of insects from the place. This was the original \124cFFB0FF30War of the "..
			"Shifting Sands\124r.|n|n"..
			"<bows his head wearily>|n|n"..
			"Which is where we'll leave things for now my friend. I'll be back in a while, I can see you look exhausted. "..
			"I'll just grab a savoury dumpling or two while you rest. No need to hurry now indeed!",

	["255"]	=	"Ah, there you are ~p~! I thought it best we stopped before as you were looking hungry and tired.|n|n"..
			"\124cFFB0FF30-823\124r was the year \124cFFB0FF30Aegwynn\124r became Guardian of Tirisfal. Sometime after she "..
			"battled Sargeras in Northrend.|n|n"..
			"His physical form defeated, she had Sargeras' soul entombed beneath the Broken Isles. Alas, she had been "..
			"duped. The fight against his mere avatar had weakened Aegwynn sufficiently to allow Sargeras' spirit to enter "..
			"her and there he remained hidden.|n|n"..
			"And so to the \124cFFB0FF30War of the Three Hammers\124r at the \124cFFB0FF30-230\124r year mark. When the "..
			"High King Modimus Anvilmar died, the three dwarven clans descended into civi war. The Bronzebeards prevailed. "..
			"Today the Wildhammers and Dark Irons coexist peacefully with the Bronzebeards.",

	["256"]	=	"The \124cFFB0FF30Draenei\124r arrived in Outland in \124cFFB0FF30-200\124r. They lived peacefully with the "..
			"orcs of Nagrand, who regarded them warily.|n|n"..
			"In \124cFFB0FF30-50\124r, \124cFFB0FF30Anduin Lothar\124r was born. Raised in the city of Azeroth, the last "..
			"descendant of Thoradin and of the Arathi bloodline.|n|n"..
			"\124cFFB0FF30Llane Wrynn\124r was born in the year \124cFFB0FF30-49\124r to Adamant and Varia Wrynn. King at "..
			"the time was his grandfather, King Landen Wrynn.|n|n"..
			"In the year \124cFFB0FF30-45\124r, \124cFFB0FF30Aegwynn\124r was requested by her Council to relinquish her "..
			"Guardian role. Arrogantly, she declined but then insisted upon naming her own successor.|n|n"..
			"She sought out Nielas Aran, a powerful mage and member of the Council of Tirisfal, to be the father. Her son "..
			"\124cFFB0FF30Medivh\124r, was born in \124cFFB0FF30-44\124r.",

	["257"]	=	"In \124cFFB0FF30-30\124r Medivh reach the Age of Ascension and so would become Guardian. On the eve, a vivid "..
			"dream saw Medivh's emerging powers clash with Sargeras' spirit which was rising to grasp the power he had "..
			"waited centuries to acquire.|n|n"..
			"100 clerics, along with Medivh's father Nielas Aran, a powerful mage, battled for hours to contain the released "..
			"energy. Aran collapsed, dead, and Medivh greatly drained, collapsed slipping into a \124cFFB0FF30coma\124r.|n|n"..
			"\124cFFB0FF30Khadgar\124r, arguably the greatest of all mages, was born in the year \124cFFB0FF30-14\124r.|n|n"..
			"Medivh awoke in \124cFFB0FF30-10 (or later)\124r with Sargeras firmly in control.|n|n"..
			"\124cFFB0FF30Varian Wrynn\124r was born to King Llane Wrynn and an unknown mother in the year "..
			"\124cFFB0FF30-9\124r...",

	["258"]	=	"On Draenor, in the year \124cFFB0FF30-5\124r Durotan becomes Frostwolf Chieftain and Drek'thar their Elder "..
			"Shaman. Orc shaman are seeded with false visions of draenei wanting to kill orcs. Ner'zhul convenes a meeting "..
			"of orcs and war is proposed.|n|n"..
			"Then in \124cFFB0FF30-4\124r \124cFFB0FF30Velen sought peace with Ner'zhul\124r, was captured and subsequently "..
			"released by Durotan.|n|n"..
			"In the same year \124cFFB0FF30Arthas Menethil\124r is born to King Terenas Menethil II and Lianne Menethil.|n|n"..
			"The elementals refuse to assist orc shaman in \124cFFB0FF30-3\124r, and Gul'dan formed his "..
			"\124cFFB0FF30Shadow Council\124r and demonstrated the power of orc \124cFFB0FF30warlocks\124r. Consequently "..
			"shamanism was outlawed.|n|n"..
			"The \124cFFB0FF30Horde\124r were founded, with Blackhand, Gul'dan's puppet, the first Warchief...",

	["259"]	=	"Hellfire Citadel as we know it began construction and \124cFFB0FF30Jaina Proudmore\124r was born.|n|n"..
			"In \124cFFB0FF30-2\124r, Orc skin began to turn green, Shattrath was sacked and \124cFFB0FF30Mannoroth\124r "..
			"spilt his blood into the Pools of Karabor.|n|n"..
			"By the year \124cFFB0FF30-1\124r, Hellfire Peninsular was a tainted wasteland, overcrowded by orcs. "..
			"\124cFFB0FF30Dark Portal\124r construction began after Medivh struck a deal with Gul'dan. The Shadow "..
			"Council attacked Auchindoun, resulting in its destruction and the razing of Terokkar Forest, creating the "..
			"\124cFFB0FF30Bone Wastes\124r.|n|n"..
			"Medivh opened the Dark Portal to the Black Morass in the year \124cFFB0FF300\124r and orcs poured through.|n|n"..
			"For lack of loyalty to Gul'dan, Durotan's Frostwolf clan were exiled to the wilderness of Azeroth...",

	["260"]	=	"\124cFFB0FF30Aegwynn\124r confronted \124cFFB0FF30Medivh\124r in Karazhan about the developments and soon "..
			"realised she was speaking to \124cFFB0FF30Sargeras\124r. She teleported to safety.|n|n"..
			"Durotan's mate Draka gave birth to \124cFFB0FF30Go'el\124r at the Clan's Alterac Valley base.|n|n"..
			"Durotan, in seeking to secure Go'el and the Frostwolfs' future, decided to reveal all about Gul'dan to "..
			"Orgrim Doomhammer. While returning, Durotan and Draka were killed by Gul'dan's agents. Go'el was found by "..
			"Aedelas Blackmoore, a Kingdom of Lordaeron leader, and taken to Durnholde Keep where he was named "..
			"Thrall.|n|n"..
			"Year \124cFFB0FF301\124r marks the \124cFFB0FF30First War\124r. Stormwind was attacked by the Horde. Prince "..
			"Llane Wrynn and his mother had been sent to Northshire Abbey for safety. While there he became King. Presumably "..
			"King Adamant Wrynn III died defending the Kingdom...",

	["261"]	=	"In early year \124cFFB0FF303\124r, \124cFFB0FF30Khadgar\124r was sent by the Kirin Tor to be "..
			"\124cFFB0FF30Medivh's apprentice\124r and also to spy on him. He was 17 at the time.|n|n"..
			"\124cFFB0FF30Garona Halforcen\124r likewise was Gul'dan's spy and was now ensconced in Medivh's tower. She "..
			"grew to respect Medivh and also became \124cFFB0FF30pregnant\124r to him.|n|n"..
			"A final push on Stormwind loomed. Gul'dan knew that a party were about to raid Medivh's tower of Karazhan. He "..
			"had been promised the \124cFFB0FF30location of the Tomb of Sargeras\124r by Medivh as the deal to bring the "..
			"Horde to Azeroth. That deal was now threatened.|n|n"..
			"Gul'dan decided to probe Medivh's mind deeply, to obtain the location. While doing this, \124cFFB0FF30Anduin "..
			"Lothar\124r and \124cFFB0FF30Khadgar\124r killed Medivh, causing Gul'dan to fall into a coma.",

	["262"]	=	"With Gul'dan incapacitated \124cFFB0FF30Orgrim\124r seized the opportunity to wrest control of the Horde from "..
			"the puppet Blackhand who was without his master. The new Warchief marched on \124cFFB0FF30Stormwind\124r.|n|n"..
 			"Garona, ensorcelled by the Shadow Council, \124cFFB0FF30assassinated King Llane\124r. This was witnessed by "..
			"young \124cFFB0FF30Varian Wrynn\124r.|n|n"..
			"With Stormwind having fallen Orgrim turned his attention to reforming the Horde. Garona Halforcen was forced to "..
			"reveal the location of the Shadow Council, who were killed along with many warlocks.|n|n"..
			"By the end of the \124cFFB0FF303rd\124r year the \124cFFB0FF30exodus from Stormwind\124r had begun.|n|n"..
			"We'll leave it there for now my friend, time enough for the respective forces to prepare for the "..
			"\124cFFB0FF30Second War\124r!",

	["263"]	=	"I am hopeful, my friend, that the intermission was beneficial for you. My account of the history of the world "..
			"is nearly complete!|n|n"..
			"In the winter of the \124cFFB0FF305th\124r year, going on to year 6, the mare Brightmane gave birth to a foal, "..
			"Arthas' \124cFFB0FF30Invincible\124r.|n|n"..
			"Refugees poured into the Kingdom of Lordaeron from Stormwind across the Great Sea, led by \124cFFB0FF30Lord "..
			"Anduin Lothar\124r, Champion of Azeroth and essentially Regent to the boy Prince Varian Wrynn, aged 14.|n|n"..
			"Year \124cFFB0FF305\124r through to year \124cFFB0FF307\124r we had the \124cFFB0FF30Second War\124r. It was "..
			"heralded by Lothar who upon arriving immediately warned King Terenas Menethil II of the impending Horde "..
			"invasion.|n|n"..
			"King Terenas acted swiftly in pulling several kingdoms together to form \124cFFB0FF30The Alliance of "..
			"Lordaeron\124r...",

	["264"]	=	"Twice it looked like the Horde would succeed.|n|n"..
			"The slash and burn advance on \124cFFB0FF30Quel'Thalas\124r was only halted at Eversong Woods when King "..
			"Anasterian Sunstrider, for a while at least, responded with force to drive out the Horde.|n|n"..
			"The \124cFFB0FF30treachery\124r of \124cFFB0FF30King Perenolde of Alterac\124r was nothing compared with that "..
			"of \124cFFB0FF30Gul'dan\124r. With the sacking of the Capital City of Lordaeron imminent, Gul'dan took a third "..
			"of the Horde forces with him when he decided that raiding the \124cFFB0FF30Tomb of Sargeras\124r was more "..
			"important.|n|n"..
			"The Horde, in disarray, were pushed back through the Dark Portal and remaining orcs were placed into several "..
			"internment camps located in the Durnholde area...",

	["265"]	=	"Gul'dan paid the price for his treachery when, on opening the Tomb, he was killed by demonic guardians.|n|n"..
			"Early in year \124cFFB0FF308\124r, while Arthas Menethil was still 11, the \124cFFB0FF30Alliance "..
			"Expedition\124r pushed into Draenor as the Dark Portal had newly reopened. Leading the forces were "..
			"\124cFFB0FF30Archmage Khadgar\124R, Supreme Commander, \124cFFB0FF30High General Turalyon\124r of the Silver "..
			"Hand, \124cFFB0FF30Kurdran Wildhammer\124r, Commander of the Gryphon Riders, Force Commander and tactician "..
			"\124cFFB0FF30Captain Danas Trollbane\124r, and Lead Scout \124cFFB0FF30Alleria Windrunner\124r.|n|n"..
			"In the same year, and with Arthas now 12, the Force were deemed \"lost\" when the planet was torn apart by "..
			"released portal energies.|n|n"..
			"Ner'zhul became \124cFFB0FF30Lich King\124r, trapped inside the Frozen Throne as punishment by Kil'jaeden for "..
			"his failures...",

	["266"]	=	"Kil'jaeden hurled the frozen mass into the Great Dark Beyond where it crashed into Icecrown glacier in "..
			"Northrend.|n|n"..
			"In year \124cFFB0FF3013\124r Prince Arthas Menethil visited Durnholde Keep and saw the pet orc "..
			"\124cFFB0FF30Thrall\124r in action. About year \124cFFB0FF3014\124r Arthas' \124cFFB0FF30Invincible\124r "..
			"died.|n|n"..
			"At 19, in the year \124cFFB0FF3015\124r, Arthas was inducted into the Order of the Silver Hand. "..
			"\124cFFB0FF30Anduin Wrynn\124r was born in this year and his mother, Queen Tiffin Wrynn (nee Ellerian) died "..
			"during the stonemason riots.|n|n"..
			"For the Horde, my friend, year \124cFFB0FF3018\124r was of great importance. Thrall escaped from Durnholde and "..
			"thus began the \124cFFB0FF30Rise of the Horde\124r.|n|n"..
			"In the year \124cFFB0FF3019\124r, young Thrall, Orgrim Doomhammer and Grom Hellscream successfully liberated "..
			"four internment camps...",

	["267"]	=	"At the fifth they were ambushed by Lordaeron knights. When Orgrim fell, he bequeathed "..
			"\124cFFB0FF30Doomhammer\124r to Thrall and the title of Warchief. That camp in the Arathi Highlands is known "..
			"as \124cFFB0FF30Hammerfall\124r today.|n|n"..
			"It was in the year \124cFFB0FF3020\124r that Aegwynn brought \124cFFB0FF30Medivh\124r back to life but that was "..
			"completely overshadowed by the commencement of the \124cFFB0FF30Third War\124r.|n|n"..
			"Ner'zhul's \124cFFB0FF30Plague of Undeath\124r spread throughout the lands and Uther defied Prince Arthas when "..
			"ordered to \124cFFB0FF30Cull Stratholme\124r.|n|n"..
			"Arthas raised \124cFFB0FF30Frostmourne\124r to become the Champion of the Lich King and \124cFFB0FF30King "..
			"Terenas Menethil II\124r fell to that very blade, as did \124cFFB0FF30Uther\124r days later while carrying "..
			"Menethil's ashes...",

	["268"]	=	"During the fall of Quel'Thalas, \124cFFB0FF30Sylvanas Windrunner\124r was taken prisoner and tortured by Arthas. "..
			"Denying her the peace of death he transformed her into a banshee, to forever wail of the agony of undeath.|n|n"..
			"\124cFFB0FF30Archimonde\124r was summoned to Azeroth. His goal was to destroy the \124cFFB0FF30World Tree\124r, "..
			"\124cFFB0FF30Nordrassil\124r, at Mount Hyjal.|n|n"..
			"In the year \124cFFB0FF3021\124r, \124cFFB0FF30Malfurion Stormrage\124r used the Horn of Cenarius to help "..
			"defeat Archimonde but Nordrassil was damaged and the night elves lost their immortality but the Third War had "..
			"ended.|n|n"..
			"The Banshee Queen, Lady Sylvanas Windrunner, founded the \124cFFB0FF30Forsaken\124r and used the sewers of "..
			"the ruins of Lordaeron as her base.|n|n"..
			"Prince Kael'thas Sunstrider now called his people \124cFFB0FF30Blood Elves\124r...",

	["269"]	=	"In the year \124cFFB0FF3022\124r, Arthas answered Ner'zhul's call. After battling Illidan Stormrage he reached "..
			"the \124cFFB0FF30Frozen Throne\124r and shattered it with \124cFFB0FF30Frostmourne\124r. The \124cFFB0FF30Helm "..
			"of Domination\124r fell to his feet. He placed it upon his head and instantly Ner'zhul and Arthas' spirits "..
			"merged.|n|n"..
			"\124cFFFFB030Now... we are one!\124r|n|n"..
			"In the same year \124cFFB0FF30Orgrimmar\124r was founded.|n|n"..
			"And then in the \124cFFB0FF3025th\124r year King Varian Wrynn was \124cFFB0FF30kidnapped\124r. Suspiciously, "..
			"Lady Prestor, whom it happened had been possessed by \124cFFB0FF30Onyxia\124r, insisted upon 10 year old "..
			"\124cFFB0FF30Prince Anduin Wrynn\124r being crowned King, with \124cFFB0FF30Bolvar Fordragon\124r the Regent "..
			"Lord.|n|n"..
			"And that, my friend, completes our history!",

	["270"]	=	"Hello friend, I'd like to tell you of the Second War!|n|n"..
			"Anduin Lothar arrived in the year 5 on the southern shore of Lordaeron, at the head of thousands of Azeroth "..
			"refugees, and immediately warned King Terenas Menethil II of the impending Horde invasion.|n|n"..
			"King Menethil responded decisively, forming the Alliance of Lordaeron. Alongside the Kingdom of Lordaeron "..
			"stood|n|n"..
			"* the exiled Kingdom of Azeroth|n* Wildhammers of Aerie Peak|n* Bronzebeards of Khaz Modan|n* gnomes of "..
			"Gnomeregan|n* the Kingdom of Dalaran|n* the Kingdom of Stromgarde|n* the kingdom of Kul Tiras|n* some token "..
			"High Elves sent by King Anasterian of Quel'Thalas...",

	["271"]	=	"King Perenolde of Alterac declined as he believed defeat was inevitable and King Greymane declined as Gilneas "..
			"was strong enough to stand alone.|n|n"..
			"For the Horde, Doomhammer had bolstered his ranks with more orcs and now also with ogres and possibly goblins, "..
			"along with Alexstrasza's red dragonflight, enslaved to Doomhammer's bidding.|n|n"..
			"The Second War gave birth to the Paladins, formed by Alonsus Faol from priests trained in the way of the sword "..
			"and the Holy Light.|n|n"..
			"The Horde attacked by land from Blackrock Mountain, cutting off the Bronzebeards and the gnomes from the "..
			"Alliance. By sea, landing near Tarren Mill, the Horde made rapid progress towards Quel'Thalas. The Horde "..
			"were aided by the newly allied Amani trolls...",

	["272"]	=	"Bitterness from hundreds of years of fighting between the trolls and high elves was ever present, my "..
			"friend!|n|n"..
			"The Horde pressed towards Quel'Thalas, out manoeuvring the Alliance.|n|n"..
			"Present day Ghostlands and Eversong Woods were scorched by the advancing Horde who included trolls, orcs, ogres "..
			"and the fiery breath of the enslaved red dragonflight. Still, King Anasterian Sunstrider did not respond.|n|n"..
			"Finally, when Alleria Windrunner, who had been aided by her sisters, threw down at Anasterian's feet the head "..
			"of an Amani, captured just across the river, the King responded with force.|n|n"..
			"The Horde retreated from the Elven forests and turned their attention to Lordaeron in the west...",

	["273"]	=	"As the Horde were marching from Quel'Thalas to Lordaeron they were aided with fast and safe passage by the "..
			"self-serving traitor Lord Perenolde of Alterac.|n|n"..
			"Treachery was not confined to the Alliance.|n|n"..
			"When Capital City seemed lost to the Horde, Gul'dan, on finally learning the location of the Tomb of Sargeras "..
			"(knowledge of its location was promised by Medivh, as an agent for Sargeras, in order to gain Gul'dan's help "..
			"prior to the start of the First War) took a third of the Horde forces with him.|n|n"..
			"Orgrim Doomhammer gave chase and the remaining Horde forces, in disarray, retreated.|n|n"..
			"A stoic retreat ensued but the Horde were edged back south to Khaz Modan...",

	["274"]	=	"The newly created Death Knights joined the Horde but the Alliance benefited greatly from the addition of "..
			"The Knights of the Silver Hand, led by The First Paladin and Supreme Commander of the Paladin Order, Uther "..
			"the Lightbringer and his lieutenant Turalyon.|n|n"..
			"Uther led his detachment north to finish the Horde presence in Lordaeron and along the way they annihilated the "..
			"treacherous forces of Perenolde.|n|n"..
			"The Horde, pressed further south, decided upon a final stand at Blackrock Mountain.|n|n"..
			"It was there, at the foot of the mountain, during fierce fighting that Regent Lord Anduin Lothar fell. "..
			"Orgrim Doomhammer had shattered the Great Royal Sword then brought Doomhammer down upon his helm...",

	["275"]	=	"The Lion's Lieutenant, Turalyon, reached down for Lothar's broken sword and rallied the Alliance of "..
			"Lordaeron.|n|n"..
			"\124cFFB0FF80For Sir Lothar!\124r|n|n"..
			"The Horde were surprised at this turnaround. Doomhammer himself was injured by Turalyon and captured. Blackrock "..
			"finally fell and soon after the Dark Portal. Remaining orcs were sent to internment camps.|n|n"..
			"By the way my friend, the Silver Hand's Highlord Alexandros Mograine, known as The Ashbringer, had noticed a "..
			"mysterious dark crystal belonging to a dead orc warlock. Much later, during the Third War that same crystal was "..
			"forged by Magni Bronzebeard into the legendary Ashbringer sword!|n|n"..
			"And Gul'dan? He was killed by demons when he opened the Tomb of Sargeras!",

	["276"]	=	"Psst... ~p~... Over here!|n|n"..
			"Look, I know things seem a little quiet at the moment but there is often a Convention at the Legerdemain.|n|n"..
			"So if we wait here, we'll just blend in with the crowd. They'll bring around some great Northern Stew later, "..
			"and the wine is also not too bad.|n|n"..
			"All we'll need is a little \"légèreté des mains\". Hehehe...|n|n"..
			"While we're waiting, let me tell you of the Kirin Tor!",

	["277"]	=	"We need to step way back to the Arathor Empire my friend. The trolls of Lordaeron and Quel'Thalas were non too "..
			"happy when the high elves arrived from Kalimdor. The dispute simmered for thousands of years and culminated in "..
			"the Troll Wars.|n|n"..
			"The Arathi tribe, one of several disparate communities of humans, could sense the looming war and decided to "..
			"unite or conquer by force all the other human tribes.|n|n"..
			"The high elves, desperately needing help, reached out to Arathor and together the trolls were defeated.|n|n"..
			"Part of the agreement was that the high elves would instruct the 100 humans in the use of magic...",

	["278"]	=	"After the war, the mages wished to advance their art and they needed a place where they might experiment "..
			"and practise freely. The Arathi capital of Strom was ill suited. They decided to found their own nation, "..
			"Dalaran.|n|n"..
			"Located just south of Lordamere Lake, the city had an extensive library, laboratories and soon became a beacon "..
			"to all who wished to research and practise the magic arts.|n|n"..
			"The Kirin Tor Advanced Research and Illumination Sect was formed, charged with cataloguing and researching all "..
			"magical items, artifacts and spells.|n|n"..
			"Within this group was a high council, The Council of Six. These were typically the most senior of mages, rather "..
			"than the most skilled at magic...",

	["279"]	=	"The Council of Six meet in the Chamber of Air. Hmmm, indeed my friend... you will never find its location.|n|n"..
			"Upon teleporting to the \"room\" you would see that there are no walls or ceiling and there is even a sense "..
			"that the passage of time is altered.|n|n"..
			"Visitors who are summoned will note that the Council (used to) conceal their identities. Although the "..
			"apprentice Khadgar, days prior to the Second War, had no trouble in convincing them that he knew their "..
			"identities, hohoho.|n|n"..
			"Grand Magus Antonidas was one of their most celebrated leaders. Remarkably, he was invited into their ranks as "..
			"a young teenager and quickly became a wise and dominant voice within the Council...",

	["280"]	=	"Korialstrasz, prime consort to the queen of the red dragonflight, Alexstrasza, was also a Council member, "..
			"albeit as his human avatar Krasus.|n|n"..
			"Kael'thas Sunstrider, the only son of King Anasterian of Quel'Thalas, was a Council member. After the sacking "..
			"of Silvermoon City and assassination of Anasterian by Arthas, he founded the Blood Elves.|n|n"..
			"He has been killed, or \"merely set back\" hohoho several times, the first being within Tempest Keep.|n|n"..
			"During the Third War, Dalaran was destroyed by Arthas and the Scourge. The role of the Kirin Tor is cloudy at "..
			"this time.|n|n"..
			"Afterwards, remnants of the Kirin Tor placed a protective dome over the city so that it may be rebuilt "..
			"unhindered...",

	["281"]	=	"With Arthas ensconced in the Icecrown Citadel and the Alliance and Horde forces beginning to mass in Northrend, "..
			"the Kirin Tor moved Dalaran to near the Icecrown glacier. It floated high above Crystalsong Forest.|n|n"..
			"This naturally incensed the Aspect of Magic, Malygos. In his crazed state, he wanted to rid the world of ALL "..
			"magic and Dalaran was anathema to him!|n|n"..
			"A difficulty at this time was the uneasy presence of the blood elves within Dalaran. They were known as the "..
			"Sunreavers after their leader Aethas Sunreaver who, luckily for them, was a Council member. The other high "..
			"elves, led by Vereesa Windrunner, formed the Silver Covenant but she was not a Council member. Thus the "..
			"sin'dorei, and by extension the Horde, could remain in neutral Dalaran...",

	["282"]	=	"Ah my friend, such is the flow of \"time\" and events in this world that if I go on I will touch upon that "..
			"which... hmmm... I think you can find these things out for yourself my learned friend!|n|n"..
			"<looks around, concerned>|n|n"..
			"We didn't miss a tray of Hors d'oeuvre while I was chatting? Hmmm... I'm just going to wander around town a bit "..
			"~p~. Be seeing you later!|n|n"..
			"<promptly stands, waves, moves to an exit>|n"..
			"<can be heard muttering>|n|n"..
			"Hrmmph... slow service... Aimee... donuts... Lucian... sweet potato bread.",
}

--------------------------------------------------------------------------------------------------------------------------------------------

--[[ --------------- ]]--
--[[ Local Functions ]]--
--[[ --------------- ]]--

local function Arakkoa( delay )

	local alreadyQueued = false

	if BestQuestDB["Lore"]["Arakkoa #3"] then
		return true
	end

	if BestQuestDB["Lore"]["Arakkoa #1"] == nil then
		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if ( k == "Lore 72" ) then
				alreadyQueued = true
				break
			end
		end
		if not alreadyQueued then
			BestQuest_Chat["Lore 72"] = { ["dialogue"] = speech["72"], ["portrait"] = portrait, ["greeting"] = sound["It is good to see you"],
					["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Arakkoa", ["series"] = "Arakkoa",
					["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
					["startTime"] = 0, ["pause"] = delay,
					["DBPrimary"] = "Lore", ["DBLabel"] = "Arakkoa #1", ["prerequisite"] = "Terokkar Forest Welcome #2"}
		end
	end

	if BestQuestDB["Lore"]["Arakkoa #2"] == nil then
		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if ( k == "Lore 73" ) then
				alreadyQueued = true
				break
			end
		end
		if not alreadyQueued then
			BestQuest_Chat["Lore 73"] = { ["dialogue"] = speech["73"], ["portrait"] = portrait,
					["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Arakkoa", ["series"] = "Arakkoa",
					["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
					["DBPrimary"] = "Lore", ["DBLabel"] = "Arakkoa #2", ["prerequisite"] = "Arakkoa #1"}
		end
	end

	if BestQuestDB["Lore"]["Arakkoa #3"] == nil then
		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if ( k == "Lore 74" ) then
				alreadyQueued = true
				break
			end
		end
		if not alreadyQueued then
			BestQuest_Chat["Lore 74"] = { ["dialogue"] = speech["74"], ["portrait"] = portrait,
					["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Arakkoa", ["series"] = "Arakkoa",
					["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
					["DBPrimary"] = "Lore", ["DBLabel"] = "Arakkoa #3", ["prerequisite"] = "Arakkoa #2"}
		end
	end

	return false
end

local function Auchindoun( delay )

	local alreadyQueued = false

	if BestQuestDB["Lore"]["Auchindoun #2"] then
		return true
	end

	if BestQuestDB["Lore"]["Auchindoun #1"] == nil then
		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if ( k == "Lore 60" ) then
				alreadyQueued = true
				break
			end
		end
		if not alreadyQueued then
			BestQuest_Chat["Lore 60"] = { ["dialogue"] = speech["60"], ["portrait"] = portrait, ["greeting"] = sound["Yep"],
					["artwork"] = "Interface\\Glues\\Credits\\Auchindoun3", ["series"] = "Auchindoun",
					["left"]="0.050562", ["right"]="0.919438", ["top"]="0.03", ["bottom"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
					["startTime"] = 0, ["pause"] = delay, 
					["DBPrimary"] = "Lore", ["DBLabel"] = "Auchindoun #1", ["prerequisite"] = "Terokkar Forest Welcome #2"}
		 end
	end
	if BestQuestDB["Lore"]["Auchindoun #2"] == nil then
		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if ( k == "Lore 61" ) then
				alreadyQueued = true
				break
			end
		end
		if not alreadyQueued then
			BestQuest_Chat["Lore 61"] = { ["dialogue"] = speech["61"], ["portrait"] = portrait,
					["artwork"] = "Interface\\Glues\\Credits\\Auchindoun3", ["series"] = "Auchindoun",
					["left"]="0.050562", ["right"]="0.919438", ["top"]="0.03", ["bottom"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
					["DBPrimary"] = "Lore", ["DBLabel"] = "Auchindoun #2", ["prerequisite"] = "Auchindoun #1"}
		end
	end

	return false
end

local function BladesEdgeMountains( delay )

	if BestQuestDB["Lore"]["Blade's Edge Mountains"] == nil then
		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if ( k == "Lore 42" ) then
				alreadyQueued = true
				break
			end
		end
		if not alreadyQueued then
			if BestQuest_AreaID == 475 then
				if BestQuest_Level >= 65 then
					factionText = speech["42m2"]
				else
					factionText = speech["42m3"]
				end
			else
				if BestQuest_Level >= 65 then
					factionText = speech["42m1"]
				else
					return
				end
			end
			speech["42"] = stringGsub(speech["42"],"~m~", factionText)
			if BestQuest_Faction == "Horde" then
				factionText = speech["42h1"]
			else
				factionText = speech["42a1"]
			end
			speech["42"] = stringGsub(speech["42"],"~f~", factionText)
			BestQuest_Chat["Lore 42"] = { ["dialogue"] = speech["42"], ["portrait"] = portrait, ["greeting"] = sound["Hmmm hmmm"],
					["artwork"] = "Interface\\Glues\\Credits\\BladesEdge2", ["alpha"] = "0.8",
					["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 0.2, ["g"] = 1, ["b"] = 0},
					["startTime"] = 0, ["pause"] = delay,
					["DBPrimary"] = "Lore", ["DBLabel"] = "Blade's Edge Mountains", ["prerequisite"] = "Outland Welcome #2"}
		end
		return false
	else
		return true
	end
end

local function CavernsOfTime( delay )

	local alreadyQueued = false

	if BestQuestDB["Lore"]["Caverns of Time #2"] then
		return true
	end

	if BestQuestDB["Lore"]["Caverns of Time #1"] == nil then
		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if ( k == "Lore 80" ) then
				alreadyQueued = true
				break
			end
		end
		if not alreadyQueued then
			BestQuest_Chat["Lore 80"] = { ["dialogue"] = speech["80"], ["portrait"] = portrait, ["greeting"] = sound["Deep Hmmm"],
					["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenCavernsTime", ["series"] = "CavernsOfTime",
					["left"]="0.51", ["right"]="0.8629", ["top"]="0.27", ["bottom"]="0.8", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
					["startTime"] = 0, ["pause"] = delay,
					["DBPrimary"] = "Lore", ["DBLabel"] = "Caverns of Time #1"}
		end
	end
	if BestQuestDB["Lore"]["Caverns of Time #2"] == nil then
		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if ( k == "Lore 76" ) then
				alreadyQueued = true
				break
			end
		end
		if not alreadyQueued then
			BestQuest_Chat["Lore 76"] = { ["dialogue"] = speech["76"], ["portrait"] = portrait,
					["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenCavernsTime", ["series"] = "CavernsOfTime",
					["left"]="0.51", ["right"]="0.8629", ["top"]="0.27", ["bottom"]="0.8", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
					["DBPrimary"] = "Lore", ["DBLabel"] = "Caverns of Time #2", ["prerequisite"] = "Caverns of Time #1",}
		end
	end

	return false
end

local function KaluakIntroduction( delay )

	if BestQuestDB["Lore"]["Kalu'ak Introduction"] then
		return true
	end
	if BestQuest_Level < 68 then		-- Dragonblight needs >= 71 btw
		return false
	end

	if ( BestQuestDB["Lore"]["Borean Tundra Welcome"] and ( BestQuest_AreaID == 486 ) ) or 
		( BestQuestDB["Lore"]["Dragonblight Welcome"] and ( BestQuest_AreaID == 488 ) ) or 
		( BestQuestDB["Lore"]["Howling Fjord Welcome"] and ( BestQuest_AreaID == 491 ) ) then 

		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if ( k == "Lore 136" ) then
				if delayAmount == 0 then
					BestQuest_Chat[k] = nil
					break
				else
					alreadyQueued = true
					break
				end
			end
		end
		if not alreadyQueued then
			BestQuest_Chat["Lore 136"] = { ["dialogue"] = speech["136"], ["portrait"] = portrait, ["greeting"] = sound["Yep"],
					["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Kalu'ak",
					["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 0.9, ["b"] = 0.8},
					["startTime"] = 0, ["pause"] = delay,
					["DBPrimary"] = "Lore", ["DBLabel"] = "Kalu'ak Introduction"}

		end
	end

	return false
end

local function LamentOfTheHighBorn( prerequisite )

	local canContinue, alreadyQueued = true, false
												
	if BestQuestDB["Lore"]["Ghostlands Necklace"] == nil then

		if (GetQuestLogIndexByID(9175) > 0) or (GetQuestLogIndexByID(9180) > 0) or IsQuestFlaggedCompleted(9180) then
			canContinue = false
		else
			for i =0,NUM_BAG_SLOTS do
				local name = GetBagName(i)
				if name then
					local numberOfSlots = GetContainerNumSlots(i)
					for j = 1, numberOfSlots do
						if GetContainerItemID(i,j) == 22597 then
							canContinue = false
							break
						end
					end
				end
			end
		end
		if canContinue then
			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 112" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				if BestQuest_Level >= 15 then
					factionText = speech["112y"]
				else
					factionText = speech["112n"]
				end
				speech["112"] = stringGsub(speech["112"],"~m~", factionText)
				BestQuest_Chat["Lore 112"] = { ["dialogue"] = speech["112"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Alleria",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Ghostlands Necklace", ["prerequisite"] = prerequisite}
			end
		elseif IsQuestFlaggedCompleted(9180) then
			BestQuestDB["Lore"]["Ghostlands Necklace"] = BESTQUEST_ALREADY_COMPLETED
		end
	end
end

local function QuelThalas( delay )

	local alreadyQueued = false

	if BestQuestDB["Lore"]["Quel'Thalas"] == nil then
		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if ( k == "Lore 78" ) then
				alreadyQueued = true
				break
			end
		end
		if not alreadyQueued then
			BestQuest_Chat["Lore 78"] = { ["dialogue"] = speech["78"], ["portrait"] = portrait, ["greeting"] = sound["Welcome #2"],
					["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Quel'Thalas",
					["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
					["startTime"] = 0, ["pause"] = delay,
					["DBPrimary"] = "Lore", ["DBLabel"] = "Quel'Thalas"}
		end
		return false
	else
		return true
	end
end

local function ShadowmoonNetherstorm( delay )

	if BestQuestDB["Lore"]["Shadowmoon / Netherstorm"] == nil then

		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if ( k == "Lore 43" ) then
				alreadyQueued = true
				break
			end
		end
		if not alreadyQueued then
			if BestQuest_Level >= 67 then
				if BestQuest_AreaID == 473 then		-- Shadowmoon Valley
					factionText = speech["43m1"]
				elseif BestQuest_AreaID == 479 then	-- Netherstorm
					factionText = speech["43m2"]
				else
					factionText = speech["43m3"]
				end
			else
				if BestQuest_AreaID == 473 then
					factionText = speech["43m4"]
				else
					factionText = speech["43m5"]
				end
			end
			speech["43"] = stringGsub(speech["43"],"~m~", factionText)
			BestQuest_Chat["Lore 43"] = { ["dialogue"] = speech["43"], ["portrait"] = portrait, ["greeting"] = sound["Hmmm hmmm"],
					["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Shadowmoon", ["alpha"] = "0.7",
					["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 1},
					["startTime"] = 0, ["pause"] = delay,
					["DBPrimary"] = "Lore", ["DBLabel"] = "Shadowmoon / Netherstorm", ["prerequisite"] = "Outland Welcome #2"}
		end
	end
end

local function SlowDown ( level )

	if BestQuestDB["Lore"]["Dragonblight Slow Down"] == nil then
		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if ( k == "Lore 157" ) then
				alreadyQueued = true
				break
			end
		end
		if not alreadyQueued then
			speech["157"] = stringGsub(speech["157"],"~m~", tostring( level))
			BestQuest_Chat["Lore 157"] = { ["dialogue"] = speech["157"], ["portrait"] = portrait, ["greeting"] = sound["Slow down!"],
					["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Nobundo", ["alpha"] = "0.6",
					["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 0.2, ["g"] = 1, ["b"] = 1},
					["DBPrimary"] = "Lore", ["DBLabel"] = "Dragonblight Slow Down",}
		end
	end
end

--------------------------------------------------------------------------------------------------------------------------------------------

if tonumber(GetAddOnMetadata("Best_Quest","Version")) < minBQVersion then
	print("\124cFFFF0000Requires Best Quest version \124cFFFFFF00".. minBQVersion.."\124cFFFF0000 or greater")
end

--------------------------------------------------------------------------------------------------------------------------------------------

--[[ ------------- ]]--
--[[ Main Function ]]--
--[[ ------------- ]]--

function BestQuest_Functions.Lore()

	if tonumber(GetAddOnMetadata("Best_Quest","Version")) < minBQVersion then
		return
	end

	-- v3.03 This code is in the main engine but it still allows a module to queue up frames while busy. We don't really want that here
	-- v3.04 Added lots more tests
	if InCinematic() or ( select(2,IsInInstance()) == "pvp" ) or UnitUsingVehicle("player") or UnitOnTaxi("player") or
			UnitIsAFK("player") or UnitAffectingCombat("player") or UnitIsDeadOrGhost("player") or IsInPetBattle() or
			UnitIsDND("player") or ( select(2,IsInInstance()) == "arena" ) or ( select(2,IsInInstance()) == "scenario" ) then
		return
	end

	local alreadyQueued, factionText, subZone = false, "", GetSubZoneText()

	local instanceDelay, availabilityMultiplier = 15, 4

	-- v2.02. The idea above is to provide a sufficient delay to allow for the instance load screen and then a bit more in order that the
	-- player doesn't feel too bombarded by BQL. At the same time, players who just dinged probably prefer to see the various new
	-- spells and things announced during the ding toast. So the delay is longer. A third scenario is players walking up to the instance
	-- entrance. If they pause and then enter just before the timer triggers, I suspect the dialogue will not be seen?

	local playerBusy = IsInInstance()	-- nil result should be okay for false condition

	-- v2.02 most player business is already filtered out in the main module. Need to further restrict as we could be sending a sustained 
	-- wall of text the player's way.
	-- v2.03 above was located in the "Lore Extras" section. Moved to here so that same delay may also occur for "Instances"

--[[ ------------------------ ]]--
--[[   Early Faction Levels   ]]--
--[[ ------------------------ ]]--

	if BestQuestDB["Lore"]["Welcomed 2"] == nil then

		if BestQuestDB["Lore"]["Welcomed"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 1" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 1"] = { ["dialogue"] = speech["1"], ["portrait"] = portrait, ["greeting"] = sound["Hello friend"], 
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Sholazar", ["Series"] = "Welcomed",
						["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["startTime"] = 0, ["pause"] = levelDelay * 3,
						["DBPrimary"] = "Lore", ["DBLabel"] = "Welcomed"}
			end
		end

		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if k == "Lore 2" then
				alreadyQueued = true
				break
			end
		end
		if not alreadyQueued then
			BestQuest_Chat["Lore 2"] = { ["dialogue"] = speech["2"], ["portrait"] = portrait,
					["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Storm Peaks", ["Series"] = "Welcomed",
					["left"]="0.10112", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.2},
					["DBPrimary"] = "Lore", ["DBLabel"] = "Welcomed 2", ["prerequisite"] = "Welcomed"}
			BestQuest_Chat["Lore 2s"] = { ["greeting"] = sound["Slow down!"], ["showing"] = "Lore 2", ["startTime"] = 0, ["pause"] = levelDelay,
					["startTime"] = 0, ["pause"] = 21, ["DBPrimary"] = "Lore", ["DBLabel"] = "Welcomed 3"}
		end

		return
	end

	if ( BestQuest_Level <= 10 ) and ( BestQuest_Level > 1 ) and ( 
			( (BestQuestDB["Lore"]["Worgen Starter"] == nil) and (BestQuest_RaceID == "Worgen")) or
			( (BestQuestDB["Lore"]["Goblin Starter"] == nil) and (BestQuest_RaceID == "Goblin")) or
			( (BestQuestDB["Lore"]["Nelf Starter"] == nil) and (BestQuest_RaceID == "NightElf")) ) then

		if BestQuest_RaceID == "NightElf" then
			if BestQuestDB["Lore"]["Nelf Starter"] == nil then
				if (BestQuest_AreaID == 41) or (BestQuest_AreaID == 381) or (BestQuest_AreaID == 888) then	-- Teldrassil & Darnassus & Shadowglen
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if k == "Lore 109" then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 109"] = { ["dialogue"] = speech["109"], ["portrait"] = portrait, ["greeting"] = sound["Deep Hmmm"],
								["artwork"] = "Interface\\Glues\\Credits\\NightElves1",
								["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
								["startTime"] = 0, ["pause"] = levelDelay,
								["DBPrimary"] = "Lore", ["DBLabel"] = "Nelf Starter"}
					end
				else
					BestQuestDB["Lore"]["Nelf Starter"] = BESTQUEST_ALREADY_COMPLETED
				end
			end
		elseif BestQuest_RaceID == "Goblin" then
			if BestQuestDB["Lore"]["Goblin Starter"] == nil then
				if (BestQuest_AreaID == 605) or (BestQuest_AreaID == 544) then -- Kezan & The Lost Isles
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if k == "Lore 110" then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 110"] = { ["dialogue"] = speech["110"], ["portrait"] = portrait, ["greeting"] = sound["Deep Hmmm"],
								["artwork"] = "Interface\\Glues\\Credits\\Cataclysm\\Kezan Swing Bridge012",
								["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 0.93, ["g"] = 0.91, ["b"] = 0.67},
								["startTime"] = 0, ["pause"] = levelDelay,
								["DBPrimary"] = "Lore", ["DBLabel"] = "Goblin Starter"}
					end
				else
					BestQuestDB["Lore"]["Goblin Starter"] = BESTQUEST_ALREADY_COMPLETED
				end
			end
		elseif BestQuest_RaceID == "Worgen" then
			if BestQuestDB["Lore"]["Worgen Starter"] == nil then
				if (BestQuest_AreaID == 611) or (BestQuest_AreaID == 545) then	-- Gilneas City or Gilneas
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if k == "Lore 111" then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 111"] = { ["dialogue"] = speech["111"], ["portrait"] = portrait, ["greeting"] = sound["Deep Hmmm"],
								["artwork"] = "Interface\\Glues\\Credits\\Cataclysm\\WorgenCastle_Wendy1_Copy3",
								["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 0.93, ["g"] = 0.91, ["b"] = 0.67},
								["startTime"] = 0, ["pause"] = levelDelay,
								["DBPrimary"] = "Lore", ["DBLabel"] = "Worgen Starter"}
					end
				else
					BestQuestDB["Lore"]["Worgen Starter"] = BESTQUEST_ALREADY_COMPLETED
				end
			end
		end

	elseif BestQuest_Faction == "Horde" then

		if ( BestQuest_Level >= 8 )and ( BestQuest_Level <= 20 ) and ( BestQuestDB["Lore"]["Silver/Ghost/Azshara"] == nil ) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 4" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 4"] = { ["dialogue"] = speech["4"], ["portrait"] = portrait, ["greeting"] = sound["Hello friend"],
						["artwork"] = "Interface\\Glues\\Credits\\Cataclysm\\Goblin Freeway012",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
						["startTime"] = 0, ["pause"] = levelDelay,
						["DBPrimary"] = "Lore", ["DBLabel"] = "Silver/Ghost/Azshara"}
			end

		elseif ( BestQuest_Level >= 8 ) and ( BestQuest_Level <= 20)  and ( BestQuest_ContinentID > 0 ) then

			if BestQuestDB["Lore"]["Silverpine Complete"] == nil then

				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 5" then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 5"] = { ["dialogue"] = speech["5"], ["portrait"] = portrait,
							["artwork"] = "Interface\\Glues\\Models\\UI_Scourge\\jaCryptFloor01",
							["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
							["startTime"] = 0, ["pause"] = levelDelay,
							["DBPrimary"] = "Lore", ["DBLabel"] = "Silverpine Complete"}
				end
			else

				if BestQuestDB["Lore"]["Silver/Ghost/Azshara Kal1"] == nil then

					if BestQuest_ContinentID == BESTQUEST_KALIMDOR then -- Durotar, Orgrimmar, Azshara etc
						alreadyQueued = false
						for k,v in pairs(BestQuest_Chat) do
							if k == "Lore 5x3" then
								alreadyQueued = true
								break
							end
						end
						if not alreadyQueued then
							BestQuest_Chat["Lore 5x3"] = { ["dialogue"] = speech["5x3"], ["portrait"] = portrait,
									["artwork"] = "Interface\\Glues\\Models\\UI_Horde\\Horde_03",
									["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
									["startTime"] = 0, ["pause"] = levelDelay,
									["DBPrimary"] = "Lore", ["DBLabel"] = "Silver/Ghost/Azshara Kal1", ["prerequisite"] = "Silverpine Complete"}
						end
					else
						BestQuestDB["Lore"]["Silver/Ghost/Azshara Kal1"] = BESTQUEST_NOT_APPLICABLE
					end
				end

				if BestQuestDB["Lore"]["Silver/Ghost/Azshara EK2"] == nil then

					if BestQuest_ContinentID == BESTQUEST_EASTERNKINGDOMS then -- Silverpine, Ghostlands, Silvermoon City, etc

						if ( BestQuest_AreaID == 480 ) or ( BestQuest_AreaID == 463 ) or ( BestQuest_AreaID == 893 ) or
								( BestQuest_AreaID == 462 ) then		-- Silvermoon City, Ghostlands, Sunstrider Isle, Eversong Woods

							if BestQuestDB["Lore"]["Silver/Ghost/Azshara EK1"] == nil then
								alreadyQueued = false
								for k,v in pairs(BestQuest_Chat) do
									if k == "Lore 5x2" then
										alreadyQueued = true
										break
									end
								end
								if not alreadyQueued then
									BestQuest_Chat["Lore 5x2"] = { ["dialogue"] = speech["5x2"], ["portrait"] = portrait,
											["artwork"] = "Interface\\Glues\\Models\\UI_Scourge\\jaCryptFloor01",
											["left"]="0.050562", ["right"]="0.949438",
											["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
											["startTime"] = 0, ["pause"] = levelDelay,
											["DBPrimary"] = "Lore", ["DBLabel"] = "Silver/Ghost/Azshara EK1",
											["prerequisite"] = "Silverpine Complete"}
								end
							end
						else
							BestQuestDB["Lore"]["Silver/Ghost/Azshara EK1"] = BESTQUEST_ALREADY_COMPLETED
						end

						alreadyQueued = false
						for k,v in pairs(BestQuest_Chat) do
							if k == "Lore 5x4" then
								alreadyQueued = true
								break
							end
						end
						if not alreadyQueued then
							BestQuest_Chat["Lore 5x4"] = { ["dialogue"] = speech["5x4"], ["portrait"] = portrait,
									["artwork"] = "Interface\\Glues\\Models\\UI_Horde\\Horde_03",
									["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
									["DBPrimary"] = "Lore", ["DBLabel"] = "Silver/Ghost/Azshara EK2",
									["prerequisite"] = "Silver/Ghost/Azshara EK1"}
						end
					else
						BestQuestDB["Lore"]["Silver/Ghost/Azshara EK1"] = BESTQUEST_NOT_APPLICABLE
						BestQuestDB["Lore"]["Silver/Ghost/Azshara EK2"] = BESTQUEST_NOT_APPLICABLE
					end
				end

				if ( BestQuest_AreaID == 463 ) and ( BestQuestDB["Lore"]["Ghostlands Welcome"] == nil ) then		-- Ghostlands

					if IsQuestFlaggedCompleted( 9167 ) then		-- The Traitor's Destruction
						BestQuestDB["Lore"]["Ghostlands Welcome"] = BESTQUEST_ALREADY_COMPLETED
					else
						alreadyQueued = false
						for k,v in pairs(BestQuest_Chat) do
							if k == "Lore 68" then
								alreadyQueued = true
								break
							end
						end
						if not alreadyQueued then
							BestQuest_Chat["Lore 68"] = { ["dialogue"] = speech["68"], ["portrait"] = portrait, ["greeting"] = sound["Welcome #2"],
									["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Quel'Thalas",
									["left"]="0.101123", ["right"]="1",["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
									["DBPrimary"] = "Lore", ["DBLabel"] = "Ghostlands Welcome", ["prerequisite"] = "Silver/Ghost/Azshara EK2"}
						end
					end
				end

				LamentOfTheHighBorn("Silver/Ghost/Azshara EK2")

			end
		end

		if ( BestQuest_Level >= 19 ) and ( BestQuest_Level <= 25 ) then

			if BestQuestDB["Lore"]["Hillsbrad/Ashen"] == nil then

				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 7" then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 7"] = { ["dialogue"] = speech["7"], ["portrait"] = portrait, ["greeting"] = sound["Greetings"],
							["artwork"] = "Interface\\Glues\\Models\\UI_MainMenu\\AeriePeak01", ["alpha"] = "0.6", 
							["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 0, ["g"] = 0, ["b"] = 0},
							["startTime"] = 0, ["pause"] = levelDelay,
							["DBPrimary"] = "Lore", ["DBLabel"] = "Hillsbrad/Ashen"}
				end
			end

			if BestQuestDB["Lore"]["Hillsbrad/Ashen Kal1"] == nil then

				if BestQuest_ContinentID == BESTQUEST_KALIMDOR then
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if k == "Lore 7x1" then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 7x1"] = { ["dialogue"] = speech["7x1"], ["portrait"] = portrait,
								["artwork"] = "Interface\\Glues\\Models\\UI_MainMenu\\AeriePeak01",
								["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 0, ["g"] = 0, ["b"] = 0},
								["startTime"] = 0, ["pause"] = levelDelay,
								["DBPrimary"] = "Lore", ["DBLabel"] = "Hillsbrad/Ashen Kal1", ["prerequisite"] = "Hillsbrad/Ashen"}
					end
				else
					BestQuestDB["Lore"]["Hillsbrad/Ashen Kal1"] = BESTQUEST_NOT_APPLICABLE
				end
			end

			if BestQuestDB["Lore"]["Hillsbrad/Ashen EK2"] == nil then

				if BestQuest_ContinentID == BESTQUEST_EASTERNKINGDOMS then

					if ( BestQuest_AreaID == 480 ) or ( BestQuest_AreaID == 463 ) or ( BestQuest_AreaID == 893 ) or
							( BestQuest_AreaID == 462 ) then			-- Silvermoon City, Ghostlands, Sunstrider Isle, Eversong Woods

						if BestQuestDB["Lore"]["Hillsbrad/Ashen EK1"] == nil then
							alreadyQueued = false
							for k,v in pairs(BestQuest_Chat) do
								if k == "Lore 7x2" then
									alreadyQueued = true
									break
								end
							end
							if not alreadyQueued then
								BestQuest_Chat["Lore 7x2"] = { ["dialogue"] = speech["7x2"], ["portrait"] = portrait,
										["artwork"] = "Interface\\Glues\\Models\\UI_MainMenu\\AeriePeak01",
										["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 0, ["g"] = 0, ["b"] = 0},
										["startTime"] = 0, ["pause"] = levelDelay,
										["DBPrimary"] = "Lore", ["DBLabel"] = "Hillsbrad/Ashen EK1", ["prerequisite"] = "Hillsbrad/Ashen"}
							end
						end
					else
						BestQuestDB["Lore"]["Hillsbrad/Ashen EK1"] = BESTQUEST_ALREADY_COMPLETED
					end

					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if k == "Lore 7x3" then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 7x3"] = { ["dialogue"] = speech["7x3"], ["portrait"] = portrait,
								["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Zeppelin",
								["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.2},
								["DBPrimary"] = "Lore", ["DBLabel"] = "Hillsbrad/Ashen EK2", ["prerequisite"] = "Hillsbrad/Ashen EK1"}
					end
				else
					BestQuestDB["Lore"]["Hillsbrad/Ashen EK1"] = BESTQUEST_NOT_APPLICABLE
					BestQuestDB["Lore"]["Hillsbrad/Ashen EK2"] = BESTQUEST_NOT_APPLICABLE
				end
			end
		end

	elseif BestQuest_Faction == "Alliance" then

		if ( BestQuest_Level >= 8 ) and ( BestQuest_Level <= 20 ) and ( BestQuest_ContinentID > 0 ) then
				-- Worgen starting continent is "-1" (as is DK btw). Continent is "0" temporarily when loading. Plus don't encourage worgens to leave!

			if BestQuestDB["Lore"]["Westfall/Darkshore/LM/BI"] == nil then

				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 3" then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 3"] = { ["dialogue"] = speech["3"], ["portrait"] = portrait, ["greeting"] = sound["Hellooo friend"],
							["artwork"] = "Interface\\Glues\\Credits\\Ddraenei_Start2",
							["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
							["startTime"] = 0, ["pause"] = levelDelay, 
							["DBPrimary"] = "Lore", ["DBLabel"] = "Westfall/Darkshore/LM/BI"}
				end
			end

			if BestQuestDB["Lore"]["Westfall/Darkshore/LM/BI Kal2"] == nil then

				if ( BestQuest_ContinentID == BESTQUEST_KALIMDOR ) and ( BestQuest_AreadID ~= 241 ) then -- exclude Moonglade

					if ( BestQuest_AreaID == 476 ) or ( BestQuest_AreaID == 471 ) or ( BestQuest_AreaID == 381 ) or ( BestQuest_AreaID == 41 ) or
							( BestQuest_AreaID == 888 ) or ( BestQuest_AreaID == 42 ) then
							-- Bloodmyst Isle, The Exodar, Darnassus, Teldrassil, Shadowglen, Darkshore

						if BestQuestDB["Lore"]["Westfall/Darkshore/LM/BI Kal1"] == nil then				-- Westfall help
							alreadyQueued = false
							for k,v in pairs(BestQuest_Chat) do
								if k == "Lore 3x3" then
									alreadyQueued = true
									break
								end
							end
							if not alreadyQueued then
								BestQuest_Chat["Lore 3x3"] = { ["dialogue"] = speech["3x3"], ["portrait"] = portrait,
										["artwork"] = "Interface\\Glues\\Models\\UI_Human\\HU_05",
										["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
										["startTime"] = 0, ["pause"] = levelDelay,
										["DBPrimary"] = "Lore", ["DBLabel"] = "Westfall/Darkshore/LM/BI Kal1",
										["prerequisite"] = "Westfall/Darkshore/LM/BI"}
							end
						end

						if ( BestQuest_AreaID == 42 ) then								-- Darkshore
							BestQuestDB["Lore"]["Westfall/Darkshore/LM/BI Kal2"] = BESTQUEST_ALREADY_COMPLETED
						else
							alreadyQueued = false
							for k,v in pairs(BestQuest_Chat) do
								if k == "Lore 3x1" then
									alreadyQueued = true
									break
								end
							end
							if not alreadyQueued then
								BestQuest_Chat["Lore 3x1"] = { ["dialogue"] = speech["3x1"], ["portrait"] = portrait,
										["artwork"] = "Interface\\Glues\\Models\\UI_NightElf\\mm_NE_floor_01",
										["left"]="0.050562", ["right"]="0.949438",
										["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
										["DBPrimary"] = "Lore", ["DBLabel"] = "Westfall/Darkshore/LM/BI Kal2",
										["prerequisite"] = "Westfall/Darkshore/LM/BI Kal1"}
							end
						end
					else
						BestQuestDB["Lore"]["Westfall/Darkshore/LM/BI Kal1"] = BESTQUEST_ALREADY_COMPLETED
						BestQuestDB["Lore"]["Westfall/Darkshore/LM/BI Kal2"] = BESTQUEST_ALREADY_COMPLETED
					end
				else
					BestQuestDB["Lore"]["Westfall/Darkshore/LM/BI Kal1"] = BESTQUEST_NOT_APPLICABLE
					BestQuestDB["Lore"]["Westfall/Darkshore/LM/BI Kal2"] = BESTQUEST_NOT_APPLICABLE
				end
			end

			if BestQuestDB["Lore"]["Westfall/Darkshore/LM/BI EK2"] == nil then

				if ( BestQuest_ContinentID == BESTQUEST_EASTERNKINGDOMS ) or ( BestQuest_AreadID == 241 ) then
									-- Moonglade, a night elf can easily return to Eastern Kingdoms
				
					if BestQuestDB["Lore"]["Westfall/Darkshore/LM/BI EK1"] == nil then				-- Westfall help
						alreadyQueued = false
						for k,v in pairs(BestQuest_Chat) do
							if k == "Lore 3x4" then
								alreadyQueued = true
								break
							end
						end
						if not alreadyQueued then
							BestQuest_Chat["Lore 3x4"] = { ["dialogue"] = speech["3x4"], ["portrait"] = portrait,
									["artwork"] = "Interface\\Glues\\Models\\UI_Human\\HU_05",
									["left"]="0.050562", ["right"]="0.949438",
									["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
									["startTime"] = 0, ["pause"] = levelDelay,
									["DBPrimary"] = "Lore", ["DBLabel"] = "Westfall/Darkshore/LM/BI EK1",
									["prerequisite"] = "Westfall/Darkshore/LM/BI"}
						end
					end

					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if k == "Lore 3x2" then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 3x2"] = { ["dialogue"] = speech["3x2"], ["portrait"] = portrait,
								["artwork"] = "Interface\\Glues\\Models\\UI_NightElf\\mm_NE_floor_01",
								["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
								["DBPrimary"] = "Lore", ["DBLabel"] = "Westfall/Darkshore/LM/BI EK2",
								["prerequisite"] = "Westfall/Darkshore/LM/BI EK1"}
					end
				else
					BestQuestDB["Lore"]["Westfall/Darkshore/LM/BI EK1"] = BESTQUEST_NOT_APPLICABLE
					BestQuestDB["Lore"]["Westfall/Darkshore/LM/BI EK2"] = BESTQUEST_NOT_APPLICABLE
				end
			end
		end

		if ( BestQuest_Level >= 15 ) and ( BestQuest_Level <= 20 ) then

			if ( BestQuestDB["Lore"]["Westfall/Darkshore/LM/BI"] == nil ) then
				-- wait!
			elseif ( BestQuestDB["Lore"]["Redridge"] == nil ) then
				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 20" then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 20"] = { ["dialogue"] = speech["20"], ["portrait"] = portrait, ["greeting"] = sound["Greetings wanderer"],
							["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenDeathwingRaid",
							["left"]="0.7852", ["right"]="1", ["top"]="0.27", ["bottom"]="0.5926", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 1},
							["startTime"] = 0, ["pause"] = levelDelay,
							["DBPrimary"] = "Lore", ["DBLabel"] = "Redridge"}
				end
			end
		end

		if ( BestQuest_Level >= 19 ) and ( BestQuest_Level <= 25 ) then

			if ( BestQuestDB["Lore"]["Westfall/Darkshore/LM/BI"] == nil ) or ( BestQuestDB["Lore"]["Redridge"] == nil ) then
				-- Wait!
			elseif BestQuestDB["Lore"]["Wetlands/Dusk/Ash"] == nil then
				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 6" then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 6"] = { ["dialogue"] = speech["6"], ["portrait"] = portrait, ["greeting"] = sound["Greetings"],
							["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenEnviroment",
							["left"]="0.26", ["right"]="0.74", ["top"]="0.27", ["bottom"]="0.804", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
							["startTime"] = 0, ["pause"] = levelDelay,
							["DBPrimary"] = "Lore", ["DBLabel"] = "Wetlands/Dusk/Ash"}
				end
			end

			if BestQuestDB["Lore"]["Wetlands/Dusk/Ash Kal2"] == nil then

				if (BestQuest_ContinentID == BESTQUEST_KALIMDOR) and (BestQuest_AreadID ~= 241) then -- Moonglade

					if (BestQuest_AreaID == 476) or (BestQuest_AreaID == 471) or (BestQuest_AreaID == 381) or	-- Bloodmyst Isle, The Exodar, Darnassus,
							(BestQuest_AreaID == 41) or (BestQuest_AreaID == 888) then			-- Teldrassil, Shadowglen

						if BestQuestDB["Lore"]["Wetlands/Dusk/Ash Kal1"] == nil then
							alreadyQueued = false
							for k,v in pairs(BestQuest_Chat) do
								if k == "Lore 6x4" then
									alreadyQueued = true
									break
								end
							end
							if not alreadyQueued then
								BestQuest_Chat["Lore 6x4"] = { ["dialogue"] = speech["6x4"], ["portrait"] = portrait,
										["artwork"] = "Interface\\Glues\\Models\\UI_NightElf\\mm_NE_stone_01",
										["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
										["startTime"] = 0, ["pause"] = levelDelay,
										["DBPrimary"] = "Lore", ["DBLabel"] = "Wetlands/Dusk/Ash Kal1",
										["prerequisite"] = "Wetlands/Dusk/Ash"}
							end
						end

						alreadyQueued = false
						for k,v in pairs(BestQuest_Chat) do
							if k == "Lore 6x5" then
								alreadyQueued = true
								break
							end
						end
						if not alreadyQueued then
							BestQuest_Chat["Lore 6x5"] = { ["dialogue"] = speech["6x5"], ["portrait"] = portrait,
									["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenDeepRunTram",
									["left"]="0.07", ["right"]="0.55", ["top"]="0.27", ["bottom"]="0.804",
									["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
									["DBPrimary"] = "Lore", ["DBLabel"] = "Wetlands/Dusk/Ash Kal2", ["prerequisite"] = "Wetlands/Dusk/Ash Kal1"}
						end
					else
						-- Could very well be Ashenvale (area #43)
						BestQuestDB["Lore"]["Wetlands/Dusk/Ash Kal1"] = BESTQUEST_ALREADY_COMPLETED
						BestQuestDB["Lore"]["Wetlands/Dusk/Ash Kal2"] = BESTQUEST_ALREADY_COMPLETED
					end
				else
					BestQuestDB["Lore"]["Wetlands/Dusk/Ash Kal1"] = BESTQUEST_NOT_APPLICABLE
					BestQuestDB["Lore"]["Wetlands/Dusk/Ash Kal2"] = BESTQUEST_NOT_APPLICABLE
				end
			end

			if BestQuestDB["Lore"]["Wetlands/Dusk/Ash EK1"] == nil then

				if (BestQuest_ContinentID == BESTQUEST_EASTERNKINGDOMS) or (BestQuest_AreadID == 241) then -- Moonglade
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if k == "Lore 6x3" then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 6x3"] = { ["dialogue"] = speech["6x3"], ["portrait"] = portrait,
								["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenDeepRunTram",
								["left"]="0.07", ["right"]="0.55", ["top"]="0.27", ["bottom"]="0.804",
								["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
								["startTime"] = 0, ["pause"] = levelDelay,
								["DBPrimary"] = "Lore", ["DBLabel"] = "Wetlands/Dusk/Ash EK1", ["prerequisite"] = "Wetlands/Dusk/Ash"}
					end
				else
					BestQuestDB["Lore"]["Wetlands/Dusk/Ash EK1"] = BESTQUEST_NOT_APPLICABLE
				end
			end
		end

	else
		return		-- possible - Pandaren on the Wandering Isle for example. Pointless trying to send them anywhere as they are kinda trapped
	end

--------------------------------------------------------------------------------------------------------------------------------------------

--[[ ---------- ]]--
--[[   Levels   ]]--		-- In this section the player is pushed to a level appropriate area. Faction separation not really encouraged now
--[[ ---------- ]]--

	if ( BestQuest_Level >= 24 ) and ( BestQuest_Level <= 29 ) then

		if BestQuestDB["Lore"]["Stone/NorStrang/Arathi"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 8" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 8"] = { ["dialogue"] = speech["8"], ["portrait"] = portrait, ["greeting"] = sound["It is good to see you"],
						["artwork"] = "Interface\\Glues\\Credits\\Strangle1", ["alpha"] = "0.8",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 0.7, ["g"] = 1, ["b"] = 0.2},
						["startTime"] = 0, ["pause"] = levelDelay,
						["DBPrimary"] = "Lore", ["DBLabel"] = "Stone/NorStrang/Arathi"}
			end
		end

		if BestQuestDB["Lore"]["Stone/NorStrang/Arathi T1"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 8x1" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				if BestQuest_Faction == "Horde" then
					factionText = speech["8h1"]
				else
					factionText = speech["8a1"]
				end
				speech["8x1"] = stringGsub(speech["8x1"],"~f1~", factionText)
				if BestQuest_Faction == "Horde" then
					BestQuest_Chat["Lore 8x1"] = { ["dialogue"] = speech["8x1"], ["portrait"] = portrait,
							["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Zeppelin",
							["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.2},
							["startTime"] = 0, ["pause"] = levelDelay,
							["DBPrimary"] = "Lore", ["DBLabel"] = "Stone/NorStrang/Arathi T1", ["prerequisite"] = "Stone/NorStrang/Arathi 2"}
				else
					BestQuest_Chat["Lore 8x1"] = { ["dialogue"] = speech["8x1"], ["portrait"] = portrait,
							["artwork"] = "Interface\\Glues\\Credits\\Strangle3", ["alpha"] = "0.8",
							["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 0.7, ["g"] = 1, ["b"] = 0.2},
							["startTime"] = 0, ["pause"] = levelDelay,
							["DBPrimary"] = "Lore", ["DBLabel"] = "Stone/NorStrang/Arathi T1", ["prerequisite"] = "Stone/NorStrang/Arathi 2"}
				end
			end
		end
	elseif ( BestQuest_Level >= 24 ) then
		BestQuestDB["Lore"]["Stone/NorStrang/Arathi"] = BESTQUEST_ALREADY_COMPLETED
		BestQuestDB["Lore"]["Stone/NorStrang/Arathi T1"] = BESTQUEST_ALREADY_COMPLETED
	end

	if ( BestQuest_Level >= 29 ) and ( BestQuest_Level <= 35 ) then

		if BestQuestDB["Lore"]["SthBar/Hint/Des/CapeStrang"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if (k == "Lore 9") or (k == "Lore 8") or (k == "Lore 8x1") then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				if BestQuest_Faction == "Horde" then
					factionText = speech["9h"]
				else
					factionText = speech["9a"]
				end
				speech["9"] = stringGsub(speech["9"],"~f~", factionText)
				BestQuest_Chat["Lore 9"] = { ["dialogue"] = speech["9"], ["portrait"] = portrait, ["greeting"] = sound["Welcome #2"],
						["artwork"] = "Interface\\Glues\\Credits\\SouthernDesolace5",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 0.93, ["g"] = 0.91, ["b"] = 0.67},
						["startTime"] = 0, ["pause"] = levelDelay,
						["DBPrimary"] = "Lore", ["DBLabel"] = "SthBar/Hint/Des/CapeStrang", ["prerequisite"] = "Stone/NorStrang/Arathi T1"}
			end
		end
	elseif ( BestQuest_Level >= 29 ) then
		BestQuestDB["Lore"]["SthBar/Hint/Des/CapeStrang"] = BESTQUEST_ALREADY_COMPLETED
	end

	if ( BestQuest_Level >= 34 ) and ( BestQuest_Level <= 40 ) then

		if BestQuestDB["Lore"]["Feral/WestPlag/DustMarsh"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if (k == "Lore 11") or (k == "Lore 9") then
					alreadyQueued = true
					break
				end
			end

			if not alreadyQueued then
				if BestQuest_Faction == "Horde" then
					factionText = speech["11h1"]
				else
					factionText = speech["11a1"]
				end
				speech["11"] = stringGsub(speech["11"],"~f1~", factionText)
				if BestQuest_Faction == "Horde" then
					factionText = speech["11h2"]
				else
					factionText = speech["11a2"]
				end
				speech["11"] = stringGsub(speech["11"],"~f2~", factionText)
				if BestQuest_Faction == "Horde" then
					factionText = speech["11h3"]
				else
					factionText = speech["11a3"]
				end
				speech["11"] = stringGsub(speech["11"],"~f3~", factionText)
				BestQuest_Chat["Lore 11"] = { ["dialogue"] = speech["11"], ["portrait"] = portrait, ["greeting"] = sound["Hellooo friend"],
						["artwork"] = "Interface\\Glues\\Credits\\drake2", ["alpha"] = "0.8", ["series"] = "FerWPDM",
						["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 0.9, ["b"] = 0},
						["startTime"] = 0, ["pause"] = levelDelay,
						["DBPrimary"] = "Lore", ["DBLabel"] = "Feral/WestPlag/DustMarsh", ["prerequisite"] = "SthBar/Hint/Des/CapeStrang"}
			end
		end

		if BestQuestDB["Lore"]["Feral/WestPlag/DustMarsh Dart"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 119" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 119"] = { ["dialogue"] = speech["119"], ["portrait"] = portrait,
						["artwork"] = "Interface\\Glues\\Credits\\Ogre_Lord2", ["series"] = "FerWPDM",
						["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["startTime"] = 0, ["pause"] = levelDelay,
						["DBPrimary"] = "Lore", ["DBLabel"] = "Feral/WestPlag/DustMarsh Dart", ["prerequisite"] = "Feral/WestPlag/DustMarsh"}
			end
		end

		if BestQuestDB["Lore"]["Feral/WestPlag/DustMarsh T-WP#2"] == nil then

			if BestQuestDB["Lore"]["Feral/WestPlag/DustMarsh T-WP"] == nil then

				if BestQuest_Faction == "Horde" then
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if k == "Lore 11x4" then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 11x4"] = { ["dialogue"] = speech["11x4"], ["portrait"] = portrait,
								["artwork"] = "Interface\\Glues\\Models\\UI_MainMenu\\AeriePeak01", ["alpha"] = "0.6", ["series"] = "FerWPDM",
								["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 0, ["g"] = 0, ["b"] = 0},
								["startTime"] = 0, ["pause"] = levelDelay,
								["DBPrimary"] = "Lore", ["DBLabel"] = "Feral/WestPlag/DustMarsh T-WP",
								["prerequisite"] = "Feral/WestPlag/DustMarsh Dart"}
					end
				else
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if k == "Lore 11x5" then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 11x5"] = { ["dialogue"] = speech["11x5"], ["portrait"] = portrait,
								["artwork"] = "Interface\\Glues\\Models\\UI_MainMenu\\AeriePeak01", ["alpha"] = "0.6", ["series"] = "FerWPDM",
								["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 0, ["g"] = 0, ["b"] = 0},
								["startTime"] = 0, ["pause"] = levelDelay,
								["DBPrimary"] = "Lore", ["DBLabel"] = "Feral/WestPlag/DustMarsh T-WP",
								["prerequisite"] = "Feral/WestPlag/DustMarsh Dart"}
					end
				end
			end

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 11x6" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 11x6"] = { ["dialogue"] = speech["11x6"], ["portrait"] = portrait,
						["artwork"] = "Interface\\Worldmap\\WesternPlaguelands\\DalsonsFarm1", ["alpha"] = "0.5", ["series"] = "FerWPDM",
						["left"]="0", ["right"]="1", ["sizeX"] = "320", ["sizeY"] = "320", ["relativePointX"] = "22", ["relativePointY"] = "-195",
						["DBPrimary"] = "Lore", ["DBLabel"] = "Feral/WestPlag/DustMarsh T-WP#2", ["prerequisite"] = "Feral/WestPlag/DustMarsh T-WP"}
			end

		end

		if BestQuestDB["Lore"]["Feral/WestPlag/DustMarsh T-A"] == nil then

			if BestQuest_Faction == "Alliance" then
				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 11x1" then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 11x1"] = { ["dialogue"] = speech["11x1"], ["portrait"] = portrait,
							["artwork"] = "Interface\\Glues\\Credits\\Cataclysm\\Goblin Buildings062", ["series"] = "FerWPDM",
							["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
							["startTime"] = 0, ["pause"] = 10,
							["DBPrimary"] = "Lore", ["DBLabel"] = "Feral/WestPlag/DustMarsh T-A", ["prerequisite"] = "Feral/WestPlag/DustMarsh T-WP#2"}
				end
			else
				BestQuestDB["Lore"]["Feral/WestPlag/DustMarsh T-A"] = BESTQUEST_NOT_APPLICABLE
			end
		end
	elseif ( BestQuest_Level >= 34 ) then
		BestQuestDB["Lore"]["Feral/WestPlag/DustMarsh"] = BESTQUEST_ALREADY_COMPLETED
		BestQuestDB["Lore"]["Feral/WestPlag/DustMarsh Dart"] = BESTQUEST_ALREADY_COMPLETED
		BestQuestDB["Lore"]["Feral/WestPlag/DustMarsh T-WP"] = BESTQUEST_ALREADY_COMPLETED
		BestQuestDB["Lore"]["Feral/WestPlag/DustMarsh T-WP#2"] = BESTQUEST_ALREADY_COMPLETED
		if BestQuest_Faction == "Alliance" then
			BestQuestDB["Lore"]["Feral/WestPlag/DustMarsh T-A"] = BESTQUEST_ALREADY_COMPLETED
		else
			BestQuestDB["Lore"]["Feral/WestPlag/DustMarsh T-A"] = BESTQUEST_NOT_APPLICABLE
		end
	end

	if ( BestQuest_Level >= 40 ) and ( BestQuest_Level <= 45 ) then

		if BestQuestDB["Lore"]["Thousand/EastPlag"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if (k == "Lore 10") or (k == "Lore 11") or (k == "Lore 119") or (k == "Lore 11x1") or (k == "Lore 11x4") or
					(k == "Lore 11x5") or (k == "Lore 11x6") then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 10"] = { ["dialogue"] = speech["10"], ["portrait"] = portrait, ["greeting"] = sound["Hellooo friend"],
						["artwork"] = "Interface\\Glues\\Credits\\ThousandNeedles1",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.3},
						["startTime"] = 0, ["pause"] = levelDelay,
						["DBPrimary"] = "Lore", ["DBLabel"] = "Thousand/EastPlag", ["prerequisite"] = "Feral/WestPlag/DustMarsh T-A"}
			end
		end
	elseif ( BestQuest_Level >= 40 ) then
		BestQuestDB["Lore"]["Thousand/EastPlag"] = BESTQUEST_ALREADY_COMPLETED
	end

	if ( BestQuest_Level >= 44 ) and ( BestQuest_Level <= 49 ) then

		if BestQuestDB["Lore"]["Tanar/Felw/Bad"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if (k == "Lore 14") or (k == "Lore 10") then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 14"] = { ["dialogue"] = speech["14"], ["portrait"] = portrait, ["greeting"] = sound["Greetings wanderer"],
						["artwork"] = "Interface\\Glues\\Credits\\Fellwood4",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["startTime"] = 0, ["pause"] = levelDelay,
						["DBPrimary"] = "Lore", ["DBLabel"] = "Tanar/Felw/Bad", ["prerequisite"] = "Thousand/EastPlag"}
			end
		end

	elseif ( BestQuest_Level >= 50 )and ( BestQuest_Level <= 55 ) then

		if BestQuestDB["Lore"]["Winter/UnGoro/SwampOfSorrows"] == nil then

			if BestQuestDB["Lore"]["Winter/UnGoro/Burning"] == nil then

				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 18" then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					if BestQuest_Faction == "Horde" then
						factionText = speech["18h1"]
					else
						factionText = speech["18a1"]
					end
					speech["18"] = stringGsub(speech["18"],"~f1~", factionText)
					if BestQuest_Faction == "Horde" then
						factionText = speech["18h2"]
					else
						factionText = speech["18a2"]
					end
					speech["18"] = stringGsub(speech["18"],"~f2~", factionText)
					BestQuest_Chat["Lore 18"] = { ["dialogue"] = speech["18"], ["portrait"] = portrait, ["greeting"] = sound["Hello friend"],
							["artwork"] = "Interface\\Pictures\\11733_ungoro_256",
							["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
							["startTime"] = 0, ["pause"] = levelDelay, ["DBPrimary"] = "Lore", ["DBLabel"] = "Winter/UnGoro/Burning"}
				end
			end

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 16" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 16"] = { ["dialogue"] = speech["16"], ["portrait"] = portrait,
						["artwork"] = "Interface\\Glues\\Credits\\SwampOfSorrows4",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["startTime"] = 0, ["pause"] = levelDelay,
						["DBPrimary"] = "Lore", ["DBLabel"] = "Winter/UnGoro/SwampOfSorrows", ["prerequisite"] = "Winter/UnGoro/Burning"}
				BestQuest_Chat["Lore 16t"] = { ["greeting"] = sound["Slow down!"], ["showing"] = "Lore 16",
						["startTime"] = 0, ["pause"] = 15, ["DBPrimary"] = "Lore", ["DBLabel"] = "Winter/UnGoro/SwampOfSorrows t1"}
			end
		end
	else
		if ( BestQuest_Level >= 44 ) then
			BestQuestDB["Lore"]["Tanar/Felw/Bad"] = BESTQUEST_ALREADY_COMPLETED
		end
		if ( BestQuest_Level >= 50 ) then
			BestQuestDB["Lore"]["Winter/UnGoro/SwampOfSorrows"] = BESTQUEST_ALREADY_COMPLETED
		end
	end

	if ( BestQuest_Level >= 54 ) and ( BestQuest_Level <= 60 ) then

		if BestQuestDB["Lore"]["Silithus/Blasted"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if (k == "Lore 19") or (k == "Lore 18") or (k == "Lore 16") or (k == "Lore 16t") then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				if BestQuest_Level >= 58 then
					factionText = speech["19x1"]
				else
					factionText = speech["19x2"]
				end
				speech["19"] = stringGsub(speech["19"],"~x~", factionText)
				BestQuest_Chat["Lore 19"] = { ["dialogue"] = speech["19"], ["portrait"] = portrait, ["greeting"] = sound["Greetings"],
						["artwork"] = "Interface\\Glues\\Credits\\BlastedLands3",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["startTime"] = 0, ["pause"] = levelDelay,
						["DBPrimary"] = "Lore", ["DBLabel"] = "Silithus/Blasted", ["prerequisite"] = "Winter/UnGoro/SwampOfSorrows"}
			end
		end
	elseif ( BestQuest_Level >= 54 ) then
		BestQuestDB["Lore"]["Silithus/Blasted"] = BESTQUEST_ALREADY_COMPLETED
	end

--
-- OUTLAND
--

	if ( BestQuest_Level >= 58 )and ( BestQuest_Level <= 70 ) then

		if BestQuestDB["Lore"]["Outland"] == nil then

			if BestQuest_ContinentID == 3 then
				BestQuestDB["Lore"]["Outland"] = BESTQUEST_ALREADY_COMPLETED
			else
				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if ( k == "Lore 36" ) or ( k == "Lore 19" ) then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 36"] = { ["dialogue"] = speech["36"], ["portrait"] = portrait, ["greeting"] = sound["Greetings wanderer"],
							["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\IllidanRed", ["alpha"] = "0.55",
							["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
							["startTime"] = 0, ["pause"] = levelDelay,
							["DBPrimary"] = "Lore", ["DBLabel"] = "Outland", ["prerequisite"] = "Silithus/Blasted"}
				end
			end

		elseif BestQuest_Level >= 67 then

			-- Shadowmoon / Netherstorm has just the one dialogue. Serving for "go to" as well as "welcome"
			ShadowmoonNetherstorm( instanceDelay * availabilityMultiplier )

		elseif BestQuest_Level >= 66 then

			CavernsOfTime( instanceDelay * availabilityMultiplier )

		elseif BestQuest_Level >= 65 then

			-- Blade's Edge Mountains has just the one dialogue. Serving for "go to" as well as "welcome"
			BladesEdgeMountains( instanceDelay * availabilityMultiplier )

		elseif BestQuest_Level >= 64 then

			if BestQuestDB["Lore"]["Nagrand"] == nil then
				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if ( k == "Lore 40" ) then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					if BestQuest_Faction == "Horde" then
						factionText = speech["40h1"]
					else
						factionText = speech["40a1"]
					end
					speech["40"] = stringGsub(speech["40"],"~f1~", factionText)
					if BestQuest_Faction == "Horde" then
						factionText = speech["40h2"]
					else
						factionText = speech["40a2"]
					end
					speech["40"] = stringGsub(speech["40"],"~f2~", factionText)
					BestQuest_Chat["Lore 40"] = { ["dialogue"] = speech["40"], ["portrait"] = portrait, ["greeting"] = sound["Hmmm hmmm"],
							["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Nagrand", ["alpha"] = "0.8",
							["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 0, ["g"] = 0, ["b"] = 0},
							["startTime"] = 0, ["pause"] = levelDelay, ["DBPrimary"] = "Lore", ["DBLabel"] = "Nagrand"}
					if BestQuest_Faction == "Horde" then
						BestQuest_Chat["Lore 40t1"] = { ["greeting"] = sound["Human Joke"], ["showing"] = "Lore 40",
								["startTime"] = 0, ["pause"] = 26, ["DBPrimary"] = "Lore", ["DBLabel"] = "Nagrand #1 t1"}
					else
						BestQuest_Chat["Lore 40t1"] = { ["greeting"] = sound["Human Joke"], ["showing"] = "Lore 40",
								["startTime"] = 0, ["pause"] = 22, ["DBPrimary"] = "Lore", ["DBLabel"] = "Nagrand #1 t1"}
					end
				end
			end

		elseif BestQuest_Level >= 62 then

			if BestQuestDB["Lore"]["Terrokar Forest"] == nil then
				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if ( k == "Lore 39" ) then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 39"] = { ["dialogue"] = speech["39"], ["portrait"] = portrait, ["greeting"] = sound["Hmmm hmmm"],
							["artwork"] = "Interface\\Glues\\Credits\\Shattrath2",
							["left"]="0.050562", ["right"]="0.929438", ["top"]="0.02", ["bottom"]="1",
							["colour"] = {["r"] = 0.1, ["g"] = 0.1, ["b"] = 0.2},
							["startTime"] = 0, ["pause"] = levelDelay, ["DBPrimary"] = "Lore", ["DBLabel"] = "Terrokar Forest"}
				end
			end

		elseif BestQuest_Level >= 60 then

			if BestQuestDB["Lore"]["Zangarmarsh"] == nil then
				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if ( k == "Lore 38" ) then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 38"] = { ["dialogue"] = speech["38"], ["portrait"] = portrait, ["greeting"] = sound["Hmmm hmmm"],
							["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Zangarmarsh", 
							["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
							["startTime"] = 0, ["pause"] = levelDelay,
							["DBPrimary"] = "Lore", ["DBLabel"] = "Zangarmarsh"}
				end
			end
		end
	end

--
-- NORTHREND
--

	if ( BestQuest_Level >= 68 ) and ( BestQuest_Level <= 80 ) then

		if BestQuestDB["Lore"]["Northrend Go To"] == nil then

			if BestQuest_ContinentID == 4 then
				BestQuestDB["Lore"]["Northrend Go To"] = BESTQUEST_ALREADY_COMPLETED
			else
				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if ( k == "Lore 126" ) or ( k == "Lore 36" ) then	-- Outland should go first
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					if BestQuest_Faction == "Horde" then
						factionText = speech["126h1"]
					else
						factionText = speech["126a1"]
					end
					speech["126"] = stringGsub(speech["126"],"~f1~", factionText)
					if BestQuest_Faction == "Horde" then
						factionText = speech["126h2"]
					else
						factionText = speech["126a2"]
					end
					speech["126"] = stringGsub(speech["126"],"~f2~", factionText)
					if BestQuest_Faction == "Horde" then
						BestQuest_Chat["Lore 126"] = { ["dialogue"] = speech["126"], ["portrait"] = portrait, ["greeting"] = sound["Greetings wanderer"],
								["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Zeppelin",
								["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.2},
								["startTime"] = 0, ["pause"] = levelDelay,
								["DBPrimary"] = "Lore", ["DBLabel"] = "Northrend Go To"}
					else
						BestQuest_Chat["Lore 126"] = { ["dialogue"] = speech["126"], ["portrait"] = portrait, ["greeting"] = sound["Greetings wanderer"],
								["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Sholazar",
								["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.2},
								["startTime"] = 0, ["pause"] = levelDelay,
								["DBPrimary"] = "Lore", ["DBLabel"] = "Northrend Go To"}
					end
				end
			end

		elseif BestQuest_Level >= 80 then

			if ( BestQuestDB["Lore"]["Coldarra Wyrmrest Daily"] == nil ) then

				local numFactions, wyrmrestMaxed = GetNumFactions(), false
				for i = 1, numFactions do
					local _, _, _, _, _, barValue, _, _, _, _, _, _, _, factionID, _, _ = GetFactionInfo(i)
					if factionID == 1091 then		-- The Wyrmrest Accord
						if barValue >= 42999 then	-- Exalted
							wyrmrestMaxed = true 
						end
						break
					end
				end
				if wyrmrestMaxed then
					BestQuestDB["Lore"]["Coldarra Wyrmrest Daily"] = BESTQUEST_ALREADY_COMPLETED
				else
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 142" ) then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 142"] = { ["dialogue"] = speech["142"], ["portrait"] = portrait, ["greeting"] = sound["Yep"],
								["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\FrostWyrm",
								["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
								["startTime"] = 0, ["pause"] = levelDelay * 2,
								["DBPrimary"] = "Lore", ["DBLabel"] = "Coldarra Wyrmrest Daily", ["prerequisite"] = "Coldarra"}
					end
				end
			end

		elseif BestQuest_Level >= 77 then

			if BestQuestDB["Lore"]["Icecrown / The Storm Peaks Go To"] == nil then

				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if ( k == "Lore 166" ) then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					if BestQuest_Faction == "Horde" then
						factionText = speech["166h1"]
					else
						factionText = speech["166a1"]
					end
					speech["166"] = stringGsub(speech["166"],"~f1~", factionText)
					if BestQuest_Faction == "Horde" then
						factionText = speech["166h2"]
					else
						factionText = speech["166a2"]
					end
					speech["166"] = stringGsub(speech["166"],"~f2~", factionText)
					BestQuest_Chat["Lore 166"] = { ["dialogue"] = speech["166"], ["portrait"] = portrait, ["greeting"] = sound["High Hmmm"],
							["artwork"] = "Interface\\Glues\\Models\\UI_MainMenu\\Northrend\\WotLK_Login_Citadel04",
							["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
							["startTime"] = 0, ["pause"] = levelDelay,
							["DBPrimary"] = "Lore", ["DBLabel"] = "Icecrown / The Storm Peaks Go To", ["prerequisite"] = "Northrend Go To"}
				end
			end

		elseif BestQuest_Level >= 76 then

			if BestQuestDB["Lore"]["Sholazar Go To"] == nil then

				if BestQuest_AreaID == 493 then -- Sholazar
					BestQuestDB["Lore"]["Sholazar Go To"] = BESTQUEST_ALREADY_COMPLETED
				else
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 164" ) then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 164"] = { ["dialogue"] = speech["164"], ["portrait"] = portrait, ["greeting"] = sound["Hello friend"],
								["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Sholazar",
								["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.2},
								["startTime"] = 0, ["pause"] = levelDelay,
								["DBPrimary"] = "Lore", ["DBLabel"] = "Sholazar Go To", ["prerequisite"] = "Northrend Go To"}
					end
				end
			end
	
		elseif BestQuest_Level >= 74 then

			if BestQuestDB["Lore"]["Zul'Drak Go To"] == nil then

				if BestQuest_AreaID == 496 then -- Zul'Drak
					BestQuestDB["Lore"]["Zul'Drak Go To"] = BESTQUEST_ALREADY_COMPLETED
				else
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 162" ) then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 162"] = { ["dialogue"] = speech["162"], ["portrait"] = portrait, ["greeting"] = sound["Greetings"],
								["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Zul'Drak",
								["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 0, ["g"] = 1, ["b"] = 0},
								["startTime"] = 0, ["pause"] = levelDelay,
								["DBPrimary"] = "Lore", ["DBLabel"] = "Zul'Drak Go To", ["prerequisite"] = "Northrend Go To"}
					end
				end
			end
	
		elseif BestQuest_Level >= 73 then

			if BestQuestDB["Lore"]["Grizzly Hills Go To"] == nil then

				if BestQuest_AreaID == 490 then -- Grizzly Hills
					BestQuestDB["Lore"]["Grizzly Hills Go To"] = BESTQUEST_ALREADY_COMPLETED
				else
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 159" ) then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						if BestQuest_Faction == "Horde" then
							factionText = speech["159h"]
						else
							factionText = speech["159a"]
						end
						speech["159"] = stringGsub(speech["159"],"~f~", factionText)
						BestQuest_Chat["Lore 159"] = { ["dialogue"] = speech["159"], ["portrait"] = portrait, ["greeting"] = sound["Hellooo friend"],
								["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Grizzly Hills",
								["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.2},
								["startTime"] = 0, ["pause"] = levelDelay,
								["DBPrimary"] = "Lore", ["DBLabel"] = "Grizzly Hills Go To", ["prerequisite"] = "Northrend Go To"}
					end
				end
			end
	
		elseif BestQuest_Level >= 71 then

			if BestQuestDB["Lore"]["Dragonblight Go To"] == nil then

				if BestQuest_AreaID == 488 then -- Dragonblight
					BestQuestDB["Lore"]["Dragonblight Go To"] = BESTQUEST_ALREADY_COMPLETED
				else

					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 141" ) then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 141"] = { ["dialogue"] = speech["141"], ["portrait"] = portrait, ["greeting"] = sound["It is good to see you"],
								["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\WyrmrestTemple",
								["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
								["startTime"] = 0, ["pause"] = levelDelay,
								["DBPrimary"] = "Lore", ["DBLabel"] = "Dragonblight Go To", ["prerequisite"] = "Northrend Go To"}
					end
				end
			end
		end
	end

--
-- CATACLYSM
--

	if ( BestQuest_Level >= 80 ) and ( BestQuest_Level <= 85 ) then

		if BestQuestDB["Lore"]["Cataclysm Go To #2"] == nil then

			if BestQuest_ContinentID == 1234 then
				BestQuestDB["Lore"]["Cataclysm Go To #1"] = BESTQUEST_ALREADY_COMPLETED
				BestQuestDB["Lore"]["Cataclysm Go To #2"] = BESTQUEST_ALREADY_COMPLETED
			else

				if BestQuestDB["Lore"]["Cataclysm Go To #1"] == nil then
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 169" ) then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 169"] = { ["dialogue"] = speech["169"], ["portrait"] = portrait, ["greeting"] = sound["Greetings"],
								["artwork"] = "Interface\\Glues\\Models\\UI_MainMenu_LowBandwidth\\UI_MainMenu_Cataclysm_Low",
								["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
								["startTime"] = 0, ["pause"] = levelDelay,
								["DBPrimary"] = "Lore", ["DBLabel"] = "Cataclysm Go To #1"}
					end
				end

				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if ( k == "Lore 170" ) then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 170"] = { ["dialogue"] = speech["170"], ["portrait"] = portrait,
							["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenFirelandsRaid",
							["left"]="0.26", ["right"]="0.6156", ["top"]="0.27", ["bottom"]="0.804", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
							["DBPrimary"] = "Lore", ["DBLabel"] = "Cataclysm Go To #2", ["prerequisite"] = "Cataclysm Go To #1"}
				end
			end
		end
	end

--------------------------------------------------------------------------------------------------------------------------------------------
--[[ --------- ]]--
--[[   Zones   ]]--		-- In this section the player is "welcomed" to an area
--[[ --------- ]]--


										-- ========
	if ( BestQuest_ContinentID == 1 ) then					-- Kalimdor
										-- ========

		if BestQuest_AreaID == 182 then -- Felwood

			if BestQuestDB["Lore"]["Felwood Welcome"] == nil then

				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 15" then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 15"] = { ["dialogue"] = speech["15"], ["portrait"] = portrait, ["greeting"] = sound["Welcome #2"],
							["artwork"] = "Interface\\Glues\\Credits\\Fellwood2",
							["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.2},
							["DBPrimary"] = "Lore", ["DBLabel"] = "Felwood Welcome"}
				end
			end

		elseif BestQuest_AreaID == 161 then -- Tanaris

			if BestQuestDB["Lore"]["Tanaris Welcome"] == nil then

				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 17" then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 17"] = { ["dialogue"] = speech["17"], ["portrait"] = portrait, ["greeting"] = sound["Welcome #2"],
							["artwork"] = "Interface\\Glues\\Credits\\Ocean2",
							["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 0.2, ["g"] = 1, ["b"] = 0.2},
							["DBPrimary"] = "Lore", ["DBLabel"] = "Tanaris Welcome"}
				end
			end

			if BestQuestDB["Lore"]["Gadgetzan Noggenfogger"] == nil then

				if subZone == "Gadgetzan" then
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if k == "Lore 108" then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 108"] = { ["dialogue"] = speech["108"], ["portrait"] = portrait,
								["artwork"] = "Interface\\Glues\\Models\\UI_MainMenu\\AeriePeak01", ["alpha"] = "0.6",
								["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 0, ["g"] = 0, ["b"] = 0},
								["DBPrimary"] = "Lore", ["DBLabel"] = "Gadgetzan Noggenfogger", ["prerequisite"] = "Tanaris Welcome"}
					end
				end
			end

		elseif BestQuest_AreaID == 121 then -- Feralas

			if BestQuestDB["Lore"]["Feralas Welcome #1"] == nil then

				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 32" then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					if BestQuest_Faction == "Horde" then
						if BestQuest_Level < 34 then
							factionText = speech["32h2"]
						else
							factionText = speech["32h1"]
						end
					else
						if BestQuest_Level < 34 then
							factionText = speech["32a2"]
						else
							factionText = speech["32a1"]
						end
					end
					speech["32"] = stringGsub(speech["32"],"~f1~", factionText)
					BestQuest_Chat["Lore 32"] = { ["dialogue"] = speech["32"], ["portrait"] = portrait, ["greeting"] = sound["Welcome #2"],
							["artwork"] = "Interface\\Glues\\Credits\\drake2", ["alpha"] = "0.8",
							["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 0.9, ["b"] = 0},
							["DBPrimary"] = "Lore", ["DBLabel"] = "Feralas Welcome #1"}
				end
			end

			if BestQuestDB["Lore"]["Feralas Welcome #2"] == nil then
				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 118" then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					if BestQuest_Faction == "Horde" then
						factionText = speech["118h"]
					else
						factionText = speech["118a"]
					end
					speech["118"] = stringGsub(speech["118"],"~f2~", factionText)
					BestQuest_Chat["Lore 118"] = { ["dialogue"] = speech["118"], ["portrait"] = portrait, ["greeting"] = sound["Welcome #2"],
							["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Sargeras #1", ["alpha"]="0.7",
							["left"]="0", ["right"]="0.449438", ["top"]="0.25", ["bottom"]="0.75", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.2},
							["DBPrimary"] = "Lore", ["DBLabel"] = "Feralas Welcome #2", ["prerequisite"] = "Feralas Welcome #1"}
				end
			end

		elseif BestQuest_AreaID == 476 then -- Bloodmyst Isle

			if BestQuestDB["Lore"]["Bloodmyst Isle Welcome"] == nil then

				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 33" then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					if BestQuest_Level < 15 then
						factionText = speech["33m2"]
					else
						factionText = speech["33m1"]
					end
					speech["33"] = stringGsub(speech["33"],"~m~", factionText)
					if BestQuest_Faction == "Horde" then
						factionText = speech["33h1"]
					else
						factionText = speech["33a1"]
					end
					speech["33"] = stringGsub(speech["33"],"~f~", factionText)
					BestQuest_Chat["Lore 33"] = { ["dialogue"] = speech["33"], ["portrait"] = portrait, ["greeting"] = sound["Welcome #2"],
							["artwork"] = "Interface\\Glues\\Credits\\Ddraenei_Start1",
							["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
							["DBPrimary"] = "Lore", ["DBLabel"] = "Bloodmyst Isle Welcome"}
				end
			end
		end
										-- ================
	elseif ( BestQuest_ContinentID == 2 ) then				-- Eastern Kingdoms
										-- ================

		if BestQuest_AreaID == 17 then -- The Badlands

			if BestQuestDB["Lore"]["Badlands Welcome #1"] == nil then

				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 106" then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 106"] = { ["dialogue"] = speech["106"], ["portrait"] = portrait, ["greeting"] = sound["Welcome #2"],
							["artwork"] = "Interface\\Glues\\Credits\\Badlands2", ["alpha"] = "0.8",
							["left"]="0", ["right"]="1", ["colour"] = {["r"] = 0.9, ["g"] = 1, ["b"] = 0.3},
							["sizeX"] = "320", ["sizeY"] = "320",
							["relativePointX"] = "22", ["relativePointY"] = "-111",
							["DBPrimary"] = "Lore", ["DBLabel"] = "Badlands Welcome #1"}
				end
			end

			if BestQuestDB["Lore"]["Badlands Welcome #2"] == nil then

				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 107" then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 107"] = { ["dialogue"] = speech["107"], ["portrait"] = portrait,
							["artwork"] = "Interface\\Glues\\Credits\\Badlands1", ["alpha"] = "0.8",
							["left"]="0", ["right"]="1", ["colour"] = {["r"] = 0.9, ["g"] = 1, ["b"] = 0.3},
							["sizeX"] = "320", ["sizeY"] = "320", ["relativePointX"] = "22", ["relativePointY"] = "-111",
							["DBPrimary"] = "Lore", ["DBLabel"] = "Badlands Welcome #2", ["prerequisite"] = "Badlands Welcome #1"}
				end
			end

		elseif BestQuest_AreaID == 38 then -- Swamp of Sorrows

			if BestQuestDB["Lore"]["Swamp of Sorrows Welcome"] == nil then

				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 30" then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					if BestQuest_Level < 51 then
						factionText = speech["30m3"]
					elseif ( not IsQuestFlaggedCompleted(27691) ) and ( GetQuestLogIndexByID(27691) == 0 ) then
						factionText = speech["30m2"]
					elseif ( not IsQuestFlaggedCompleted(27869) ) and ( GetQuestLogIndexByID(27869) == 0 ) then
						factionText = speech["30m4"]
					elseif ( GetQuestLogIndexByID(27869) > 0 ) or ( ( not IsQuestFlaggedCompleted(27694) ) and ( GetQuestLogIndexByID(27694) == 0 ) ) then
						factionText = speech["30m5"]
					elseif ( not IsQuestFlaggedCompleted(27704) ) or ( GetQuestLogIndexByID(27704) == 0 ) then
						factionText = speech["30m6"]
					elseif IsQuestFlaggedCompleted(27705) and ( BestQuest_Level < 54 ) then
						factionText = speech["30m8"]
					elseif not IsQuestFlaggedCompleted(27914) then
						factionText = speech["30m7"]
					else
						factionText = speech["30m1"]
					end
					speech["30"] = stringGsub(speech["30"],"~m~", factionText)
					BestQuest_Chat["Lore 30"] = { ["dialogue"] = speech["30"], ["portrait"] = portrait, ["greeting"] = sound["Welcome #2"],
							["artwork"] = "Interface\\Glues\\Credits\\SwampOfSorrows4",
							["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
							["DBPrimary"] = "Lore", ["DBLabel"] = "Swamp of Sorrows Welcome"}
				end
			end

		elseif BestQuest_AreaID == 19 then -- Blasted Lands

			if BestQuestDB["Lore"]["Blasted Lands Welcome"] == nil then

				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 34" then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					if BestQuest_Level < 58 then
						factionText = speech["34m2"]
					elseif ( select(3,GetAchievementCriteriaInfo(862,1)) ) or ( BestQuestDB["Lore"]["Outland Welcome"] ) then
						-- The Stair of Destiny criteria of Explore Hellfire Peninsular achievement
						factionText = speech["34m1"]
					else
						factionText = speech["34m3"]
					end
					speech["34"] = stringGsub(speech["34"],"~m~", factionText)
					BestQuest_Chat["Lore 34"] = { ["dialogue"] = speech["34"], ["portrait"] = portrait, ["greeting"] = sound["Welcome #2"],
							["artwork"] = "Interface\\Glues\\Credits\\BlastedLands2",
							["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
							["DBPrimary"] = "Lore", ["DBLabel"] = "Blasted Lands Welcome"}
				end
			end

			if BestQuestDB["Lore"]["Nethergarde Keep Welcome"] == nil then

				if subZone == "Nethergarde Keep" then

					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if k == "Lore 35" then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 35"] = { ["dialogue"] = speech["35"], ["portrait"] = portrait, ["greeting"] = sound["Welcome #2"],
								["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Khadgar #3", ["alpha"] = "0.6",
								["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
								["DBPrimary"] = "Lore", ["DBLabel"] = "Nethergarde Keep Welcome"}
					end
				end
			end

		elseif (BestQuest_AreaID == 463) or (BestQuest_AreaID == 893) or (BestQuest_AreaID == 462) or (BestQuest_AreaID == 480) then
		-- Ghostlands, Sunstrider Isle, Eversong Woods, Silvermoon City

			if BestQuest_Faction == "Horde" then
				if BestQuest_Level < 20 then
					-- give the code in the early levels section, above, a chance to play through
				else
					LamentOfTheHighBorn(nil)
				end
			else
				if BestQuestDB["Lore"]["Ghostlands Necklace (Alliance) #2"] == nil then

					if BestQuestDB["Lore"]["Ghostlands Necklace (Alliance) #1"] == nil then
						for k,v in pairs(BestQuest_Chat) do
							if k == "Lore 113" then
								alreadyQueued = true
								break
							end
						end
						if not alreadyQueued then
							BestQuest_Chat["Lore 113"] = { ["dialogue"] = speech["113"], ["portrait"] = portrait,
									["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Alleria",
									["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
									["DBPrimary"] = "Lore", ["DBLabel"] = "Ghostlands Necklace (Alliance) #1"}
							BestQuest_Chat["Lore 113s"] = { ["greeting"] = sound["It is good to see you"], ["showing"] = "Lore 113",
									["startTime"] = 0, ["pause"] = 2, ["DBPrimary"] = "Lore",
									["DBLabel"] = "Ghostlands Necklace (Alliance) #1 t1"}
						end
					end

					for k,v in pairs(BestQuest_Chat) do
						if k == "Lore 114" then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 114"] = { ["dialogue"] = speech["114"], ["portrait"] = portrait,
								["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Sylvanas #4", ["alpha"] = "0.85",
								["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
								["DBPrimary"] = "Lore", ["DBLabel"] = "Ghostlands Necklace (Alliance) #2",
								["prerequisite"] = "Ghostlands Necklace (Alliance) #1",}
					end
				end
			end
		end

										-- =======
	elseif ( BestQuest_ContinentID == 3 ) then				-- Outland
										-- =======

		if BestQuest_Level < 58 then

			if BestQuestDB["Lore"]["Outland Not prepared"] == nil then
				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 37" then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 37"] = { ["dialogue"] = speech["37"], ["portrait"] = portrait, ["greeting"] = sound["Not prepared"],
							["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\IllidanRed", ["alpha"] = "0.55",
							["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
							["DBPrimary"] = "Lore", ["DBLabel"] = "Outland Not prepared"}
				end
			end

		else

			if BestQuestDB["Lore"]["Outland Welcome #1"] == nil then
				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 44" then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 44"] = { ["dialogue"] = speech["44"], ["portrait"] = portrait, ["greeting"] = sound["Welcome"],
							["artwork"] = "Interface\\Glues\\Credits\\Tempest_Keep1",
							["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
							["DBPrimary"] = "Lore", ["DBLabel"] = "Outland Welcome #1"}
				end
			end
			if BestQuestDB["Lore"]["Outland Welcome #2"] == nil then
				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 45" then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 45"] = { ["dialogue"] = speech["45"], ["portrait"] = portrait,
							["artwork"] = "Interface\\Glues\\Credits\\BladesEdgeMountains5", ["alpha"] = "0.9",
							["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.9},
							["DBPrimary"] = "Lore", ["DBLabel"] = "Outland Welcome #2", ["prerequisite"] = "Outland Welcome #1"}
				end
			end

			if BestQuest_AreaID == 475 then -- Blade's Edge Mountains

				-- Blade's Edge Mountains has just the one dialogue. Serving for "go to" as well as "welcome"
				BladesEdgeMountains( 0 )

			elseif BestQuest_AreaID == 467 then -- Zangarmarsh

				if BestQuestDB["Lore"]["Zangarmarsh Welcome"] == nil then
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 51" ) then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 51"] = { ["dialogue"] = speech["51"], ["portrait"] = portrait, ["greeting"] = sound["Welcome"],
								["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Zangarmarsh", 
								["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
								["DBPrimary"] = "Lore", ["DBLabel"] = "Zangarmarsh Welcome", ["prerequisite"] = "Outland Welcome #2"}
					end
				end

				if BestQuestDB["Lore"]["Zangarmarsh DEHTA"] == nil then
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 21" ) then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						if BestQuest_Faction == "Horde" then
							factionText = speech["21h1"]
						else
							factionText = speech["21a1"]
						end
						speech["21"] = stringGsub(speech["21"],"~f1~", factionText)
						if BestQuest_Faction == "Horde" then
							factionText = speech["21h2"]
						else
							factionText = speech["21a2"]
						end
						speech["21"] = stringGsub(speech["21"],"~f2~", factionText)
						BestQuest_Chat["Lore 21"] = { ["dialogue"] = speech["21"], ["portrait"] = portrait,
								["artwork"] = "Interface\\Glues\\Credits\\BoreanTun3",
								["left"]="0.101124", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
								["startTime"] = 0, ["pause"] = 1500,
								["DBPrimary"] = "Lore", ["DBLabel"] = "Zangarmarsh DEHTA", ["prerequisite"] = "Zangarmarsh Welcome"}
					end
				end

			elseif BestQuest_AreaID == 478 then -- Terokkar Forest

				if BestQuestDB["Lore"]["Terokkar Forest Welcome #1"] == nil then

					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 53" ) then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						if BestQuest_Faction == "Horde" then
							factionText = speech["53h1"]
						else
							factionText = speech["53a1"]
						end
						speech["53"] = stringGsub(speech["53"],"~f~", factionText)
						if BestQuest_Level >= 70 then
							factionText = speech["53m1"]
						else
							factionText = speech["53m2"]
						end
						speech["53"] = stringGsub(speech["53"],"~m~", factionText)
						BestQuest_Chat["Lore 53"] = { ["dialogue"] = speech["53"], ["portrait"] = portrait, ["greeting"] = sound["Welcome"],
								["artwork"] = "Interface\\Glues\\Credits\\Terrokkar5", ["alpha"] = "0.8", ["series"] = "Terokkar",
								["left"]="0.050562", ["right"]="0.919438", ["top"]="0", ["bottom"]="0.97",
								["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.2},
								["DBPrimary"] = "Lore", ["DBLabel"] = "Terokkar Forest Welcome #1", ["prerequisite"] = "Outland Welcome #2"}
					end
				end

				if BestQuestDB["Lore"]["Terokkar Forest Welcome #2"] == nil then

					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 71" ) then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						if BestQuest_Level < 70 then
							factionText = speech["71s1"]
						elseif ( GetQuestLogIndexByID(11096) > 0 ) or ( IsQuestFlaggedCompleted(11096) ) then
							if ( GetQuestLogIndexByID(11098) > 0 ) or ( IsQuestFlaggedCompleted(11098) ) then
								factionText = speech["71s4"]
							else
								factionText = speech["71s3"]
							end
						else
							factionText = speech["71s2"]
						end
						speech["71"] = stringGsub(speech["71"],"~m~", factionText)
						BestQuest_Chat["Lore 71"] = { ["dialogue"] = speech["71"], ["portrait"] = portrait,
								["artwork"] = "Interface\\Glues\\Credits\\Terrokkar1", ["alpha"] = "0.5", ["series"] = "Terokkar",
								["left"]="0.050562", ["right"]="0.919438", ["top"]="0.03", ["bottom"]="1",
								["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.2},
								["DBPrimary"] = "Lore", ["DBLabel"] = "Terokkar Forest Welcome #2", ["prerequisite"] = "Terokkar Forest Welcome #1"}
					end
				end

				if subZone == "Cenarion Thicket" then

					if BestQuestDB["Lore"]["Cenarion Thicket"] == nil then
						alreadyQueued = false
						for k,v in pairs(BestQuest_Chat) do
							if ( k == "Lore 54" ) then
								alreadyQueued = true
								break
							end
						end
						if not alreadyQueued then
							BestQuest_Chat["Lore 54"] = { ["dialogue"] = speech["54"], ["portrait"] = portrait,
									["greeting"] = sound["It is good to see you"],
									["artwork"] = "Interface\\Glues\\Credits\\Shattrath3", ["series"] = "Terokkar",
									["left"]="0.050562", ["right"]="0.929438", ["top"]="0.02", ["bottom"]="1",
									["DBPrimary"] = "Lore", ["DBLabel"] = "Cenarion Thicket", ["prerequisite"] = "Terokkar Forest Welcome #2"}
						end
					end

				elseif ( subZone == "Blackwind Landing" ) or ( subZone == "Blackwind Valley" ) then

					if BestQuestDB["Lore"]["Sha'tari Skyguard"] == nil then
						alreadyQueued = false
						for k,v in pairs(BestQuest_Chat) do
							if ( k == "Lore 58" ) then
								alreadyQueued = true
								break
							end
						end
						if not alreadyQueued then
							if BestQuest_Level < 70 then
								factionText = speech["58s1"]
							elseif ( GetQuestLogIndexByID(11096) > 0 ) or ( IsQuestFlaggedCompleted(11096) ) then
								if ( GetQuestLogIndexByID(11098) > 0 ) or ( IsQuestFlaggedCompleted(11098) ) then
									factionText = speech["58s4"]
								else
									factionText = speech["58s3"]
								end
							else
								factionText = speech["58s2"]
							end
							speech["58"] = stringGsub(speech["58"],"~m~", factionText)
							BestQuest_Chat["Lore 58"] = { ["dialogue"] = speech["58"], ["portrait"] = portrait, ["greeting"] = sound["Hellooo friend"],
									["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Arakkoa", ["series"] = "Terokkar",
									["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
									["DBPrimary"] = "Lore", ["DBLabel"] = "Sha'tari Skyguard", ["prerequisite"] = "Terokkar Forest Welcome #2"}
						end
					end

				elseif subZone == "Sha'tari Base Camp" then

					if BestQuestDB["Lore"]["Sha'tari Base Camp"] == nil then
						alreadyQueued = false
						for k,v in pairs(BestQuest_Chat) do
							if ( k == "Lore 59" ) then
								alreadyQueued = true
								break
							end
						end
						if not alreadyQueued then
							BestQuest_Chat["Lore 59"] = { ["dialogue"] = speech["59"], ["portrait"] = portrait,
									["artwork"] = "Interface\\Glues\\Credits\\Shattrath3", ["series"] = "Terokkar",
									["left"]="0.050562", ["right"]="0.929438", ["top"]="0.02", ["bottom"]="1",
									["DBPrimary"] = "Lore", ["DBLabel"] = "Sha'tari Base Camp", ["prerequisite"] = "Terokkar Forest Welcome #2"}
						 end
					end

				elseif ( subZone == "Stonebreaker Hold" ) and ( BestQuest_Faction == "Horde" ) then

					if BestQuestDB["Lore"]["Stonebreaker Hold"] == nil then
						alreadyQueued = false
						for k,v in pairs(BestQuest_Chat) do
							if ( k == "Lore 56" ) then
								alreadyQueued = true
								break
							end
						end
						if not alreadyQueued then
							if ( GetQuestLogIndexByID(9400) > 0 ) or ( IsQuestFlaggedCompleted(9400) ) then
								if IsQuestFlaggedCompleted(9410) then
									factionText = speech["56m3"]
								else
									factionText = speech["58m2"]
								end
							else
								factionText = speech["56m1"]
							end
							speech["56"] = stringGsub(speech["56"],"~m~", factionText)
							BestQuest_Chat["Lore 56"] = { ["dialogue"] = speech["56"], ["portrait"] = portrait, ["greeting"] = sound["Greetings"],
									["artwork"] = "Interface\\Glues\\Credits\\Terrokkar2", ["series"] = "Terokkar",
									["left"]="0.050562", ["right"]="0.919438", ["top"]="0.03", ["bottom"]="1",
									["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
									["DBPrimary"] = "Lore", ["DBLabel"] = "Stonebreaker Hold", ["prerequisite"] = "Terokkar Forest Welcome #2"}
						end
					end

				elseif ( subZone == "Allerian Stronghold" ) and ( BestQuest_Faction == "Alliance" ) then

					if BestQuestDB["Lore"]["Allerian Stronghold"] == nil then
						alreadyQueued = false
						for k,v in pairs(BestQuest_Chat) do
							if ( k == "Lore 57" ) then
								alreadyQueued = true
								break
							end
						end
						if not alreadyQueued then
							BestQuest_Chat["Lore 57"] = { ["dialogue"] = speech["57"], ["portrait"] = portrait, ["greeting"] = sound["Greetings"],
									["artwork"] = "Interface\\Glues\\Credits\\Terrokkar2", ["series"] = "Terokkar",
									["left"]="0.050562", ["right"]="0.919438", ["top"]="0.03", ["bottom"]="1",
									["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
									["DBPrimary"] = "Lore", ["DBLabel"] = "Allerian Stronghold",
									["prerequisite"] = "Terokkar Forest Welcome #2"}
						end
					end

				elseif ( subZone == "The Bone Wastes" ) or ( subZone == "Auchenai Grounds" ) or
						( subZone == "Auchindoun" ) or ( subZone == "Ring of Observance" ) then

					Auchindoun( 0 )

				elseif ( subZone == "Blackwind Lake" ) or ( subZone == "Lower Veil Shil'ak" ) or ( subZone == "Upper Veil Shil'ak" ) or
					( subZone == "Veil Ala'rak" ) or ( subZone == "Veil Harr'ik" ) or ( subZone == "Terokk's Rest" ) or ( subZone == "Veil Lithic" ) or
					( subZone == "Veil Reskk" ) or ( subZone == "Veil Rhaze" ) or ( subZone == "Veil Shalas" ) or ( subZone == "Veil Shienor" ) or
					( subZone == "Veil Skith" ) or ( subZone == "Sethekk Halls" ) then

					Arakkoa( 0 )
				end

				if BestQuestDB["Lore"]["Skywing"] == nil then

					if ( GetQuestLogIndexByID(10898) > 0 ) or ( IsQuestFlaggedCompleted(10898) ) then
						BestQuestDB["Lore"]["Skywing"] = BESTQUEST_ALREADY_COMPLETED
					else
						local px, py = GetPlayerMapPosition("player")
						if ( px <= (1.05 * .538)) and ( px >= (.95 * .538)) and ( py <= (1.05 * .722)) and ( py >= (.95 * .722)) then
							alreadyQueued = false
							for k,v in pairs(BestQuest_Chat) do
								if ( k == "Lore 55" ) then
									alreadyQueued = true
									break
								end
							end
							if not alreadyQueued then
								BestQuest_Chat["Lore 55"] = { ["dialogue"] = speech["55"], ["portrait"] = portrait, ["greeting"] = sound["Yep"],
										["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Arakkoa", ["series"] = "Terokkar",
										["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
										["DBPrimary"] = "Lore", ["DBLabel"] = "Skywing", ["prerequisite"] = "Terokkar Forest Welcome #2"}
								BestQuest_Chat["Lore 55t1"] = { ["greeting"] = sound["Tusks Joke"], ["showing"] = "Lore 55",
									["startTime"] = 0, ["pause"] = 17, ["DBPrimary"] = "Lore", ["DBLabel"] = "Skywing t1"}
							end
						end
					end
				end

			elseif ( BestQuest_AreaID == 473 ) or ( BestQuest_AreaID == 479 ) then -- Shadowmoon Valley or Netherstorm

				-- Shadowmoon / Netherstorm has just the one dialogue. Serving for "go to" as well as "welcome"
				ShadowmoonNetherstorm( 0 )

				if BestQuest_AreaID == 473 then

					if BestQuestDB["Lore"]["Shadowmoon Valley"] == nil then
						alreadyQueued = false
						for k,v in pairs(BestQuest_Chat) do
							if ( k == "Lore 69" ) then
								alreadyQueued = true
								break
							end
						end
						if not alreadyQueued then
							if BestQuest_Faction == "Horde" then
								factionText = speech["69h1"]
							else
								factionText = speech["69a1"]
							end
							speech["69"] = stringGsub(speech["69"],"~f1~", factionText)
							local numFactions, aldorScryer = GetNumFactions(), ""
							for i = 1, numFactions do
								local _, _, standingId, _, _, _, _, _, _, _, _, _, _, factionID, _, _ = GetFactionInfo(i)
								if factionID == 932 then -- The Aldor
									if standingId < 4 then
										aldorScryer = "s"
										break
									elseif standingId > 4 then
										aldorScryer = "a"
										break
									end
								elseif factionID == 934 then -- The Scryers
									if standingId < 4 then
										aldorScryer = "a"
										break
									elseif standingId > 4 then
										aldorScryer = "s"
										break
									end
								end
							end
							if aldorScryer == "s" then
								factionText = speech["69f1"]
							elseif aldorScryer == "a" then
								factionText = speech["69f2"]
							else
								factionText = speech["69f3"]
							end
							speech["69"] = stringGsub(speech["69"],"~f2~", factionText)
							BestQuest_Chat["Lore 69"] = { ["dialogue"] = speech["69"], ["portrait"] = portrait,
									["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\MaievShadowsong", ["alpha"] = "0.6",
									["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 1},
									["DBPrimary"] = "Lore", ["DBLabel"] = "Shadowmoon Valley", ["prerequisite"] = "Shadowmoon / Netherstorm"}
						end
					end

					if BestQuestDB["Lore"]["Netherwing Dragonflight"] == nil then
						alreadyQueued = false
						for k,v in pairs(BestQuest_Chat) do
							if ( k == "Lore 70" ) then
								alreadyQueued = true
								break
							end
						end
						if not alreadyQueued then
							BestQuest_Chat["Lore 70"] = { ["dialogue"] = speech["70"], ["portrait"] = portrait,
									["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Shadowmoon", ["alpha"] = "0.6",
									["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 1},
									["DBPrimary"] = "Lore", ["DBLabel"] = "Netherwing Dragonflight", ["prerequisite"] = "Shadowmoon Valley"}
						end
					end
				end

			elseif BestQuest_AreaID == 465 then -- Hellfire Peninsular

				if BestQuestDB["Lore"]["Hellfire Peninsular #1"] == nil then
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 46" ) then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						if BestQuest_Faction == "Horde" then
							factionText = speech["46h1"]
						else
							factionText = speech["46a1"]
						end
						speech["46"] = stringGsub(speech["46"],"~f1~", factionText)
						if BestQuest_Faction == "Horde" then
							factionText = speech["46h2"]
						else
							factionText = speech["46a2"]
						end
						speech["46"] = stringGsub(speech["46"],"~f2~", factionText)
						BestQuest_Chat["Lore 46"] = { ["dialogue"] = speech["46"], ["portrait"] = portrait, ["greeting"] = sound["Welcome"],
								["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Hellfire", ["series"] = "Hellfire",
								["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
								["DBPrimary"] = "Lore", ["DBLabel"] = "Hellfire Peninsular #1", ["prerequisite"] = "Outland Welcome #2",}
					end
				elseif BestQuestDB["Lore"]["Hellfire Peninsular #2"] == nil then
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 83" ) then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 83"] = { ["dialogue"] = speech["83"], ["portrait"] = portrait,
								["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Zangarmarsh", ["series"] = "Hellfire",
								["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
								["DBPrimary"] = "Lore", ["DBLabel"] = "Hellfire Peninsular #2", ["prerequisite"] = "Hellfire Peninsular #1",}
					end
				end

				if ( subZone == "Honor Hold" ) and ( BestQuest_Faction == "Alliance" ) then
					if BestQuestDB["Lore"]["Honor Hold"] == nil then
						alreadyQueued = false
						for k,v in pairs(BestQuest_Chat) do
							if ( k == "Lore 52" ) then
								alreadyQueued = true
								break
							end
						end
						if not alreadyQueued then
							BestQuest_Chat["Lore 52"] = { ["dialogue"] = speech["52"], ["portrait"] = portrait,
									["greeting"] = sound["It is good to see you"],
									["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Hellfire", ["series"] = "Hellfire",
									["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
									["DBPrimary"] = "Lore", ["DBLabel"] = "Honor Hold", ["prerequisite"] = "Hellfire Peninsular #2",}
						end
					end

				elseif ( subZone == "Thrallmar" ) and ( BestQuest_Faction == "Horde" ) then
					if BestQuestDB["Lore"]["Thrallmar"] == nil then
						alreadyQueued = false
						for k,v in pairs(BestQuest_Chat) do
							if ( k == "Lore 49" ) then
								alreadyQueued = true
								break
							end
						end
						if not alreadyQueued then
							BestQuest_Chat["Lore 49"] = { ["dialogue"] = speech["49"], ["portrait"] = portrait, ["greeting"] = sound["Hello friend"],
									["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Hellfire", ["series"] = "Hellfire",
									["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
									["DBPrimary"] = "Lore", ["DBLabel"] = "Thrallmar", ["prerequisite"] = "Hellfire Peninsular #2",}
						end
					end

				elseif subZone == "Cenarion Post" then
					if BestQuestDB["Lore"]["Cenarion Post"] == nil then
						alreadyQueued = false
						for k,v in pairs(BestQuest_Chat) do
							if ( k == "Lore 48" ) then
								alreadyQueued = true
								break
							end
						end
						if not alreadyQueued then
							if IsQuestFlaggedCompleted(9912) then		-- Requires 61+ to pickup
								if IsQuestFlaggedCompleted(9732) then	-- Strangely needs 60+ to pickup
									factionText = speech["48m4"]
								elseif GetQuestLogIndexByID(9732) > 0 then
									factionText = speech["48m6"]
								else
									factionText = speech["48m2"]
								end
							elseif GetQuestLogIndexByID(9912) > 0 then
								factionText = speech["48m5"]
							elseif BestQuest_Level < 61 then
								factionText = speech["48m3"]
							else
								factionText = speech["48m1"]
							end
							speech["48"] = stringGsub(speech["48"],"~m~", factionText)
							BestQuest_Chat["Lore 48"] = { ["dialogue"] = speech["48"], ["portrait"] = portrait, ["greeting"] = sound["Deep Hmmm"],
									["artwork"] = "Interface\\Glues\\Credits\\Hellfire_Concept6", ["series"] = "Hellfire",
									["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
									["DBPrimary"] = "Lore", ["DBLabel"] = "Cenarion Post", ["prerequisite"] = "Hellfire Peninsular #2"}
						end
					end

				elseif ( subZone == "Hellfire Citadel" ) or ( subZone == "Hellfire Basin") then
					if BestQuestDB["Lore"]["Hellfire Citadel"] == nil then
						alreadyQueued = false
						for k,v in pairs(BestQuest_Chat) do
							if ( k == "Lore 47" ) then
								alreadyQueued = true
								break
							end
						end
						if not alreadyQueued then
							BestQuest_Chat["Lore 47"] = { ["dialogue"] = speech["47"], ["portrait"] = portrait, ["greeting"] = sound["Hellooo friend"],
									["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenHellfireCitadel", ["series"] = "Hellfire",
									["left"]="0.22", ["right"]="0.5729", ["top"]="0.27", ["bottom"]="0.8",
									["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
									["startTime"] = 0, ["pause"] = levelDelay,
									["DBPrimary"] = "Lore", ["DBLabel"] = "Hellfire Citadel", ["prerequisite"] = "Hellfire Peninsular #2"}
						end
					end


				end

				if BestQuestDB["Lore"]["Shadowbrim Travel Hat"] == nil then
					if ( BestQuest_ClassID == "PRIEST" ) or ( BestQuest_ClassID == "MAGE" ) or ( BestQuest_ClassID == "WARLOCK" ) then 
						if ( GetQuestLogIndexByID(10144) > 0 ) or ( GetQuestLogIndexByID(10208) > 0 ) then
							alreadyQueued = false
							for k,v in pairs(BestQuest_Chat) do
								if ( k == "Lore 85" ) then
									alreadyQueued = true
									break
								end
							end
							if not alreadyQueued then
								BestQuest_Chat["Lore 85"] = { ["dialogue"] = speech["85"], ["portrait"] = portrait,
										["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Hellfire", ["series"] = "Hellfire",
										["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
										["startTime"] = 0, ["pause"] = levelDelay,
										["DBPrimary"] = "Lore", ["DBLabel"] = "Shadowbrim Travel Hat"}
							end
						end
					else
						BestQuestDB["Lore"]["Shadowbrim Travel Hat"] = BESTQUEST_NOT_APPLICABLE
					end
				end			

			elseif BestQuest_AreaID == 477 then -- Nagrand

				if BestQuestDB["Lore"]["Nagrand Welcome #2"] == nil then

					if BestQuestDB["Lore"]["Nagrand Welcome #1"] == nil then

						alreadyQueued = false
						for k,v in pairs(BestQuest_Chat) do
							if ( k == "Lore 120" ) then
								alreadyQueued = true
								break
							end
						end
						if not alreadyQueued then
							if BestQuest_Faction == "Horde" then
								factionText = speech["120h"]
							else
								factionText = speech["120a"]
							end
							speech["120"] = stringGsub(speech["120"],"~f~", factionText)
							BestQuest_Chat["Lore 120"] = { ["dialogue"] = speech["120"], ["portrait"] = portrait, ["greeting"] = sound["Welcome"],
									["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Nagrand", ["alpha"] = "0.8",
									["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 0, ["g"] = 0, ["b"] = 0},
									["DBPrimary"] = "Lore", ["DBLabel"] = "Nagrand Welcome #1", ["prerequisite"] = "Outland Welcome #2"}
						end
					end

					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 121" ) then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 121"] = { ["dialogue"] = speech["121"], ["portrait"] = portrait,
								["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Nagrand", ["alpha"] = "0.8",
								["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 0, ["g"] = 0, ["b"] = 0},
								["DBPrimary"] = "Lore", ["DBLabel"] = "Nagrand Welcome #2", ["prerequisite"] = "Nagrand Welcome #1"}
					end
				end

			elseif BestQuest_AreaID == 481 then -- Shattrath City

				if BestQuestDB["Lore"]["Shattrath Welcome #2"] == nil then

					if BestQuestDB["Lore"]["Shattrath Welcome #1"] == nil then

						alreadyQueued = false
						for k,v in pairs(BestQuest_Chat) do
							if ( k == "Lore 63" ) then
								alreadyQueued = true
								break
							end
						end
						if not alreadyQueued then
							BestQuest_Chat["Lore 63"] = { ["dialogue"] = speech["63"], ["portrait"] = portrait, ["greeting"] = sound["Welcome"],
									["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenOutland2", ["alpha"] = "0.6",
								--
								--	Do not delete. This is my reference to manually calculate / match the way
								--	Blizzard stretch and squash load screens. A current approximation is width / length = 0.66583
								--	["left"]="0.409", ["right"]="0.674", ["top"]="0.312", ["bottom"]=".71",
								--	["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 1},
									["left"]="0.38", ["right"]="0.69", ["top"]="0.31", ["bottom"]=".7756",
									["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 1},
								--
									["DBPrimary"] = "Lore", ["DBLabel"] = "Shattrath Welcome #1", ["prerequisite"] = "Outland Welcome #2"}
						end
					end

					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 64" ) then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 64"] = { ["dialogue"] = speech["64"], ["portrait"] = portrait,
								["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenOutland", ["alpha"] = "0.7",
								["left"]="0.2455", ["right"]="0.65", ["top"]="0.30", ["bottom"]="0.75",
								["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 1},
								["DBPrimary"] = "Lore", ["DBLabel"] = "Shattrath Welcome #2", ["prerequisite"] = "Shattrath Welcome #1"}
					end
				end
			end
		end
										-- =========
	elseif ( BestQuest_ContinentID == 4 ) then				-- Northrend
										-- =========

		if BestQuest_Level < 68 then

			if BestQuestDB["Lore"]["Northrend < 68"] == nil then
				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 130" then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 130"] = { ["dialogue"] = speech["130"], ["portrait"] = portrait, ["greeting"] = sound["Slow down!"],
							["artwork"] = "Interface\\Glues\\Credits\\BoreanTun3",
							["left"]="0.101124", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
							["DBPrimary"] = "Lore", ["DBLabel"] = "Northrend < 68"}
					BestQuest_Chat["Lore 130t"] = { ["greeting"] = sound["Slow down!"], ["showing"] = "Lore 130",
							["startTime"] = 0, ["pause"] = 1, ["DBPrimary"] = "Lore", ["DBLabel"] = "Northrend < 68 t"}
				end
			end

		elseif BestQuest_AreaID == 486 then -- Borean Tundra

			if BestQuestDB["Lore"]["Borean Tundra Welcome"] == nil then
				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if ( k == "Lore 131" ) or ( k == "Lore 132" ) then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					if BestQuest_Faction == "Horde" then
						if ( BestQuest_ClassID == "DEATHKNIGHT" ) or ( BestQuest_ClassID == "PALADIN" ) or ( BestQuest_ClassID == "WARRIOR" ) or
											( BestQuest_ClassID == "HUNTER" ) then
							factionText = speech["132a"]
						else
							factionText = speech["132b"]
						end
						speech["132"] = stringGsub(speech["132"],"~m~", factionText)
						BestQuest_Chat["Lore 132"] = { ["dialogue"] = speech["132"], ["portrait"] = portrait, ["greeting"] = sound["Welcome"],
								["artwork"] = "Interface\\Glues\\Credits\\BoreanTun7",
								["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
								["DBPrimary"] = "Lore", ["DBLabel"] = "Borean Tundra Welcome"}
					else
						if not IsQuestFlaggedCompleted(11897) then
							factionText = speech["131a"]
						elseif not IsQuestFlaggedCompleted(11927) then
							if ( GetQuestLogIndexByID(11927) > 0 ) then
								factionText = speech["131c"]
							else
								factionText = speech["131b"]
							end
						end
						speech["131"] = stringGsub(speech["131"],"~m~", factionText)
						BestQuest_Chat["Lore 131"] = { ["dialogue"] = speech["131"], ["portrait"] = portrait, ["greeting"] = sound["Welcome"],
								["artwork"] = "Interface\\Glues\\Credits\\BoreanTun7",
								["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
								["DBPrimary"] = "Lore", ["DBLabel"] = "Borean Tundra Welcome"}
					end
				end
			else

				local boreanTundraDelayMultiplier = 1

				-- On demand by subZone. i.e. do not delay

				if ( BestQuestDB["Lore"]["Coldarra"] == nil ) and ( BestQuest_Level >= 69 ) and
						( ( subZone == "The Westrift") or ( subZone == "Coldarra") ) then

					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 134" ) then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						if IsQuestFlaggedCompleted(11969) then
							factionText = speech["134m1"]
						else
							factionText = speech["134m2"]
						end
						speech["134"] = stringGsub(speech["134"],"~m~", factionText)
						BestQuest_Chat["Lore 134"] = { ["dialogue"] = speech["134"], ["portrait"] = portrait,
								["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\FrostWyrm",
								["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
								["startTime"] = 0, ["pause"] = northrendDelay * boreanTundraDelayMultiplier,
								["DBPrimary"] = "Lore", ["DBLabel"] = "Coldarra", ["prerequisite"] = "Borean Tundra Welcome"}
						boreanTundraDelayMultiplier = 5
					end
				end

				if ( BestQuestDB["Lore"]["Kalu'ak Borean Tundra"] == nil ) and
						( ( subZone == "Njord's Breath Bay") or ( subZone == "Kaskala") or ( subZone == "Unu'pe") ) then

					if ( BestQuest_Level >= 68 ) then
						if KaluakIntroduction( 0 ) then
							alreadyQueued = false
							for k,v in pairs(BestQuest_Chat) do
								if ( k == "Lore 137" ) then
									alreadyQueued = true
									break
								end
							end
							if not alreadyQueued then
								if BestQuest_Faction == "Horde" then
									factionText = speech["137h"]
								else
									factionText = speech["137a"]
								end
								speech["137"] = stringGsub(speech["137"],"~f~", factionText)
								BestQuest_Chat["Lore 137"] = { ["dialogue"] = speech["137"], ["portrait"] = portrait, ["greeting"] = sound["Yep"],
										["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Kalu'ak",
										["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 0.9, ["b"] = 0.8},
										["DBPrimary"] = "Lore", ["DBLabel"] = "Kalu'ak Borean Tundra"}
								boreanTundraDelayMultiplier = 5
							end
						end
					end
				end

				if ( BestQuestDB["Lore"]["DEHTA & Winterfin"] == nil ) and ( subZone == "D.E.H.T.A. Encampment") then

					if ( BestQuest_Level >= 70 ) then
						alreadyQueued = false
						for k,v in pairs(BestQuest_Chat) do
							if ( k == "Lore 135" ) then
								alreadyQueued = true
								break
							end
						end
						if not alreadyQueued then
							speech["135"] = stringGsub(speech["135"],"~m~", speech["135m1"])
							BestQuest_Chat["Lore 135"] = { ["dialogue"] = speech["135"], ["portrait"] = portrait,
									["artwork"] = "Interface\\Glues\\Credits\\BoreanTundra23",
									["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
									["DBPrimary"] = "Lore", ["DBLabel"] = "DEHTA & Winterfin", ["prerequisite"] = "Borean Tundra Welcome"}
							boreanTundraDelayMultiplier = 5
						end
					end
				end

				if ( BestQuestDB["Lore"]["Lurid and Dusk"] == nil ) and 
						( ( subZone == "The Wailing Ziggurat") or ( subZone == "Death's Stand") ) then

					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 143" ) then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 143"] = { ["dialogue"] = speech["143"], ["portrait"] = portrait,
								["artwork"] = "Interface\\Glues\\Models\\UI_DeathKnight\\DeathKnight_FloorSkulls",
								["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
								["DBPrimary"] = "Lore", ["DBLabel"] = "Lurid and Dusk", ["prerequisite"] = "Borean Tundra Welcome"}
						boreanTundraDelayMultiplier = 5
					end
				end

				if ( BestQuestDB["Lore"]["The Wailing Ziggurat Done"] == nil ) and BestQuestDB["Lore"]["Lurid and Dusk"] then
					if ( subZone == "The Wailing Ziggurat" ) then
						if BestQuestDB["Lore"]["The Wailing Ziggurat Leaving"] == nil then
							if BestQuestDB["Lore"]["The Wailing Ziggurat Count"] then
								BestQuestDB["Lore"]["The Wailing Ziggurat Count"] = tonumber( BestQuestDB["Lore"]["The Wailing Ziggurat Count"] ) + 1
								if tonumber( BestQuestDB["Lore"]["The Wailing Ziggurat Count"] ) >= 6 then
									alreadyQueued = false
									for k,v in pairs(BestQuest_Chat) do
										if ( k == "Lore 144" ) then
											alreadyQueued = true
											break
										end
									end
									if not alreadyQueued then
										BestQuest_Chat["Lore 144"] = { ["dialogue"] = speech["144"], ["portrait"] = portrait,
												["artwork"] = "Interface\\Glues\\Models\\UI_Troll\\UI_Troll_BG01a",
												["left"]="0.050562", ["right"]="0.949438",
												["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.2},
												["DBPrimary"] = "Lore", ["DBLabel"] = "The Wailing Ziggurat Done"}
										boreanTundraDelayMultiplier = 5
									end
								end
							else
								BestQuestDB["Lore"]["The Wailing Ziggurat Count"] = 1
							end
							BestQuestDB["Lore"]["The Wailing Ziggurat Leaving"] = "Yes"
						end
					elseif BestQuestDB["Lore"]["The Wailing Ziggurat Leaving"] then
						BestQuestDB["Lore"]["The Wailing Ziggurat Leaving"] = nil
					end
				end

				if ( BestQuestDB["Lore"]["Borean Tundra Last Rites Started"] == nil ) or 
						( BestQuestDB["Lore"]["Borean Tundra Last Rites Finished"] == nil ) then
					-- Alliance only "Last Rites" quest. Lich King scripted scene
					
					if BestQuest_Faction == "Horde" then
						BestQuestDB["Lore"]["Borean Tundra Last Rites Started"] = BESTQUEST_NOT_APPLICABLE
						BestQuestDB["Lore"]["Borean Tundra Last Rites Finished"] = BESTQUEST_NOT_APPLICABLE
					else
						if IsQuestFlaggedCompleted(12019) then
							if BestQuestDB["Lore"]["Borean Tundra Last Rites Started"] == nil then
								BestQuestDB["Lore"]["Borean Tundra Last Rites Started"] = BESTQUEST_ALREADY_COMPLETED
								BestQuestDB["Lore"]["Borean Tundra Last Rites Finished"] = BESTQUEST_ALREADY_COMPLETED
							else
								alreadyQueued = false
								for k,v in pairs(BestQuest_Chat) do
									if ( k == "Lore 145" ) then
										alreadyQueued = true
										break
									end
								end
								if not alreadyQueued then
									BestQuest_Chat["Lore 145"] = { ["dialogue"] = speech["145"], ["portrait"] = portrait,
											["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\FrostWyrm",
											["greeting"] = sound["Yep"],
											["left"]="0", ["right"]="0.89888",
											["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
											["DBPrimary"] = "Lore", ["DBLabel"] = "Borean Tundra Last Rites Finished",
											["prerequisite"] = "Borean Tundra Welcome", ["startTime"] = 0, ["pause"] = northrendDelay}
									boreanTundraDelayMultiplier = 5
								end
							end
						elseif ( GetQuestLogIndexByID(12019) > 0 ) then
							if BestQuestDB["Lore"]["Borean Tundra Last Rites Started"] == nil then
								BestQuestDB["Lore"]["Borean Tundra Last Rites Started"] = BESTQUEST_DISPLAYED_MESSAGE
							end
						end
					end
				end

				-- On demand but NOT subZone specific

				if BestQuestDB["Lore"]["Borean Tundra Thassarian Loot"] == nil then
					if BestQuest_Faction == "Horde" then
						BestQuestDB["Lore"]["Borean Tundra Thassarian Loot"] = BESTQUEST_NOT_APPLICABLE
					elseif ( BestQuest_ClassID == "DEATHKNIGHT" ) or ( BestQuest_ClassID == "PALADIN" ) or ( BestQuest_ClassID == "WARRIOR" ) or
											( BestQuest_ClassID == "HUNTER" ) then
						if ( GetQuestLogIndexByID(12019) > 0 ) then
							alreadyQueued = false
							for k,v in pairs(BestQuest_Chat) do
								if ( k == "Lore 133" ) then
									alreadyQueued = true
									break
								end
							end
							if not alreadyQueued then
								BestQuest_Chat["Lore 133"] = { ["dialogue"] = speech["133"], ["portrait"] = portrait,
										["artwork"] = "Interface\\Glues\\Credits\\BoreanTundra27",
										["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
										["DBPrimary"] = "Lore", ["DBLabel"] = "Borean Tundra Thassarian Loot",
										["prerequisite"] = "Borean Tundra Welcome"}
								boreanTundraDelayMultiplier = 5
							end
						elseif IsQuestFlaggedCompleted(12019) then
							BestQuestDB["Lore"]["Borean Tundra Thassarian Loot"] = BESTQUEST_ALREADY_COMPLETED
						end
					else
						BestQuestDB["Lore"]["Borean Tundra Thassarian Loot"] = BESTQUEST_NOT_APPLICABLE
					end
				end

				-- Drip feed AND non subZone specific

				if ( BestQuestDB["Lore"]["Kalu'ak Borean Tundra"] == nil ) or ( BestQuestDB["Lore"]["Coldarra"] == nil ) or
						( BestQuestDB["Lore"]["DEHTA & Winterfin"] == nil ) then

					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 134" ) or ( k == "Lore 135" ) or ( k == "Lore 136" ) or ( k == "Lore 137" ) then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then

						if ( BestQuestDB["Lore"]["Kalu'ak Borean Tundra"] == nil ) and ( BestQuest_Level >= 68 ) then

							if KaluakIntroduction( northrendDelay * boreanTundraDelayMultiplier ) then

								alreadyQueued = false
								for k,v in pairs(BestQuest_Chat) do
									if ( k == "Lore 137" ) then
										alreadyQueued = true
										break
									end
								end
								if not alreadyQueued then
									if BestQuest_Faction == "Horde" then
										factionText = speech["137h"]
									else
										factionText = speech["137a"]
									end
									speech["137"] = stringGsub(speech["137"],"~f~", factionText)
									BestQuest_Chat["Lore 137"] = { ["dialogue"] = speech["137"], ["portrait"] = portrait,
											["greeting"] = sound["Yep"],
											["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Kalu'ak",
											["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 0.9, ["b"] = 0.8},
											["startTime"] = 0, ["pause"] = northrendDelay * boreanTundraDelayMultiplier,
											["DBPrimary"] = "Lore", ["DBLabel"] = "Kalu'ak Borean Tundra"}
									boreanTundraDelayMultiplier = 5
								end
							end

						elseif ( BestQuestDB["Lore"]["Coldarra"] == nil ) and ( BestQuest_Level >= 69 ) then

							alreadyQueued = false
							for k,v in pairs(BestQuest_Chat) do
								if ( k == "Lore 134" ) then
									alreadyQueued = true
									break
								end
							end
							if not alreadyQueued then
								if IsQuestFlaggedCompleted(11969) then
									factionText = speech["134m1"]
								else
									factionText = speech["134m2"]
								end
								speech["134"] = stringGsub(speech["134"],"~m~", factionText)
								BestQuest_Chat["Lore 134"] = { ["dialogue"] = speech["134"], ["portrait"] = portrait,
										["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\FrostWyrm",
										["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
										["startTime"] = 0, ["pause"] = northrendDelay * boreanTundraDelayMultiplier,
										["DBPrimary"] = "Lore", ["DBLabel"] = "Coldarra"}
								boreanTundraDelayMultiplier = 5
							end

						elseif ( BestQuestDB["Lore"]["DEHTA & Winterfin"] == nil ) and ( BestQuest_Level >= 70 ) then

							alreadyQueued = false
							for k,v in pairs(BestQuest_Chat) do
								if ( k == "Lore 135" ) then
									alreadyQueued = true
									break
								end
							end
							if not alreadyQueued then
								if ( GetQuestLogIndexByID(11864) > 0 ) or IsQuestFlaggedCompleted(11864) then
									factionText = speech["135m1"]
								else
									factionText = speech["135m2"]
								end
								speech["135"] = stringGsub(speech["135"],"~m~", factionText)
								BestQuest_Chat["Lore 135"] = { ["dialogue"] = speech["135"], ["portrait"] = portrait,
										["artwork"] = "Interface\\Glues\\Credits\\BoreanTundra23",
										["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
										["startTime"] = 0, ["pause"] = northrendDelay * boreanTundraDelayMultiplier,
										["DBPrimary"] = "Lore", ["DBLabel"] = "DEHTA & Winterfin"}
								boreanTundraDelayMultiplier = 5
							end
						end
					end
				end
			end

		elseif BestQuest_AreaID == 488 then -- Dragonblight

			if ( BestQuestDB["Lore"]["Dragonblight Welcome #2"] == nil ) then

				if ( BestQuestDB["Lore"]["Dragonblight Welcome #1"] == nil ) then

					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 146" ) then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 146"] = { ["dialogue"] = speech["146"], ["portrait"] = portrait, ["greeting"] = sound["Welcome"],
								["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Frostmourne",
								["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
								["DBPrimary"] = "Lore", ["DBLabel"] = "Dragonblight Welcome #1"}
					end
				end

				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if ( k == "Lore 147" ) then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					if BestQuest_Faction == "Horde" then
						factionText = speech["147h"]
					else
						factionText = speech["147a"]
					end
					speech["147"] = stringGsub(speech["147"],"~f~", factionText)
					BestQuest_Chat["Lore 147"] = { ["dialogue"] = speech["147"], ["portrait"] = portrait,
							["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\FrostWyrm",
							["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
							["DBPrimary"] = "Lore", ["DBLabel"] = "Dragonblight Welcome #2", ["prerequisite"] = "Dragonblight Welcome #1"}
				end
			end

			local 	dragonblightDelayMultiplier = 1

			if ( BestQuestDB["Lore"]["Westwind Refugee Camp Welcome"] == nil ) then
				if BestQuest_Faction == "Horde" then
					if ( subZone == "Westwind Refugee Camp") then
						if ( BestQuest_Level >= 71 ) then
							if IsQuestFlaggedCompleted(12008) and IsQuestFlaggedCompleted(11980) then
								BestQuestDB["Lore"]["Westwind Refugee Camp Welcome"] = BESTQUEST_ALREADY_COMPLETED
							else
								alreadyQueued = false
								for k,v in pairs(BestQuest_Chat) do
									if ( k == "Lore 148" ) then
										alreadyQueued = true
										break
									end
								end
								if not alreadyQueued then
									BestQuest_Chat["Lore 148"] = { ["dialogue"] = speech["148"], ["portrait"] = portrait,
											["greeting"] = sound["Welcome"],
											["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\FrostWyrm",
											["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
											["DBPrimary"] = "Lore", ["DBLabel"] = "Westwind Refugee Camp Welcome",
											["prerequisite"] = "Dragonblight Welcome #2"}
									dragonblightDelayMultiplier = 5
								end
							end	
						else
							SlowDown(72)
						end
					end
				else
					BestQuestDB["Lore"]["Westwind Refugee Camp Welcome"] = BESTQUEST_NOT_APPLICABLE
				end
			end

			if ( BestQuestDB["Lore"]["Agmar's Hammer Welcome #1"] == nil ) then
				if BestQuest_Faction == "Horde" then
					if ( subZone == "Agmar's Hammer") then
						if ( BestQuest_Level >= 71 ) then
							alreadyQueued = false
							for k,v in pairs(BestQuest_Chat) do
								if ( k == "Lore 149" ) then
									alreadyQueued = true
									break
								end
							end
							if not alreadyQueued then
								BestQuest_Chat["Lore 149"] = { ["dialogue"] = speech["149"], ["portrait"] = portrait,
										["greeting"] = sound["Welcome"],
										["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\WyrmrestTemple",
										["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
										["DBPrimary"] = "Lore", ["DBLabel"] = "Agmar's Hammer Welcome #1",
										["prerequisite"] = "Dragonblight Welcome #2"}
								dragonblightDelayMultiplier = 5
							end
						else
							SlowDown(72)
						end
					end
				else
					BestQuestDB["Lore"]["Agmar's Hammer Welcome #1"] = BESTQUEST_NOT_APPLICABLE
				end
			end

			if ( BestQuestDB["Lore"]["Agmar's Hammer Welcome #2"] == nil ) then
				if BestQuest_Faction == "Horde" then
					if ( subZone == "Agmar's Hammer") then
						if ( BestQuest_Level >= 71 ) then
							alreadyQueued = false
							for k,v in pairs(BestQuest_Chat) do
								if ( k == "Lore 150" ) then
									alreadyQueued = true
									break
								end
							end
							if not alreadyQueued then
								BestQuest_Chat["Lore 150"] = { ["dialogue"] = speech["150"], ["portrait"] = portrait,
										["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\FrostWyrm",
										["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
										["DBPrimary"] = "Lore", ["DBLabel"] = "Agmar's Hammer Welcome #2",
										["prerequisite"] = "Agmar's Hammer Welcome #1"}
								dragonblightDelayMultiplier = 5
							end
						else
							SlowDown(72)
						end
					end
				else
					BestQuestDB["Lore"]["Agmar's Hammer Welcome #2"] = BESTQUEST_NOT_APPLICABLE
				end
			end

			if ( BestQuestDB["Lore"]["Venomspite Welcome"] == nil ) then
				if BestQuest_Faction == "Horde" then
					if ( subZone == "Agmar's Hammer") then
						if ( BestQuest_Level >= 71 ) then
							alreadyQueued = false
							for k,v in pairs(BestQuest_Chat) do
								if ( k == "Lore 151" ) then
									alreadyQueued = true
									break
								end
							end
							if not alreadyQueued then
								BestQuest_Chat["Lore 151"] = { ["dialogue"] = speech["151"], ["portrait"] = portrait,
										["greeting"] = sound["Welcome"],
										["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\WyrmrestTemple",
										["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
										["DBPrimary"] = "Lore", ["DBLabel"] = "Venomspite Welcome",
										["prerequisite"] = "Dragonblight Welcome #2"}
								dragonblightDelayMultiplier = 5
							end
						else
							SlowDown(72)
						end
					end
				else
					BestQuestDB["Lore"]["Venomspite Welcome"] = BESTQUEST_NOT_APPLICABLE
				end
			end

			if ( BestQuestDB["Lore"]["Star's Rest Welcome #1"] == nil ) then
				if BestQuest_Faction == "Alliance" then
					if ( subZone == "Star's Rest") then
						if ( BestQuest_Level >= 71 ) then
							if IsQuestFlaggedCompleted(12119) then
								BestQuestDB["Lore"]["Star's Rest Welcome #1"] = BESTQUEST_ALREADY_COMPLETED
								BestQuestDB["Lore"]["Star's Rest Welcome #2"] = BESTQUEST_ALREADY_COMPLETED
							else
								alreadyQueued = false
								for k,v in pairs(BestQuest_Chat) do
									if ( k == "Lore 152" ) then
										alreadyQueued = true
										break
									end
								end
								if not alreadyQueued then
									BestQuest_Chat["Lore 152"] = { ["dialogue"] = speech["152"], ["portrait"] = portrait,
											["greeting"] = sound["Welcome"],
											["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\WyrmrestTemple",
											["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
											["DBPrimary"] = "Lore", ["DBLabel"] = "Star's Rest Welcome #1",
											["prerequisite"] = "Dragonblight Welcome #2"}
									dragonblightDelayMultiplier = 5
								end
							end
						else
							SlowDown(72)
						end
					end
				else
					BestQuestDB["Lore"]["Star's Rest Welcome #1"] = BESTQUEST_NOT_APPLICABLE
				end
			end

			if ( BestQuestDB["Lore"]["Star's Rest Welcome #2"] == nil ) then
				if BestQuest_Faction == "Alliance" then
					if ( subZone == "Star's Rest") then
						if ( BestQuest_Level >= 71 ) then
							alreadyQueued = false
							for k,v in pairs(BestQuest_Chat) do
								if ( k == "Lore 153" ) then
									alreadyQueued = true
									break
								end
							end
							if not alreadyQueued then
								BestQuest_Chat["Lore 153"] = { ["dialogue"] = speech["153"], ["portrait"] = portrait,
										["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\FrostWyrm",
										["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
										["DBPrimary"] = "Lore", ["DBLabel"] = "Star's Rest Welcome #2",
										["prerequisite"] = "Star's Rest Welcome #1"}
								dragonblightDelayMultiplier = 5
							end
						else
							SlowDown(72)
						end
					end
				else
					BestQuestDB["Lore"]["Star's Rest Welcome #2"] = BESTQUEST_NOT_APPLICABLE
				end
			end

			if ( BestQuestDB["Lore"]["Westgarde Keep Welcome"] == nil ) then
				if BestQuest_Faction == "Alliance" then
					if ( subZone == "Westgarde Keep") then
						if ( BestQuest_Level >= 71 ) then
							alreadyQueued = false
							for k,v in pairs(BestQuest_Chat) do
								if ( k == "Lore 154" ) then
									alreadyQueued = true
									break
								end
							end
							if not alreadyQueued then
								BestQuest_Chat["Lore 154"] = { ["dialogue"] = speech["154"], ["portrait"] = portrait,
										["greeting"] = sound["Welcome"],
										["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\WyrmrestTemple",
										["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
										["DBPrimary"] = "Lore", ["DBLabel"] = "Westgarde Keep Welcome",
										["prerequisite"] = "Dragonblight Welcome #2"}
								dragonblightDelayMultiplier = 5
							end
						else
							SlowDown(72)
						end
					end
				else
					BestQuestDB["Lore"]["Westgarde Keep Welcome"] = BESTQUEST_NOT_APPLICABLE
				end
			end

			if ( BestQuestDB["Lore"]["Wyrmrest Temple Welcome"] == nil ) then
				if ( subZone == "Wyrmrest Temple") then
					if ( BestQuest_Level >= 71 ) then
						alreadyQueued = false
						for k,v in pairs(BestQuest_Chat) do
							if ( k == "Lore 155" ) then
								alreadyQueued = true
								break
							end
						end
						if not alreadyQueued then
							if BestQuest_Faction == "Horde" then
								factionText = speech["155h"]
							else
								factionText = speech["155a"]
							end
							speech["155"] = stringGsub(speech["155"],"~f~", factionText)
							BestQuest_Chat["Lore 155"] = { ["dialogue"] = speech["155"], ["portrait"] = portrait,
									["greeting"] = sound["Welcome"],
									["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\FrostWyrm",
									["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
									["DBPrimary"] = "Lore", ["DBLabel"] = "Wyrmrest Temple Welcome",
									["prerequisite"] = "Dragonblight Welcome #2"}
							dragonblightDelayMultiplier = 5
						end
					else
						SlowDown(72)
					end
				end
			end

			if ( BestQuestDB["Lore"]["Wrathgate"] == nil ) then
				factionText = ""
				if BestQuest_Faction == "Horde" then
					if IsQuestFlaggedCompleted(12221) and IsQuestFlaggedCompleted(12140) and IsQuestFlaggedCompleted(12008) and
							IsQuestFlaggedCompleted(12072) and IsQuestFlaggedCompleted(12124) then
						if ( GetQuestLogIndexByID(12224) <= 0 ) and not IsQuestFlaggedCompleted(12224) then
							factionText = speech["156h"]
						end
					end
				else
					if IsQuestFlaggedCompleted(12281) and IsQuestFlaggedCompleted(12321) then
						if ( GetQuestLogIndexByID(12325) <= 0 ) and not IsQuestFlaggedCompleted(12325) then
							factionText = speech["156a"]
						end
					end
				end
				if factionText ~= "" then
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 156" ) then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						if BestQuest_Faction == "Horde" then
							factionText = speech["156h"]
						else
							factionText = speech["156a"]
						end
						speech["156"] = stringGsub(speech["156"],"~f~", factionText)
						BestQuest_Chat["Lore 156"] = { ["dialogue"] = speech["156"], ["portrait"] = portrait,
								["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Frostmourne", ["alpha"] = "0.9",
								["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
								["DBPrimary"] = "Lore", ["DBLabel"] = "Wrathgate",
								["prerequisite"] = "Dragonblight Welcome #2"}
						dragonblightDelayMultiplier = 5
					end
				end
			end

			if ( BestQuestDB["Lore"]["Kalu'ak Dragonblight"] == nil ) then		-- Requires >= 71

				if KaluakIntroduction( northrendDelay ) then

					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 139" ) then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 139"] = { ["dialogue"] = speech["139"], ["portrait"] = portrait, ["greeting"] = sound["Yep"],
								["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Kalu'ak",
								["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 0.9, ["b"] = 0.8},
								["startTime"] = 0, ["pause"] = northrendDelay * dragonblightDelayMultiplier,
								["DBPrimary"] = "Lore", ["DBLabel"] = "Kalu'ak Dragonblight", ["prerequisite"] = "Kalu'ak Introduction"}
						dragonblightDelayMultiplier = 5
					end
				end
			end

		elseif BestQuest_AreaID == 490 then -- Grizzly Hills

			if ( BestQuestDB["Lore"]["Grizzly Hills Welcome #2"] == nil ) then

				if ( BestQuestDB["Lore"]["Grizzly Hills Welcome #1"] == nil ) then

					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 160" ) then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						if BestQuest_Faction == "Horde" then
							factionText = speech["160h"]
						else
							factionText = speech["160a"]
						end
						speech["160"] = stringGsub(speech["160"],"~f~", factionText)
						BestQuest_Chat["Lore 160"] = { ["dialogue"] = speech["160"], ["portrait"] = portrait, ["greeting"] = sound["Welcome"],
								["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Grizzly Hills",
								["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.2},
								["DBPrimary"] = "Lore", ["DBLabel"] = "Grizzly Hills Welcome #1"}
					end
				end

				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if ( k == "Lore 161" ) then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 161"] = { ["dialogue"] = speech["161"], ["portrait"] = portrait,
							["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Grizzly Hills",
							["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.2},
							["DBPrimary"] = "Lore", ["DBLabel"] = "Grizzly Hills Welcome #2", ["prerequisite"] = "Grizzly Hills Welcome #1"}
				end
			end

		elseif BestQuest_AreaID == 491 then -- Howling Fjord

			if ( BestQuestDB["Lore"]["Howling Fjord Welcome"] == nil ) then

				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if ( k == "Lore 140" ) then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					if BestQuest_Faction == "Horde" then
						factionText = speech["140h"]
					else
						factionText = speech["140a"]
					end
					speech["140"] = stringGsub(speech["140"],"~f~", factionText)
					BestQuest_Chat["Lore 140"] = { ["dialogue"] = speech["140"], ["portrait"] = portrait, ["greeting"] = sound["Greetings wanderer"],
							["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Howling Fjord",
							["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
							["DBPrimary"] = "Lore", ["DBLabel"] = "Howling Fjord Welcome",}
				end

			elseif KaluakIntroduction( northrendDelay ) then

				if ( BestQuestDB["Lore"]["Kalu'ak Howling Fjord"] == nil ) then		-- >= level 68
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 138" ) then
							alreadyQueued = true
							break
					end
						end
					if not alreadyQueued then
						BestQuest_Chat["Lore 138"] = { ["dialogue"] = speech["138"], ["portrait"] = portrait, ["greeting"] = sound["Yep"],
								["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Kalu'ak",
								["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 0.9, ["b"] = 0.8},
								["startTime"] = 0, ["pause"] = 120,
								["DBPrimary"] = "Lore", ["DBLabel"] = "Kalu'ak Howling Fjord", ["prerequisite"] = "Kalu'ak Introduction"}
					end
				end
			end

		elseif BestQuest_AreaID == 492 then -- Icecrown

			if BestQuestDB["Lore"]["Icecrown Welcome"] == nil then

				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if ( k == "Lore 168" ) then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 168"] = { ["dialogue"] = speech["168"], ["portrait"] = portrait, ["greeting"] = sound["Hellooo friend"],
							["artwork"] = "Interface\\Glues\\Models\\UI_MainMenu\\Northrend\\WotLK_Login_Citadel05",
							["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
							["startTime"] = 0, ["pause"] = levelDelay,
							["DBPrimary"] = "Lore", ["DBLabel"] = "Icecrown Welcome"}
				end
			end

		elseif BestQuest_AreaID == 493 then -- Sholazar

			if BestQuestDB["Lore"]["Sholazar Welcome"] == nil then

				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if ( k == "Lore 165" ) then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 165"] = { ["dialogue"] = speech["165"], ["portrait"] = portrait, ["greeting"] = sound["Hellooo friend"],
							["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Sholazar",
							["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.2},
							["startTime"] = 0, ["pause"] = levelDelay,
							["DBPrimary"] = "Lore", ["DBLabel"] = "Sholazar Welcome"}
				end
			end

		elseif BestQuest_AreaID == 495 then -- The Storm Peaks

			if BestQuestDB["Lore"]["The Storm Peaks Welcome"] == nil then

				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if ( k == "Lore 167" ) then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 167"] = { ["dialogue"] = speech["167"], ["portrait"] = portrait, ["greeting"] = sound["Welcome #2"],
							["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Storm Peaks",
							["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.2},
							["startTime"] = 0, ["pause"] = levelDelay,
							["DBPrimary"] = "Lore", ["DBLabel"] = "The Storm Peaks Welcome"}
				end
			end

		elseif BestQuest_AreaID == 496 then -- Zul'Drak

			if BestQuestDB["Lore"]["Zul'Drak Welcome"] == nil then

				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if ( k == "Lore 163" ) then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 163"] = { ["dialogue"] = speech["163"], ["portrait"] = portrait, ["greeting"] = sound["It is good to see you"],
							["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Zul'Drak",
							["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 0, ["g"] = 1, ["b"] = 0},
							["startTime"] = 0, ["pause"] = levelDelay,
							["DBPrimary"] = "Lore", ["DBLabel"] = "Zul'Drak Welcome"}
				end
			end
		else

			KaluakIntroduction( 600)
		end
	end
										-- ==========
										-- Miscellany
										-- ==========

	if ( BestQuest_AreaID == 462 ) or ( BestQuest_AreaID == 463 ) or ( BestQuest_AreaID == 499 ) or ( BestQuest_AreaID == 480 ) or ( BestQuest_AreaID == 893 ) then
					-- Eversong Woods, Ghostlands, Isle of Quel'Danas, Silvermoon City, Sunstrider Isle
		QuelThalas( 0 )
	end

--------------------------------------------------------------------------------------------------------------------------------------------

--[[ --------- ]]--
--[[ Instances ]]--
--[[ --------- ]]--

	local littleDelayMultiplier, bigDelayMultiplier = 1, 20

	if ( BestQuestDB["Lore"]["Deadmines #2"] == nil ) then		-- MapID = 756

		if playerBusy or ( BestQuest_Level < 15 ) or ( ( BestQuest_Level > 21 ) and ( BestQuest_Level < 31 ) ) then
		elseif select( 13, GetAchievementInfo(628) ) then
			BestQuestDB["Lore"]["Deadmines #1"] = BESTQUEST_ALREADY_COMPLETED
			BestQuestDB["Lore"]["Deadmines #2"] = BESTQUEST_ALREADY_COMPLETED
		else
			if ( BestQuestDB["Lore"]["Deadmines #1"] == nil ) then

				if ( BestQuest_Level <= 30 ) then
					availabilityMultiplier = littleDelayMultiplier
				else
					availabilityMultiplier = bigDelayMultiplier
				end
				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 23" then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 23"] = { ["dialogue"] = speech["23"], ["portrait"] = portrait, ["greeting"] = sound["Tell me of your travels"],
							["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenDeadmines", ["alpha"] = "0.5",
							["left"]="0.3", ["right"]="0.6529", ["top"]="0.27", ["bottom"]="0.8", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
							["startTime"] = 0, ["pause"] = instanceDelay * availabilityMultiplier,
							["DBPrimary"] = "Lore", ["DBLabel"] = "Deadmines #1"}
				end
			end

			factionText = ""
			if ( subZone == "Moonbrook" ) then
				factionText = speech["41m2"]
			elseif ( subZone == "Defias Hideout" ) or ( ( BestQuest_AreaID == 39 ) and ( subZone == "The Deadmines" ) ) then
				BestQuestDB["Lore"]["Deadmines #2"] = BESTQUEST_NOT_APPLICABLE
			else
				factionText = speech["41m1"]
			end
			if factionText ~= "" then
				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 41" then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					speech["41"] = stringGsub(speech["41"],"~m~", factionText)
					BestQuest_Chat["Lore 41"] = { ["dialogue"] = speech["41"], ["portrait"] = portrait, ["greeting"] = sound["Tired Hmmm"],
							["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenDeadmines", ["alpha"] = "0.5",
							["left"]="0.3", ["right"]="0.6529", ["top"]="0.27", ["bottom"]="0.8", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
							["DBPrimary"] = "Lore", ["DBLabel"] = "Deadmines #2", ["prerequisite"] = "Deadmines #1"}
				end
			end
		end
	end

	if BestQuestDB["Lore"]["Shadowfang Keep"] == nil then		-- MapID = 764

		if playerBusy or ( BestQuest_Level < 16 ) or ( ( BestQuest_Level > 26 ) and ( BestQuest_Level < 36 ) ) then
		elseif select( 13, GetAchievementInfo(631) ) then	-- the wasEarnedByMe flag
			BestQuestDB["Lore"]["Shadowfang Keep"] = BESTQUEST_ALREADY_COMPLETED
		else
			if ( BestQuest_Level <= 26 ) then
				availabilityMultiplier = littleDelayMultiplier
			else
				availabilityMultiplier = bigDelayMultiplier
			end
			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 158" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 158"] = { ["dialogue"] = speech["158"], ["portrait"] = portrait, ["greeting"] = sound["Tell me of your travels"],
						["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenShadowFangKeep",
						["left"]="0.185", ["right"]="0.5406", ["top"]="0.27", ["bottom"]="0.804", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["startTime"] = 0, ["pause"] = instanceDelay * availabilityMultiplier, ["DBPrimary"] = "Lore", ["DBLabel"] = "Shadowfang Keep"}
			end
		end
	end

	if BestQuestDB["Lore"]["Blackfathom Deeps"] == nil then		-- MapID = 688

		if playerBusy or ( BestQuest_Level < 20 ) or ( ( BestQuest_Level > 30 ) and ( BestQuest_Level < 40 ) ) then
		elseif select( 13, GetAchievementInfo(632) ) then
			BestQuestDB["Lore"]["Blackfathom Deeps"] = BESTQUEST_ALREADY_COMPLETED
		else
			if ( BestQuest_Level <= 30 ) then
				availabilityMultiplier = littleDelayMultiplier
			else
				availabilityMultiplier = bigDelayMultiplier
			end
			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 24" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 24"] = { ["dialogue"] = speech["24"], ["portrait"] = portrait, ["greeting"] = sound["Tell me of your travels"],
						["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenBlackfathomDeeps",
						["left"]="0.42", ["right"]="0.7756", ["top"]="0.27", ["bottom"]="0.804", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["startTime"] = 0, ["pause"] = instanceDelay * availabilityMultiplier, ["DBPrimary"] = "Lore", ["DBLabel"] = "Blackfathom Deeps"}
			end
		end
	end

	if BestQuestDB["Lore"]["Gnomeregan"] == nil then		-- MapID = 691

		if playerBusy or ( BestQuest_Level < 24 ) or ( ( BestQuest_Level > 34 ) and ( BestQuest_Level < 44 ) ) then
		elseif select( 13, GetAchievementInfo(634) ) then
			BestQuestDB["Lore"]["Gnomeregan"] = BESTQUEST_ALREADY_COMPLETED
		else
			if ( BestQuest_Level <= 34 ) then
				availabilityMultiplier = littleDelayMultiplier
			else
				availabilityMultiplier = bigDelayMultiplier
			end
			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 25" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 25"] = { ["dialogue"] = speech["25"], ["portrait"] = portrait, ["greeting"] = sound["Tell me of your travels"],
						["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenGnomeregan", ["alpha"] = "0.7",
						["left"]="0.26", ["right"]="0.6156", ["top"]="0.27", ["bottom"]="0.804", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
						["startTime"] = 0, ["pause"] = instanceDelay * availabilityMultiplier, ["DBPrimary"] = "Lore", ["DBLabel"] = "Gnomeregan"}
			end
		end
	end

	if BestQuestDB["Lore"]["Maraudon"] == nil then			-- MapID = 750

		if playerBusy or ( BestQuest_Level < 30 ) or ( ( BestQuest_Level > 44 ) and ( BestQuest_Level < 54 ) ) then
		elseif select( 13, GetAchievementInfo(640) ) then
			BestQuestDB["Lore"]["Maraudon"] = BESTQUEST_ALREADY_COMPLETED
		else
			if ( BestQuest_Level <= 44 ) then
				availabilityMultiplier = littleDelayMultiplier
			else
				availabilityMultiplier = bigDelayMultiplier
			end
			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 26" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				if ( BestQuest_AreaID == 750 ) then
					availabilityMultiplier = 1
				end
				BestQuest_Chat["Lore 26"] = { ["dialogue"] = speech["26"], ["portrait"] = portrait, ["greeting"] = sound["Tell me of your travels"],
						["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenMaraudon", ["alpha"] = "0.6",
						["left"]="0.5", ["right"]="0.8556", ["top"]="0.27", ["bottom"]="0.804", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
						["startTime"] = 0, ["pause"] = instanceDelay * availabilityMultiplier, ["DBPrimary"] = "Lore", ["DBLabel"] = "Maraudon"}
			end
		end
	end

	if BestQuestDB["Lore"]["Uldaman"] == nil then			-- MapID = 692. Must show lore

		if playerBusy and ( BestQuest_AreaID ~= 692 ) then
		elseif ( BestQuest_Level < 35 ) or ( ( BestQuest_Level > 45 ) and ( BestQuest_Level < 55 ) and ( BestQuest_AreaID ~= 692 ) ) then
		elseif select( 13, GetAchievementInfo(638) ) and ( BestQuest_AreaID ~= 692 ) then
			BestQuestDB["Lore"]["Uldaman"] = BESTQUEST_ALREADY_COMPLETED
		else
			if ( BestQuest_Level <= 45 ) or ( BestQuest_AreaID == 692 ) or ( subZone == "Uldaman" )  or ( subZone == "The Maker's Terrace" ) then
				availabilityMultiplier = littleDelayMultiplier
			else
				availabilityMultiplier = bigDelayMultiplier
			end
			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 22" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 22"] = { ["dialogue"] = speech["22"], ["portrait"] = portrait, ["greeting"] = sound["Tell me of your travels"],
						["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenUldaman",
						["left"]="0.26", ["right"]="0.6156", ["top"]="0.27", ["bottom"]="0.804", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["startTime"] = 0, ["pause"] = instanceDelay * availabilityMultiplier, ["DBPrimary"] = "Lore", ["DBLabel"] = "Uldaman"}
			end
		end
	end

	if BestQuestDB["Lore"]["Dire Maul"] == nil then			-- MapID = 699

		if playerBusy or ( BestQuest_Level < 36 ) or ( ( BestQuest_Level > 52 ) and ( BestQuest_Level < 62 ) ) then
		elseif select( 13, GetAchievementInfo(644) ) then
			BestQuestDB["Lore"]["Dire Maul"] = BESTQUEST_ALREADY_COMPLETED
		else
			if ( BestQuest_Level <= 52 ) then
				availabilityMultiplier = littleDelayMultiplier
			else
				availabilityMultiplier = bigDelayMultiplier
			end
			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 27" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 27"] = { ["dialogue"] = speech["27"], ["portrait"] = portrait, ["greeting"] = sound["Tell me of your travels"],
						["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenDireMaul", ["alpha"] = "0.5",
						["left"]="0.26", ["right"]="0.6156", ["top"]="0.27", ["bottom"]="0.804", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
						["startTime"] = 0, ["pause"] = instanceDelay * availabilityMultiplier, ["DBPrimary"] = "Lore", ["DBLabel"] = "Dire Maul"}
			end
		end
	end

	if BestQuestDB["Lore"]["Stratholme"] == nil then		-- MapID = 765. Must show loot

		if playerBusy and ( BestQuest_AreaID ~= 765 ) then
		elseif ( BestQuest_Level < 42 ) or ( ( BestQuest_Level > 56 ) and ( BestQuest_Level < 66 ) and ( BestQuest_AreaID ~= 765 ) ) then
		elseif select( 13, GetAchievementInfo(646) ) and ( BestQuest_AreaID ~= 765 ) then
			BestQuestDB["Lore"]["Stratholme"] = BESTQUEST_ALREADY_COMPLETED
		else
			if ( BestQuest_Level <= 45 ) or ( BestQuest_AreaID == 765 ) then
				availabilityMultiplier = littleDelayMultiplier
			else
				availabilityMultiplier = bigDelayMultiplier
			end
			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 28" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				if BestQuest_Faction == "Horde" then
					factionText = speech["28h"]
				else
					factionText = speech["28a"]
				end
				speech["28"] = stringGsub(speech["28"],"~f~", factionText)
				BestQuest_Chat["Lore 28"] = { ["dialogue"] = speech["28"], ["portrait"] = portrait, ["greeting"] = sound["Tell me of your travels"],
						["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenStrathome",	-- correct. Blizzard typo in their file
						["left"]="0.26", ["right"]="0.6156", ["top"]="0.27", ["bottom"]="0.804", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["startTime"] = 0, ["pause"] = instanceDelay * availabilityMultiplier, ["DBPrimary"] = "Lore", ["DBLabel"] = "Stratholme"}
			end
		end
	end

	if BestQuestDB["Lore"]["Blackrock Depths"] == nil then		-- MapID = 704

		if playerBusy or ( BestQuest_Level < 47 ) or ( ( BestQuest_Level > 61 ) and ( BestQuest_Level < 71 ) ) then
		elseif select( 13, GetAchievementInfo(642) ) then
			BestQuestDB["Lore"]["Blackrock Depths"] = BESTQUEST_ALREADY_COMPLETED
		else
			if ( BestQuest_Level <= 61 ) then
				availabilityMultiplier = littleDelayMultiplier
			else
				availabilityMultiplier = bigDelayMultiplier
			end
			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 29" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 29"] = { ["dialogue"] = speech["29"], ["portrait"] = portrait, ["greeting"] = sound["Tell me of your travels"],
						["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenBlackrockDepths", ["alpha"] = "0.6",
						["left"]="0.26", ["right"]="0.6156", ["top"]="0.27", ["bottom"]="0.804", ["colour"] = {["r"] = 0, ["g"] = 1, ["b"] = 0},
						["startTime"] = 0, ["pause"] = instanceDelay * availabilityMultiplier, ["DBPrimary"] = "Lore", ["DBLabel"] = "Blackrock Depths"}
			end
		end
	end

	if BestQuestDB["Lore"]["Sunken Temple"] == nil then		-- aka The Temple of Atal'Hakkar. MapID = 687

		if playerBusy and ( BestQuest_AreaID ~= 687 ) then
		elseif ( BestQuest_Level < 50 ) or ( ( BestQuest_Level > 60 ) and ( BestQuest_Level < 70 ) and ( BestQuest_AreaID ~= 687 ) ) then
		elseif select( 13, GetAchievementInfo(641) ) and ( BestQuest_AreaID ~= 687 ) then
			BestQuestDB["Lore"]["Sunken Temple"] = BESTQUEST_ALREADY_COMPLETED
		else
			if ( BestQuest_Level <= 60 ) or ( BestQuest_AreaID == 687 ) then
				availabilityMultiplier = littleDelayMultiplier
			else
				availabilityMultiplier = bigDelayMultiplier
			end
			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 31" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 31"] = { ["dialogue"] = speech["31"], ["portrait"] = portrait, ["greeting"] = sound["Tell me of your travels"],
						["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenSunkenTemple", ["alpha"] = "0.7",
						["left"]="0.33", ["right"]="0.6856", ["top"]="0.27", ["bottom"]="0.804", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 1},
						["startTime"] = 0, ["pause"] = instanceDelay * availabilityMultiplier, ["DBPrimary"] = "Lore", ["DBLabel"] = "Sunken Temple"}
			end
		end
	end

	if BestQuestDB["Lore"]["Shattered Halls"] == nil then		-- TEMPLATE for dungeon with normal/heroic and loot info

		if ( BestQuest_AreaID == 710 ) then
			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 91" ) then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 91"] = { ["dialogue"] = speech["91"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Kargath", 
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
						["startTime"] = 0, ["pause"] = instanceDelay * littleDelayMultiplier, ["DBPrimary"] = "Lore", ["DBLabel"] = "Shattered Halls"}
			end
		end
	end

	if BestQuestDB["Lore"]["The Blood Furnace"] == nil then

		if ( BestQuest_AreaID == 725 ) then
			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 92" ) then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 92"] = { ["dialogue"] = speech["92"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Hellfire",
						["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["startTime"] = 0, ["pause"] = instanceDelay * littleDelayMultiplier, ["DBPrimary"] = "Lore", ["DBLabel"] = "The Blood Furnace"}
			end
		end
	end

	if BestQuestDB["Lore"]["Hellfire Ramparts"] == nil then

		if ( BestQuest_AreaID == 797 ) then
			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 93" ) then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 93"] = { ["dialogue"] = speech["93"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Hellfire",
						["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["startTime"] = 0, ["pause"] = instanceDelay * littleDelayMultiplier, ["DBPrimary"] = "Lore", ["DBLabel"] = "Hellfire Ramparts",}
			end
		end
	end

	if BestQuestDB["Lore"]["The Slave Pens #2"] == nil then

		if ( BestQuest_AreaID == 728 ) then

			if BestQuestDB["Lore"]["The Slave Pens #1"] == nil then
				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if ( k == "Lore 88" ) then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 88"] = { ["dialogue"] = speech["88"], ["portrait"] = portrait,
							["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenCoilfang", ["alpha"] = "0.6", ["series"] = "SlavePens",
							["left"]="0.01", ["right"]="0.3656", ["top"]="0.27", ["bottom"]="0.804", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 1},
							["startTime"] = 0, ["pause"] = instanceDelay * littleDelayMultiplier,
							["DBPrimary"] = "Lore", ["DBLabel"] = "The Slave Pens #1",}
				end
			end

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 89" ) then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 89"] = { ["dialogue"] = speech["89"], ["portrait"] = portrait,
						["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenCoilfang", ["alpha"] = "0.6", ["series"] = "SlavePens",
						["left"]="0.6444", ["right"]="1", ["top"]="0.27", ["bottom"]="0.804", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 1},
						["DBPrimary"] = "Lore", ["DBLabel"] = "The Slave Pens #2", ["prerequisite"] = "The Slave Pens #1"}
				BestQuest_Chat["Lore 89t"] = { ["greeting"] = sound["Messed up Joke"], ["showing"] = "Lore 89",
						["startTime"] = 0, ["pause"] = 20, ["DBPrimary"] = "Lore", ["DBLabel"] = "The Slave Pens #2 t1"}
			end
		end
	end

	if BestQuestDB["Lore"]["The Underbog #2"] == nil then

		if ( BestQuest_AreaID == 726 ) then

			if BestQuestDB["Lore"]["The Underbog #1"] == nil then
				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if ( k == "Lore 86" ) then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 86"] = { ["dialogue"] = speech["86"], ["portrait"] = portrait,
							["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenCoilfang", ["series"] = "Underbog",
							["left"]="0.01", ["right"]="0.3656", ["top"]="0.27", ["bottom"]="0.804", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 1},
							["startTime"] = 0, ["pause"] = instanceDelay * littleDelayMultiplier,
							["DBPrimary"] = "Lore", ["DBLabel"] = "The Underbog #1",}
				end
			end

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 87" ) then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 87"] = { ["dialogue"] = speech["87"], ["portrait"] = portrait,
						["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenCoilfang", ["alpha"] = "0.6", ["series"] = "Underbog",
						["left"]="0.6444", ["right"]="1", ["top"]="0.27", ["bottom"]="0.804", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 1},
						["DBPrimary"] = "Lore", ["DBLabel"] = "The Underbog #2", ["prerequisite"] = "The Underbog #1"}
				BestQuest_Chat["Lore 87t"] = { ["greeting"] = sound["Ocean sponges Joke"], ["showing"] = "Lore 87",
						["startTime"] = 0, ["pause"] = 24, ["DBPrimary"] = "Lore", ["DBLabel"] = "The Underbog #2 t1"}
			end
		end
	end

	if BestQuestDB["Lore"]["The Steamvault"] == nil then

		if ( BestQuest_AreaID == 727 ) then
			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 90" ) then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 90"] = { ["dialogue"] = speech["90"], ["portrait"] = portrait,
						["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenCoilfang", ["alpha"] = "0.8",
						["left"]="0.01", ["right"]="0.3656", ["top"]="0.27", ["bottom"]="0.804", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 1},
						["startTime"] = 0, ["pause"] = instanceDelay * littleDelayMultiplier,
						["DBPrimary"] = "Lore", ["DBLabel"] = "The Steamvault",}
			end
		end
	end

	if BestQuestDB["Lore"]["Mana Tombs Loot #2"] == nil then

		if ( BestQuest_AreaID == 732 ) or ( subZone == "Mana Tombs" ) then

			if BestQuestDB["Lore"]["Mana Tombs Loot #1"] == nil then
				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if ( k == "Lore 97" ) then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					if ( BestQuest_AreaID == 732 ) then
						availabilityMultiplier = 1
					else
						availabilityMultiplier = 0
					end
					BestQuest_Chat["Lore 97"] = { ["dialogue"] = speech["97"], ["portrait"] = portrait, 
							["artwork"] = "Interface\\Glues\\Credits\\Auchindoun2", ["series"] = "ManaTombs",
							["left"]="0.050562", ["right"]="0.919438", ["top"]="0.03", ["bottom"]="1",
							["colour"] = {["r"] = 0.93, ["g"] = 0.91, ["b"] = 0.67},
							["startTime"] = 0, ["pause"] = instanceDelay * littleDelayMultiplier,
							["DBPrimary"] = "Lore", ["DBLabel"] = "Mana Tombs Loot #1"}
				end
			end

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 98" ) then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 98"] = { ["dialogue"] = speech["98"], ["portrait"] = portrait, 
						["artwork"] = "Interface\\Glues\\Credits\\Auchindoun3", ["series"] = "ManaTombs",
						["left"]="0.050562", ["right"]="0.919438", ["top"]="0.03", ["bottom"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Mana Tombs Loot #2", ["prerequisite"] = "Mana Tombs Loot #1"}
			end
		end
	end

	if BestQuestDB["Lore"]["Auchenai Crypts Loot"] == nil then	-- UNIQUE logic. Loot and location specific lore intro and more lore at the end

		if ( BestQuest_AreaID == 722 ) then

			if BestQuestDB["Lore"]["Auchenai Crypts"] == nil then
				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if ( k == "Lore 65" ) then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					if ( BestQuest_AreaID == 722 ) then
						availabilityMultiplier = 1
					else
						availabilityMultiplier = 0
					end
					BestQuest_Chat["Lore 65"] = { ["dialogue"] = speech["65"], ["portrait"] = portrait, ["greeting"] = sound["Hello friend"],
							["artwork"] = "Interface\\Glues\\Credits\\Auchindoun2", ["series"] = "AuchenaiCrypts",
							["left"]="0.050562", ["right"]="0.919438", ["top"]="0.03", ["bottom"]="1",
							["colour"] = {["r"] = 0.93, ["g"] = 0.91, ["b"] = 0.67},
							["startTime"] = 0, ["pause"] = instanceDelay * littleDelayMultiplier,
							["DBPrimary"] = "Lore", ["DBLabel"] = "Auchenai Crypts"}
				end
			end

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 96" ) then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 96"] = { ["dialogue"] = speech["96"], ["portrait"] = portrait, 
						["artwork"] = "Interface\\Glues\\Credits\\Auchindoun2", ["series"] = "AuchenaiCrypts",
						["left"]="0.050562", ["right"]="0.919438", ["top"]="0.03", ["bottom"]="1", ["colour"] = {["r"] = 0.93, ["g"] = 0.91, ["b"] = 0.67},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Auchenai Crypts Loot", ["prerequisite"] = "Auchenai Crypts"}
			end
		end

	elseif ( BestQuest_AreaID == 722 ) then

		if BestQuestDB["Lore"]["D'Ore #1"] == nil then
			local doDOreSpeech = false
			if ( GetQuestLogIndexByID(10167) > 0 ) or ( IsQuestFlaggedCompleted(10167) ) or
					( GetQuestLogIndexByID(10168) > 0 ) or ( IsQuestFlaggedCompleted(10168) ) then
				BestQuestDB["Lore"]["D'Ore #1"] = BESTQUEST_ALREADY_COMPLETED
				BestQuestDB["Lore"]["D'Ore #2"] = BESTQUEST_ALREADY_COMPLETED
			else
				if UnitExists("target") then
					if UnitName("target") == "Exarch Maladaar" then
						if UnitIsDead("target") then
							doDOreSpeech = true
						end
					end
				end
			end
			if doDOreSpeech then
				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if ( k == "Lore 66" ) then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 66"] = { ["dialogue"] = speech["66"], ["portrait"] = portrait, ["greeting"] = sound["Yep"],
							["artwork"] = "Interface\\Glues\\Credits\\Auchindoun3", ["series"] = "D'Ore",
							["left"]="0.050562", ["right"]="0.919438", ["top"]="0.03", ["bottom"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
							["startTime"] = 0, ["pause"] = instanceDelay * littleDelayMultiplier,
							["DBPrimary"] = "Lore", ["DBLabel"] = "D'Ore #1", ["prerequisite"] = "Auchenai Crypts Loot"}
				end
			end
		end

		if BestQuestDB["Lore"]["D'Ore #2"] == nil then
			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 67" ) then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 67"] = { ["dialogue"] = speech["67"], ["portrait"] = portrait,
							["artwork"] = "Interface\\Glues\\Credits\\Auchindoun3", ["series"] = "D'Ore",
							["left"]="0.050562", ["right"]="0.919438", ["top"]="0.03", ["bottom"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
							["DBPrimary"] = "Lore", ["DBLabel"] = "D'Ore #2", ["prerequisite"] = "D'Ore #1"}
			end
		end
	end

	if BestQuestDB["Lore"]["Sethekk Halls Loot"] == nil then

		if ( BestQuest_AreaID == 723 ) or ( subZone == "Sethekk Halls" ) then

			if BestQuestDB["Lore"]["Sethekk Halls"] == nil then

				if ( BestQuest_AreaID == 723 ) then
					availabilityMultiplier = 1
				else
					availabilityMultiplier = 0
				end
				if Auchindoun( instanceDelay * availabilityMultiplier ) and Arakkoa( instanceDelay * availabilityMultiplier ) then
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 62" ) then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 62"] = { ["dialogue"] = speech["62"], ["portrait"] = portrait, ["greeting"] = sound["Welcome"],
								["artwork"] = "Interface\\Glues\\Credits\\Auchindoun2", ["series"] = "SethekkHalls",
								["left"]="0.050562", ["right"]="0.919438", ["top"]="0.03", ["bottom"]="1",
								["colour"] = {["r"] = 0.93, ["g"] = 0.91, ["b"] = 0.67},
								["startTime"] = 0, ["pause"] = instanceDelay * availabilityMultiplier,
								["DBPrimary"] = "Lore", ["DBLabel"] = "Sethekk Halls"}
					end
				end
			end

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 95" ) then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 95"] = { ["dialogue"] = speech["95"], ["portrait"] = portrait, 
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Arakkoa", ["series"] = "SethekkHalls",
						["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Sethekk Halls Loot", ["prerequisite"] = "Sethekk Halls"}
			end
		end
	end

	if BestQuestDB["Lore"]["Shadow Labyrinth Loot"] == nil then

		if BestQuestDB["Lore"]["Shadow Labyrinth"] == nil then

			if ( (BestQuest_Level >= 67) and (BestQuest_Level <= 75) ) or ( BestQuest_AreaID == 724 )  or ( subZone == "Shadow Labyrinth" ) then
				if ( BestQuest_AreaID == 724 ) then
					availabilityMultiplier = 1
				elseif ( subZone == "Shadow Labyrinth" ) then
					availabilityMultiplier = 0
				end
				if Auchindoun( instanceDelay * availabilityMultiplier ) then
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 125" ) then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 125"] = { ["dialogue"] = speech["125"], ["portrait"] = portrait, ["greeting"] = sound["Hello friend"],
								["artwork"] = "Interface\\Glues\\Credits\\Auchindoun2",
								["left"]="0.050562", ["right"]="0.919438", ["top"]="0.03", ["bottom"]="1",
								["colour"] = {["r"] = 0.93, ["g"] = 0.91, ["b"] = 0.67},
								["startTime"] = 0, ["pause"] = instanceDelay * availabilityMultiplier,
								["DBPrimary"] = "Lore", ["DBLabel"] = "Shadow Labyrinth"}
					end
				end
			end
		end

		if ( BestQuest_AreaID == 724 ) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 94" ) then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 94"] = { ["dialogue"] = speech["94"], ["portrait"] = portrait,
						["artwork"] = "Interface\\Glues\\Credits\\Auchindoun2",
						["left"]="0.050562", ["right"]="0.919438", ["top"]="0.03", ["bottom"]="1",
						["colour"] = {["r"] = 0.93, ["g"] = 0.91, ["b"] = 0.67},
						["startTime"] = 0, ["pause"] = instanceDelay, 
						["DBPrimary"] = "Lore", ["DBLabel"] = "Shadow Labyrinth Loot", ["prerequisite"] = "Shadow Labyrinth"}
			end
		end
	end

	if BestQuestDB["Lore"]["Escape From Durnholde Loot #2"] == nil then

		if BestQuestDB["Lore"]["Escape From Durnholde"] == nil then		-- aka Old Hillsbrad Foothills

			if ( (BestQuest_Level >= 64) and (BestQuest_Level <= 75) ) or ( BestQuest_AreaID == 734 ) then
				if ( BestQuest_AreaID == 734 ) then
					availabilityMultiplier = 1
				else
					availabilityMultiplier = 0
				end
				if CavernsOfTime( instanceDelay * availabilityMultiplier ) then
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 75" ) then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 75"] = { ["dialogue"] = speech["75"], ["portrait"] = portrait, ["greeting"] = sound["Tell me of your travels"],
								["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenCavernsTime", ["series"] = "OldHillsbrad",
								["left"]="0.51", ["right"]="0.8629", ["top"]="0.27", ["bottom"]="0.8",
								["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
								["startTime"] = 0, ["pause"] = instanceDelay * availabilityMultiplier,
								["DBPrimary"] = "Lore", ["DBLabel"] = "Escape From Durnholde"}
					end
				end
			end
		end

		if BestQuestDB["Lore"]["Escape From Durnholde Loot #1"] == nil then

			if ( BestQuest_AreaID == 734 ) then

				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if ( k == "Lore 99" ) then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 99"] = { ["dialogue"] = speech["99"], ["portrait"] = portrait,
							["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenCavernsTime", ["series"] = "OldHillsbrad",
							["left"]="0.51", ["right"]="0.8629", ["top"]="0.27", ["bottom"]="0.8", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
							["startTime"] = 0, ["pause"] = instanceDelay,
							["DBPrimary"] = "Lore", ["DBLabel"] = "Escape From Durnholde Loot #1", ["prerequisite"] = "Escape From Durnholde"}
				end
			end
		end

		if ( BestQuest_AreaID == 734 ) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 100" ) then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 100"] = { ["dialogue"] = speech["100"], ["portrait"] = portrait,
						["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenCavernsTime", ["series"] = "OldHillsbrad",
						["left"]="0.51", ["right"]="0.8629", ["top"]="0.27", ["bottom"]="0.8", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Escape From Durnholde Loot #2", ["prerequisite"] = "Escape From Durnholde Loot #1"}
			end
		end
	end

	if BestQuestDB["Lore"]["The Black Morass Loot"] == nil then

		if BestQuestDB["Lore"]["The Black Morass"] == nil then

			if ( (BestQuest_Level >= 68) and (BestQuest_Level <= 75) ) or ( BestQuest_AreaID == 733 ) then
				if ( BestQuest_AreaID == 733 ) then
					availabilityMultiplier = 1
				else
					availabilityMultiplier = 0
				end
				if CavernsOfTime( instanceDelay * availabilityMultiplier ) then
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 77" ) then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 77"] = { ["dialogue"] = speech["77"], ["portrait"] = portrait,
								["greeting"] = sound["Tell me of your travels"],
								["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenCavernsTime", ["series"] = "BlackMorass",
								["left"]="0.51", ["right"]="0.8629", ["top"]="0.27", ["bottom"]="0.8",
								["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
								["startTime"] = 0, ["pause"] = instanceDelay * availabilityMultiplier,
								["DBPrimary"] = "Lore", ["DBLabel"] = "The Black Morass"}
					end
				end
			end
		end

		if ( BestQuest_AreaID == 733 ) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 101" ) then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 101"] = { ["dialogue"] = speech["101"], ["portrait"] = portrait, 
						["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenCavernsTime", ["series"] = "BlackMorass",
						["left"]="0.51", ["right"]="0.8629", ["top"]="0.27", ["bottom"]="0.8", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["startTime"] = 0, ["pause"] = instanceDelay,
						["DBPrimary"] = "Lore", ["DBLabel"] = "The Black Morass Loot", ["prerequisite"] = "The Black Morass",}
			end
		end
	end

	if BestQuestDB["Lore"]["Magister's Terrace Loot"] == nil then

		if BestQuestDB["Lore"]["Magister's Terrace"] == nil then

			if ( (BestQuest_Level >= 68) and (BestQuest_Level <= 75) ) or ( BestQuest_AreaID == 798 ) or ( subZone == "Magisters' Terrace" ) then
				if ( BestQuest_AreaID == 798 ) then
					availabilityMultiplier = 1
				elseif ( subZone == "Magisters' Terrace" ) then
					availabilityMultiplier = 0
				end
				if QuelThalas( instanceDelay * availabilityMultiplier ) then
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 79" ) then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 79"] = { ["dialogue"] = speech["79"], ["portrait"] = portrait, ["greeting"] = sound["Tell me of your travels"],
								["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Quel'Thalas", ["series"] = "MagistTerr",
								["left"]="0.101123", ["right"]="1",["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
								["startTime"] = 0, ["pause"] = instanceDelay * availabilityMultiplier,
								["DBPrimary"] = "Lore", ["DBLabel"] = "Magister's Terrace"}
					end
				end
			end
		end

		if ( BestQuest_AreaID == 798 ) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 105" ) then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 105"] = { ["dialogue"] = speech["105"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Quel'Thalas", ["series"] = "MagistTerr",
						["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["startTime"] = 0, ["pause"] = instanceDelay,
						["DBPrimary"] = "Lore", ["DBLabel"] = "Magister's Terrace Loot", ["prerequisite"] = "Magister's Terrace"}
			end
		end
	end

	if BestQuestDB["Lore"]["The Mechanar Loot"] == nil then

		if ( BestQuest_AreaID == 730 ) or ( (BestQuest_Level >= 68) and (BestQuest_Level <= 75) ) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 102" ) then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				if ( BestQuest_AreaID == 730 ) then
					availabilityMultiplier = 1
				else
					availabilityMultiplier = 0
				end
				BestQuest_Chat["Lore 102"] = { ["dialogue"] = speech["102"], ["portrait"] = portrait,
						["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenTempestKeep", ["alpha"] = "0.65",
						["left"]="0.51", ["right"]="0.99", ["top"]="0.27", ["bottom"]="0.804", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
						["startTime"] = 0, ["pause"] = instanceDelay * availabilityMultiplier,
						["DBPrimary"] = "Lore", ["DBLabel"] = "The Mechanar Loot"}
			end
		end
	end

	if BestQuestDB["Lore"]["The Botanica Loot"] == nil then

		if ( BestQuest_AreaID == 729 ) or ( (BestQuest_Level >= 68) and (BestQuest_Level <= 75) ) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 103" ) then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				if ( BestQuest_AreaID == 729 ) then
					availabilityMultiplier = 1
				else
					availabilityMultiplier = 0
				end
				BestQuest_Chat["Lore 103"] = { ["dialogue"] = speech["103"], ["portrait"] = portrait,
						["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenTempestKeep", ["alpha"] = "0.65",
						["left"]="0.51", ["right"]="0.99", ["top"]="0.27", ["bottom"]="0.804", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
						["startTime"] = 0, ["pause"] = instanceDelay * availabilityMultiplier,
						["DBPrimary"] = "Lore", ["DBLabel"] = "The Botanica Loot"}
			end
		end
	end

	if BestQuestDB["Lore"]["The Arcatraz Loot"] == nil then

		if ( BestQuest_AreaID == 731 ) or ( (BestQuest_Level >= 68) and (BestQuest_Level <= 75) ) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 104" ) then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				if ( BestQuest_AreaID == 731 ) then
					availabilityMultiplier = 1
				else
					availabilityMultiplier = 0
				end
				BestQuest_Chat["Lore 104"] = { ["dialogue"] = speech["104"], ["portrait"] = portrait,
						["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenTempestKeep", ["alpha"] = "0.65",
						["left"]="0.51", ["right"]="0.99", ["top"]="0.27", ["bottom"]="0.804", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
						["startTime"] = 0, ["pause"] = instanceDelay * availabilityMultiplier,
						["DBPrimary"] = "Lore", ["DBLabel"] = "The Arcatraz Loot"}
			end
		end
	end

--------------------------------------------------------------------------------------------------------------------------------------------

--[[ ----- ]]--
--[[ Raids ]]--
--[[ ----- ]]--

	if ( BestQuestDB["Lore"]["Magtheridon's Lair #2"] == nil ) then

		if ( BestQuest_Level >= 70 ) or ( subZone == "Magtheridon's Lair" ) or ( subZone == "Hellfire Citadel" ) or ( subZone == "Hellfire Basin") then
 
			if BestQuestDB["Lore"]["Magtheridon's Lair #1"] == nil then
				if select(4,GetAchievementInfo(693)) then
					BestQuestDB["Lore"]["Magtheridon's Lair #1"] = BESTQUEST_ALREADY_COMPLETED
				else
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if k == "Lore 50" then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						if ( subZone == "Magtheridon's Lair" ) or ( subZone == "Hellfire Citadel" ) or ( subZone == "Hellfire Basin") then
							availabilityMultiplier = 0
						end
						BestQuest_Chat["Lore 50"] = { ["dialogue"] = speech["50"], ["portrait"] = portrait,
								["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenHellfireCitadelRaid", ["series"] = "Mags",
								["left"]="0.3329", ["right"]="0.6671", ["top"]="0.27", ["bottom"]="0.804",
								["colour"] = {["r"] = 0.7, ["g"] = 1, ["b"] = 0.7},
								["startTime"] = 0, ["pause"] = instanceDelay * availabilityMultiplier,
								["DBPrimary"] = "Lore", ["DBLabel"] = "Magtheridon's Lair #1", ["prerequisite"] = "Hellfire Citadel"}
					end
				end
			end

			if select(4,GetAchievementInfo(693)) then
				BestQuestDB["Lore"]["Magtheridon's Lair #2"] = BESTQUEST_ALREADY_COMPLETED
			else
				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 84" then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 84"] = { ["dialogue"] = speech["84"], ["portrait"] = portrait, 
							["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\IllidanRed", ["series"] = "Mags",
							["left"]="0", ["right"]="0.89888",["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8}, ["alpha"] = "0.55",
							["startTime"] = 0, ["pause"] = instanceDelay,
							["DBPrimary"] = "Lore", ["DBLabel"] = "Magtheridon's Lair #2", ["prerequisite"] = "Magtheridon's Lair #1"}
				end
			end
		end
	end

--------------------------------------------------------------------------------------------------------------------------------------------

--[[ ----------- ]]--
--[[ Lore Extras ]]--
--[[ ----------- ]]--

	-- Mostly numbered in the 200's. Exceptions are: Alleria, Kargath and Nobundo. These were brought into this section at a later time

	local loreExtrasDelayMultiplier = 1

--	Initiate the Main Chain
--	-----------------------
--	Player must go to the Maw south of Lor'Danel and drop into it, kill the demon hunter, and exit

	if ( BestQuestDB["Lore"]["Extra - Before Telarius"] == nil ) then

		if ( BestQuestDB["Lore"]["Extra - To the Maw"] == nil ) then
			if ( subZone == "Maw of the Void" ) or ( GetZoneText() == "Bashal'Aran Collapse" ) then
			else

				if BestQuest_Level >= 10 then
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if k == "Lore 200" then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 200"] = { ["dialogue"] = speech["200"], ["portrait"] = portrait, ["greeting"] = sound["Greetings wanderer"],
								["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\MaievShadowsong",
								["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 1}, ["alpha"] = "0.6",
								["startTime"] = 0, ["pause"] = loreExtrasDelay,
								["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - To the Maw", ["prerequisite"] = "Welcomed 2"}
					end
				end
			end
		end

		if ( BestQuestDB["Lore"]["Extra - Down Here"] == nil ) and ( subZone == "Maw of the Void" ) then

			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 200" ) then
					BestQuest_Chat["Lore 200"] = nil
					break
				end
			end
			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 201" ) then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 201"] = { ["dialogue"] = speech["201"], ["portrait"] = portrait, ["greeting"] = sound["Hellooo friend"],
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\MaievShadowsong",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 1}, ["alpha"] = "0.6",
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Down Here", ["prerequisite"] = "Welcomed 2"}
			end
		end

		if ( BestQuestDB["Lore"]["Extra - Before Telarius"] == nil ) and ( GetZoneText() == "Bashal'Aran Collapse" ) then

			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 200" ) then
					BestQuest_Chat["Lore 200"] = nil
					break
				end
			end
			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 201" ) then
					BestQuest_Chat["Lore 201"] = nil
					break
				end
			end
			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 202" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				local hasWritings = false
				for i =0,NUM_BAG_SLOTS do
					local name = GetBagName(i)
					if name then
						local numberOfSlots = GetContainerNumSlots(i)
						for j = 1, numberOfSlots do
							if GetContainerItemID(i,j) == 64450 then
								hasWritings = true
								break
							end
						end
					end
				end
				if ( BestQuest_Faction == "Horde" ) then
					factionText = speech["202m5"]
				elseif hasWritings then
					if BestQuestDB["Lore"]["Extra - To the Maw"] or BestQuestDB["Lore"]["Extra - Down Here"] then
						factionText = speech["202m4"]
					else
						factionText = speech["202m3"]
					end
				elseif ( GetQuestLogIndexByID(28529) > 0 ) or IsQuestFlaggedCompleted(28529) then
					if BestQuestDB["Lore"]["Extra - To the Maw"] or BestQuestDB["Lore"]["Extra - Down Here"] then
						factionText = speech["202m2"]
					else
						factionText = speech["202m1"]
					end
				else
					factionText = speech["202m6"]
				end
				speech["202"] = stringGsub(speech["202"],"~m~", factionText)
				BestQuest_Chat["Lore 202"] = { ["dialogue"] = speech["202"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\MaievShadowsong",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 1}, ["alpha"] = "0.6",
						["startTime"] = 0, ["pause"] = 7,
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Before Telarius", ["prerequisite"] = "Welcomed 2"}
			end
		end
	end

--	Maiev Shadowsong (Part #1)
--	--------------------------

	if ( BestQuestDB["Lore"]["Extra - Maiev Shadowsong #5"] == nil ) and ( BestQuestDB["Lore"]["Extra - Before Telarius"] ) and ( not playerBusy ) then

		if ( BestQuestDB["Lore"]["Extra - Maiev Shadowsong #1"] == nil ) and ( GetZoneText() ~= "Bashal'Aran Collapse" ) then

			alreadyQueued = false
			if BestQuest_Faction == "Alliance" then
				if not IsQuestFlaggedCompleted(28529) then
					alreadyQueued = true
				end
			end
			if not alreadyQueued then
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 203" then
						alreadyQueued = true
						break
					end
				end
			end
			if not alreadyQueued then
				if BestQuest_Faction == "Horde" then
					factionText = speech["203h"]
				else
					factionText = speech["203a"]
				end
				speech["203"] = stringGsub(speech["203"],"~f~", factionText)
				BestQuest_Chat["Lore 203"] = { ["dialogue"] = speech["203"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\MaievShadowsong", ["series"] = "Maiev#1",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 1}, ["alpha"] = "0.6",
						["startTime"] = 0, ["pause"] = instanceDelay,
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Maiev Shadowsong #1"}
			end
		end

		if ( BestQuestDB["Lore"]["Extra - Maiev Shadowsong #2"] == nil ) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 204" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 204"] = { ["dialogue"] = speech["204"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\MalfurionTyrande", ["series"] = "Maiev#1",
						["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Maiev Shadowsong #2", ["prerequisite"] = "Extra - Maiev Shadowsong #1"}
			end
		end

		if ( BestQuestDB["Lore"]["Extra - Maiev Shadowsong #3"] == nil ) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 205" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 205"] = { ["dialogue"] = speech["205"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\MaievShadowsong", ["series"] = "Maiev#1",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 1}, ["alpha"] = "0.6",
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Maiev Shadowsong #3", ["prerequisite"] = "Extra - Maiev Shadowsong #2"}
			end
		end

		if ( BestQuestDB["Lore"]["Extra - Maiev Shadowsong #4"] == nil ) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 206" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				if BestQuestDB["Lore"]["Extra - Illidan Stormrage #8"] then
					factionText = speech["206a"]
				else
					factionText = speech["206b"]
				end
				speech["206"] = stringGsub(speech["206"],"~m~", factionText)
				BestQuest_Chat["Lore 206"] = { ["dialogue"] = speech["206"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Tomb of Sargeras #2", ["series"] = "Maiev#1",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Maiev Shadowsong #4", ["prerequisite"] = "Extra - Maiev Shadowsong #3"}
			end
		end

		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if k == "Lore 207" then
				alreadyQueued = true
				break
			end
		end
		if not alreadyQueued then
			BestQuest_Chat["Lore 207"] = { ["dialogue"] = speech["207"], ["portrait"] = portrait, ["greeting"] = sound["Hmmm hmmm"],
					["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\MalfurionTyrande", ["series"] = "Maiev#1",
					["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
					["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Maiev Shadowsong #5", ["prerequisite"] = "Extra - Maiev Shadowsong #4"}
			loreExtrasDelayMultiplier = 2
		end
	end

--	Titans
--	------
--	Follows from Maiev Shadowsong Part #1

	if ( BestQuestDB["Lore"]["Extra - Titans #4"] == nil ) and ( BestQuestDB["Lore"]["Extra - Maiev Shadowsong #5"] ) and ( not playerBusy ) then

		if BestQuestDB["Lore"]["Extra - Titans #1"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 208" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 208"] = { ["dialogue"] = speech["208"], ["portrait"] = portrait, ["greeting"] = sound["Greetings wanderer"],
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Pantheon", ["series"] = "Titans",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["startTime"] = 0, ["pause"] = ( loreExtrasDelay * loreExtrasDelayMultiplier ),
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Titans #1"}
			end
		end

		if BestQuestDB["Lore"]["Extra - Titans #2"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 209" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 209"] = { ["dialogue"] = speech["209"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Mogu", ["series"] = "Titans",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Titans #2", ["prerequisite"] = "Extra - Titans #1"}
			end
		end

		if BestQuestDB["Lore"]["Extra - Titans #3"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 210" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 210"] = { ["dialogue"] = speech["210"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Pantheon", ["series"] = "Titans",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Titans #3", ["prerequisite"] = "Extra - Titans #2"}
			end
		end

		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if k == "Lore 211" then
				alreadyQueued = true
				break
			end
		end
		if not alreadyQueued then
			BestQuest_Chat["Lore 211"] = { ["dialogue"] = speech["211"], ["portrait"] = portrait,
					["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Alexstrasza #3", ["series"] = "Titans",
					["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.2},
					["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Titans #4", ["prerequisite"] = "Extra - Titans #3"}
			loreExtrasDelayMultiplier = 2
		end
	end

--	Old Gods
--	--------
--	Follows from Titans

	if ( BestQuestDB["Lore"]["Extra - Old Gods #4"] == nil ) and ( BestQuestDB["Lore"]["Extra - Titans #4"] ) and ( not playerBusy ) then

		if BestQuestDB["Lore"]["Extra - Old Gods #1"] == nil then 

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 212" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 212"] = { ["dialogue"] = speech["212"], ["portrait"] = portrait, ["greeting"] = sound["Greetings wanderer"],
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Yogg-Saron", ["alpha"] = "0.6", ["series"] = "OldGods",
						["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.9},
						["startTime"] = 0, ["pause"] = ( loreExtrasDelay * loreExtrasDelayMultiplier ),
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Old Gods #1"}
			end
		end

		if BestQuestDB["Lore"]["Extra - Old Gods #2"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 213" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 213"] = { ["dialogue"] = speech["213"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Yogg-Saron", ["alpha"] = "0.6", ["series"] = "OldGods",
						["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.9},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Old Gods #2", ["prerequisite"] = "Extra - Old Gods #1"}
			end
		end

		if BestQuestDB["Lore"]["Extra - Old Gods #3"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 214" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 214"] = { ["dialogue"] = speech["214"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Yogg-Saron", ["alpha"] = "0.6", ["series"] = "OldGods",
						["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.9},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Old Gods #3", ["prerequisite"] = "Extra - Old Gods #2"}
			end
		end

		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if k == "Lore 215" then
				alreadyQueued = true
				break
			end
		end
		if not alreadyQueued then
			BestQuest_Chat["Lore 215"] = { ["dialogue"] = speech["215"], ["portrait"] = portrait,
					["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Yogg-Saron", ["alpha"] = "0.6", ["series"] = "OldGods",
					["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.9},
					["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Old Gods #4", ["prerequisite"] = "Extra - Old Gods #3"}
			loreExtrasDelayMultiplier = 2
		end
	end

--	Maiev Shadowsong Part #2
--	------------------------
--	Follows from Maiev Shadowsong Part #1
--	Must be in Dalaran Crater Sub Zone to trigger. Player previously told to go there
--	Part #2 is essentially an optional fork for those who want more of this long story

	if ( BestQuestDB["Lore"]["Extra - Maiev Shadowsong #10"] == nil ) and ( not playerBusy ) and BestQuestDB["Lore"]["Extra - Maiev Shadowsong #5"] and
			( subZone == "Dalaran Crater" ) then

		if ( BestQuestDB["Lore"]["Extra - Maiev Shadowsong #6"] == nil ) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 216" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 216"] = { ["dialogue"] = speech["216"], ["portrait"] = portrait, ["greeting"] = sound["Greetings wanderer"],
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Tomb of Sargeras #2", ["series"] = "Maiev#2",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["startTime"] = 0, ["pause"] = instanceDelay,
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Maiev Shadowsong #6"}
			end
		end

		if ( BestQuestDB["Lore"]["Extra - Maiev Shadowsong #7"] == nil ) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 217" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 217"] = { ["dialogue"] = speech["217"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\MaievShadowsong", ["alpha"] = "0.6", ["series"] = "Maiev#2",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 1},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Maiev Shadowsong #7", ["prerequisite"] = "Extra - Maiev Shadowsong #6"}
			end
		end

		if ( BestQuestDB["Lore"]["Extra - Maiev Shadowsong #8"] == nil ) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 218" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 218"] = { ["dialogue"] = speech["218"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\IllidanRed", ["series"] = "Maiev#2",
						["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8}, ["alpha"] = "0.55",
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Maiev Shadowsong #8", ["prerequisite"] = "Extra - Maiev Shadowsong #7"}
			end
		end

		if ( BestQuestDB["Lore"]["Extra - Maiev Shadowsong #9"] == nil ) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 219" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 219"] = { ["dialogue"] = speech["219"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\MaievShadowsong", ["alpha"] = "0.6", ["series"] = "Maiev#2",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 1},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Maiev Shadowsong #9", ["prerequisite"] = "Extra - Maiev Shadowsong #8"}
			end
		end

		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if k == "Lore 220" then
				alreadyQueued = true
				break
			end
		end
		if not alreadyQueued then
			BestQuest_Chat["Lore 220"] = { ["dialogue"] = speech["220"], ["portrait"] = portrait,
					["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\MaievShadowsong", ["alpha"] = "0.6", ["series"] = "Maiev#2",
					["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 1},
					["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Maiev Shadowsong #10", ["prerequisite"] = "Extra - Maiev Shadowsong #9"}
			loreExtrasDelayMultiplier = 2
		end
	end

--	Illidan Stormrage
--	-----------------
--	Must be in Felwood to trigger. Previously told to go there from Maiev#1 series but that series in itself is not necessary

	if ( BestQuestDB["Lore"]["Extra - Illidan Stormrage #8"] == nil ) and ( not playerBusy ) and ( BestQuest_AreaID == 182 ) then

		if ( BestQuestDB["Lore"]["Extra - Illidan Stormrage #0"] == nil ) and ( BestQuestDB["Lore"]["Extra - Illidan Stormrage #1"] == nil ) then

			if IsQuestFlaggedCompleted(28257) then		-- The Fall of Tichondrius

				if ( BestQuestDB["Lore"]["Extra - Illidan Stormrage #0"] == nil ) then
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if k == "Lore 229" then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 229"] = { ["dialogue"] = speech["229"], ["portrait"] = portrait,
								["greeting"] = sound["It is good to see you"],
								["artwork"] = "Interface\\Glues\\Credits\\Fellwood1", ["series"] = "Illidan#1",
								["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.2},
								["startTime"] = 0, ["pause"] = instanceDelay,
								["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Illidan Stormrage #0", ["prerequisite"] = "Felwood Welcome"}
					end
				end
				BestQuestDB["Lore"]["Extra - Illidan Stormrage #1"] = BESTQUEST_ALREADY_COMPLETED
			else
				if ( BestQuestDB["Lore"]["Extra - Illidan Stormrage #1"] == nil ) then
					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if k == "Lore 221" then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 221"] = { ["dialogue"] = speech["221"], ["portrait"] = portrait,
								["artwork"] = "Interface\\Glues\\Credits\\Fellwood1", ["series"] = "Illidan#1",
								["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.2},
								["startTime"] = 0, ["pause"] = instanceDelay,
								["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Illidan Stormrage #1", ["prerequisite"] = "Felwood Welcome"}
					end
				end
				BestQuestDB["Lore"]["Extra - Illidan Stormrage #0"] = BESTQUEST_NOT_APPLICABLE
			end
		end

		if ( BestQuestDB["Lore"]["Extra - Illidan Stormrage #2"] == nil ) and IsQuestFlaggedCompleted(28257) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 222" ) or ( k == "Lore 221" ) or ( k == "Lore 229" ) then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 222"] = { ["dialogue"] = speech["222"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\IllidanGreen", ["alpha"] = "0.7", ["series"] = "Illidan#1",
						["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Illidan Stormrage #2", ["prerequisite"] = "Extra - Illidan Stormrage #1"}
			end
		end

		if ( BestQuestDB["Lore"]["Extra - Illidan Stormrage #3"] == nil ) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 223" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
			end
		end

		if ( BestQuestDB["Lore"]["Extra - Illidan Stormrage #4"] == nil ) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 224" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 224"] = { ["dialogue"] = speech["224"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\IllidanRed", ["series"] = "Illidan#1",
						["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8}, ["alpha"] = "0.55", 
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Illidan Stormrage #4", ["prerequisite"] = "Extra - Illidan Stormrage #3"}
			end
		end

		if ( BestQuestDB["Lore"]["Extra - Illidan Stormrage #5"] == nil ) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 225" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 225"] = { ["dialogue"] = speech["225"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\IllidanGreen", ["alpha"] = "0.7", ["series"] = "Illidan#1",
						["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Illidan Stormrage #5", ["prerequisite"] = "Extra - Illidan Stormrage #4"}
			end
		end

		if ( BestQuestDB["Lore"]["Extra - Illidan Stormrage #6"] == nil ) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 226" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 226"] = { ["dialogue"] = speech["226"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\IllidanGreen", ["alpha"] = "0.7", ["series"] = "Illidan#1",
						["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Illidan Stormrage #6", ["prerequisite"] = "Extra - Illidan Stormrage #5"}
			end
		end

		if ( BestQuestDB["Lore"]["Extra - Illidan Stormrage #7"] == nil ) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 227" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 227"] = { ["dialogue"] = speech["227"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\IllidanRed", ["series"] = "Illidan#1",
						["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8}, ["alpha"] = "0.55",
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Illidan Stormrage #7", ["prerequisite"] = "Extra - Illidan Stormrage #6"}
			end
		end

		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if k == "Lore 228" then
				alreadyQueued = true
				break
			end
		end
		if not alreadyQueued then
			BestQuest_Chat["Lore 228"] = { ["dialogue"] = speech["228"], ["portrait"] = portrait,
					["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\IllidanGreen", ["alpha"] = "0.7", ["series"] = "Illidan#1",
					["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
					["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Illidan Stormrage #8", ["prerequisite"] = "Extra - Illidan Stormrage #7"}
			loreExtrasDelayMultiplier = 2
		end
	end

--	Worgen / Genn Greymane starting experience
--	------------------------------------------
--	The Worgen story can begin at several appropriate points
--	Care does need to be taken with worgen players who have just started, in order to avoid spoilers
--	DK worgens after they kill their former worgen friend
--	Visitors to the Grizzly Hills ASAP, Shadowfang Keep at the conclusion
--	Questers in Silverpine relevant also
--	Problem with the SFK instance is the player will not want to read a wall of text right at the start of a run. Also player death results in dodgy AreaID

	if ( BestQuestDB["Lore"]["Extra - Genn Greymane #9"] == nil ) and ( not playerBusy ) then

		if ( BestQuestDB["Lore"]["Extra - Genn Greymane #1"] == nil ) then

			if ( BestQuest_AreaID == 764 ) then	-- Shadowfang Keep
				if ( BestQuestDB["Lore"]["Extra - Genn Greymane SFK Run"] == nil ) then
					BestQuestDB["Lore"]["Extra - Genn Greymane SFK Run"] = "Yes"
				end
			elseif ( BestQuest_AreaID == 490 ) or
					-- Grizzly Hills
					IsQuestFlaggedCompleted (14222) or
					-- Last Stand (with the Godfrey cut scene. Non-DK)
					( ( BestQuest_AreaID ~= 764 ) and BestQuestDB["Lore"]["Extra - Genn Greymane SFK Run"] and ( UnitHealth("player") > 1 ) ) or
					-- Has just finished a Shadowfang Keep run
					( ( BestQuest_RaceID == "Worgen" ) and IsQuestFlaggedCompleted (28649) ) then
					-- DK worgen starting quest. Careful as ALL the race specific versions get marked as completed

				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 230" then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					local pauseAmount = instanceDelay
					if IsQuestFlaggedCompleted (14222) then
						pauseAmount = instanceDelay * 4
					end
					BestQuest_Chat["Lore 230"] = { ["dialogue"] = speech["230"], ["portrait"] = portrait,
							["artwork"] = "Interface\\Glues\\Credits\\Cataclysm\\WorgenCastle_Wendy1_Copy3", ["series"] = "Genn",
							["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 0.93, ["g"] = 0.91, ["b"] = 0.67},
							["startTime"] = 0, ["pause"] = pauseAmount,
							["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Genn Greymane #1", ["prerequisite"] = "Welcomed 2"}
				end
			end
		end

		if ( BestQuestDB["Lore"]["Extra - Genn Greymane #2"] == nil ) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 231" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 231"] = { ["dialogue"] = speech["231"], ["portrait"] = portrait,
						["artwork"] = "Interface\\Glues\\Credits\\Cataclysm\\WorgenCastle_Wendy1_Copy7", ["series"] = "Genn",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 0.93, ["g"] = 0.91, ["b"] = 0.67},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Genn Greymane #2", ["prerequisite"] = "Extra - Genn Greymane #1"}
			end
		end

		if ( BestQuestDB["Lore"]["Extra - Genn Greymane #3"] == nil ) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 232" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 232"] = { ["dialogue"] = speech["232"], ["portrait"] = portrait,
						["artwork"] = "Interface\\Glues\\Credits\\Cataclysm\\Greymane_Manor022", ["alpha"] = "0.9", ["series"] = "Genn",
						["left"]="0", ["right"]="0.764045", ["top"]="0.15", ["bottom"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Genn Greymane #3", ["prerequisite"] = "Extra - Genn Greymane #2"}
			end
		end

		if ( BestQuestDB["Lore"]["Extra - Genn Greymane #4"] == nil ) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 233" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 233"] = { ["dialogue"] = speech["233"], ["portrait"] = portrait,
						["artwork"] = "Interface\\Glues\\Credits\\Cataclysm\\Greymane_Lighthouse_0032", ["series"] = "Genn",
						["left"]="0.137079", ["right"]="1", ["top"]="0.04", ["bottom"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Genn Greymane #4", ["prerequisite"] = "Extra - Genn Greymane #3"}
			end
		end

		if ( BestQuestDB["Lore"]["Extra - Genn Greymane #5"] == nil ) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 234" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 234"] = { ["dialogue"] = speech["234"], ["portrait"] = portrait,
						["artwork"] = "Interface\\Glues\\Credits\\Cataclysm\\WorgenCastle_Wendy1_Copy6", ["series"] = "Genn",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 0.93, ["g"] = 0.91, ["b"] = 0.67},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Genn Greymane #5", ["prerequisite"] = "Extra - Genn Greymane #4"}
			end
		end

		if ( BestQuestDB["Lore"]["Extra - Genn Greymane #6"] == nil ) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 235" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 235"] = { ["dialogue"] = speech["235"], ["portrait"] = portrait,
						["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenGilneasBG", ["series"] = "Genn",
						["left"]="0.1944", ["right"]="0.55", ["top"]="0.285", ["bottom"]="0.819", ["colour"] = {["r"] = 0.93, ["g"] = 0.91, ["b"] = 0.67},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Genn Greymane #6", ["prerequisite"] = "Extra - Genn Greymane #5"}
			end
		end

		if ( BestQuestDB["Lore"]["Extra - Genn Greymane #7"] == nil ) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 236" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				if ( ( BestQuest_RaceID == "Worgen" ) and IsQuestFlaggedCompleted (28649) ) then
					factionText = speech["236m2"]
				else
					factionText = speech["236m1"]
				end
				speech["236"] = stringGsub(speech["236"],"~m~", factionText)
				BestQuest_Chat["Lore 236"] = { ["dialogue"] = speech["236"], ["portrait"] = portrait,
						["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenShadowFangKeep", ["series"] = "Genn",
						["left"]="0.185", ["right"]="0.5406", ["top"]="0.27", ["bottom"]="0.804", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Genn Greymane #7", ["prerequisite"] = "Extra - Genn Greymane #6"}
			end
		end

		if ( BestQuestDB["Lore"]["Extra - Genn Greymane #8"] == nil ) then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 237" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				if IsQuestFlaggedCompleted (14222) then
					factionText = speech["237m1"]
				else
					factionText = speech["237m2"]
				end
				speech["237"] = stringGsub(speech["237"],"~m~", factionText)
				BestQuest_Chat["Lore 237"] = { ["dialogue"] = speech["237"], ["portrait"] = portrait,
						["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenGilneasBG", ["series"] = "Genn",
						["left"]="0.5344", ["right"]="0.89", ["top"]="0.285", ["bottom"]="0.819", ["colour"] = {["r"] = 0.93, ["g"] = 0.91, ["b"] = 0.67},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Genn Greymane #8", ["prerequisite"] = "Extra - Genn Greymane #7"}
			end
		end

		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if k == "Lore 238" then
				alreadyQueued = true
				break
			end
		end
		if not alreadyQueued then
			if IsQuestFlaggedCompleted (14222) then
				factionText = speech["238m1"]
			else
				factionText = speech["238m2"]
			end
			speech["238"] = stringGsub(speech["238"],"~m~", factionText)
			BestQuest_Chat["Lore 238"] = { ["dialogue"] = speech["238"], ["portrait"] = portrait,
					["artwork"] = "Interface\\Glues\\Credits\\Cataclysm\\WorgenCastle_Wendy1_Copy3", ["series"] = "Genn",
					["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 0.93, ["g"] = 0.91, ["b"] = 0.67},
					["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Genn Greymane #9", ["prerequisite"] = "Extra - Genn Greymane #8"}
			loreExtrasDelayMultiplier = 2
		end
	end

--	Kargath Bladefist
--	-----------------
--	Various triggers. Self contained, no delay to activate, trigger delay for subsequent

	if BestQuestDB["Lore"]["Kargath Bladefist Reset"] == nil then
		-- Reboot this chain due to v2.02 bug (see below)
		BestQuestDB["Lore"]["Kargath Bladefist Reset"] = BESTQUEST_DISPLAYED_MESSAGE
		BestQuestDB["Lore"]["Kargath Bladefist #1"] = nil
		BestQuestDB["Lore"]["Kargath Bladefist #2"] = nil
		BestQuestDB["Lore"]["Kargath Bladefist #3"] = nil
	end

	if ( BestQuestDB["Lore"]["Kargath Bladefist #3"] == nil ) and ( not playerBusy ) then

		if BestQuestDB["Lore"]["Kargath Bladefist #1"] == nil then

			if ( BestQuestDB["Lore"]["Shattered Halls"] and ( BestQuest_AreaID ~= 710 ) ) or
				( ( BestQuest_AreaID == 17 ) and (( subZone == "New Kargath" ) or ( subZone == "Ruins of Kargath" )) ) or
			--	( ( BestQuest_AreaID == 4 ) and ( subZone == "Bladefist Bay" ) ) or
			-- Removed v2.03 as Zep rides were triggering this and player would miss some :(
				( ( BestQuest_AreaID == 43 ) and ( subZone == "Kargathia Keep" ) ) then
					-- Badlands, Durotar & Ashenvale (Warsong Lumber Camp's main building)

				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if ( k == "Lore 122" ) then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 122"] = { ["dialogue"] = speech["122"], ["portrait"] = portrait,
							["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Kargath", ["series"] = "Kargath",
							["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
							["DBPrimary"] = "Lore", ["DBLabel"] = "Kargath Bladefist #1", ["prerequisite"] = "Welcomed 2"}
				end
			end
		end

		if BestQuestDB["Lore"]["Kargath Bladefist #2"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 123" ) then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 123"] = { ["dialogue"] = speech["123"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Kargath", ["series"] = "Kargath",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Lore", ["DBLabel"] = "Kargath Bladefist #2", ["prerequisite"] = "Kargath Bladefist #1"}
			end
		end

		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if ( k == "Lore 124" ) then
				alreadyQueued = true
				break
			end
		end
		if not alreadyQueued then
			BestQuest_Chat["Lore 124"] = { ["dialogue"] = speech["124"], ["portrait"] = portrait,
					["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Kargath", ["series"] = "Kargath",
					["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
					["DBPrimary"] = "Lore", ["DBLabel"] = "Kargath Bladefist #3", ["prerequisite"] = "Kargath Bladefist #2"}
			loreExtrasDelayMultiplier = 2
		end
	end

--	Alleria & Sylvanas Windrunner Necklace
--	--------------------------------------
--	Two triggers. Self contained, trigger delay for subsequent
--	10m delay to activate to allow player ample time to enjoy the ambience if horde. No Delay for Alliance

	if ( BestQuestDB["Lore"]["Alleria's Necklace #3"] == nil ) and ( not playerBusy ) then

		if BestQuestDB["Lore"]["Alleria's Necklace #1"] == nil then

			if BestQuestDB["Lore"]["Ghostlands Necklace (Alliance) #2"] or IsQuestFlaggedCompleted(9180) then -- Journey to Undercity (Horde only)

				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if ( k == "Lore 115" ) then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					local alleriaDelay = 0
					if ( BestQuest_Faction == "Horde" ) then
						alleriaDelay = 600
					end
					BestQuest_Chat["Lore 115"] = { ["dialogue"] = speech["115"], ["portrait"] = portrait, ["greeting"] = sound["High Hmmm"],
							["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Quel'Thalas", ["series"] = "Alleria",
							["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
							["startTime"] = 0, ["pause"] = alleriaDelay,
							["DBPrimary"] = "Lore", ["DBLabel"] = "Alleria's Necklace #1", ["prerequisite"] = "Welcomed 2"}
				end
			end
		end

		if BestQuestDB["Lore"]["Alleria's Necklace #2"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 116" ) then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 116"] = { ["dialogue"] = speech["116"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Alleria", ["series"] = "Alleria",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Alleria's Necklace #2", ["prerequisite"] = "Alleria's Necklace #1"}
			end
		end

		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if ( k == "Lore 117" ) then
				alreadyQueued = true
				break
			end
		end
		if not alreadyQueued then
			BestQuest_Chat["Lore 117"] = { ["dialogue"] = speech["117"], ["portrait"] = portrait,
					["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Alleria", ["series"] = "Alleria",
					["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
					["DBPrimary"] = "Lore", ["DBLabel"] = "Alleria's Necklace #3", ["prerequisite"] = "Alleria's Necklace #2"}
			loreExtrasDelayMultiplier = 2
		end
	end

--	Sylvanas Windrunner #1 - How She Became a Banshee
--	----------------------
--	Follows from Alleria Necklace

	if ( BestQuestDB["Lore"]["Sylvanas Banshee #3"] == nil ) and ( not playerBusy ) and ( BestQuestDB["Lore"]["Alleria's Necklace #3"] ) then

		if BestQuestDB["Lore"]["Sylvanas Banshee #1"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 242" ) then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 242"] = { ["dialogue"] = speech["242"], ["portrait"] = portrait, ["greeting"] = sound["It is good to see you"],
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Alleria", ["series"] = "Sylvanas#1",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
						["startTime"] = 0, ["pause"] = ( loreExtrasDelay * loreExtrasDelayMultiplier ),
						["DBPrimary"] = "Lore", ["DBLabel"] = "Sylvanas Banshee #1", ["prerequisite"] = "Welcomed 2"}
			end
		end

		if BestQuestDB["Lore"]["Sylvanas Banshee #2"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 243" ) then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 243"] = { ["dialogue"] = speech["243"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Sylvanas #4", ["alpha"] = "0.85", ["series"] = "Sylvanas#1",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Sylvanas Banshee #2", ["prerequisite"] = "Sylvanas Banshee #1"}
			end
		end

		if BestQuestDB["Lore"]["Sylvanas Banshee #3"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 244" ) then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 244"] = { ["dialogue"] = speech["244"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Quel'Thalas", ["alpha"] = "1", ["series"] = "Sylvanas#1",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Sylvanas Banshee #3", ["prerequisite"] = "Sylvanas Banshee #2"}
			end
		end

		if BestQuestDB["Lore"]["Sylvanas Banshee #3"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 245" ) then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 245"] = { ["dialogue"] = speech["245"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Frostmourne", ["alpha"] = "0.8", ["series"] = "Sylvanas#1",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Sylvanas Banshee #4", ["prerequisite"] = "Sylvanas Banshee #3"}
			end
		end

		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if ( k == "Lore 246" ) then
				alreadyQueued = true
				break
			end
		end
		if not alreadyQueued then
			BestQuest_Chat["Lore 246"] = { ["dialogue"] = speech["246"], ["portrait"] = portrait,
					["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Sylvanas #4", ["alpha"] = "0.85", ["series"] = "Sylvanas#1",
					["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
					["DBPrimary"] = "Lore", ["DBLabel"] = "Sylvanas Banshee #5", ["prerequisite"] = "Sylvanas Banshee #4"}
			loreExtrasDelayMultiplier = 2
		end
	end

--	Nobundo's Story
--	---------------
--	Alliance only. Two triggers. Self contained, no delay to activate, trigger delay for subsequent
--	The idea here is to leverage the structure of "Lore Extras" so that Nobundo himself isn't interupted!
--	Player gets sent to here from elsewhere if Alliance and (Shammy or Draenei), or if happens to be in The Exodar

	if ( BestQuestDB["Lore"]["Nobundo Instructions"] == nil )  and ( not playerBusy ) then

		if BestQuestDB["Lore"]["Nobundo Go To"] == nil then

			if BestQuest_Faction == "Horde" then
				BestQuestDB["Lore"]["Nobundo Go To"]		= BESTQUEST_NOT_APPLICABLE
				BestQuestDB["Lore"]["Nobundo Instructions"]	= BESTQUEST_NOT_APPLICABLE

			elseif (( BestQuest_ClassID == 7 ) and ( BestQuest_Level >= 11 )) or	-- Shaman ID
				(( BestQuest_RaceID == "Draenei" ) and ( BestQuest_Level >= 11 )) or ( BestQuest_AreaID == 471 ) then	-- The Exodar
				
				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if ( k == "Lore 81" ) then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 81"] = { ["dialogue"] = speech["81"], ["portrait"] = portrait, ["greeting"] = sound["Hello friend"],
							["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Nobundo", ["alpha"] = "0.6", ["series"] = "Nobundo",
							["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 0.2, ["g"] = 1, ["b"] = 1},
							["DBPrimary"] = "Lore", ["DBLabel"] = "Nobundo Go To", ["prerequisite"] = "Welcomed 2"}
				end
			end
		end

		if ( subZone == "The Crystal Hall" ) and ( BestQuest_AreaID == 471 ) then
			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if ( k == "Lore 82" ) then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 82"] = { ["dialogue"] = speech["82"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Nobundo", ["alpha"] = "0.6", ["series"] = "Nobundo",
						["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 0.2, ["g"] = 1, ["b"] = 1},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Nobundo Instructions", ["prerequisite"] = "Nobundo Go To"}
				loreExtrasDelayMultiplier = 2
			end
		end
	end

--	Well of Eternity / Birth of the Night Elves
--	-------------------------------------------
--	Follows from Old Gods
--	We return to the main line here
--	Trigger start on delay. Triggers delay for subsequent

	if ( BestQuestDB["Lore"]["Extra - Well of Eternity #3"] == nil ) and ( not playerBusy ) and ( BestQuestDB["Lore"]["Extra - Old Gods #4"] ) then

		if BestQuestDB["Lore"]["Extra - Well of Eternity #1"] == nil then 

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 239" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 239"] = { ["dialogue"] = speech["239"], ["portrait"] = portrait, ["greeting"] = sound["Greetings wanderer"],
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Pantheon", ["series"] = "Well",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
						["startTime"] = 0, ["pause"] = ( loreExtrasDelay * loreExtrasDelayMultiplier ),
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Well of Eternity #1"}
			end
		end

		if BestQuestDB["Lore"]["Extra - Well of Eternity #2"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 240" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 240"] = { ["dialogue"] = speech["240"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Yogg-Saron", ["alpha"] = "0.6", ["series"] = "Well",
						["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.9},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Well of Eternity #2", ["prerequisite"] = "Extra - Well of Eternity #1"}
			end
		end

		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if k == "Lore 241" then
				alreadyQueued = true
				break
			end
		end
		if not alreadyQueued then
			BestQuest_Chat["Lore 241"] = { ["dialogue"] = speech["241"], ["portrait"] = portrait,
					["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Yogg-Saron", ["alpha"] = "0.6", ["series"] = "Well",
					["left"]="0", ["right"]="0.89888", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.9},
					["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Well of Eternity #3", ["prerequisite"] = "Extra - Well of Eternity #2"}
			loreExtrasDelayMultiplier = 2
		end
	end

--	Timeline (Part #1)
--	------------------
--	Follows from Well of Eternity / Birth of the Night Elves
--	Trigger start on delay. Triggers delay for subsequent

	if ( BestQuestDB["Lore"]["Extra - Timeline #8"] == nil ) and ( not playerBusy ) and ( BestQuestDB["Lore"]["Extra - Well of Eternity #3"] ) then

		if BestQuestDB["Lore"]["Extra - Timeline #1"] == nil then 

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 247" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 247"] = { ["dialogue"] = speech["247"], ["portrait"] = portrait, ["greeting"] = sound["Greetings wanderer"],
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Pantheon", ["series"] = "Timeline Part #1",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.5},
						["startTime"] = 0, ["pause"] = ( loreExtrasDelay * loreExtrasDelayMultiplier ),
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Timeline #1"}
			end
		end

		if BestQuestDB["Lore"]["Extra - Timeline #2"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 248" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 248"] = { ["dialogue"] = speech["248"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Mantid", ["series"] = "Timeline Part #1",
						["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Timeline #2", ["prerequisite"] = "Extra - Timeline #1"}
			end
		end

		if BestQuestDB["Lore"]["Extra - Timeline #3"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 249" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 249"] = { ["dialogue"] = speech["249"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Mogu", ["series"] = "Timeline Part #1",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Timeline #3", ["prerequisite"] = "Extra - Timeline #2"}
			end
		end

		if BestQuestDB["Lore"]["Extra - Timeline #4"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 250" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 250"] = { ["dialogue"] = speech["250"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Alexstrasza #3", ["series"] = "Timeline Part #1",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.2},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Timeline #4", ["prerequisite"] = "Extra - Timeline #3"}
			end
		end

		if BestQuestDB["Lore"]["Extra - Timeline #5"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 251" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 251"] = { ["dialogue"] = speech["251"], ["portrait"] = portrait,
						["artwork"] = "Interface\\Glues\\Credits\\DalaranDomeTGA3", ["series"] = "Timeline Part #1",
						["left"]="0.050562", ["right"]="0.949438", ["alpha"] = "0.8", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Timeline #5", ["prerequisite"] = "Extra - Timeline #4"}
			end
		end

		if BestQuestDB["Lore"]["Extra - Timeline #6"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 252" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 252"] = { ["dialogue"] = speech["252"], ["portrait"] = portrait,
						["artwork"] = "Interface\\Glues\\Models\\UI_Dwarf\\UI_dwarf_BG03", ["series"] = "Timeline Part #1",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.2},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Timeline #6", ["prerequisite"] = "Extra - Timeline #5"}
			end
		end

		if BestQuestDB["Lore"]["Extra - Timeline #7"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 253" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 253"] = { ["dialogue"] = speech["253"], ["portrait"] = portrait,
						["artwork"] = "Interface\\Glues\\Credits\\DalaranDomeTGA7", ["series"] = "Timeline Part #1",
						["left"]="0.050562", ["right"]="0.949438", ["alpha"] = "0.8", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Timeline #7", ["prerequisite"] = "Extra - Timeline #6"}
			end
		end

		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if k == "Lore 254" then
				alreadyQueued = true
				break
			end
		end
		if not alreadyQueued then
			BestQuest_Chat["Lore 254"] = { ["dialogue"] = speech["254"], ["portrait"] = portrait,
					["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenAhnQiraj20man", ["series"] = "Timeline Part #1",
					["left"]="0.07", ["right"]="0.55", ["top"]="0.27", ["bottom"]="0.804", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
					["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Timeline #8", ["prerequisite"] = "Extra - Timeline #7"}
			loreExtrasDelayMultiplier = 2
		end
	end

--	Timeline (Part #2)
--	------------------
--	Follows from Timeline (Part #1)
--	Trigger start on delay. Triggers delay for subsequent

	if ( BestQuestDB["Lore"]["Extra - Timeline #16"] == nil ) and ( not playerBusy ) and ( BestQuestDB["Lore"]["Extra - Timeline #8"] ) then

		if BestQuestDB["Lore"]["Extra - Timeline #9"] == nil then 

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 255" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 255"] = { ["dialogue"] = speech["255"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Sargeras #1", ["series"] = "Timeline Part #2",
						["left"]="0.550562", ["right"]="1", ["top"]="0.5", ["bottom"]="1", ["alpha"] = "0.7", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
						["startTime"] = 0, ["pause"] = ( loreExtrasDelay * loreExtrasDelayMultiplier ),
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Timeline #9"}
			end
		end

		if BestQuestDB["Lore"]["Extra - Timeline #10"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 256" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 256"] = { ["dialogue"] = speech["256"], ["portrait"] = portrait,
						["artwork"] = "Interface\\Glues\\Credits\\Draenei_Paladin2", ["series"] = "Timeline Part #2",
						["left"]="0.050562", ["right"]="0.949438", ["alpha"] = "0.8", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Timeline #10", ["prerequisite"] = "Extra - Timeline #9"}
			end
		end

		if BestQuestDB["Lore"]["Extra - Timeline #11"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 257" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 257"] = { ["dialogue"] = speech["257"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\MedivhGarona", ["series"] = "Timeline Part #2",
						["left"]="0.550562", ["right"]="1", ["top"]="0", ["bottom"]="0.5", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Timeline #11", ["prerequisite"] = "Extra - Timeline #10"}
			end
		end

		if BestQuestDB["Lore"]["Extra - Timeline #12"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 258" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 258"] = { ["dialogue"] = speech["258"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Hellfire", ["series"] = "Timeline Part #2",
						["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Timeline #12", ["prerequisite"] = "Extra - Timeline #11"}
			end
		end

		if BestQuestDB["Lore"]["Extra - Timeline #13"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 259" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 259"] = { ["dialogue"] = speech["259"], ["portrait"] = portrait,
						["artwork"] = "Interface\\Glues\\Credits\\Auchindoun2", ["series"] = "Timeline Part #2",
						["left"]="0.050562", ["right"]="0.919438", ["top"]="0.03", ["bottom"]="1", ["colour"] = {["r"] = 0.93, ["g"] = 0.91, ["b"] = 0.67},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Timeline #13", ["prerequisite"] = "Extra - Timeline #12"}
			end
		end

		if BestQuestDB["Lore"]["Extra - Timeline #14"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 260" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 260"] = { ["dialogue"] = speech["260"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Thrall #1", ["series"] = "Timeline Part #2",
						["left"]="0.050562", ["right"]="0.949438", ["alpha"] = "0.85", ["colour"] = {["r"] = 0, ["g"] = 1, ["b"] = 1},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Timeline #14", ["prerequisite"] = "Extra - Timeline #13"}
			end
		end

		if BestQuestDB["Lore"]["Extra - Timeline #15"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 261" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 261"] = { ["dialogue"] = speech["261"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\MedivhGarona", ["series"] = "Timeline Part #2",
						["left"]="0.050562", ["right"]="0.949438", ["alpha"] = "0.75", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 1},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Timeline #15", ["prerequisite"] = "Extra - Timeline #14"}
			end
		end

		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if k == "Lore 262" then
				alreadyQueued = true
				break
			end
		end
		if not alreadyQueued then
			BestQuest_Chat["Lore 262"] = { ["dialogue"] = speech["262"], ["portrait"] = portrait,
					["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Garona #2", ["series"] = "Timeline Part #2",
					["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
					["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Timeline #16", ["prerequisite"] = "Extra - Timeline #15"}
			loreExtrasDelayMultiplier = 2
		end
	end

--	Timeline (Part #3)
--	------------------
--	Follows from Timeline (Part #2)
--	Trigger start on delay. Triggers delay for subsequent

	if ( BestQuestDB["Lore"]["Extra - Timeline #23"] == nil ) and ( not playerBusy ) and ( BestQuestDB["Lore"]["Extra - Timeline #16"] ) then

		if BestQuestDB["Lore"]["Extra - Timeline #17"] == nil then 

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 263" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 263"] = { ["dialogue"] = speech["263"], ["portrait"] = portrait,
						["artwork"] = "Interface\\Glues\\Loading", ["alpha"] = "0.8", ["series"] = "Timeline Part #3",
						["left"]="0.550562", ["right"]="1", ["top"]="0.2", ["bottom"]="0.7", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.2},
						["startTime"] = 0, ["pause"] = ( loreExtrasDelay * loreExtrasDelayMultiplier ),
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Timeline #17"}
			end
		end

		if BestQuestDB["Lore"]["Extra - Timeline #18"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 264" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 264"] = { ["dialogue"] = speech["264"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Tomb of Sargeras #2", ["series"] = "Timeline Part #3",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Timeline #18", ["prerequisite"] = "Extra - Timeline #17"}
			end
		end

		if BestQuestDB["Lore"]["Extra - Timeline #19"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 265" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 265"] = { ["dialogue"] = speech["265"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Khadgar #3", ["alpha"] = "0.6", ["series"] = "Timeline Part #3",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Timeline #19", ["prerequisite"] = "Extra - Timeline #18"}
			end
		end

		if BestQuestDB["Lore"]["Extra - Timeline #20"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 266" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 266"] = { ["dialogue"] = speech["266"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Thrall #1", ["series"] = "Timeline Part #3",
						["left"]="0.050562", ["right"]="0.949438", ["alpha"] = "0.85", ["colour"] = {["r"] = 0, ["g"] = 1, ["b"] = 1},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Timeline #20", ["prerequisite"] = "Extra - Timeline #19"}
			end
		end

		if BestQuestDB["Lore"]["Extra - Timeline #21"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 267" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 267"] = { ["dialogue"] = speech["267"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Thrall #1", ["series"] = "Timeline Part #3",
						["left"]="0.050562", ["right"]="0.949438", ["alpha"] = "0.85", ["colour"] = {["r"] = 0, ["g"] = 1, ["b"] = 1},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Timeline #21", ["prerequisite"] = "Extra - Timeline #20"}
			end
		end

		if BestQuestDB["Lore"]["Extra - Timeline #22"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 268" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 268"] = { ["dialogue"] = speech["268"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Sylvanas #4", ["series"] = "Timeline Part #3",
						["left"]="0.050562", ["right"]="0.949438", ["alpha"] = "0.85", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.2},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Timeline #22", ["prerequisite"] = "Extra - Timeline #21"}
			end
		end

		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if k == "Lore 269" then
				alreadyQueued = true
				break
			end
		end
		if not alreadyQueued then
			BestQuest_Chat["Lore 269"] = { ["dialogue"] = speech["269"], ["portrait"] = portrait,
					["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Frostmourne", ["series"] = "Timeline Part #3",
					["left"]="0.050562", ["right"]="0.949438", ["alpha"] = "0.8", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
					["DBPrimary"] = "Lore", ["DBLabel"] = "Extra - Timeline #23", ["prerequisite"] = "Extra - Timeline #22"}
			loreExtrasDelayMultiplier = 2
		end
	end

--	Second War
--	----------
--	Zone trigger. Immediate. Self contained. Triggers delay for subsequent

	if ( BestQuestDB["Lore"]["Second War #6"] == nil )  and ( not playerBusy ) then

		if BestQuestDB["Lore"]["Second War #1"] == nil then

			if ( BestQuest_AreaID == 24 ) or ( BestQuest_AreaID == 29 ) or ( BestQuest_AreaID == 35 ) then	-- Hillsbrad Foothills, Burning Steppes, Loch Modan
				
				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if ( k == "Lore 270" ) then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 270"] = { ["dialogue"] = speech["270"], ["portrait"] = portrait, ["greeting"] = sound["Hello friend"],
							["artwork"] = "Interface\\Glues\\Loading", ["alpha"] = "0.8", ["series"] = "Second War",
							["left"]="0.550562", ["right"]="1", ["top"]="0.2", ["bottom"]="0.7", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.2},
							["DBPrimary"] = "Lore", ["DBLabel"] = "Second War #1"}
				end
			end
		end

		if BestQuestDB["Lore"]["Second War #2"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 271" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 271"] = { ["dialogue"] = speech["271"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Alexstrasza #3", ["series"] = "Second War",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.2},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Second War #2", ["prerequisite"] = "Second War #1"}
			end
		end

		if BestQuestDB["Lore"]["Second War #3"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 272" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 272"] = { ["dialogue"] = speech["272"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Alleria", ["series"] = "Second War",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Second War #3", ["prerequisite"] = "Second War #2"}
			end
		end

		if BestQuestDB["Lore"]["Second War #4"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 273" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 273"] = { ["dialogue"] = speech["273"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Tomb of Sargeras #2", ["series"] = "Second War",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Second War #4", ["prerequisite"] = "Second War #3"}
			end
		end

		if BestQuestDB["Lore"]["Second War #5"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 274" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 274"] = { ["dialogue"] = speech["274"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Blackrock Mountain", ["series"] = "Second War",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Second War #5", ["prerequisite"] = "Second War #4"}
			end
		end

		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if k == "Lore 275" then
				alreadyQueued = true
				break
			end
		end
		if not alreadyQueued then
			BestQuest_Chat["Lore 275"] = { ["dialogue"] = speech["275"], ["portrait"] = portrait,
					["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Blackrock Mountain", ["series"] = "Second War",
					["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
					["DBPrimary"] = "Lore", ["DBLabel"] = "Second War #6", ["prerequisite"] = "Second War #5"}
			loreExtrasDelayMultiplier = 2
		end
	end

--	Kirin Tor
--	---------
--	Zone trigger. Immediate. Self contained. Triggers delay for subsequent

	if ( BestQuestDB["Lore"]["Kirin Tor #7"] == nil )  and ( not playerBusy ) then

		if BestQuestDB["Lore"]["Kirin Tor #1"] == nil then

			if ( subZone == "The Legerdemain Lounge" ) then

				local px, py = GetPlayerMapPosition("player")
				if ( px <= (1.03 * .485)) and ( px >= (.97 * .485)) and ( py <= (1.05 * .399)) and ( py >= (.95 * .399)) then

					alreadyQueued = false
					for k,v in pairs(BestQuest_Chat) do
						if ( k == "Lore 276" ) then
							alreadyQueued = true
							break
						end
					end
					if not alreadyQueued then
						BestQuest_Chat["Lore 276"] = { ["dialogue"] = speech["276"], ["portrait"] = portrait,
								["artwork"] = "Interface\\Glues\\Credits\\DalaranDomeTGA3", ["series"] = "Kirin Tor",
								["left"]="0.050562", ["right"]="0.949438", ["alpha"] = "0.8", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
								["DBPrimary"] = "Lore", ["DBLabel"] = "Kirin Tor #1"}
					end
				end
			end
		end

		if BestQuestDB["Lore"]["Kirin Tor #2"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 277" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 277"] = { ["dialogue"] = speech["277"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Quel'Thalas", ["series"] = "Kirin Tor",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Kirin Tor #2", ["prerequisite"] = "Kirin Tor #1"}
			end
		end

		if BestQuestDB["Lore"]["Kirin Tor #3"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 278" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 278"] = { ["dialogue"] = speech["278"], ["portrait"] = portrait,
						["artwork"] = "Interface\\Glues\\Credits\\Lab5", ["series"] = "Kirin Tor",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Kirin Tor #3", ["prerequisite"] = "Kirin Tor #2"}
			end
		end

		if BestQuestDB["Lore"]["Kirin Tor #4"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 279" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 279"] = { ["dialogue"] = speech["279"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\Khadgar #3", ["series"] = "Kirin Tor",
						["left"]="0.050562", ["right"]="0.949438", ["alpha"] = "0.6", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Kirin Tor #4", ["prerequisite"] = "Kirin Tor #3"}
			end
		end

		if BestQuestDB["Lore"]["Kirin Tor #5"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 280" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 280"] = { ["dialogue"] = speech["280"], ["portrait"] = portrait,
						["artwork"] = "Interface\\Glues\\Credits\\DalaranDomeTGA7", ["series"] = "Kirin Tor",
						["left"]="0.050562", ["right"]="0.949438", ["alpha"] = "0.8", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Kirin Tor #5", ["prerequisite"] = "Kirin Tor #4"}
			end
		end

		if BestQuestDB["Lore"]["Kirin Tor #6"] == nil then

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 281" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 281"] = { ["dialogue"] = speech["281"], ["portrait"] = portrait,
						["artwork"] = "Interface\\Glues\\Credits\\CrystalSong1TGA7", ["series"] = "Kirin Tor",
						["left"]="0.050562", ["right"]="0.949438", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Kirin Tor #6", ["prerequisite"] = "Kirin Tor #5"}
			end
		end

		alreadyQueued = false
		for k,v in pairs(BestQuest_Chat) do
			if k == "Lore 282" then
				alreadyQueued = true
				break
			end
		end
		if not alreadyQueued then
			BestQuest_Chat["Lore 282"] = { ["dialogue"] = speech["282"], ["portrait"] = portrait,
					["artwork"] = "Interface\\Glues\\LoadingScreens\\LoadScreenDalaranPrison", ["series"] = "Kirin Tor",
					["left"]="0.07", ["right"]="0.55", ["top"]="0.27", ["bottom"]="0.804", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0.8},
					["DBPrimary"] = "Lore", ["DBLabel"] = "Kirin Tor #7", ["prerequisite"] = "Kirin Tor #6"}
			loreExtrasDelayMultiplier = 2
		end
	end

--------------------------------------------------------------------------------------------------------------------------------------------

--[[ ------------ ]]--
--[[ Fishing Rods ]]--
--[[ ------------ ]]--

	local function HasFishingSkill( level)

		local fishingSkillID = select(4,GetProfessions())
		if fishingSkillID then
			local fishingSkill = select(3,GetProfessionInfo(fishingSkillID))
			if fishingSkill >= level then
				return true
			end
		end
		return false
	end

	if ( BestQuestDB["Lore"]["Nat's Lucky Fishing Pole #2"] == nil ) and ( BestQuest_Level >= 33 ) and
			( ( BestQuest_ContinentID == BESTQUEST_KALIMDOR ) or ( BestQuest_ContinentID == BESTQUEST_EASTERNKINGDOMS ) ) then

		if BestQuestDB["Lore"]["Nat's Lucky Fishing Pole #1"] == nil then

			-- 13826 is only available for players who did Nat's 6607 quest PRIOR to the reward being a fishing rod.
			-- The following code I consider "good enough". To be thorough I'd need the opportunity to trawl through
			-- the player's BANK as well as the backpack

			if IsQuestFlaggedCompleted(6607) then
				BestQuestDB["Lore"]["Nat's Lucky Fishing Pole #1"] = BESTQUEST_ALREADY_COMPLETED
				BestQuestDB["Lore"]["Nat's Lucky Fishing Pole #2"] = BESTQUEST_ALREADY_COMPLETED
			elseif ( GetQuestLogIndexByID(6607) > 0 ) then
				BestQuestDB["Lore"]["Nat's Lucky Fishing Pole #1"] = BESTQUEST_NOT_APPLICABLE
				BestQuestDB["Lore"]["Nat's Lucky Fishing Pole #2"] = BESTQUEST_NOT_APPLICABLE
				-- player knows about the fishing pole, even if the quest gets dropped later. Do this to avoid nagging
			else

				-- Player must be BestQuest_Level 34 and have fishing 225 to get the "Nat's Lucky Fishing Pole" reward

				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 12" then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					if ( BestQuest_Level >= 34 ) and HasFishingSkill(225) then
						factionText = speech["12y"]
					else
						factionText = speech["12n"]
					end
					speech["12"] = stringGsub(speech["12"],"~m~", factionText)
					BestQuest_Chat["Lore 12"] = { ["dialogue"] = speech["12"], ["portrait"] = portrait,
							["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\NatPagle", ["alpha"] = "0.6",
							["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
							["startTime"] = 0, ["pause"] = loreExtrasDelay,
							["DBPrimary"] = "Lore", ["DBLabel"] = "Nat's Lucky Fishing Pole #1", ["prerequisite"] = "Welcomed"}
				end
			end
		end

		if BestQuest_AreaID == 141 then 	-- Dustwallow Marsh
			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 13" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 13"] = { ["dialogue"] = speech["13"], ["portrait"] = portrait,
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\NatPagle", ["alpha"] = "0.6",
						["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
						["DBPrimary"] = "Lore", ["DBLabel"] = "Nat's Lucky Fishing Pole #2", ["prerequisite"] = "Nat's Lucky Fishing Pole #1"}
			end
		end
	end

	if BestQuestDB["Lore"]["Staat's Fishing Pole"] == nil then

		if IsQuestFlaggedCompleted(13537) or ( GetQuestLogIndexByID(13537) > 0 ) then		-- Alliance only "A Taste for Grouper"
			BestQuestDB["Lore"]["Staat's Fishing Pole"] = BESTQUEST_ALREADY_COMPLETED
		elseif BestQuest_Faction == "Horde" then
			BestQuestDB["Lore"]["Staat's Fishing Pole"] = BESTQUEST_NOT_APPLICABLE
		else

			local needsTheStaatStick, staatDelay = false, 0
			if ( BestQuest_AreaID == 42 ) and ( BestQuest_Level >= 8 ) and HasFishingSkill(5) then		-- Darkshore
				needsTheStaatStick = true
			elseif IsQuestFlaggedCompleted(6607) or ( GetQuestLogIndexByID(6607) > 0 )  then		-- Nat's Lucky Fishing Pole
				needsTheStaatStick = true
				staatDelay = loreExtrasDelay
			end
			if needsTheStaatStick then
				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 127" then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 127"] = { ["dialogue"] = speech["127"], ["portrait"] = portrait, ["greeting"] = sound["Deep Hmmm"],
							["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\NatPagle", ["alpha"] = "0.6",
							["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
							["startTime"] = 0, ["pause"] = staatDelay,
							["DBPrimary"] = "Lore", ["DBLabel"] = "Staat's Fishing Pole",}
				end
			end
		end
	end

	if BestQuestDB["Lore"]["Big Iron Fishing Pole"] == nil then

		if IsQuestFlaggedCompleted(5421) or ( GetQuestLogIndexByID(5421) > 0 ) then		-- Horde only "Fish in a Bucket"
			BestQuestDB["Lore"]["Big Iron Fishing Pole"] = BESTQUEST_ALREADY_COMPLETED
		elseif BestQuest_Faction == "Alliance" then
			BestQuestDB["Lore"]["Big Iron Fishing Pole"] = BESTQUEST_NOT_APPLICABLE
		else

			local needsBigIron, bigIronDelay = false, 0
			if ( BestQuest_AreaID == 101 ) and ( BestQuest_Level >= 30 ) and HasFishingSkill(5) then	-- Desolace
				needsBigIron = true
			elseif IsQuestFlaggedCompleted(6607) or ( GetQuestLogIndexByID(6607) > 0 )  then		-- Nat's Lucky Fishing Pole
				needsBigIron = true
				bigIronDelay = loreExtrasDelay
			end
			if needsBigIron then
				alreadyQueued = false
				for k,v in pairs(BestQuest_Chat) do
					if k == "Lore 128" then
						alreadyQueued = true
						break
					end
				end
				if not alreadyQueued then
					BestQuest_Chat["Lore 128"] = { ["dialogue"] = speech["128"], ["portrait"] = portrait, ["greeting"] = sound["Deep Hmmm"],
							["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\NatPagle", ["alpha"] = "0.6",
							["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
							["startTime"] = 0, ["pause"] = bigIronDelay,
							["DBPrimary"] = "Lore", ["DBLabel"] = "Big Iron Fishing Pole",}
				end
			end
		end
	end

	if BestQuestDB["Lore"]["Darkwood Fishing Pole"] == nil then

		if IsQuestFlaggedCompleted(13537) or IsQuestFlaggedCompleted(5421) then			-- Either the Horde or Alliance quest as above

			alreadyQueued = false
			for k,v in pairs(BestQuest_Chat) do
				if k == "Lore 129" then
					alreadyQueued = true
					break
				end
			end
			if not alreadyQueued then
				BestQuest_Chat["Lore 129"] = { ["dialogue"] = speech["129"], ["portrait"] = portrait, ["greeting"] = sound["Deep Hmmm"],
						["artwork"] = "Interface\\AddOns\\Best_Quest_Lore\\Images\\NatPagle", ["alpha"] = "0.6",
						["left"]="0.101123", ["right"]="1", ["colour"] = {["r"] = 1, ["g"] = 1, ["b"] = 0},
						["startTime"] = 0, ["pause"] = loreExtrasDelay,
						["DBPrimary"] = "Lore", ["DBLabel"] = "Darkwood Fishing Pole",}
			end
		end
	end

--------------------------------------------------------------------------------------------------------------------------------------------

--[[ ---------- ]]--
--[[ Miscellany ]]--
--[[ ---------- ]]--

end

--------------------------------------------------------------------------------------------------------------------------------------------

--[[ ----------------- ]]--
--[[ Run once on login ]]--
--[[ ----------------- ]]--

if not BestQuestDB["Lore"] then BestQuestDB["Lore"] = {} end
if not BestQuestDB["Lore"].loreExtrasDelay then BestQuestDB["Lore"].loreExtrasDelay = 1800 end
loreExtrasDelay = BestQuestDB["Lore"].loreExtrasDelay
BestQuestDB["Lore"].npcName = npcName

--------------------------------------------------------------------------------------------------------------------------------------------

--[[ ---------------- ]]--
--[[  Slash Commands  ]]--
--[[ ---------------- ]]--

SLASH_BestQuestLore1, SLASH_BestQuestLore2, SLASH_BestQuestLore3 = "/bql", "/bestlore", "/bestql"

SlashCmdList["BestQuestLore"] = function(options)

	local secondParm, options3
	for v in string.gmatch(options, "(%S+)") do
		v = string.lower(v)
		if not options3 then
			options3 = string.sub(v,1,3)
		else
			secondParm = v
			break
		end
	end

	if options3 == "lam" then
		PlaySoundFile("Sound\\Music\\GlueScreenMusic\\BCCredits_Lament_of_the_Highborne.mp3") 
	end

	if options3 == "led" then
		if secondParm then
			secondParm = tonumber(secondParm)
			if secondParm then
				loreExtrasDelay = secondParm
			else
				loreExtrasDelay = 1800
			end
			print("\124cFFFF0000".."Lore Extras Delay".."\124r set to \124cFFFFFF00"..loreExtrasDelay.."\124rs")
			BestQuestDB["Lore"].loreExtrasDelay = loreExtrasDelay
		else
			print("\124cFFFF0000".."Lore Extras Delay".."\124r is \124cFFFFFF00"..loreExtrasDelay.."\124rs")
		end
	end
end
--------------------------------------------------------------------------------------------------------------------------------------------
--				speech["28"] = stringGsub(speech["28"],"~f~", speech["28a"])

--local factionText, levelDelay, loreExtrasDelay, loreExtrasDelayMultiplier = "", 0, 0, 0
--BestQuest_Faction = "Horde"

